/******/ (() => { // webpackBootstrap
/******/ 	var __webpack_modules__ = ({

/***/ 5383:
/***/ (() => {

(function () {
  'use strict';

  AccountingController.$inject = ["$rootScope", "Admin", "Debug", "Localized", "Utils"];
  angular.module('vendorfuelApp').component('vfAccounting', {
    controller: AccountingController,
    templateUrl: "".concat(localized.dir.templates, "/accounting.component.html")
  });
  AccountingController.$inject = ['$rootScope', 'Admin', 'Debug', 'Localized', 'Utils'];
  /**
   * @param {Object} $rootScope AngularJS service
   * @param {Object} Admin VendorFuel service
   * @param {Object} Debug VendorFuel service
   * @param {Object} Localized VendorFuel service
   * @param {Object} Utils VendorFuel service
   */

  function AccountingController($rootScope, Admin, Debug, Localized, Utils) {
    var vm = this;
    vm.$onInit = $onInit;
    vm.link = link;
    vm.unlink = unlink;
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Accounting',
        state: null
      }];
      vm.isAuthed = Admin.Authed();
    }
    /**
     * Click handler for 'Link to Quickbooks' button.
     */


    function link() {
      var req = {
        method: 'GET',
        url: "".concat(Localized.apiURL, "/admin/accounting/quickbooks/auth")
      };
      Utils.getHttpPromise(req).then(function (response) {
        if (response.auth_url) {
          window.open(response.auth_url, '_blank', 'location=yes,scrollbars=no,status=no');
        }
      })["catch"](function (error) {
        Debug.error(error);
      });
    }
    /**
     * Click handler for 'Unlink' button.
     */


    function unlink() {
      var req = {
        method: 'GET',
        url: "".concat(Localized.apiURL, "/admin/accounting/quickbooks/unlink")
      };
      Utils.getHttpPromise(req).then(function (response) {
        if (!response.errors.length) {
          Localized.setNotification({
            type: 'success',
            message: 'Quickbooks has been unlinked.'
          });
        }
      })["catch"](function (error) {
        Debug.error(error);
      });
    }
  }
})();

/***/ }),

/***/ 8227:
/***/ (() => {

/**
 * Catalog Page Component
 *
 * @namespace Components
 */
(function () {
  'use strict';

  DashboardController.$inject = ["$rootScope", "Admin"];
  angular.module('vendorfuelApp').component('vfCatalog', {
    controller: DashboardController,
    templateUrl: "".concat(localized.dir.templates, "/catalog.component.html")
  });
  DashboardController.$inject = ['$rootScope', 'Admin'];
  /**
   * @param {Object} $rootScope AngularJS service
   * @param {Object} Admin VendorFuel service
   */

  function DashboardController($rootScope, Admin) {
    var vm = this;
    vm.$onInit = $onInit;
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Catalog',
        state: 'catalog'
      }];
      vm.isAuthed = Admin.Authed();
      vm.sections = [{
        title: 'Categories',
        state: 'catalog-categories({activeTab: 0})',
        icon: 'folder-fill',
        description: 'Manage product categories.',
        sublinks: [{
          title: 'All Categories',
          state: 'catalog-categories({activeTab: 0})'
        }, {
          title: 'Add New',
          state: 'catalog-categories({activeTab: 1})'
        }, {
          title: 'Utilities',
          state: 'catalog-categories({activeTab: 3})'
        }]
      }, {
        title: 'Products',
        state: 'catalog-products({activeTab: 0})',
        icon: 'box',
        description: 'Manage products.',
        sublinks: [{
          title: 'All Products',
          state: 'catalog-products({activeTab: 0})'
        }, {
          title: 'Add New',
          state: 'catalog-products({activeTab: 1})'
        }, {
          title: 'Import',
          state: 'catalog-products({activeTab: 3})'
        }, {
          title: 'Batches',
          state: 'catalog-products({activeTab: 4})'
        }, {
          title: 'Utilities',
          state: 'catalog-products({activeTab: 6})'
        }]
      }, {
        title: 'Reviews',
        state: 'reviews.index',
        icon: 'chat-fill',
        description: 'Manage product reviews.'
      }, {
        title: 'Collections',
        state: 'catalog-collections({activeTab: 0})',
        icon: 'tag-fill',
        description: 'Manage product and category collections.',
        sublinks: [{
          title: 'All Collections',
          state: 'catalog-collections({activeTab: 0})'
        }, {
          title: 'Add New',
          state: 'catalog-collections({activeTab: 1})'
        }]
      }, {
        title: 'Manufacturers',
        state: 'manufacturers.index',
        icon: 'building',
        description: 'Manage product manufacturers.',
        sublinks: [{
          title: 'All Manufacturers',
          state: 'manufacturers.index'
        }, {
          title: 'Add New',
          state: 'manufacturers.create'
        }]
      }, {
        title: 'Banners',
        state: 'catalog-banners({activeTab: 0})',
        icon: 'grid-fill',
        description: 'Manage banners.',
        sublinks: [{
          title: 'All Banners',
          state: 'catalog-banners({activeTab: 0})'
        }, {
          title: 'Add New',
          state: 'catalog-banners({activeTab: 1})'
        }]
      }, {
        title: 'Price Sheets',
        state: 'catalog-pricesheets({activeTab: 0})',
        icon: 'cash-coin',
        description: 'Manage price sheets.',
        sublinks: [{
          title: 'All Price Sheets',
          state: 'catalog-pricesheets({activeTab: 0})'
        }, {
          title: 'Add New',
          state: 'catalog-pricesheets({activeTab: 1})'
        }, {
          title: 'Import',
          state: 'catalog-pricesheets({activeTab: 3})'
        }, {
          title: 'Batches',
          state: 'catalog-pricesheets({activeTab: 4})'
        }]
      }, {
        title: 'Promo Codes',
        state: 'catalog-promocodes({activeTab: 0})',
        icon: 'wallet-fill',
        description: 'Manage promo codes.',
        sublinks: [{
          title: 'All Promo Codes',
          state: 'catalog-promocodes({activeTab: 0})'
        }, {
          title: 'Add New',
          state: 'catalog-promocodes({activeTab: 1})'
        }]
      }, {
        title: 'Units of Measure',
        state: 'catalog-uom({activeTab: 0})',
        icon: 'rulers',
        description: 'Manage units of measure (UoM).',
        sublinks: [{
          title: 'All Units of Measure',
          state: 'catalog-uom({activeTab: 0})'
        }, {
          title: 'Add New',
          state: 'catalog-uom({activeTab: 1})'
        }]
      }];
    }
  }
})();

/***/ }),

/***/ 4999:
/***/ (() => {

/**
 * Catalog Component
 *
 * @namespace Components
 */
(function () {
  'use strict';

  DashboardController.$inject = ["$rootScope", "Admin"];
  angular.module('vendorfuelApp').component('vfCustomers', {
    controller: DashboardController,
    templateUrl: "".concat(localized.dir.templates, "/customers.component.html")
  });
  DashboardController.$inject = ['$rootScope', 'Admin'];
  /**
   * @param {Object} $rootScope AngularJS service
   * @param {Object} Admin VendorFuel service
   */

  function DashboardController($rootScope, Admin) {
    var vm = this;
    vm.$onInit = $onInit;
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Customers',
        state: null
      }];
      vm.isAuthed = Admin.Authed();
      vm.sections = [{
        title: 'Customer Accounts',
        link: 'customers-accounts',
        icon: 'admin-users',
        description: 'Manage customer accounts.',
        sublinks: [{
          title: 'View All Customers',
          tab: 0
        }, {
          title: 'Add New',
          tab: 1
        }, {
          title: 'Upload',
          tab: 3
        }, {
          title: 'Batches',
          tab: 4
        }, {
          title: 'Settings',
          tab: 6
        }]
      }, {
        title: 'Groups',
        link: 'customers-groups',
        icon: 'groups',
        description: 'Manage customer groups.',
        sublinks: [{
          title: 'View All Groups',
          tab: 0
        }, {
          title: 'Add New',
          tab: 1
        }, {
          title: 'Upload',
          tab: 3
        }, {
          title: 'Batches',
          tab: 4
        }]
      }, {
        title: 'Roles',
        link: 'customers-roles',
        icon: 'admin-generic',
        description: 'Manage customer roles.',
        sublinks: [{
          title: 'View All Roles',
          tab: 0
        }, {
          title: 'Add New',
          tab: 1
        }]
      }];
    }
  }
})();

/***/ }),

/***/ 2901:
/***/ (() => {

/**
 * Dashboard Component
 *
 * @namespace Components
 */
(function () {
  'use strict';

  DashboardController.$inject = ["$http", "$rootScope", "Admin", "Localized"];
  angular.module('vendorfuelApp').component('vfDashboard', {
    controller: DashboardController,
    templateUrl: "".concat(localized.dir.templates, "/dashboard.component.html")
  });
  DashboardController.$inject = ['$http', '$rootScope', 'Admin', 'Localized'];
  /**
   * @param {Object} $http AngularJS service
   * @param {Object} $rootScope AngularJS service
   * @param {Object} Admin VendorFuel service
   * @param {Object} Localized VendorFuel service
   */

  function DashboardController($http, $rootScope, Admin, Localized) {
    var vm = this;
    vm.$onInit = $onInit;
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [];
      vm.isLoading = true;
      vm.isAuthed = Admin.Authed();
      vm.sections = getSections();

      if (Admin.Authed()) {
        getDashboard();
      }
    }
    /**
     * Gets the dashboard data.
     */


    function getDashboard() {
      vm.isLoading = true;
      var request = {
        method: 'GET',
        url: Localized.apiURL + '/admin/stats/dashboard'
      };
      $http(request).then(function (response) {
        vm.dashboardInfo = response.data;
        vm.isLoading = false;
      });
    }
    /**
     * @return {Array} Sections
     */


    function getSections() {
      return [{
        icon: 'book-fill',
        title: 'Catalog',
        description: 'Manage Banners, Products, Categories, Collections, Manufacturers, Price Sheets, Promo Codes and Reviews.',
        state: 'catalog'
      }, {
        icon: 'bag-fill',
        title: 'Orders',
        description: 'Manage Orders and Order Tracking',
        state: 'orders.index'
      }, {
        icon: 'person-lines-fill',
        title: 'Purchasing',
        description: 'Manage Vendors, Cost Sheets and Document Profiles.',
        state: 'purchasing'
      }, {
        icon: 'cart-fill',
        title: 'Punchout',
        description: 'Manage Punchout Suppliers.',
        state: 'punchout'
      }, {
        icon: 'people-fill',
        title: 'Customers',
        description: 'Manage Customer Accounts, Groups and Roles.',
        state: 'customers'
      }, {
        icon: 'file-text-fill',
        title: 'Reports',
        description: 'Manage, download and schedule Reports.',
        state: 'reports'
      }, {
        icon: 'bank2',
        title: 'Accounting',
        description: 'Link store data to QuickBooks.',
        state: 'accounting'
      }, {
        icon: 'credit-card-fill',
        title: 'Payments',
        description: 'Manage payments via PayPal, Stripe, Square, Qualpay, AuthorizeNet and PayFabric.',
        state: 'payments'
      }, {
        icon: 'wallet-fill',
        title: 'Taxes',
        description: 'Manage state taxes and connect with Avalara account.',
        state: 'taxes'
      }, {
        icon: 'truck',
        title: 'Shipping',
        description: 'Manage shipping modes, flat rates and parcels.',
        state: 'shipping'
      }, {
        icon: 'envelope-fill',
        title: 'Email',
        description: 'Manage email templates and SMTP settings.',
        state: 'email'
      }, {
        icon: 'person-fill',
        title: 'Admin Accounts',
        description: 'Manage administrator accounts.',
        state: 'admin'
      }, {
        icon: 'gear-fill',
        title: 'Settings',
        description: 'Manage store, plugin and analytics settings.',
        state: 'settings({activeTab:0})'
      }];
    }
  }
})();

/***/ }),

/***/ 3685:
/***/ (() => {

/**
 * Header Component
 *
 * @namespace Components
 */
(function () {
  'use strict';

  HeaderController.$inject = ["$rootScope", "$state", "$window", "Admin", "Localized"];
  angular.module('vendorfuelApp').component('vfHeader', {
    controller: HeaderController,
    templateUrl: "".concat(localized.dir.templates, "/header.component.html")
  });
  HeaderController.$inject = ['$rootScope', '$state', '$window', 'Admin', 'Localized'];
  /**
   * @param {Object} $rootScope AngularJS service
   * @param {Object} $state UI Router object
   * @param {Object} $window AngularJS service
   * @param {Object} Admin VendorFuel service
   * @param {Object} Localized VendorFuel service
   */

  function HeaderController($rootScope, $state, $window, Admin, Localized) {
    var vm = this;
    vm.$onInit = $onInit;
    vm.$doCheck = $doCheck;
    /**
     * Initialization
     */

    function $onInit() {
      vm.iconSrc = "".concat(Localized.root.url, "assets/img/vf-icon.svg");
      vm.iconStyle = {
        height: '2rem',
        verticalAlign: 'baseline'
      };
      vm.pluginVersion = Localized.plugin_data.Version;
      startTutorial();
    }
    /**
     * Called on each turn of the digest cycle.
     */


    function $doCheck() {
      if ($rootScope.breadcrumbs) {
        vm.breadcrumbs = $rootScope.breadcrumbs;
      }
    }
    /**
     * Show tutorial based on cookies.
     */


    function startTutorial() {
      var isShowingTutorial = $window.localStorage.getItem('showTutorial');

      if (isShowingTutorial === 'true' && Admin.Authed()) {
        $state.go('tutorial');
      }
    }
  }
})();

/***/ }),

/***/ 2372:
/***/ (() => {

/**
 * Log Out Component
 *
 * @namespace Components
 */
(function () {
  'use strict';

  LogoutController.$inject = ["$rootScope", "$state", "Admin", "Localized", "Utils"];
  angular.module('vendorfuelApp').component('vfLogout', {
    controller: LogoutController,
    templateUrl: "".concat(localized.dir.templates, "/logout.component.html")
  });
  LogoutController.$inject = ['$rootScope', '$state', 'Admin', 'Localized', 'Utils'];
  /**
   * @param {Object} $rootScope AngularJS service
   * @param {Object} $state UI Router service
   * @param {Object} Admin VendorFuel service
   * @param {Object} Localized VendorFuel service
   * @param {Object} Utils VendorFuel service
   */

  function LogoutController($rootScope, $state, Admin, Localized, Utils) {
    var vm = this;
    vm.$onInit = $onInit;
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Logout',
        state: null
      }];
      vm.isAuthed = Admin.Authed();

      if (Admin.Authed()) {
        Admin.Logout();
        $state.go('dashboard');
      } else if (Localized.api_key) {
        Utils.setLocation('/login', true);
      } else {
        Utils.setLocation('/subscribe', true);
      }
    }
  }
})();

/***/ }),

/***/ 4144:
/***/ (() => {

(function () {
  'use strict';

  ManufacturerController.$inject = ["$http", "$rootScope", "$scope", "$state", "$stateParams", "Localized", "Manufacturers"];
  angular.module('vendorfuelApp').component('manufacturersDetail', {
    controller: ManufacturerController,
    templateUrl: "".concat(localized.dir.templates, "/manufacturers-detail.component.html")
  });
  ManufacturerController.$inject = ['$http', '$rootScope', '$scope', '$state', '$stateParams', 'Localized', 'Manufacturers'];

  function ManufacturerController($http, $rootScope, $scope, $state, $stateParams, Localized, Manufacturers) {
    var vm = this;
    vm.$onInit = $onInit;
    vm.changeLogo = changeLogo;
    vm.remove = remove;
    vm.removeLogo = removeLogo;
    vm.selectLogo = selectLogo;
    vm.submit = submit;
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Catalog',
        state: 'catalog'
      }, {
        name: 'Manufacturers',
        state: 'manufacturers.index'
      }];

      if ($stateParams.id) {
        getManufacturer($stateParams.id);
      } else {
        createManufacturer();
      }
    }

    function changeLogo(el) {
      $scope.$apply(function () {
        vm.manufacturer.logo = el.files[0];
      });
    }
    /**
     *
     */


    function createManufacturer() {
      vm.isNew = true;
      vm.manufacturer = {};
      updateBreadcrumb();
    }

    function getManufacturer(id) {
      vm.isLoading = true;
      Manufacturers.get({
        id: id
      }).$promise.then(function (manufacturer) {
        vm.manufacturer = manufacturer;

        if (vm.manufacturer.images && vm.manufacturer.images.logo) {
          vm.logoFilename = new URL(vm.manufacturer.images.logo["default"]).pathname.split("/").pop();
        }

        updateBreadcrumb(vm.manufacturer);
        vm.isLoading = false;
      });
    }
    /**
     *
     */


    function remove() {
      vm.isDeleting = true;
      Manufacturers["delete"]({
        id: vm.manufacturer.id
      }).$promise.then(function () {
        vm.isDeleting = false;
        $state.go('manufacturers.index');
      });
    }

    function removeLogo(mediaId) {
      vm.isRemovingLogo = true;
      var endpoint = "".concat(Localized.apiURL, "/admin/manufacturers/").concat(vm.manufacturer.id, "/media/").concat(mediaId);
      $http["delete"](endpoint).then(function () {
        vm.isRemovingLogo = false;
        $state.reload();
      });
    }

    function save() {
      vm.isSaving = true;
      Manufacturers.save(vm.manufacturer).$promise.then(function (response) {
        var id = response.manufacturer.id;
        vm.isSaving = false;
        $state.go('manufacturers.show', {
          id: id
        });
      });
    }
    /**
     * Select a logo using WP Media.
     */


    function selectLogo() {
      // eslint-disable-next-line no-undef
      var fileFrame = wp.media({
        title: 'Select or Upload image',
        library: {
          type: 'image'
        },
        button: {
          text: 'Select'
        },
        multiple: false
      });
      fileFrame.on('select', function () {
        $scope.$apply(function () {
          vm.manufacturer.image_url = fileFrame.state().get('selection').first().toJSON().url;
        });
      });
      fileFrame.open();
    }
    /**
     *
     */


    function submit() {
      if (vm.isNew) {
        save();
      } else {
        update();
      }
    }
    /**
     *
     */


    function update() {
      vm.isUpdating = true;
      Manufacturers.update({
        id: vm.manufacturer.id
      }, vm.manufacturer).$promise.then(function () {
        vm.isUpdating = false;
        $state.reload();
      });
    }
    /**
     * @param {Object} manufacturer Manufacturer
     */


    function updateBreadcrumb(manufacturer) {
      if (manufacturer) {
        $rootScope.breadcrumbs.push({
          name: manufacturer.name,
          state: 'manufacturers.show({ id: vm.manufacturer.id })'
        });
      } else {
        $rootScope.breadcrumbs.push({
          name: 'Add New',
          state: 'manufacturers.create'
        });
      }
    }
  }
})();

/***/ }),

/***/ 9563:
/***/ (() => {

(function () {
  'use strict';

  ManufacturersController.$inject = ["$location", "$rootScope", "$state", "Manufacturers"];
  angular.module('vendorfuelApp').component('manufacturersIndex', {
    controller: ManufacturersController,
    templateUrl: "".concat(localized.dir.templates, "/manufacturers-index.component.html")
  });
  ManufacturersController.$inject = ['$location', '$rootScope', '$state', 'Manufacturers'];

  function ManufacturersController($location, $rootScope, $state, Manufacturers) {
    var vm = this;
    vm.$onInit = $onInit;
    vm.cancelDelete = cancelDelete;
    vm.changePage = changePage;
    vm.changeQuery = changeQuery;
    vm.changeSortBy = changeSortBy;
    vm.confirmDelete = confirmDelete;
    vm.remove = remove;
    vm.submit = submit;
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Catalog',
        state: 'catalog'
      }, {
        name: 'Manufacturers',
        state: 'manufacturers.index'
      }];
      vm.isConfirmingDeletion = [];
      vm.isDeleting = [];
      vm.params = {
        page: $location.search().page || 1,
        q: $location.search().q || '',
        rpp: 15,
        sortBy: $location.search().sortBy || '',
        sortType: $location.search().sortType || ''
      };
      vm.cachedQ = vm.params.q;
      queryManufacturers();
    }

    function cancelDelete(e, i) {
      e.preventDefault();
      vm.isConfirmingDeletion[i] = false;
    }
    /**
     * @param {Object} e Click event
     * @param {number} page Page number
     */


    function changePage(e, page) {
      if (e) {
        e.preventDefault();
      }

      vm.params.page = page;
      submit();
    }
    /**
     * @param {string} q Query
     */


    function changeQuery(q) {
      if (!q) {
        submit();
      }
    }
    /**
     * @param {string} sortBy Sortby term
     * @param {Object} e Click event
     */


    function changeSortBy(sortBy, e) {
      e.preventDefault();

      if (vm.params.sortBy === sortBy) {
        vm.params.sortType = vm.params.sortType === 'desc' ? 'asc' : 'desc';
      } else {
        vm.params.sortType = 'asc';
        vm.params.sortBy = sortBy;
      }

      updateSearchParams();
      queryManufacturers();
    }

    function confirmDelete(e, i) {
      e.preventDefault();
      vm.isConfirmingDeletion[i] = true;
    }
    /**
     * Get the manufacturers
     */


    function queryManufacturers() {
      vm.isLoading = true;
      Manufacturers.query(vm.params).$promise.then(function (manufacturers) {
        vm.manufacturers = manufacturers;
        vm.isLoading = false;
      });
    }

    function remove(e, id, index) {
      e.preventDefault();
      vm.isDeleting[index] = true;
      Manufacturers["delete"]({
        id: id
      }).$promise.then(function () {
        vm.isDeleting[index] = false;
        $state.reload();
      });
    }
    /**
     * Submit the search form.
     */


    function submit() {
      vm.cachedQ = vm.params.q;
      updateSearchParams();
      queryManufacturers();
    }
    /**
     * Update the search params in the URL.
     */


    function updateSearchParams() {
      var _vm$params = vm.params,
          q = _vm$params.q,
          page = _vm$params.page;
      $location.search('q', q ? q : null);
      $location.search('page', page > 1 ? page : null);
    }
  }
})();

/***/ }),

/***/ 3915:
/***/ (() => {

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

(function () {
  'use strict';

  service.$inject = ["$resource", "Localized"];
  angular.module('vendorfuelApp').factory('Manufacturers', service);
  service.$inject = ['$resource', 'Localized'];
  /**
   * @param {Object} $resource Angular service
   * @param {Object} Localized VendorFuel service
   * @return {Object} Manufacturers service
   */

  function service($resource, Localized) {
    var endpoint = "".concat(Localized.apiURL, "/admin/manufacturers/:id");
    return $resource(endpoint, {
      id: '@id'
    }, {
      get: {
        interceptor: {
          response: function response(_response) {
            var manufacturer = _response.resource.manufacturer;
            return manufacturer;
          }
        }
      },
      save: {
        method: 'POST',
        headers: {
          'Content-Type': undefined
        },
        transformRequest: function transformRequest(data) {
          var formData = new FormData();
          Object.entries(data).forEach(function (entry) {
            var _entry = _slicedToArray(entry, 2),
                key = _entry[0],
                value = _entry[1];

            if (value) {
              formData.append(key, value);
            }
          });
          return formData;
        }
      },
      query: {
        isArray: false,
        interceptor: {
          response: function response(_response2) {
            var manufacturers = _response2.resource.manufacturers;
            return manufacturers;
          }
        }
      },
      update: {
        method: 'PUT',
        headers: {
          'Content-Type': undefined
        },
        transformRequest: function transformRequest(data) {
          var formData = new FormData();
          Object.entries(data).forEach(function (entry) {
            var _entry2 = _slicedToArray(entry, 2),
                key = _entry2[0],
                value = _entry2[1];

            if (key !== 'id' && key !== 'images') {
              formData.append(key, value || '');
            }
          });
          return formData;
        }
      }
    });
  }
})();

/***/ }),

/***/ 9537:
/***/ (() => {

(function () {
  'use strict';

  productsFactory.$inject = ["Localized", "Utils"];
  angular.module('vendorfuelApp').factory('Products', productsFactory);
  productsFactory.$inject = ['Localized', 'Utils'];
  /**
   * @param {Object} Localized Angular service
   * @param {Object} Utils Angular service
   * @return {Object} Service
   */

  function productsFactory(Localized, Utils) {
    var categories = [];
    var parcels = [];
    var selectOptions = {
      description: 'Description',
      sku: 'SKU',
      mfg_part_num: 'Mfg Part Num',
      manufacturer: 'Manufacturer'
    };
    var termOptions = {
      like: 'Contains',
      'not like': 'Does Not Contain',
      '=': 'Equals (=)',
      '!=': 'Does Not Equal (!=)',
      '>': 'Greater Than (>)',
      '<': 'Less Than (<)'
    };
    var statuses = {
      active: 'Active',
      discontinued: 'Discontinued',
      inactive: 'Inactive',
      backordered: 'Backordered'
    };
    /**
     * @return {Object} Promise
     */

    function setCategories() {
      var req = {
        method: 'GET',
        url: Localized.apiURL + '/admin/category/',
        params: {
          rpp: 999
        }
      };
      return Utils.getHttpPromise(req).then(function (resp) {
        categories = resp.categories;
        return resp;
      });
    }
    /**
     * @return {Array} Categories
     */


    function getCategories() {
      return categories;
    }
    /**
     * @return {Object} Response
     */


    function setParcels() {
      return Utils.httpGet(Localized.apiURL + '/admin/shipping/parcel').then(function (resp) {
        parcels = resp.parcels;
        return resp;
      });
    }
    /**
     * @return {Array} Parcels
     */


    function getParcels() {
      return parcels;
    }
    /**
     * @return {any} Term Options
     */


    function getTermOptions() {
      return termOptions;
    }
    /**
     * @return {any} Select Options
     */


    function getSelectOptions() {
      return selectOptions;
    }
    /**
     * @return {any} Statuses
     */


    function getStatuses() {
      return statuses;
    }

    return {
      setCategories: setCategories,
      getCategories: getCategories,
      setParcels: setParcels,
      getParcels: getParcels,
      getSelectOptions: getSelectOptions,
      getTermOptions: getTermOptions,
      getStatuses: getStatuses
    };
  }
})();

/***/ }),

/***/ 455:
/***/ (() => {

(function () {
  'use strict';

  ReviewController.$inject = ["$rootScope", "$state", "$stateParams", "Reviews"];
  angular.module('vendorfuelApp').component('reviewsDetail', {
    controller: ReviewController,
    templateUrl: "".concat(localized.dir.templates, "/reviews-detail.component.html")
  });
  ReviewController.$inject = ['$rootScope', '$state', '$stateParams', 'Reviews'];

  function ReviewController($rootScope, $state, $stateParams, Reviews) {
    var vm = this;
    vm.$onInit = $onInit;
    vm.approve = approve;
    vm.remove = remove;
    /**
     * Initialization
     */

    function $onInit() {
      vm.productSlug = localized.settings.general.product_slug || 'products';
      $rootScope.breadcrumbs = [{
        name: 'Catalog',
        state: 'catalog'
      }, {
        name: 'Products',
        state: 'catalog-products'
      }, {
        name: 'Reviews',
        state: 'reviews.index'
      }];

      if ($stateParams.id) {
        getReview($stateParams.id);
      }
    }

    function approve() {
      var body = {
        status: 'approved'
      };
      Reviews.update({
        id: vm.review.id
      }, body).$promise.then(function () {
        $state.reload();
      });
    }

    function getReview(id) {
      vm.isLoading = true;
      Reviews.get({
        id: id
      }).$promise.then(function (review) {
        vm.review = review;
        updateBreadcrumb(vm.review);
        vm.isLoading = false;
      });
    }

    function remove() {
      vm.isDeleting = true;
      Reviews["delete"]({
        id: vm.review.id
      }).$promise.then(function () {
        vm.isDeleting = false;
        $state.go('reviews.index');
      });
    }

    function updateBreadcrumb(review) {
      if (review) {
        $rootScope.breadcrumbs.push({
          name: review.title,
          state: 'review.show({ id: vm.review.id })'
        });
      }
    }
  }
})();

/***/ }),

/***/ 7523:
/***/ (() => {

(function () {
  'use strict';

  ReviewsController.$inject = ["$scope", "$rootScope", "Admin", "Debug", "Settings", "Localized", "Utils", "$stateParams"];
  angular.module('vendorfuelApp').controller('ReviewsController', ReviewsController);
  ReviewsController.$inject = ['$scope', '$rootScope', 'Admin', 'Debug', 'Settings', 'Localized', 'Utils', '$stateParams'];
  /**
   * @param {Object} $scope Angular service
   * @param {Object} $rootScope Angular service
   * @param {Object} Admin VendorFuel service
   * @param {Object} Debug VendorFuel service
   * @param {Object} Settings VendorFuel service
   * @param {Object} Localized VendorFuel service
   * @param {Object} Utils VendorFuel service
   * @param {Object} $stateParams UI Router service
   */

  function ReviewsController($scope, $rootScope, Admin, Debug, Settings, Localized, Utils, $stateParams) {
    var vm = this;
    vm.$onInit = $onInit; // Initialize controller

    vm.$onInit();
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Catalog',
        state: 'catalog'
      }, {
        name: 'Reviews',
        state: 'catalog-reviews'
      }];
      $scope.activeTab = parseInt($stateParams.activeTab) || 0;
      $scope.isAuthed = Admin.Authed();
      $scope.reviewEndpoint = "".concat(Localized.apiURL, "/admin/products/reviews/");
      $scope.reviewStatus = [{
        key: 'Approved',
        val: 'approved'
      }, {
        key: 'Pending',
        val: 'pending'
      }, {
        key: 'Deleted',
        val: 'deleted'
      }];
      $scope.searchTerm = '';
      $scope.status = '';
    } //FUNCTIONS


    $scope.LoginCallback = function () {
      $scope.loading = true; //logged in, do something. i.e. make api calls to load current tab's data
    };

    $scope.TabChanged = function (i) {
      $scope.activeTab = i;
      Settings.errors = {};
      $scope.loading = true;
      var req = {
        method: 'GET',
        url: $scope.reviewEndpoint
      };

      switch (i) {
        case 0:
          Utils.getHttpPromise(req).then(function (resp) {
            $scope.reviews = resp.reviews;
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
          break;

        case 1:
          $scope.loading = false;
          break;

        case 2:
          $scope.loading = false;
          break;

        case 3:
          $scope.loading = false;
          break;
      }
    };

    $scope.approveReview = function () {
      $scope.updating = true;
      $scope.status = 'Approving';
      var params = {
        review_id: $scope.selectedReview.id
      };
      var req = {
        method: 'POST',
        url: $scope.reviewEndpoint + 'approve',
        data: params
      };
      Utils.getHttpPromise(req).then(function () {}, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.selectedReview.status = 'approved';
        $scope.updating = false;
      });
    };

    $scope.ChangeTab = function (tabIndex, reviewIndex) {
      $scope.activeTab = tabIndex;
      $scope.selectedReview = $scope.reviews.data[reviewIndex];
    };

    $scope.deleteReview = function (id) {
      $scope.updating = true;
      $scope.status = 'Removing';
      var params = {
        review_id: id
      };
      var req = {
        method: 'DELETE',
        url: $scope.reviewEndpoint + id,
        data: params
      };
      Utils.getHttpPromise(req).then(function () {}, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.activeTab = 0;
        $scope.updating = false;
      });
    };

    $scope.updateReview = function () {
      $scope.updating = true;
      $scope.status = 'Updating';
      var params = $scope.selectedReview;
      params.review_id = $scope.selectedReview.id;
      var req = {
        method: 'PUT',
        url: $scope.reviewEndpoint + $scope.selectedReview.id,
        data: params
      };
      Utils.getHttpPromise(req).then(function () {}, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.updating = false;
      });
    };
  }
})();

/***/ }),

/***/ 8134:
/***/ (() => {

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

(function () {
  'use strict';

  service.$inject = ["$resource", "Localized"];
  angular.module('vendorfuelApp').factory('Reviews', service);
  service.$inject = ['$resource', 'Localized'];

  function service($resource, Localized) {
    var endpoint = "".concat(Localized.apiURL, "/admin/products/reviews/:id");
    return $resource(endpoint, {
      id: '@id'
    }, {
      get: {
        method: 'GET',
        interceptor: {
          response: function response(_response) {
            var review = _response.resource.review;
            return review;
          }
        }
      },
      save: {
        method: 'POST',
        headers: {
          'Content-Type': undefined
        },
        transformRequest: function transformRequest(data) {
          var formData = new FormData();
          Object.entries(data).forEach(function (entry) {
            var _entry = _slicedToArray(entry, 2),
                key = _entry[0],
                value = _entry[1];

            if (value) {
              formData.append(key, value);
            }
          });
          return formData;
        }
      },
      query: {
        method: 'GET',
        isArray: false,
        interceptor: {
          response: function response(_response2) {
            var reviews = _response2.resource.reviews;
            return reviews;
          }
        }
      },
      update: {
        method: 'PUT',
        headers: {
          'Content-Type': undefined
        },
        transformRequest: function transformRequest(data) {
          var formData = new FormData();
          Object.entries(data).forEach(function (entry) {
            var _entry2 = _slicedToArray(entry, 2),
                key = _entry2[0],
                value = _entry2[1];

            if (key !== 'id' && key !== 'images') {
              formData.append(key, value || '');
            }
          });
          return formData;
        }
      }
    });
  }
})();

/***/ }),

/***/ 8734:
/***/ (() => {

/**
 * Punchout Component
 */
(function () {
  'use strict';

  PunchoutController.$inject = ["$rootScope"];
  angular.module('vendorfuelApp').component('vfPunchout', {
    controller: PunchoutController,
    templateUrl: "".concat(localized.dir.templates, "/punchout.component.html")
  });
  PunchoutController.$inject = ['$rootScope'];
  /**
   * @param {Object} $rootScope Angular service
   */

  function PunchoutController($rootScope) {
    $rootScope.breadcrumbs = [{
      name: 'Punchout',
      state: 'punchout'
    }];
  }
})();

/***/ }),

/***/ 5999:
/***/ (() => {

/**
 * Purchasing Component
 */
(function () {
  'use strict';

  PurchasingController.$inject = ["$rootScope"];
  angular.module('vendorfuelApp').component('vfPurchasing', {
    controller: PurchasingController,
    templateUrl: "".concat(localized.dir.templates, "/purchasing.component.html")
  });
  PurchasingController.$inject = ['$rootScope'];
  /**
   * @param {Object} $rootScope Angular service
   */

  function PurchasingController($rootScope) {
    $rootScope.breadcrumbs = [{
      name: 'Purchasing',
      state: 'purchasing'
    }];
  }
})();

/***/ }),

/***/ 5873:
/***/ (() => {

/**
 * Settings Component
 *
 * @namespace Components
 */
(function () {
  'use strict';

  SettingsController.$inject = ["$rootScope", "$window", "$state", "$stateParams", "Admin", "Localized", "Settings"];
  angular.module('SettingsModule').component('vfSettings', {
    controller: SettingsController,
    templateUrl: "".concat(localized.dir.templates, "/settings.component.html")
  });
  SettingsController.$inject = ['$rootScope', '$window', '$state', '$stateParams', 'Admin', 'Localized', 'Settings'];
  /**
   * @param {Object} $rootScope   AngularJS service
   * @param {Object} $window      AngularJS service
   * @param {Object} $state       UI Router service
   * @param {Object} $stateParams UI Router service
   * @param {Object} Admin        VendorFuel service
   * @param {Object} Localized    VendorFuel service
   * @param {Object} Settings     VendorFuel service
   */

  function SettingsController($rootScope, $window, $state, $stateParams, Admin, Localized, Settings) {
    var vm = this;
    vm.$onInit = $onInit;
    vm.resetTutorial = resetTutorial;
    vm.showTab = showTab;
    vm.submitUpdate = submitUpdate;
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Settings',
        state: 'settings({activeTab : 0})'
      }, {
        name: 'General',
        state: null,
        url: 'https://docs.vendorfuel.com'
      }];
      vm.activeTab = parseInt($stateParams.activeTab);
      vm.isAuthed = Admin.Authed();
      vm.isLoading = true;
      vm.isSaved = false;
      vm.isSaving = false;
      vm.hasAPIKey = Localized.api_key;
      vm.settings = Settings;
    }
    /**
     */


    function resetTutorial() {
      vm.isResettingTutorial = true;
      Settings.resetTutorial().then(function () {
        vm.isResettingTutorial = false;
        $window.scrollTo({
          top: 0,
          left: 0,
          behavior: 'smooth'
        });
      });
    }
    /**
     */


    function transitionState() {
      $state.go('settings', {
        activeTab: vm.activeTab
      });
    }
    /**
     * @param {number} i Index
     */


    function showTab(i) {
      vm.activeTab = i;
      transitionState();
      Settings.errors = {};
      vm.isLoading = true;
      vm.isSaving = false;
      vm.isSaved = false;

      switch (i) {
        case 0:
          $rootScope.breadcrumbs[1].name = 'Store';
          getSettings(Settings.store);
          break;

        case 1:
          $rootScope.breadcrumbs[1].name = 'Plugin';
          getSettings(Settings.general);
          break;

        case 2:
          $rootScope.breadcrumbs[1].name = 'Analytics';
          getSettings(Settings.analytics);
          break;
      }
    }
    /**
     * @param {number} i    Index
     * @param {Object} form Form data
     */


    function submitUpdate(i, form) {
      switch (i) {
        case 0:
          updateStoreSettings(form);
          break;

        case 1:
          updateGeneralSettings(form);
          break;

        case 2:
          updateAnalyticsSettings(form);
          break;

        case 3:
          updateImageSettings(form);
          break;
      }
    }
    /**
     * @param {Object} tab Settings
     * @return {Object} Promise
     */


    function getSettings(tab) {
      var promise = tab.Get().then(function successCallback() {
        vm.isLoading = false;
      }, function errorCallback() {
        vm.isLoading = false;
      });
      return promise;
    }
    /**
     * @param {Object} tab  Settings
     * @param {Object} form Form data
     * @return {Object} Promise
     */


    function updateSettings(tab, form) {
      Settings.errors = {};
      vm.isSaving = true;
      vm.isSaved = false;
      var promise = tab.Set().then(function successCallback() {
        vm.isSaving = false;
        vm.isSaved = Object.keys(Settings.errors).length === 0;

        if (vm.isSaved) {
          Localized.setNotification({
            type: 'success',
            message: 'Settings have been saved.'
          });
          $window.scrollTo({
            top: 0,
            left: 0,
            behavior: 'smooth'
          });
        }

        form.$setPristine();
        form.$setUntouched();
      }, function errorCallback() {
        vm.isSaving = false;
      });
      return promise;
    }
    /**
     * @param {Object} form Form data
     */


    function updateGeneralSettings(form) {
      if (vm.settings.general.saved.api_url === '' || vm.settings.general.saved.api_key === '') {
        Admin.Logout();
      }

      updateSettings(Settings.general, form);
    }
    /**
     * @param {Object} form Form data
     */


    function updateStoreSettings(form) {
      updateSettings(Settings.store, form);
    }
    /**
     * @param {Object} form Form data
     */


    function updateAnalyticsSettings(form) {
      updateSettings(Settings.analytics, form);
    }
    /**
     * @param {Object} form Form data
     */


    function updateImageSettings(form) {
      updateSettings(Settings.image, form);
    }
  }
})();

/***/ }),

/***/ 98:
/***/ (() => {

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * Taxes Avalara Component
 *
 * @namespace Components
 */
(function () {
  'use strict';

  TaxController.$inject = ["$rootScope", "$window", "AlertModal", "Localized", "Utils"];
  angular.module('vendorfuelApp').component('taxesAvalara', {
    controller: TaxController,
    templateUrl: "".concat(localized.dir.templates, "/taxes-avalara.component.html")
  });
  TaxController.$inject = ['$rootScope', '$window', 'AlertModal', 'Localized', 'Utils'];
  /**
   * @param {Object} $rootScope Angular service
   * @param {Object} $window Angular service
   * @param {Object} AlertModal VendorFuel service
   * @param {Object} Localized VendorFuel service
   * @param {Object} Utils VendorFuel service
   */

  function TaxController($rootScope, $window, AlertModal, Localized, Utils) {
    var vm = this;
    var endpoint = $rootScope.vfApiUrl + '/admin/tax/avalara';
    vm.$onInit = $onInit;
    vm["delete"] = deleteData;
    vm.test = test;
    vm.update = update;
    vm.viewLog = viewLog;
    /**
     * Initialization
     */

    function $onInit() {
      getData();
    }
    /**
     * Deletes Avalara data
     */


    function deleteData() {
      vm.isDeleting = true;
      Utils.httpDelete(endpoint).then(function () {
        vm.form = {};
        vm.isDeleting = false;
      });
    }
    /**
     * Gets Avalara data
     */


    function getData() {
      vm.isLoading = true;
      Utils.httpGet(endpoint + '/config').then(function (response) {
        vm.form = response.avalara_config;
        vm.isLoading = false;
      });
    }
    /**
     *
     */


    function test() {
      vm.isLoading = true;
      Utils.httpPost(endpoint + '/test', vm.form).then(function (response) {
        var testMessage = 'Avalara connection test successful!';

        if (response.errors.length) {
          testMessage = 'Avalara connection test failed!';
        }

        var callback = {
          confirm: function confirm() {
            vm.isLoading = false;
          }
        };
        AlertModal.Show(callback, 'Connection Test Results', testMessage, 'Ok');
      });
    }
    /**
     *
     */


    function viewLog() {
      vm.isGettingLog = true;
      Utils.httpPost(endpoint + '/log', vm.form).then(function (response) {
        if (response.log) {
          var callback = {
            confirm: function confirm() {}
          };
          AlertModal.Show(callback, 'Connection Test Results', response.log, 'Ok');
        } else {
          Localized.setNotification({
            type: 'info',
            message: 'No saved logs found.'
          });
          $window.scrollTo({
            top: 0,
            left: 0,
            behavior: 'smooth'
          });
        }
      })["finally"](function () {
        vm.isGettingLog = false;
      });
    }
    /**
     *
     */


    function update() {
      vm.isUpdating = true;

      var data = _objectSpread({}, vm.form);

      Utils.httpPut(endpoint + '/config', null, data).then(function (response) {
        if (response.errors.length) {
          response.errors.forEach(function (message) {
            Localized.setNotification({
              type: 'error',
              message: message
            });
          });
        } else {
          Localized.setNotification({
            type: 'success',
            message: 'Avalara settings updated.'
          });
        }
      })["finally"](function () {
        vm.isUpdating = false;
      });
    }
  }
})();

/***/ }),

/***/ 4071:
/***/ (() => {

/**
 * Taxes Options Component
 *
 * @namespace Components
 */
(function () {
  'use strict';

  TaxController.$inject = ["$rootScope", "SelectModal", "Utils"];
  angular.module('vendorfuelApp').component('taxesOptions', {
    controller: TaxController,
    templateUrl: "".concat(localized.dir.templates, "/taxes-options.component.html")
  });
  TaxController.$inject = ['$rootScope', 'SelectModal', 'Utils'];
  /**
   * @param {Object} $rootScope AngularJS service
   * @param {Object} SelectModal VendorFuel service
   * @param {Object} Utils VendorFuel service
   */

  function TaxController($rootScope, SelectModal, Utils) {
    var vm = this;
    vm.$onInit = $onInit;
    vm.changeSearchInput = changeSearchInput;
    vm.changeSortBy = changeSortBy;
    vm.getSelectedStateCount = getSelectedStateCount;
    vm.search = search;
    vm.selectStates = selectStates;
    vm.submit = submit;
    /**
     * Initialization
     */

    function $onInit() {
      vm.isLoading = true;
      vm.selectedStates = [];
      vm.stateOptions = getStateOptions();
      vm.states = getStateOptions();
      vm.sortBy = 'name';
      vm.sortType = 'asc';
      vm.sortReverse = false;
      getData();
    }
    /**
     *
     */


    function buildSelectedStateArr() {
      var tempArr = [];
      angular.forEach(vm.stateOptions, function (option) {
        if (option.active) {
          tempArr.push(option.value);
        }
      });
      vm.selectedStates = tempArr;
    }
    /**
     * @param {string} field Field to sort by
     * @param {Object} e Event
     */


    function changeSortBy(field, e) {
      e.preventDefault(); // Change sortType if the same field is selected

      if (vm.sortBy === field) {
        vm.sortReverse = !vm.sortReverse;
        vm.sortType = vm.sortType === 'asc' ? 'desc' : 'asc';
      }

      vm.sortBy = field;
    }
    /**
     * Checks to see if the search input has been cleared.
     *
     * @param {string} s Search query
     */


    function changeSearchInput(s) {
      if (!s) {
        vm.q = '';
      }
    }
    /**
     * @return {number} Number of selected states.
     */


    function getSelectedStateCount() {
      // return Object.keys( vm.selectedStates ).length;
      return vm.states.filter(function (element) {
        return element.active;
      }).length;
    }
    /**
     * @return {Array} State Options
     */


    function getStateOptions() {
      return [{
        name: 'Alabama',
        value: 'AL',
        active: false
      }, {
        name: 'Alaska',
        value: 'AK',
        active: false
      }, {
        name: 'Arizona',
        value: 'AZ',
        active: false
      }, {
        name: 'Arkansas',
        value: 'AR',
        active: false
      }, {
        name: 'California',
        value: 'CA',
        active: false
      }, {
        name: 'Colorado',
        value: 'CO',
        active: false
      }, {
        name: 'Connecticut',
        value: 'CT',
        active: false
      }, {
        name: 'Delaware',
        value: 'DE',
        active: false
      }, {
        name: 'District of Columbia',
        value: 'DC',
        active: false
      }, {
        name: 'Florida',
        value: 'FL',
        active: false
      }, {
        name: 'Georgia',
        value: 'GA',
        active: false
      }, {
        name: 'Hawaii',
        value: 'HI',
        active: false
      }, {
        name: 'Idaho',
        value: 'ID',
        active: false
      }, {
        name: 'Illinois',
        value: 'IL',
        active: false
      }, {
        name: 'Indiana',
        value: 'IN',
        active: false
      }, {
        name: 'Iowa',
        value: 'IA',
        active: false
      }, {
        name: 'Kansas',
        value: 'KS',
        active: false
      }, {
        name: 'Kentucky',
        value: 'KY',
        active: false
      }, {
        name: 'Louisiana',
        value: 'LA',
        active: false
      }, {
        name: 'Maine',
        value: 'ME',
        active: false
      }, {
        name: 'Montana',
        value: 'MT',
        active: false
      }, {
        name: 'Nebraska',
        value: 'NE',
        active: false
      }, {
        name: 'Nevada',
        value: 'NV',
        active: false
      }, {
        name: 'New Hampshire',
        value: 'NH',
        active: false
      }, {
        name: 'New Jersey',
        value: 'NJ',
        active: false
      }, {
        name: 'New Mexico',
        value: 'NM',
        active: false
      }, {
        name: 'New York',
        value: 'NY',
        active: false
      }, {
        name: 'North Carolina',
        value: 'NC',
        active: false
      }, {
        name: 'North Dakota',
        value: 'ND',
        active: false
      }, {
        name: 'Ohio',
        value: 'OH',
        active: false
      }, {
        name: 'Oklahoma',
        value: 'OK',
        active: false
      }, {
        name: 'Oregon',
        value: 'OR',
        active: false
      }, {
        name: 'Maryland',
        value: 'MD',
        active: false
      }, {
        name: 'Massachusetts',
        value: 'MA',
        active: false
      }, {
        name: 'Michigan',
        value: 'MI',
        active: false
      }, {
        name: 'Minnesota',
        value: 'MN',
        active: false
      }, {
        name: 'Mississippi',
        value: 'MS',
        active: false
      }, {
        name: 'Missouri',
        value: 'MO',
        active: false
      }, {
        name: 'Pennsylvania',
        value: 'PA',
        active: false
      }, {
        name: 'Rhode Island',
        value: 'RI',
        active: false
      }, {
        name: 'South Carolina',
        value: 'SC',
        active: false
      }, {
        name: 'South Dakota',
        value: 'SD',
        active: false
      }, {
        name: 'Tennessee',
        value: 'TN',
        active: false
      }, {
        name: 'Texas',
        value: 'TX',
        active: false
      }, {
        name: 'Utah',
        value: 'UT',
        active: false
      }, {
        name: 'Vermont',
        value: 'VT',
        active: false
      }, {
        name: 'Virginia',
        value: 'VA',
        active: false
      }, {
        name: 'Washington',
        value: 'WA',
        active: false
      }, {
        name: 'West Virginia',
        value: 'WV',
        active: false
      }, {
        name: 'Wisconsin',
        value: 'WI',
        active: false
      }, {
        name: 'Wyoming',
        value: 'WY',
        active: false
      }];
    }
    /**
     *
     */


    function getData() {
      Utils.httpGet($rootScope.vfApiUrl + '/admin/tax-states').then(function (response) {
        // vm.selectedStates = response.tax_states;
        vm.selectedStates = Object.values(response.tax_states);
        vm.states.forEach(function (element, index) {
          if (vm.selectedStates.includes(element.value)) {
            vm.states[index].active = true;
          }
        }); // buildStateOptions();

        vm.isLoading = false;
      });
    }
    /**
     * @param {string} s Search query
     * @param {Object} e Event
     */


    function search(s, e) {
      e.preventDefault();
      vm.q = s;
    }
    /**
     *
     */


    function selectStates() {
      var callback = {
        confirm: selectStatesCallback
      };
      SelectModal.Show(callback, 'Select States', vm.stateOptions);
    }
    /**
     * @param {any} options State options
     */


    function selectStatesCallback(options) {
      vm.isLoading = true;
      vm.stateOptions = options;
      buildSelectedStateArr();
      var params = {};
      angular.forEach(vm.selectedStates, function (state, index) {
        var paramString = 'state_id[' + index + ']';
        params[paramString] = state;
      });
      Utils.httpPost($rootScope.vfApiUrl + '/admin/tax-states', params).then(function () {
        vm.isLoading = false;
      });
    }
    /**
     *
     */


    function submit() {
      vm.isUpdating = true;
      var selectedStates = vm.states.filter(function (element) {
        return element.active;
      });
      var data = {
        state_id: selectedStates.map(function (element) {
          return element.value;
        })
      };
      Utils.httpPost($rootScope.vfApiUrl + '/admin/tax-states', null, data).then(function () {
        vm.isUpdating = false;
      });
    }
  }
})();

/***/ }),

/***/ 9301:
/***/ (() => {

/**
 * Taxes Component
 *
 * @namespace Components
 */
(function () {
  'use strict';

  TaxController.$inject = ["$rootScope", "$stateParams"];
  angular.module('vendorfuelApp').component('vfTaxes', {
    controller: TaxController,
    templateUrl: "".concat(localized.dir.templates, "/taxes.component.html")
  });
  TaxController.$inject = ['$rootScope', '$stateParams'];
  /**
   * @param {Object} $rootScope AngularJS service
   * @param {Object} $stateParams UI Router service
   */

  function TaxController($rootScope, $stateParams) {
    var vm = this;
    vm.$onInit = $onInit;
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Taxes',
        state: null
      }];
      vm.activeTab = parseInt($stateParams.activeTab) || 0;
    }
  }
})();

/***/ }),

/***/ 4582:
/***/ (() => {

/**
 * Tutorial Component
 *
 * @namespace Components
 */
(function () {
  'use strict';

  TutorialController.$inject = ["$rootScope", "$state", "$window", "Admin", "Localized", "Utils"];
  angular.module('vendorfuelApp').component('vfTutorial', {
    controller: TutorialController,
    templateUrl: "".concat(localized.dir.templates, "/tutorial.component.html")
  });
  TutorialController.$inject = ['$rootScope', '$state', '$window', 'Admin', 'Localized', 'Utils'];
  /**
   * @param {Object} $rootScope AngularJS service
   * @param {Object} $state UI Router service
   * @param {Object} $window AngularJS service
   * @param {Object} Admin VendorFuel service
   * @param {Object} Localized VendorFuel service
   * @param {Object} Utils VendorFuel service
   */

  function TutorialController($rootScope, $state, $window, Admin, Localized, Utils) {
    var vm = this;
    vm.$onInit = $onInit;
    vm.goToState = goToState;
    vm.toggle = toggle;
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Tutorial',
        state: null
      }];
      vm.isAuthed = Admin.Authed(); // @ts-ignore

      vm.isShowingTutorial = $window.localStorage.getItem('showTutorial') === true || $window.localStorage.getItem('showTutorial') === 'true' ? true : false;
      vm.isHidingTutorial = !vm.isShowingTutorial;

      if (!Admin.Authed()) {
        if (Localized.api_key) {
          Utils.setLocation('/login', true);
        } else {
          Utils.setLocation('/subscribe', true);
        }
      }
    }
    /**
     * @param {string} stateName State name
     * @param {number} tabIndex Index
     * @param {Object} event Click event
     */


    function goToState(stateName, tabIndex, event) {
      event.preventDefault();
      $window.scrollTo({
        top: 0,
        left: 0,
        behavior: 'smooth'
      });
      $state.go(stateName, {
        activeTab: tabIndex
      });
    }
    /**
     * @param {string} key Key
     */


    function toggle(key) {
      // @ts-ignore
      var value = $window.localStorage.getItem(key) === true || $window.localStorage.getItem(key) === 'true' ? true : false; // @ts-ignore

      $window.localStorage.setItem(key, !value);
    }
  }
})();

/***/ }),

/***/ 2588:
/***/ (() => {

/**
 * VF Check Auth component
 *
 * @namespace Components
 */
(function () {
  'use strict';

  AuthController.$inject = ["Admin", "Localized", "Utils"];
  angular.module('vendorfuelApp').component('vfCheckAuth', {
    controller: AuthController // Yes, there's no template for this component.

  });
  AuthController.$inject = ['Admin', 'Localized', 'Utils'];
  /**
   * @param {Object} Admin VendorFuel service
   * @param {Object} Localized VendorFuel service
   * @param {Object} Utils VendorFuel service
   */

  function AuthController(Admin, Localized, Utils) {
    var vm = this;
    vm.$onInit = $onInit;
    /**
     * Initialization
     */

    function $onInit() {
      if (!Admin.Authed()) {
        if (Localized.api_key) {
          Utils.setLocation('/login', true);
        } else {
          Utils.setLocation('/subscribe', true);
        }
      }
    }
  }
})();

/***/ }),

/***/ 6111:
/***/ (() => {

(function () {
  'use strict';

  AdminAccountsController.$inject = ["$scope", "$rootScope", "Admin", "AlertModal", "ConfirmModal", "Settings", "Debug", "Utils", "Localized"];
  angular.module('vendorfuelApp').controller('AdminAccountsController', AdminAccountsController);
  AdminAccountsController.$inject = ['$scope', '$rootScope', 'Admin', 'AlertModal', 'ConfirmModal', 'Settings', 'Debug', 'Utils', 'Localized'];
  /**
   * @param {Object} $scope Angular service
   * @param {Object} $rootScope Angular service
   * @param {Object} Admin VendorFuel service
   * @param {Object} AlertModal VendorFuel service
   * @param {Object} ConfirmModal VendorFuel service
   * @param {Object} Settings VendorFuel service
   * @param {Object} Debug VendorFuel service
   * @param {Object} Utils VendorFuel service
   * @param {Object} Localized VendorFuel service
   */

  function AdminAccountsController($scope, $rootScope, Admin, AlertModal, ConfirmModal, Settings, Debug, Utils, Localized) {
    var vm = this;
    vm.$onInit = $onInit; // Initialize controller

    vm.$onInit();
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Admin Accounts',
        state: 'admin'
      }];
      $scope.activeTab = 0;
      $scope.adminAccountsEndpoint = Localized.apiURL + '/admin/user/';
      $scope.editName = false;
      $scope.isAuthed = Admin.Authed();
      $scope.loading = false;
      $scope.loadingMore = false;
      $scope.newAdmin = {};
      $scope.newAdmin.roles = {};
      $scope.rppValues = [15, 30, 50, 100];
      $scope.saved = false;
      $scope.saving = false;
      $scope.searchParams = {
        rpp: $scope.rppValues[0],
        page: 1
      };
      $scope.searchTerm = '';
      $scope.selectedAccount = null;
      $scope.showPassword = false;
      $scope.showPasswordConf = false;

      if ($scope.activeTab === null) {
        $scope.activeTab = 0;
      }
    } //FUNCTIONS


    $scope.LoginCallback = function () {
      $scope.loading = true; //logged in, do something. i.e. make api calls to load current tab's data
    };
    /**
     * Handles tab initialization
     *
     * @param {number} i Index
     */


    $scope.TabChanged = function (i) {
      $scope.activeTab = i;
      Settings.errors = {};
      $scope.loading = true;
      $scope.saving = false;
      $scope.saved = false;
      $scope.cancelled = false;
      var req = {
        method: 'GET',
        url: $scope.adminAccountsEndpoint
      };

      switch (i) {
        case 0:
          //First tab selected
          req.params = $scope.searchParams;
          Utils.getHttpPromise(req).then(function (resp) {
            $scope.adminAccounts = resp.admin_users;
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
          break;

        case 1:
          $scope.loading = false;
          break;

        case 2:
          $scope.loading = false;
          break;
      }
    };
    /**
     * Changes a tab
     *
     * @param {number} tabIndex - The index of the tab to change to
     * @param {number} accountIndex - The index of the selected admin account to load
     */


    $scope.ChangeTab = function (tabIndex, accountIndex) {
      $scope.activeTab = tabIndex;
      $scope.selectedAccount = $scope.adminAccounts.data[accountIndex];

      if (!$scope.selectedAccount.deleted_at) {
        $scope.selectedAccount.active = true;
      } else {
        $scope.selectedAccount.active = false;
      }

      if ($scope.selectedAccount.receive_quotes === 1) {
        $scope.selectedAccount.receive_quotes = true;
      }

      var roles = $scope.selectedAccount.roles;
      $scope.selectedAccount.roles = [];
      angular.forEach(roles, function (role) {
        $scope.selectedAccount.roles[role.slug] = true;
      });
    };
    /**
     * Add new admin user
     */


    $scope.AddUser = function () {
      $scope.saving = true;
      var params = {
        name: $scope.newAdmin.name,
        email: $scope.newAdmin.email,
        password: $scope.newAdmin.password,
        password_confirmation: $scope.newAdmin.confPassword,
        receive_quotes: $scope.newAdmin.receive_quotes
      };

      if ($scope.newAdmin.active === true) {
        params.active = 1;
      } else {
        params.active = 0;
      }

      params.roles = [];
      Object.keys($scope.newAdmin.roles).forEach(function (slug) {
        if ($scope.newAdmin.roles[slug]) {
          params.roles.push(slug);
        }
      });
      var req = {
        method: 'POST',
        url: $scope.adminAccountsEndpoint,
        data: params
      };
      Utils.getHttpPromise(req).then(function (resp) {
        Debug.log(resp);
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
        $scope.saving = false;
        $scope.ChangeTab(0);
      });
    };
    /**
     * Updates Admin User
     */


    $scope.UpdateUser = function () {
      $scope.saving = true;
      var params = {};

      if ($scope.selectedAccount.active === true) {
        params.active = 1;
      } else {
        params.active = 0;
      }

      params.password = $scope.selectedAccount.new_password;
      params.password_confirmation = $scope.selectedAccount.passwordCheck;
      params.email = $scope.selectedAccount.email;
      params.name = $scope.selectedAccount.name;
      params.user_id = $scope.selectedAccount.id;
      params.receive_quotes = $scope.selectedAccount.receive_quotes;
      params.roles = [];
      Object.keys($scope.selectedAccount.roles).forEach(function (slug) {
        if ($scope.selectedAccount.roles[slug]) {
          params.roles.push(slug);
        }
      });
      var req = {
        method: 'PUT',
        url: $scope.adminAccountsEndpoint + $scope.selectedAccount.id,
        data: params
      };
      Utils.getHttpPromise(req).then(function () {}, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
        $scope.saving = false;
      });
    };
    /**
     * Search for admin accounts
     *
     * @param {number} page - Determines pagination of search results
     * @param {string} query Query string
     */


    $scope.SearchAccounts = function (page, query) {
      $scope.loadingMore = true;
      $scope.searchParams.q = query;
      $scope.searchTerm = $scope.searchParams.q;
      $scope.searchParams.page = page || 1;
      var req = {
        method: 'GET',
        url: $scope.adminAccountsEndpoint,
        params: $scope.searchParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.adminAccounts = resp.admin_users;
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loadingMore = false;
      });
    };
    /**
     * Genereate a REST Api token for selected Admin
     */


    $scope.GenerateRESTAccess = function () {
      var req = {
        method: 'GET',
        url: $scope.adminAccountsEndpoint + 'rest/generate/' + $scope.selectedAccount.id
      };
      var callback = {
        confirm: function confirm() {}
      };
      Utils.getHttpPromise(req).then(function (resp) {
        if (!resp.errors.length) {
          AlertModal.Show(callback, resp.notifications[0], resp.rest_api_key, 'Close');
          $scope.selectedAccount.rest_api_user = resp.rest_api_user;
        }
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {});
    };
    /**
     * Revoke the REST Api token for selected Admin
     */


    $scope.RevokeRESTAccess = function () {
      ConfirmModal.Show({
        confirm: function confirm() {
          var req = {
            method: 'GET',
            url: $scope.adminAccountsEndpoint + 'rest/revoke/' + $scope.selectedAccount.id
          };
          Utils.getHttpPromise(req).then(function (resp) {
            if (!resp.errors.length) {
              $scope.selectedAccount.rest_api_user = null;
            }
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {});
        },
        cancel: function cancel() {}
      }, 'Revoke REST API Key/User?', 'This will immediately revoke the current REST API Key/User in use.', 'No', 'Yes');
    };
    /**
     * Toggles showing password characters
     *
     * @param {number} type - The type of password box to toggle
     */


    $scope.ToggleShowPassword = function (type) {
      if (type === 'password') {
        $scope.showPassword = !$scope.showPassword;
      }

      if (type === 'conf') {
        $scope.showPasswordConf = !$scope.showPasswordConf;
      }
    };
  }
})();

/***/ }),

/***/ 5779:
/***/ (() => {

(function () {
  'use strict';

  AnguleditController.$inject = ["$scope", "$rootScope", "$state", "Admin", "Localized", "Debug", "Utils", "$sce", "Settings", "ConfirmModal", "EditModal"];
  angular.module('vendorfuelApp').controller('AnguleditController', AnguleditController);
  AnguleditController.$inject = ['$scope', '$rootScope', '$state', 'Admin', 'Localized', 'Debug', 'Utils', '$sce', 'Settings', 'ConfirmModal', 'EditModal'];
  /**
   * @param {Object} $scope Angular service
   * @param {Object} $rootScope Angular service
   * @param {Object} $state UI Router service
   * @param {Object} Admin VendorFuel service
   * @param {Object} Localized VendorFuel service
   * @param {Object} Debug VendorFuel service
   * @param {Object} Utils VendorFuel service
   * @param {Object} $sce Angular service
   * @param {Object} Settings VendorFuel service
   * @param {Object} ConfirmModal VendorFuel service
   * @param {Object} EditModal VendorFuel service
   */

  function AnguleditController($scope, $rootScope, $state, Admin, Localized, Debug, Utils, $sce, Settings, ConfirmModal, EditModal) {
    var vm = this;
    vm.$onInit = $onInit; // Initialize controller

    vm.$onInit();
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Template Editor',
        state: 'anguledit'
      }];
      $scope.activeTab = 0;
      $scope.alerts = [];
      $scope.anguledit = {
        previewPopup: true,
        components: [{
          name: 'Template',
          value: 0
        }, {
          name: 'Template Map',
          value: 1
        }, {
          name: 'Run',
          value: 2
        }, {
          name: 'Service',
          value: 3
        }, {
          name: 'Factory',
          value: 4
        }, {
          name: 'Directive',
          value: 5
        }, {
          name: 'Filter',
          value: 6
        }],
        selectedComponent: null
      };
      $scope.editKey = false;
      $scope.firstWarning = true;
      $scope.isAuthed = Admin.Authed();
      $scope.loading = true;
      $scope.newKey = '';
      $scope.pages = {};
      $scope.saving = false;
      $scope.template = null;
      $scope.template_map = {};
      $scope.templateEndpoint = Localized.wpRestUrl + '/templates/';
      $scope.templates = []; //Initialize view

      Settings.anguledit.Get().then(function () {
        if (Admin.Authed()) {
          $scope.template_map = Settings.anguledit.saved.template_map;
          $scope.Load();
        } else {
          $scope.loading = false;
        }
      });
      $scope.GetPages();
    }

    $scope.LoginCallback = function () {
      $scope.loading = true;
      $scope.Load();
    };

    $scope.AddAlert = function (type, msg) {
      var tempAlert = {
        type: type,
        msg: $sce.trustAsHtml(msg)
      };
      $scope.alerts.push(tempAlert);
    };

    $scope.CloseAlert = function (index) {
      $scope.alerts.splice(index, 1);
    };

    $scope.ChangeEdit = function (index) {
      var count = 0;
      $scope.keyMessage = '';

      for (var i = 0; i < $scope.templates.length; i++) {
        if ($scope.templates[i].editKey === true && $scope.templates[index].editKey === false) {
          count++;
          $scope.keyMessage = 'You are currently editing another key. You are only able to edit one key at a time.';
        } else if ($scope.templates[i].editKey === true && $scope.templates[index].editKey === true) {
          count = 0;
        }
      }

      if (count <= 0) {
        if ($scope.templates[index].isDuplicate === true) {
          $scope.templates[index].editKey = false;
        }

        $scope.templates[index].editKey = !$scope.templates[index].editKey;
      }
    };

    $scope.returnToDashboard = function () {
      $state.go('dashboard');
    };

    $scope.warningAnguledit = function () {
      if ($scope.firstWarning) {
        var callback = {
          confirm: $scope.firstWarning = false,
          cancel: $scope.returnToDashboard
        };
        ConfirmModal.Show(callback, 'Heads Up!', 'It looks like you\'re getting ready to make changes to the active templates. <br>We strongly recommend you do not make changes to these templates unless you are familiar/proficient with <b>AngularJS 1.7.5</b>. Making changes to the active templates can potentially <b style="color:#FF0000;">break</b> your site. Please make sure to have a backup of each template on hand before saving any changes/modifications.', 'Dashboard', 'I Understand', 'static', 1);
      }
    };

    $scope.GetPages = function () {
      var req = {
        method: 'GET',
        url: Localized.wpRestUrl + '/vendorfuel/pages'
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.pages = resp[1];
        angular.forEach(resp[0], function (val, key) {
          $scope.templates.push({
            key: Utils.cleanKey(key),
            id: val.id,
            template: val.template,
            title: val.title,
            url: val.url,
            editKey: false
          });
        });
      }, function (errResp) {
        Debug.error('error', errResp);
      })["finally"](function () {});
    };

    $scope.ContentEditorLoaded = function (e) {
      $scope.contentEditor = e;
      editorConfig(e);
    };

    $scope.ContentEditorChanged = function (e) {
      if ($scope.template.content.length === 0 && e[0].action === 'insert') {
        $scope.template.content = e[0].lines.join('\r\n');
      }
    };

    $scope.Load = function () {
      $scope.loading = true;
      loadTemplates(false).then(function () {
        $scope.loading = false;
      });
    };

    $scope.SaveTemplate = function (template) {
      $scope.saving = true;
      var params = {};
      var data = {
        name: template.name,
        content: template.content
      };
      Utils.httpPost($scope.templateEndpoint, params, data).then(function () {})["finally"](function () {
        $scope.saving = false;
      });
    };

    $scope.DeleteTemplate = function (template) {
      $scope.saving = true;
      var req = {
        method: 'DELETE',
        url: $scope.templateEndpoint,
        data: {
          name: template.name
        }
      };
      Utils.getHttpPromise(req).then(function () {}, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.saving = false;
      });
    };

    $scope.AddTemplate = function () {
      $scope.templates.selected = null;
      var tempTemplate = {
        base_id: null,
        content: $scope.templates.selected || '<!-- Template Content -->',
        created_at: timestamp(),
        id: null,
        js: '',
        name: $scope.templates.newName,
        updated_at: timestamp()
      };
      var params = {};
      var data = {
        name: tempTemplate.name,
        content: tempTemplate.content
      };
      Utils.httpPost(Localized.apiURL + '/templates', params, data).then(function (response) {
        tempTemplate.id = response.template.id;
        $scope.templates.list.push(tempTemplate);
        $scope.templates.newName = '';
        $scope.CacheSaveTemplate(tempTemplate);
        $scope.templates.selected = tempTemplate;
        $scope.templates.editingEnabled = true;

        if (response.minJS) {
          $scope.SaveMinifiedJS(response.minJS);
        }
      });
    };

    $scope.RestoreEditCallback = function () {
      var params = {
        template_name: $scope.templates.selected.name,
        timestamp: $scope.templates.selected.edits[$scope.tempRestoreIndex]
      };
      var data = {};
      Utils.httpGet(Localized.wpRestUrl + '/history', params, data).then(function (resp) {
        $scope.templates.selected.content = resp.template.content;
        $scope.templates.selected.js = resp.template.js;
      });
    };

    $scope.RestoreEditConfirm = function () {
      $scope.tempRestoreIndex = $scope.templates.selected.edits.indexOf($scope.templates.selected.editRestoreIndex);
      var callback = {
        confirm: $scope.RestoreEditCallback
      };
      ConfirmModal.Show(callback, 'Restore Edit', 'Are you sure you would like to restore the edit saved at ' + $scope.templates.selected.edits[$scope.tempRestoreIndex].date + '? <br/><br/><strong>NOTE: Any unsaved changes will be <span class=\'text-danger\'>lost</span>!</strong>', 'Cancel', 'Confirm', true, 1);
    };

    $scope.ModalEditedCallback = function (params, value) {
      Debug.log('Modal Edit Callback', Settings.anguledit.saved.template_map[params.index], value);
    };

    $scope.EditTemplateMapping = function (url, i) {
      var valueObject = {
        type: 0,
        placeholder: 'Template URL',
        value: url
      };
      var callback = {
        confirm: $scope.ModalEditedCallback,
        params: {
          index: i
        }
      };
      EditModal.Show(callback, valueObject, 'Edit Template Mapping', '', 'Cancel', 'Save', true, 1);
    };
    /**
     * @param {Object} params Parameters
     * @return {Object} Promise
     */


    function loadTemplates(params) {
      params = params || {};
      var promise = Utils.httpGet($scope.templateEndpoint, params).then(function (response) {
        if (response) {
          return response.templates;
        }
      });
      return promise;
    }
    /**
     * @return {string} Time stamp
     */


    function timestamp() {
      var tempDate = new Date(),
          tempDay = addLeadingZero(tempDate.getDate()),
          tempMonth = addLeadingZero(tempDate.getMonth() + 1),
          tempYear = tempDate.getFullYear(),
          tempHours = tempDate.getHours();
      var tempMinutes = tempDate.getMinutes();
      var tempSeconds = tempDate.getSeconds();
      return [tempYear, tempMonth, tempDay].join('-') + ' ' + [tempHours, tempMinutes, tempSeconds].join(':');
    }
    /**
     * @param {number} item Item
     * @return {string} Item with leading zero
     */


    function addLeadingZero(item) {
      var temp = '0' + item;
      return temp.slice(-2);
    }
    /**
     * @param {Object} e Event?
     */


    function editorConfig(e) {
      e.commands.addCommand({
        name: 'save',
        bindKey: {
          win: 'Ctrl-S',
          mac: 'Cmd-S'
        },
        exec: function exec() {
          $scope.SaveTemplate();
        }
      });
    }
  }
})();

/***/ }),

/***/ 154:
/***/ (() => {

(function () {
  'use strict';

  BillingResetPasswordController.$inject = ["$scope", "Admin", "Localized", "Utils", "$location", "$stateParams", "Debug"];
  angular.module('vendorfuelApp').controller('BillingResetPasswordController', BillingResetPasswordController);
  BillingResetPasswordController.$inject = ['$scope', 'Admin', 'Localized', 'Utils', '$location', '$stateParams', 'Debug'];
  /**
   * @param {Object} $scope Angular service
   * @param {Object} Admin VendorFuel service
   * @param {Object} Localized VendorFuel service
   * @param {Object} Utils VendorFuel service
   * @param {Object} $location Angular service
   * @param {Object} $stateParams UI Router service
   * @param {Object} Debug VendorFuel service
   */

  function BillingResetPasswordController($scope, Admin, Localized, Utils, $location, $stateParams, Debug) {
    var vm = this;
    vm.$onInit = $onInit; // Initialize controller

    vm.$onInit();
    /**
     * Initialization
     */

    function $onInit() {
      Admin.login_errors = {};
      Utils.redirecting = false;
      $scope.isAuthed = Admin.Authed();
      $scope.password = '';
      $scope.password_confirmation = '';
      $scope.requesting = false;
      $scope.resetEmail = null;
      $scope.showPassword = false;
      $scope.showPasswordConfirmation = false;

      if ($stateParams.code && $stateParams.auth) {
        $scope.reseting = true;
      }
    }

    $scope.trimExtraSp = function (str) {
      return str.replace(/\s+/g, '');
    };

    $scope.ToggleShowPassword = function () {
      $scope.showPassword = !$scope.showPassword;
    };

    $scope.ToggleShowPasswordConfirmation = function () {
      $scope.showPasswordConfirmation = !$scope.showPasswordConfirmation;
    };

    $scope.requestReset = function () {
      Admin.login_errors = {};
      $scope.requesting = true;
      var req = {
        method: 'POST',
        url: Localized.apiURL + '/tenant/password/request',
        data: {
          email: $scope.resetEmail,
          url: $location.absUrl()
        }
      };
      Utils.getHttpPromise(req).then(function () {
        $scope.requested = true;
        $scope.requesting = false;
      }, function () {})["finally"](function () {
        $scope.loading = false;
      });
    };

    $scope.submitReset = function () {
      Admin.login_errors = {};
      $scope.submitting = true;
      var req = {
        method: 'POST',
        url: Localized.apiURL + '/tenant/password/reset',
        data: {
          code: $stateParams.code,
          auth: $stateParams.auth,
          password: $scope.password,
          password_confirmation: $scope.password_confirmation
        }
      };
      Utils.getHttpPromise(req).then(function (resp) {
        Admin.SetTokens(resp.name, resp.tokena, resp.tokenb, false, resp.token);
        Utils.setLocation('/dashboard');
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.submitting = false;
      });
    };
  }
})();

/***/ }),

/***/ 8464:
/***/ (() => {

(function () {
  'use strict';

  BillingController.$inject = ["$scope", "$rootScope", "$state", "$stateParams", "Admin", "Tenant", "ConfirmModal", "Settings", "Debug", "Utils", "Localized"];
  angular.module('vendorfuelApp').controller('BillingController', BillingController);
  BillingController.$inject = ['$scope', '$rootScope', '$state', '$stateParams', 'Admin', 'Tenant', 'ConfirmModal', 'Settings', 'Debug', 'Utils', 'Localized'];
  /**
   * @param {Object} $scope Angular service
   * @param {Object} $rootScope Angular service
   * @param {Object} $state UI Router service
   * @param {Object} $stateParams UI Router service
   * @param {Object} Admin VendorFuel service
   * @param {Object} Tenant VendorFuel service
   * @param {Object} ConfirmModal VendorFuel service
   * @param {Object} Settings VendorFuel service
   * @param {Object} Debug VendorFuel service
   * @param {Object} Utils VendorFuel service
   * @param {Object} Localized VendorFuel service
   */

  function BillingController($scope, $rootScope, $state, $stateParams, Admin, Tenant, ConfirmModal, Settings, Debug, Utils, Localized) {
    var vm = this;
    vm.$onInit = $onInit; // Initialize controller

    vm.$onInit();
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'VendorFuel Subscription',
        state: 'billing'
      }];
      $scope.activeTab = parseInt($stateParams.activeTab);
      $scope.isAuthed = Admin.Authed();
      $scope.loading = true;
      $scope.loadedWallet = false;
      $scope.loadingWallet = false;
      $scope.localized = Localized;
      $scope.saved = false;
      $scope.saving = false;
      $scope.settings = Settings;
      $scope.tenant = Tenant;
      $scope.walletUrl = null;
      $scope.utils = Utils;

      if ($stateParams.id) {
        updateBilling($stateParams.id);
      }

      loadBillingSettings();
      window.addEventListener('message', function (event) {
        if (event.origin === 'https://api.vendorfuel.com' || event.origin === 'https://dev.vendorfuel.com') {
          var timer = setInterval(function () {
            clearInterval(timer);
            $scope.walletUrl = null;
            loadBillingSettings();
          }, 3000);
        }
      }, false);
    }
    /**
     * @param {number} id Billing ID
     */


    function updateBilling(id) {
      Settings.billing.saved.cardId = id;
      delete Settings.billing.saved.card;
      var req = {
        method: 'POST',
        url: Localized.apiURL + '/tenant/billing/update',
        data: Settings.billing.saved
      };
      Utils.getHttpPromise(req).then(function (resp) {
        Debug.log(resp);
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    }

    $scope.retrieveWalletUrl = function () {
      if (!$scope.loadingWallet && !$scope.loadedWallet) {
        $scope.loadingWallet = true;
        $scope.loadedWallet = false;
        var req = {
          method: 'GET',
          url: Localized.apiURL + '/tenant/billing/wallet/url',
          params: {
            return_url: Localized.apiURL + '/tenant/PayFabricReturn/'
          }
        };
        Utils.getHttpPromise(req).then(function (resp) {
          $scope.walletUrl = resp.url;
          $scope.loadedWallet = true;
        }, function (errResp) {
          Debug.error(errResp);
        })["finally"](function () {
          $scope.loadingWallet = false;
        });
      }
    }; //FUNCTIONS


    $scope.LoginCallback = function () {
      $scope.loading = true;
      loadBillingSettings();
    };

    $scope.TransitionState = function () {
      $state.go('settings', {
        activeTab: $scope.activeTab
      });
    };

    $scope.SubmitUpdate = function (i, form) {
      $scope.UpdateBillingSettings(form);
    };
    /**
     * @param {any} tab Tab
     * @return {Object} Promise
     */


    function getSettings(tab) {
      var promise = tab.Get().then(function successCallback() {
        $scope.loading = false;
      }, function errorCallback() {
        $scope.loading = false;
      });
      return promise;
    }
    /**
     * @param {any} tab Tab
     * @param {Object} form Form data
     * @return {Object} Promise
     */


    function updateSettings(tab, form) {
      Settings.errors = {};
      $scope.saving = true;
      $scope.saved = false;
      $scope.cancelled = false;
      var promise = tab.Set().then(function successCallback() {
        $scope.saving = false;
        $scope.saved = Object.keys(Settings.errors).length === 0;
        form.$setPristine();
        form.$setUntouched();
      }, function errorCallback() {
        $scope.saving = false;
      });
      return promise;
    }

    $scope.LoadGatewaysSettings = function () {
      $scope.loading = true;

      if (Admin.Authed()) {
        getSettings(Settings.gateways);
      } else {
        $scope.loading = false;
      }
    };
    /**
     * @param {any} r ?
     */


    function loadBillingSettings(r) {
      if (!r) {
        r = false;
      }

      $scope.loading = true;

      if ($scope.tenant.Authed()) {
        getSettings(Settings.billing);
      } else {
        $scope.loading = false;
      }
    }

    $scope.UpdateGeneralSettings = function (form) {
      if (Settings.general.saved.api_url === '' || Settings.general.saved.api_key === '') {
        Admin.Logout();
      }

      updateSettings(Settings.general, form);
    };

    $scope.UpdateConversionsSettings = function (form) {
      updateSettings(Settings.conversions, form);
    };

    $scope.UpdateImageSettings = function (form) {
      updateSettings(Settings.image, form);
    };

    $scope.UpdateGatewaysSettings = function (form) {
      updateSettings(Settings.gateways, form);
    };

    $scope.UpdateBillingSettings = function (form) {
      updateSettings(Settings.billing, form).then(function () {
        getSettings(Settings.billing);
      });
    };

    $scope.CancelSubscription = function () {
      $scope.saving = true;
      $scope.saved = false;
      $scope.cancelled = false;
      Settings.billing.cancelling = true;
      Settings.billing.Cancel().then(function () {
        getSettings(Settings.billing).then(function () {
          $scope.saving = false;

          if (Settings.billing.saved.status !== 'active') {
            $scope.cancelled = true;
            Settings.billing.cancelling = false;
          }
        });
      });
    };

    $scope.SubscriptionNotcancelled = function () {
      Debug.log('CANCELLATION NOT CONFIRMED!');
    };

    $scope.ConfirmCancelSubscription = function () {
      var callback = {
        confirm: $scope.DoubleCancellation,
        cancel: $scope.SubscriptionNotcancelled
      };
      ConfirmModal.Show(callback, 'Are you sure you want to cancel your subscription?', 'If there is anything we can do to change your mind please let us know.', 'No', 'Yes');
    };

    $scope.DoubleCancellation = function () {
      var callback = {
        confirm: $scope.CancelSubscription,
        cancel: $scope.SubscriptionNotcancelled
      };
      ConfirmModal.Show(callback, 'Are you absolutely sure?', 'We will be sorry to see you go...', 'No', 'Yes');
    };
  }
})();

/***/ }),

/***/ 261:
/***/ (() => {

(function () {
  'use strict';

  CatalogPricesheetsController.$inject = ["$rootScope", "$scope", "$timeout", "$window", "$state", "$stateParams", "Admin", "Debug", "Localized", "PriceSheets", "SearchModal", "Settings", "Utils", "ViewModal"];
  angular.module('vendorfuelApp').controller('CatalogPricesheetsController', CatalogPricesheetsController);
  CatalogPricesheetsController.$inject = ['$rootScope', '$scope', '$timeout', '$window', '$state', '$stateParams', 'Admin', 'Debug', 'Localized', 'PriceSheets', 'SearchModal', 'Settings', 'Utils', 'ViewModal'];
  /**
   * @param {Object} $rootScope Angular service
   * @param {Object} $scope Angular service
   * @param {Object} $timeout Angular service
   * @param {Object} $window Angular service
   * @param {Object} $state UI Router service
   * @param {Object} $stateParams UI Router service
   * @param {Object} Admin VendorFuel service
   * @param {Object} Debug VendorFuel service
   * @param {Object} Localized VendorFuel service
   * @param {Object} PriceSheets VendorFuel service
   * @param {Object} SearchModal VendorFuel service
   * @param {Object} Settings VendorFuel service
   * @param {Object} Utils VendorFuel service
   * @param {Object} ViewModal VendorFuel service
   */

  function CatalogPricesheetsController($rootScope, $scope, $timeout, $window, $state, $stateParams, Admin, Debug, Localized, PriceSheets, SearchModal, Settings, Utils, ViewModal) {
    var vm = this;
    vm.changeTab = changeTab;
    vm.changeSortBy = changeSortBy;
    vm.deletePricesheet = deletePricesheet;
    vm.$onInit = $onInit; // Initialize controller

    vm.$onInit();
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Catalog',
        state: 'catalog'
      }, {
        name: 'Price Sheets',
        state: 'catalog-pricesheets'
      }];
      $scope.activeTab = parseInt($stateParams.activeTab);
      $scope.addParams = {
        products: []
      };
      $scope.batchEndpoint = Localized.apiURL + '/admin/price-sheet/batch/';
      $scope.batchListOptions = {
        any: 'All',
        pending: 'Pending',
        confirmed: 'Confirmed',
        processing: 'Processing',
        processed: 'Processed'
      };
      $scope.editIndex = -1;
      $scope.editName = false;
      $scope.isAuthed = Admin.Authed();
      $scope.loading = true;
      $scope.loadingMore = false;
      $scope.myFile = {};
      $scope.object = Object;
      $scope.pricesheetEndpoint = Localized.apiURL + '/admin/pricesheets/';
      $scope.productEndpoint = Localized.apiURL + '/admin/products/';
      $scope.productsLoading = false;
      $scope.saved = false;
      $scope.saving = false;
      $scope.selectedPricesheet = null;
      $scope.searchTerm = '';
      $scope.showChanges = false;
      $scope.updatedPricesheetItems = [];
      $scope.uploading = false;
      $scope.rppValues = [15, 30, 50, 100];
      vm.searchOptions = {
        price_sheet_id: 'ID',
        sheet: 'Price Sheet',
        site_id: 'Site ID',
        gp_price_sheet: 'GP Price Sheet'
      };
      $scope.searchParams = {
        rpp: $scope.rppValues[0] // Must be defined after rppValues is declared.

      };
      $scope.sortBatchParams = {
        sort_by: 'batch_id',
        sort_type: '',
        status: 'any'
      };
      vm.allPrShSearchParams = {
        q: '',
        searchBy: '',
        sortBy: '',
        sortType: '',
        rpp: $scope.rppValues[0] // Must be defined after rppValues is declared.

      };
      vm.sortAscending = true; //If the view tab is selected, redirect to the search page since selected product is null

      if ($scope.activeTab === 2 || $scope.activeTab === 5) {
        $scope.activeTab = 0;
        $scope.TransitionState();
      }
    } //FUNCTIONS


    $scope.LoginCallback = function () {
      $scope.loading = true; //logged in, do something. i.e. make api calls to load current tab's data
    };

    $scope.SearchResults = function (resp) {
      //callback that is used by the search modal
      if ($scope.activeTab === 1) {
        if ($scope.addParams.products) {
          resp.forEach(function (product) {
            $scope.addParams.products.push(product); // eslint-disable-next-line no-shadow

            var currentIds = $scope.addParams.products.map(function (product) {
              return product.value.product_id;
            });

            if (currentIds.includes(product.value.product_id)) {
              $scope.addParams.products[$scope.addParams.products.length - 1].price = product.value.price;
            }
          });
        } else {
          $scope.addParams.products = [];
        }
      } else if ($scope.activeTab === 2) {
        var currentIds = $scope.updatedPricesheetItems.map(function (item) {
          return item.value.product_id;
        });
        $scope.updatedPricesheetItems = [];
        resp.forEach(function (item) {
          var included = currentIds.includes(item.value.product_id);

          if (item.action === 'add') {
            $scope.updatedPricesheetItems.push({
              action: 'add',
              value: {
                product_id: item.value.product_id,
                sku: item.value.sku,
                price: included ? item.value.price : 0.00,
                product: included ? item.value.product : item.value
              }
            });
          } else if (item.action === 'remove') {
            $scope.updatedPricesheetItems.push(item);
          }
        });
      } else if ($scope.activeTab === 3) {
        $scope.uploadPricesheetId = resp[0].value.price_sheet_id;
        $scope.uploadPricesheetName = resp[0].value.sheet;
      }
    };

    $scope.AddPricesheet = function (id) {
      // If id is null, we are adding new price sheet
      $scope.loading = true;
      var updateParams = {
        products: []
      };
      var isMissingNameOrProducts = false;
      var req = {}; // Update price sheet

      if (id) {
        updateParams.sheet = $scope.selectedPricesheet.sheet;
        updateParams.default_price_sheet = $scope.selectedPricesheet.default_price_sheet;
        updateParams.site_id = $scope.selectedPricesheet.site_id;
        updateParams.gp_price_sheet = $scope.selectedPricesheet.gp_price_sheet;

        for (var i = 0; i < $scope.updatedPricesheetItems.length; i++) {
          if ($scope.updatedPricesheetItems[i].value.price.includes('$')) {
            $scope.updatedPricesheetItems[i].value.price = $scope.updatedPricesheetItems[i].value.price.slice(1, $scope.updatedPricesheetItems[i].value.price.length);
          }

          updateParams.products.push({
            product_id: $scope.updatedPricesheetItems[i].value.product_id,
            sku: $scope.updatedPricesheetItems[i].value.sku,
            price: $scope.updatedPricesheetItems[i].action === 'remove' ? 0.00 : $scope.updatedPricesheetItems[i].value.price // 'gsa', 'ability_one', 'core_list'

          });
        }

        req = {
          method: 'PUT',
          url: $scope.pricesheetEndpoint + id,
          data: updateParams
        }; // Add new price sheet
      } else if ($scope.addParams.name && $scope.addParams.products) {
        updateParams.sheet = $scope.addParams.name;
        updateParams.default_price_sheet = $scope.addParams.default_price_sheet || false;
        updateParams.site_id = $scope.addParams.site_id;
        updateParams.gp_price_sheet = $scope.addParams.gp_price_sheet;

        for (var j = 0; j < $scope.addParams.products.length; j++) {
          if ($scope.addParams.products[j].value.price) {
            if ($scope.addParams.products[j].value.price.includes('$')) {
              $scope.addParams.products[j].value.price = $scope.addParams.products[j].value.price.slice(0, $scope.addParams.products[j].value.price.length);
            }

            updateParams.products.push({
              product_id: $scope.addParams.products[j].value.product_id,
              sku: $scope.addParams.products[j].value.sku,
              price: $scope.addParams.products[j].value.price // 'gsa', 'ability_one', 'core_list'

            });
          }
        }

        req = {
          method: 'POST',
          url: $scope.pricesheetEndpoint,
          data: updateParams
        };
      } else {
        isMissingNameOrProducts = true;
      }

      if (!isMissingNameOrProducts) {
        Utils.getHttpPromise(req).then(function (resp) {
          if (!resp.errors.length) {
            if (!id) {
              $scope.selectedPricesheet = {
                price_sheet_id: resp.price_sheet_id,
                sheet: req.data.sheet
              };
              $scope.addParams = {};
              $scope.activeTab = 2;
            } else {
              $scope.TabChanged(2);
              $scope.updatedPricesheetItems = [];
              $scope.showChanges = false;
            }
          }
        }, function (errResp) {
          Debug.error(errResp);
        })["finally"](function () {
          $scope.loading = false;
        });
      } else {
        $scope.loading = false;
      }

      $scope.editName = false;
    };

    $scope.ChangeBatchTab = function (tabIndex, batchIndex) {
      $scope.activeTab = tabIndex;
      $scope.selectedBatch = $scope.batches[batchIndex];
    };

    $scope.ChangeEdit = function () {
      $scope.editName = !$scope.editName;
    };
    /**
     * @param {number} tabIndex Tab index
     * @param {number} pricesheetIndex Price sheet index
     */


    function changeTab(tabIndex, pricesheetIndex) {
      vm.isConfirmingDeletion = false;
      $scope.activeTab = tabIndex;
      $scope.selectedPricesheet = $scope.pricesheets.data[pricesheetIndex];
    }

    $scope.ConfirmBatch = function () {
      $scope.loading = true;
      var req = {
        method: 'POST',
        url: $scope.batchEndpoint + 'confirm',
        data: {
          batch_id: $scope.selectedBatch.batch_id
        }
      };
      Utils.getHttpPromise(req).then(function () {
        $scope.selectedBatch = null;
        $scope.activeTab = 4;
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };
    /**
     * @param {number} id Price sheet ID
     */


    function deletePricesheet(id) {
      vm.isDeleting = true;
      PriceSheets.deletePriceSheet(id).then(function () {
        vm.isDeleting = false;
        vm.isConfirmingDeletion = false;
        $scope.activeTab = 0;
        $scope.selectedPricesheet = null;
      });
    }

    $scope.editParams = function (pricesheetItem) {
      for (var i = 0; i < $scope.updatedPricesheetItems.length; i++) {
        if ($scope.updatedPricesheetItems[i].value.product_id === pricesheetItem.product_id) {
          if ($scope.updatedPricesheetItems[i].action === 'remove') {
            return;
          }

          $scope.updatedPricesheetItems[i].value.price = pricesheetItem.price;
          return;
        }
      }

      $scope.updatedPricesheetItems.push({
        action: 'edited',
        value: pricesheetItem
      });
    };

    $scope.EditPrice = function (index) {
      $scope.editIndex = index;
    };

    $scope.RemoveUploadFile = function () {
      $scope.pricesheetUpload = null;
      Localized.setNotification({
        type: 'danger',
        message: 'File Successfully Removed'
      });
    };

    $scope.SearchCancelled = function () {//callback that is used by the search modal
    };

    $scope.SearchPricesheet = function (page) {
      $scope.productsLoading = true;
      $scope.searchParams.page = page || 1;
      var req = {
        method: 'GET',
        url: $scope.pricesheetEndpoint + $scope.selectedPricesheet.price_sheet_id,
        params: $scope.searchParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.selectedPricesheet = resp.pricesheet;
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.productsLoading = false;
      });
    };

    $scope.SearchPricesheets = function (page, query, searchBy) {
      $scope.loadingMore = true;
      vm.allPrShSearchParams.q = query;
      vm.allPrShSearchParams.searchBy = searchBy;
      $scope.searchTerm = vm.allPrShSearchParams.q;
      $scope.searchedBy = vm.allPrShSearchParams.searchBy;
      vm.allPrShSearchParams.page = page || 1;
      var req = {
        method: 'GET',
        url: $scope.pricesheetEndpoint,
        params: vm.allPrShSearchParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.pricesheets = resp.pricesheets;
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loadingMore = false;
      });
    };

    $scope.SetDefault = function () {
      if ($scope.activeTab === 2) {
        $scope.selectedPricesheet.default_price_sheet = true;
      }

      if ($scope.activeTab === 1) {
        $scope.addParams.default_price_sheet = true;
      }
    };

    $scope.setFile = function (element) {
      // eslint-disable-next-line no-shadow
      $scope.$apply(function ($scope) {
        $scope.theFile = element.files[0];
      });
      var totalBytes = $scope.theFile.size;

      if (totalBytes < 1000000) {
        $scope.fileSize = Math.floor(totalBytes / 1000) + 'KB';
      } else {
        $scope.fileSize = Math.floor(totalBytes / 1000000) + 'MB';
      }

      var regex = /^([a-zA-Z0-9\s_\\.\-:])+(.csv|.txt)$/;

      if (regex.test($scope.theFile.name.toLowerCase())) {
        if (typeof FileReader !== 'undefined') {
          var reader = new FileReader();

          reader.onload = function () {
            // eslint-disable-next-line no-undef
            Papa.parse(reader.result, {
              complete: function complete(results) {
                var products = [];

                var _loop = function _loop(i) {
                  var info = results.data[i];
                  var product = [];
                  angular.forEach(info, function (val, key) {
                    product[key] = val;
                  });
                  products.push(product);
                };

                for (var i = 0; i <= results.data.length; i++) {
                  _loop(i);
                } // eslint-disable-next-line no-shadow


                $scope.$apply(function ($scope) {
                  $scope.pricesheetUpload = products;
                  $scope.IsVisible = true;
                });
              }
            });
            $scope.setUploading();
          };

          reader.readAsText($scope.theFile);
        } else {
          $window.alert('This browser does not support HTML5.');
        }
      } else {
        $scope.pricesheetUpload = null;
        $scope.theFile = null;
        $scope.setUploading();
        $window.alert('Please upload a valid CSV file.');
      }
    };

    $scope.setUploading = function () {
      // eslint-disable-next-line no-shadow
      $scope.$apply(function ($scope) {
        $scope.uploading = !$scope.uploading;
      });
    };

    $scope.ShowChanges = function () {
      $scope.showChanges = !$scope.showChanges;
    };

    $scope.SortBatchIndex = function (sortBy) {
      vm.sortAscending = $scope.sortBatchParams.sort_by === sortBy ? !vm.sortAscending : true;
      $scope.sortBatchParams.sort_by = sortBy;
      $scope.sortBatchParams.sort_type = vm.sortAscending ? 'asc' : 'desc';
      $scope.SortBatches();
    };

    $scope.SortBatches = function () {
      $scope.loadingMore = true;
      var req = {
        method: 'GET',
        url: $scope.batchEndpoint,
        params: $scope.sortBatchParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.batches = resp.search_results;

        for (var i = 0; i < $scope.batches.length; i++) {
          if ($scope.batches[i].status === 'processing') {
            $scope.UpdateBatchProgress();
            break;
          }
        }
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loadingMore = false;
      });
    };
    /**
     * @param {string} sortBy Sortby term
     * @param {Object} e Click event
     */


    function changeSortBy(sortBy, e) {
      e.preventDefault();
      vm.sortAscending = vm.allPrShSearchParams.sortBy === sortBy ? !vm.sortAscending : true;
      vm.allPrShSearchParams.sortBy = sortBy;
      vm.allPrShSearchParams.sortType = vm.sortAscending ? 'asc' : 'desc';
      $scope.SearchPricesheets(vm.allPrShSearchParams.page);
    }

    $scope.TabChanged = function (i) {
      $scope.activeTab = i;
      Settings.errors = {};
      $scope.loading = true;
      $scope.saving = false;
      $scope.saved = false;
      $scope.cancelled = false;
      var req = {
        method: 'GET',
        url: $scope.pricesheetEndpoint
      }; // use the switch below to call any functions needed for each tab. i.e. api calls, funcitonality, etc.

      switch (i) {
        case 0:
          Utils.getHttpPromise(req).then(function (resp) {
            $scope.pricesheets = resp.pricesheets;
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
          break;

        case 1:
          $scope.loading = false;
          break;

        case 2:
          req.url += $scope.selectedPricesheet.price_sheet_id;
          Utils.getHttpPromise(req).then(function (resp) {
            $scope.selectedPricesheet = resp.pricesheet;
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
          break;

        case 3:
          $scope.loading = false;
          break;

        case 4:
          req = {
            method: 'GET',
            url: $scope.batchEndpoint,
            params: $scope.sortBatchParams
          };
          Utils.getHttpPromise(req).then(function (resp) {
            $scope.batches = resp.search_results; // eslint-disable-next-line no-shadow

            for (var _i = 0; _i < $scope.batches.length; _i++) {
              if ($scope.batches[_i].status === 'processing') {
                $scope.UpdateBatchProgress();
                break;
              }
            }
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
          break;

        case 5:
          req = {
            method: 'GET',
            url: $scope.batchEndpoint + 'view',
            params: {
              batch_id: $scope.selectedBatch.batch_id
            }
          };
          Utils.getHttpPromise(req).then(function (resp) {
            $scope.selectedBatch = resp.batches[0];
            $scope.batchHeaders = resp.batches[0].columns;
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
          break;
      }
    };

    $scope.TransitionState = function () {
      $state.go('catalog-pricesheets', {
        activeTab: $scope.activeTab
      });
    };

    $scope.OpenSearchModalAdd = function () {
      var callback = {};
      var config = {
        tabs: [{
          http: {
            method: 'GET',
            url: $scope.productEndpoint,
            params: {
              q: ''
            }
          },
          relationships: ['products'],
          fields: ['sku', 'image', 'description', 'status'],
          fieldPrefixes: ['', '', '', 'Status: '],
          id: 'product_id',
          selectOne: false
        }],
        updatedItems: $scope.addParams.products
      };
      callback = {
        confirm: $scope.SearchResults,
        cancel: $scope.SearchCancelled
      }; //callback object (confirm, cancel), title, message, optionCancel, optionConfirm, httpConfig

      SearchModal.Show(callback, $scope.addParams.name || 'New Price Sheet', config, 'Add items');
    };

    $scope.OpenSearchModalUpdate = function () {
      var callback = {};
      var config = {
        tabs: [{
          http: {
            method: 'GET',
            url: $scope.productEndpoint,
            params: {
              q: '',
              excludedField: 'price_sheet_id',
              excludedId: $scope.selectedPricesheet.price_sheet_id,
              excludedTable: 'price_sheets'
            }
          },
          relationships: ['products'],
          fields: ['sku', 'image', 'description', 'status'],
          fieldPrefixes: ['', '', '', 'Status: '],
          id: 'product_id',
          selectOne: false
        }, {
          http: {
            method: 'GET',
            url: $scope.pricesheetEndpoint + $scope.selectedPricesheet.price_sheet_id,
            params: {
              q: ''
            }
          },
          relationships: ['pricesheet', 'pricesheetItems', 'product'],
          fields: ['sku', 'image', 'description', 'price'],
          fieldPrefixes: ['', '', '', 'Price: '],
          id: 'product_id'
        }],
        updatedItems: $scope.updatedPricesheetItems
      };
      callback = {
        confirm: $scope.SearchResults,
        cancel: $scope.SearchCancelled
      }; //callback object (confirm, cancel), title, message, optionCancel, optionConfirm, httpConfig

      SearchModal.Show(callback, $scope.selectedPricesheet.sheet, config, 'Add items');
    };

    $scope.OpenSearchModalPricesheet = function () {
      var callback = {};
      var config = {
        tabs: [{
          http: {
            method: 'GET',
            url: $scope.pricesheetEndpoint,
            params: {
              q: ''
            }
          },
          relationships: ['pricesheets'],
          fields: ['price_sheet_id', 'sheet'],
          fieldPrefixes: ['ID: ', ''],
          id: 'price_sheet_id',
          selectOne: true
        }]
      };
      callback = {
        confirm: $scope.SearchResults,
        cancel: $scope.SearchCancelled
      }; //callback object (confirm, cancel), title, message, optionCancel, optionConfirm, httpConfig

      SearchModal.Show(callback, 'Select Price Sheet', config, 'Add Price Sheet');
    };

    $scope.OpenViewModal = function (product) {
      $scope.callback = {};
      var callback = {
        confirm: function confirm() {
          $scope.TabChanged(3);
        },
        cancel: $scope.SearchCancelled
      };
      ViewModal.Show(callback, 'Quick View: ' + product.sku, product);
    };

    $scope.postUpload = function (index, id) {
      $scope.selectedBatch = {
        batch_id: id
      };
      $scope.activeTab = index;
    };

    $scope.UploadPricesheet = function () {
      $scope.loading = true;
      var fd = new FormData();
      fd.append('file', $scope.theFile);
      fd.append('price_sheet_id', $scope.uploadPricesheetId);
      var req = {
        method: 'POST',
        url: $scope.batchEndpoint + 'upload',
        data: fd,
        transformRequest: angular.identity,
        headers: {
          // eslint-disable-next-line no-undefined
          'Content-Type': undefined
        }
      };
      Utils.getHttpPromise(req).then(function (resp) {
        if (resp.errors.length === 0) {
          $scope.postUpload(5, resp.batch_id);
          Localized.setNotification({
            type: 'success',
            message: 'File Successfully Uploaded'
          });
        }
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };

    $scope.UpdateBatchProgress = function () {
      var req = {
        method: 'GET',
        url: $scope.batchEndpoint,
        params: $scope.sortBatchParams
      };
      var again = false;
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.batches = resp.search_results;

        for (var i = 0; i < $scope.batches.length; i++) {
          if ($scope.batches[i].status === 'processing' && $scope.activeTab === 4) {
            again = true;
            break;
          }
        }

        if (again) {
          $timeout(function () {
            $scope.UpdateBatchProgress();
          }, 5000);
        }
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {});
    };
  }
})();

/***/ }),

/***/ 6679:
/***/ (() => {

(function () {
  'use strict';

  CatalogPromoCodesController.$inject = ["$scope", "$rootScope", "$stateParams", "Admin", "Settings", "Debug", "Utils", "Localized", "SearchModal", "PromoCodesService"];
  angular.module('vendorfuelApp').controller('CatalogPromoCodesController', CatalogPromoCodesController);
  CatalogPromoCodesController.$inject = ['$scope', '$rootScope', '$stateParams', 'Admin', 'Settings', 'Debug', 'Utils', 'Localized', 'SearchModal', 'PromoCodesService'];
  /**
   * @param {Object} $scope            Angular service
   * @param {Object} $rootScope        Angular service
   * @param {Object} $stateParams      UI Router service
   * @param {Object} Admin             VendorFuel service
   * @param {Object} Settings          VendorFuel service
   * @param {Object} Debug             VendorFuel service
   * @param {Object} Utils             VendorFuel service
   * @param {Object} Localized         VendorFuel service
   * @param {Object} SearchModal       VendorFuel service
   * @param {Object} PromoCodesService service
   */

  function CatalogPromoCodesController($scope, $rootScope, $stateParams, Admin, Settings, Debug, Utils, Localized, SearchModal, PromoCodesService) {
    var _this = this;

    var vm = this;

    this.$onInit = function () {
      $rootScope.breadcrumbs = [{
        name: 'Catalog',
        state: 'catalog'
      }, {
        name: 'Promo Codes',
        state: 'catalog-promocodes'
      }];
      $scope.activeTab = parseInt($stateParams.activeTab);
      $scope.addParams = {
        auto_add: false,
        require_all_items: false,
        products: {
          data: []
        }
      };
      $scope.customerEndpoint = Localized.apiURL + '/admin/customers/';
      $scope.discountTypes = {
        percentage: 'Percentage',
        discount: 'Discount' // 'price': 'Price'

      };
      $scope.addParams.discount_type = $scope.discountTypes.percentage; // Must be defined after discountTypes declared;

      $scope.isAuthed = Admin.Authed();
      $scope.loading = false;
      $scope.loadingMore = false;
      $scope.object = Object;
      $scope.productEndpoint = Localized.apiURL + '/admin/products/';
      $scope.promocodeEndpoint = Localized.apiURL + '/admin/promo-codes/';
      $scope.rppValues = [15, 30, 50, 100];
      $scope.per_page = $scope.rppValues[0]; // Must be defined after rppValues is declared.

      $scope.promoCode = {};
      $scope.promoCodes = [];
      $scope.saved = false;
      $scope.saving = false;
      $scope.searchProductParams = {
        q: '',
        rpp: $scope.rppValues[0],
        // Must be defined after rppValues is declared.
        searchFields: ['sku', 'description', 'product_id']
      };
      $scope.searchTerm = '';
      $scope.selectedPromocode = null;
      $scope.showChanges = false;
      $scope.updatedProducts = [];
      $scope.addedProducts = [];
      vm.searchParams = {
        q: '',
        sortBy: '',
        sortType: '',
        rpp: $scope.rppValues[0] // Must be defined after rppValues is declared.

      };
      vm.sortAscending = true; //If the view tab is selected, redirect to the search page since selected product is null

      if ($scope.activeTab === 2) {
        $scope.activeTab = 0;
      }
    };

    this.$onInit(); //FUNCTIONS

    $scope.LoginCallback = function () {
      $scope.loading = true; //logged in, do something. i.e. make api calls to load current tab's data
    };

    $scope.TabChanged = function (i) {
      $scope.activeTab = i; // Settings.errors = {};

      $scope.loading = true;
      $scope.saving = false;
      $scope.saved = false;
      $scope.cancelled = false;
      var req = {
        method: 'GET',
        url: $scope.promocodeEndpoint
      };

      switch (i) {
        case 0:
          PromoCodesService.query().then(function (response) {
            $scope.promoCodes = response.promoCodes;
            $scope.loading = false;
          });
          break;

        case 1:
          $scope.loading = false;
          break;

        case 2:
          req.url += $scope.selectedPromocode.promo_code_id;
          req.params = $scope.searchProductParams;
          PromoCodesService.get($scope.selectedPromocode.promo_code_id).then(function (response) {
            $scope.selectedPromocode = response.promoCode;
            $scope.selectedPromocode.auto_add = $scope.selectedPromocode.auto_add ? true : false;
            $scope.selectedPromocode.date_effective = $scope.selectedPromocode.date_effective ? new Date($scope.selectedPromocode.date_effective) : null;
            $scope.selectedPromocode.date_expires = $scope.selectedPromocode.date_expires ? new Date($scope.selectedPromocode.date_expires) : null;
            $scope.selectedPromocode.require_all_items = $scope.selectedPromocode.require_all_items ? true : false;
            $scope.selectedPromocode.customerName = response.promoCode.customer ? response.promoCode.customer.name : '';
            $scope.loading = false;
          });
          break;
      }
    };

    $scope.AddPromoCode = function () {
      $scope.loading = true;

      if ($scope.addedProducts.length) {
        $scope.addParams.products = $scope.addedProducts.map(function (product) {
          return {
            product_id: product.product_id
          };
        });
      }

      var data = $scope.addParams;
      PromoCodesService.save(data).then(function (response) {
        if (!response.errors.length && response.promoCode.promo_code_id) {
          $scope.selectedPromocode = {
            promo_code_id: response.promo_code_id
          };
          $scope.activeTab = 2;
          $scope.addParams = {
            auto_add: false,
            require_all_items: false,
            products: {
              data: []
            },
            discount_type: $scope.discountTypes.percentage
          };
          $scope.addedProducts = [];
        }

        $scope.loading = false;
      });
    };

    $scope.ChangeTab = function (tabIndex, promocodeIndex) {
      $scope.activeTab = tabIndex;
      $scope.selectedPromocode = $scope.promoCodes.data[promocodeIndex];
    };

    $scope.CustomerSearchResults = function (resp) {
      //callback that is used by the search modal
      if (resp.length) {
        if ($scope.activeTab === 1) {
          $scope.addParams.customer_id = resp[0].value.id;
          $scope.addParams.customerName = resp[0].value.name;
          $scope.addParams.email = resp[0].value.email;
        } else {
          $scope.selectedPromocode.customer_id = resp[0].value.id;
          $scope.selectedPromocode.customerName = resp[0].value.name;
          $scope.selectedPromocode.email = resp[0].value.email;
        }
      }
    };

    this.deletePromoCode = function () {
      _this.isDeleting = true;
      var id = $scope.selectedPromocode.promo_code_id;
      PromoCodesService["delete"](id).then(function () {
        _this.isDeleting = false;
        $scope.activeTab = 0;
        $scope.selectedPromocode = null;
      });
    };

    $scope.OpenAddSearchModal = function (type) {
      var callback = {};
      var data = {};

      if (type === 'customer') {
        data = {
          tabs: [{
            http: {
              method: 'GET',
              url: $scope.customerEndpoint,
              params: {
                q: ''
              }
            },
            relationships: ['customers'],
            fields: ['id', 'name', 'email', 'status'],
            fieldPrefixes: ['ID: ', 'Name: ', 'Email: ', 'Status: '],
            id: 'id',
            selectOne: true
          }]
        };
        callback.confirm = $scope.CustomerSearchResults;
      } else if (type === 'product') {
        data = {
          tabs: [{
            http: {
              method: 'GET',
              url: $scope.productEndpoint,
              params: {
                q: ''
              }
            },
            relationships: ['products'],
            fields: ['sku', 'image', 'description', 'status'],
            fieldPrefixes: ['', '', '', 'Status: '],
            id: 'product_id',
            selectOne: false
          }]
        };
        callback.confirm = $scope.ProductSearchResults;
      }

      callback.cancel = function () {
        angular.noop();
      }; //callback object (confirm, cancel), title, message, optionCancel, optionConfirm, httpConfig


      SearchModal.Show(callback, $scope.addParams.code || 'New Promo Code', data, 'Add Customer');
    };

    $scope.OpenUpdateSearchModal = function (type) {
      var callback = {};
      var data = {};

      if (type === 'customer') {
        data = {
          tabs: [{
            http: {
              method: 'GET',
              url: $scope.customerEndpoint,
              params: {
                q: ''
              }
            },
            relationships: ['customers'],
            fields: ['id', 'name', 'email', 'status'],
            fieldPrefixes: ['ID: ', 'Name: ', 'Email: ', 'Status: '],
            id: 'id',
            selectOne: true
          }]
        };
        callback.confirm = $scope.CustomerSearchResults;
      } else if (type === 'product') {
        data = {
          tabs: [{
            http: {
              method: 'GET',
              url: $scope.productEndpoint,
              params: {
                q: ''
              }
            },
            relationships: ['products'],
            fields: ['sku', 'image', 'description', 'status'],
            fieldPrefixes: ['', '', '', 'Status: '],
            id: 'product_id',
            selectOne: false
          }, {
            http: {
              method: 'GET',
              url: $scope.promocodeEndpoint + $scope.selectedPromocode.promo_code_id,
              params: {
                q: ''
              }
            },
            relationships: ['promoCode', 'products'],
            fields: ['sku', 'image', 'description', 'status'],
            fieldPrefixes: ['', '', '', 'Status: '],
            id: 'product_id'
          }]
        };
        callback.confirm = $scope.ProductSearchResults;
      }

      callback.cancel = function () {
        angular.noop();
      }; //callback object (confirm, cancel), title, message, optionCancel, optionConfirm, httpConfig


      SearchModal.Show(callback, $scope.selectedPromocode.code, data, 'Add Items');
    };

    $scope.ProductSearchResults = function (resp) {
      if (resp.length) {
        if ($scope.activeTab === 1) {
          if ($scope.addParams.products && $scope.addParams.products.length) {
            var currentIds = $scope.addParams.products.map(function (product) {
              return product.product_id;
            });

            for (var i = 0; i < resp.length; i++) {
              if (!currentIds.includes(resp[i].value.product_id)) {
                $scope.addedProducts.push(resp[i].value);
              }
            }
          } else {
            resp.forEach(function (item) {
              $scope.addedProducts.push(item.value);
            });
          }
        } else {
          resp.forEach(function (item) {
            var currentIds = $scope.selectedPromocode.products.data.map(function (product) {
              return product.product_id;
            });
            var updatedIds = $scope.updatedProducts.map(function (product) {
              return product.product_id;
            });

            if (item.action === 'add' && !currentIds.includes(item.value.product_id)) {
              $scope.updatedProducts.push(item);
            }

            if (item.action === 'remove' && !updatedIds.includes(item.value.product_id)) {
              $scope.updatedProducts.push(item);
            }
          });
        }
      }
    };

    $scope.SearchProducts = function (page) {
      $scope.loadingMore = true;
      $scope.searchTerm = $scope.searchProductParams.q;
      $scope.searchProductParams.page = page || 1;
      var req = {
        method: 'GET',
        url: $scope.promocodeEndpoint + $scope.selectedPromocode.promo_code_id,
        params: $scope.searchProductParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.selectedPromocode.products = resp.products;
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loadingMore = false;
      });
    };

    $scope.SearchPromoCodes = function (page, query) {
      $scope.loadingMore = true;
      vm.searchParams.q = query;
      $scope.searchTerm = vm.searchParams.q;
      vm.searchParams.page = page || 1;
      var req = {
        method: 'GET',
        url: $scope.promocodeEndpoint,
        params: vm.searchParams
      };
      PromoCodesService.query(vm.searchParams).then(function (response) {
        $scope.promoCodes = response.promoCodes;
        $scope.loadingMore = false;
      });
    };

    $scope.ShowChanges = function () {
      $scope.showChanges = !$scope.showChanges;
    };

    this.changeSortBy = function (sortBy, e) {
      e.preventDefault();
      vm.sortAscending = vm.searchParams.sortBy === sortBy ? !vm.sortAscending : true;
      vm.searchParams.sortBy = sortBy;
      vm.searchParams.sortType = vm.sortAscending ? 'asc' : 'desc';
      $scope.SearchPromoCodes(vm.searchParams.page);
    };

    $scope.UpdatePromoCode = function () {
      $scope.loading = true;
      $scope.selectedPromocode.products = [];
      $scope.selectedPromocode.restricted_products = [];
      angular.forEach($scope.updatedProducts, function (value) {
        $scope.selectedPromocode.products.push(value.value.product_id);
      });
      var id = $scope.selectedPromocode.promo_code_id;
      var data = $scope.selectedPromocode;
      PromoCodesService.update(id, data).then(function () {
        // $scope.TabChanged( 2 );
        $scope.loading = false;
      });
    };
  }
})();

/***/ }),

/***/ 9624:
/***/ (() => {

(function () {
  'use strict';

  CatalogUomController.$inject = ["$scope", "$rootScope", "$stateParams", "Admin", "Settings", "Debug", "Utils", "Localized", "uom"];
  angular.module('vendorfuelApp').controller('CatalogUomController', CatalogUomController);
  CatalogUomController.$inject = ['$scope', '$rootScope', '$stateParams', 'Admin', 'Settings', 'Debug', 'Utils', 'Localized', 'uom'];
  /**
   * @param {Object} $scope Angular service
   * @param {Object} $rootScope Angular service
   * @param {Object} $stateParams UI Router service
   * @param {Object} Admin VendorFuel service
   * @param {Object} Settings VendorFuel service
   * @param {Object} Debug VendorFuel service
   * @param {Object} Utils VendorFuel service
   * @param {Object} Localized VendorFuel service
   * @param {Object} uom VendorFuel service
   */

  function CatalogUomController($scope, $rootScope, $stateParams, Admin, Settings, Debug, Utils, Localized, uom) {
    var vm = this;
    vm.$onInit = $onInit; // Initialize controller

    vm.$onInit();
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Catalog',
        state: 'catalog'
      }, {
        name: 'UOM',
        state: 'catalog-uom'
      }];
      $scope.activeTab = parseInt($stateParams.activeTab);
      $scope.addParams = {};
      $scope.appData = uom.uomData();
      $scope.filledUom = {};
      $scope.isAuthed = Admin.Authed();
      $scope.loading = false;
      $scope.loadingMore = false;
      $scope.rppValues = [15, 30, 50, 100];
      $scope.saving = false;
      $scope.searchParams = {
        q: '',
        sortBy: '',
        sortType: '',
        rpp: $scope.rppValues[0] // Must be defined after rrpValues declared.

      };
      $scope.searchTerm = '';
      $scope.selectedUom = null;
      $scope.uom = {};
      $scope.uomCodes = $scope.appData.uomCodes; // Must be defined after appData declared.

      $scope.uomEndpoint = Localized.apiURL + '/admin/product/uom/';
      $scope.uoms = []; //If the view tab is selected, redirect to the search page since selected product is null

      if ($scope.activeTab === 2) {
        $scope.activeTab = 0;
      }
    } //FUNCTIONS


    $scope.LoginCallback = function () {
      $scope.loading = true; //logged in, do something. i.e. make api calls to load current tab's data
    };

    $scope.TabChanged = function (i) {
      $scope.activeTab = i;
      Settings.errors = {};
      $scope.loading = true;
      var req = {
        method: 'GET',
        url: $scope.uomEndpoint
      };

      switch (i) {
        case 0:
          Utils.getHttpPromise(req).then(function (resp) {
            $scope.uoms = resp.uoms;
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
          break;

        case 1:
          $scope.loading = false;
          break;

        case 2:
          req.url += $scope.selectedUom.uom_id;
          Utils.getHttpPromise(req).then(function (resp) {
            $scope.uom = resp.uom;
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
          break;
      }
    };

    $scope.AddUom = function () {
      $scope.saving = true;
      var req = {
        method: 'POST',
        url: $scope.uomEndpoint,
        data: $scope.addParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.addParams = {};

        if (!resp.errors.length) {
          $scope.selectedUom = {
            uom_id: resp.uom_id
          };
          $scope.TabChanged(2);
        }
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.saving = false;
      });
    };

    $scope.ChangeTab = function (tabIndex, uomIndex) {
      $scope.activeTab = tabIndex;
      $scope.selectedUom = $scope.uoms.data[uomIndex];
    }; // eslint-disable-next-line no-shadow


    $scope.FillUom = function (uom) {
      $scope.filledUom = uom;
      $scope.addParams.uom = uom.name;
      $scope.addParams.description = uom.name;
      $scope.addParams.code = uom.val;
    };

    $scope.DeleteUom = function () {
      $scope.saving = true;
      var req = {
        method: 'DELETE',
        url: $scope.uomEndpoint + $scope.uom.uom_id
      };
      Utils.getHttpPromise(req).then(function () {
        $scope.selectedUom = null;
        $scope.TabChanged(0);
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.saving = false;
        Localized.setNotification({
          type: 'success',
          message: 'Uom Successfully Updates'
        });
      });
    };

    $scope.SearchCancelled = function () {//callback that is used by the search modal
    };

    $scope.SearchResults = function (resp) {
      //callback that is used by the search modal
      Debug.log(resp);
    };

    $scope.SearchUoms = function (page, query) {
      $scope.searchParams.q = query;
      $scope.searchTerm = $scope.searchParams.q;
      $scope.loadingMore = true;
      $scope.searchParams.page = page || 1;
      var req = {
        method: 'GET',
        url: $scope.uomEndpoint,
        params: $scope.searchParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.uoms = resp.uoms;
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loadingMore = false;
      });
    };

    $scope.SortIndex = function (sortBy) {
      $scope.sortAscending = $scope.searchParams.sortBy === sortBy ? !$scope.sortAscending : true;
      $scope.searchParams.sortBy = sortBy;
      $scope.searchParams.sortType = $scope.sortAscending ? 'asc' : 'desc';
      $scope.SearchUoms($scope.searchParams.page);
    };

    $scope.UpdateUom = function () {
      $scope.saving = true;
      var req = {
        method: 'PUT',
        url: $scope.uomEndpoint + $scope.uom.uom_id,
        data: $scope.uom
      };
      Utils.getHttpPromise(req).then(function () {}, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.saving = false;
      });
    };
  }
})();

/***/ }),

/***/ 696:
/***/ (() => {

(function () {
  'use strict';

  ContactController.$inject = ["$rootScope", "$scope", "Admin", "$state"];
  angular.module('vendorfuelApp').controller('ContactController', ContactController);
  ContactController.$inject = ['$rootScope', '$scope', 'Admin', '$state'];
  /**
   * @param {Object} $rootScope Angular service
   * @param {Object} $scope Angular service
   * @param {Object} Admin VendorFuel service
   * @param {Object} $state UI Router service
   */

  function ContactController($rootScope, $scope, Admin, $state) {
    var vm = this;
    vm.$onInit = $onInit; // Initialize controller

    vm.$onInit();
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Contact Us',
        state: null
      }];
      $scope.isAuthed = Admin.Authed();
    }

    $scope.goToState = function (stateName, tabIndex) {
      $state.go(stateName, {
        activeTab: tabIndex
      });
    };
  }
})();

/***/ }),

/***/ 5846:
/***/ (() => {

(function () {
  'use strict';

  AccountsController.$inject = ["$scope", "$rootScope", "$window", "$state", "$stateParams", "Admin", "Settings", "Debug", "Utils", "Localized", "SearchModal", "customerAccounts", "$timeout", "$uibModal"];
  angular.module('vendorfuelApp').controller('AccountsController', AccountsController);
  AccountsController.$inject = ['$scope', '$rootScope', '$window', '$state', '$stateParams', 'Admin', 'Settings', 'Debug', 'Utils', 'Localized', 'SearchModal', 'customerAccounts', '$timeout', '$uibModal'];
  /**
   * @param {Object} $scope           service
   * @param {Object} $rootScope       service
   * @param {Object} $window          service
   * @param {Object} $state           service
   * @param {Object} $stateParams     service
   * @param {Object} Admin            service
   * @param {Object} Settings         service
   * @param {Object} Debug            service
   * @param {Object} Utils            service
   * @param {Object} Localized        service
   * @param {Object} SearchModal      service
   * @param {Object} customerAccounts service
   * @param {Object} $timeout         service
   * @param {Object} $uibModal        service
   */

  function AccountsController($scope, $rootScope, $window, $state, $stateParams, Admin, Settings, Debug, Utils, Localized, SearchModal, customerAccounts, $timeout, $uibModal) {
    var _this = this;

    this.settings = Settings; // Initialize controller

    /**
     * Initialization
     */

    this.$onInit = function () {
      $rootScope.breadcrumbs = [{
        name: 'Customers',
        state: 'customers'
      }, {
        name: 'Accounts',
        state: 'customers-accounts'
      }];
      _this.activeTab = parseInt($stateParams.activeTab) || 0;
      _this.batches = [];
      _this.batchEndpoint = Localized.apiURL + '/admin/customers/batch/';
      _this.batchListOptions = {
        any: 'All',
        pending: 'Pending',
        confirmed: 'Confirmed',
        processing: 'Processing',
        processed: 'Processed'
      };
      _this.customer = {
        pricesheet: {}
      };
      _this.customerData = customerAccounts.customerData();
      _this.customerEndpoint = Localized.apiURL + '/admin/customers/';
      _this.customers = {};
      _this.isAuthed = Admin.Authed();
      _this.isLoading = false;
      _this.isLoadingMore = false;
      _this.isShowingPassword = false;
      _this.limitTypes = {
        none: 'None',
        monthly: 'Monthly',
        quarterly: 'Quarterly',
        flat: 'Flat'
      };
      _this.newCustomer = {
        pricesheet: {},
        promo_engine: true,
        punchout_suppliers: [],
        shipping_flat_rates: [],
        status: 'active'
      };
      _this.passwordPattern = /(?=.*[0-9])(?=.*[!@#$%^&*-])[a-zA-Z0-9!@#$%^&*]{8,}/;
      _this.replaceFields = {
        organization: 'Company Name',
        rr_po_num: 'Purchase Order Number',
        issuing_office: 'Issuing Office',
        cost_center_code: 'Cost Center',
        attention: 'Attention'
      };
      _this.role = null;
      _this.rppValues = [15, 30, 50, 100];
      _this.searchOptions = {
        id: 'ID',
        name: 'Name',
        email: 'Email'
      };
      _this.searchParams = {
        q: '',
        searchBy: '',
        sortBy: 'id',
        sortType: 'asc',
        rpp: _this.rppValues[0] // Must be defined after rppValues is declared.

      };
      _this.searchTerm = '';
      _this.selectedBatch = null;
      _this.selectedCustomer = $stateParams.customer || null;
      _this.sortAscending = true;
      _this.sortBatchParams = {
        sort_by: 'batch_id',
        sort_type: '',
        status: 'any'
      };
      _this.states = _this.customerData.states;
      _this.statuses = {
        active: 'Active',
        inactive: 'Inactive',
        unverified: 'Unverified'
      };
      _this.updatedRates = []; //If the view tab is selected, redirect to the search page since selected product is null

      if (_this.activeTab === 2 && !_this.selectedCustomer) {
        _this.activeTab = 0;
      }
    };

    this.$onInit();
    /**
     * Cancels changing the user account password.
     */

    this.cancelPasswordChange = function () {
      _this.customer.password = null;
      _this.customer.password_confirmation = null;
      _this.newCustomer.password = null;
      _this.newCustomer.password_confirmation = null;
      _this.isSettingNewPassword = false;
    };
    /**
     * Gets store settings used for default prefix
     */


    this.getDefaultPrefix = function () {
      Settings.store.Get()["finally"](function () {
        _this.isLoading = false;
      });
    };
    /**
     * Updates store settings user for default prefix
     */


    this.updateDefaultPrefix = function () {
      Settings.store.Set()["finally"](function () {
        _this.isLoading = false;
      });
    };
    /**
     * @param {number} i Tab index
     */


    this.tabChanged = function (i) {
      _this.activeTab = i;
      Settings.errors = {};
      _this.isLoading = true;
      var req = {
        method: 'GET',
        url: _this.customerEndpoint
      };

      switch (i) {
        case 0:
          //First tab selected
          Utils.getHttpPromise(req).then(function (resp) {
            _this.priceSheets = resp.price_sheets;
            _this.roles = resp.roles;
            _this.customers = resp.customers;
            _this.updatedRates = [];
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            _this.isLoading = false;
          });
          break;

        case 1:
          _this.isLoading = false;
          break;

        case 2:
          req.url += _this.selectedCustomer.id;
          Utils.getHttpPromise(req).then(function (resp) {
            _this.priceSheets = resp.price_sheets;
            _this.roles = resp.roles;
            _this.customer = resp.customer;
            _this.suppliers = resp.suppliers;
            _this.customer.shipping_flat_rates = [];
            _this.updatedRates = [];
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            _this.isLoading = false;
          });
          break;

        case 3:
          _this.isLoading = false;
          break;

        case 4:
          req = {
            method: 'GET',
            url: _this.batchEndpoint,
            params: _this.sortBatchParams
          };
          Utils.getHttpPromise(req).then(function (resp) {
            _this.batches = resp.search_results; // eslint-disable-next-line no-shadow

            for (var _i = 0; _i < _this.batches.length; _i++) {
              if (_this.batches[_i].status === 'processing') {
                _this.updateBatchProgress();

                break;
              }
            }
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            _this.isLoading = false;
          });
          break;

        case 5:
          req = {
            method: 'GET',
            url: _this.batchEndpoint + _this.selectedBatch.batch_id
          };
          Utils.getHttpPromise(req).then(function (resp) {
            _this.selectedBatch = resp.batches[0];
            _this.batchHeaders = resp.batches[0].columns;
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            _this.isLoading = false;
          });
          break;

        case 6:
          _this.getDefaultPrefix();

          break;
      }
    };
    /**
     * @param {number} num Number
     */


    this.addCustomCheckoutValue = function (num) {
      if (_this.activeTab === 2) {
        _this.customer['f' + num + '_value'].push('');
      } else if (_this.activeTab === 1) {
        if (_this.newCustomer['f' + num + '_value']) {
          _this.newCustomer['f' + num + '_value'].push('');
        } else {
          _this.newCustomer['f' + num + '_value'] = [];

          _this.newCustomer['f' + num + '_value'].push('');
        }
      }
    };

    this.addCustomer = function () {
      _this.isLoading = true;
      var req = {
        method: 'POST',
        url: _this.customerEndpoint,
        data: _this.newCustomer
      };
      Utils.getHttpPromise(req).then(function (resp) {
        if (resp.errors.length <= 0) {
          _this.selectedCustomer = resp.customer;
          _this.newCustomer = {};
          _this.activeTab = 2;
        }
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        _this.isLoading = false;
      });
    };

    this.changeTab = function (tabIndex, customerIndex) {
      _this.activeTab = tabIndex;
      _this.selectedCustomer = _this.customers.data[customerIndex];
    };

    this.changeBatchTab = function (tabIndex, batchIndex) {
      _this.activeTab = tabIndex;
      _this.selectedBatch = _this.batches[batchIndex];
    };

    this.checkPriceSheet = function (tabIndex) {
      if (tabIndex === 1) {
        angular.forEach(_this.priceSheets, function (sheet) {
          if (_this.newCustomer.price_sheet_id === sheet.price_sheet_id) {
            _this.selectedSheet = sheet.sheet;
          }
        });
      }

      if (tabIndex === 2) {
        angular.forEach(_this.priceSheets, function (sheet) {
          if (_this.customer.price_sheet_id === sheet.price_sheet_id) {
            _this.selectedSheet = sheet.sheet;
          }
        });
      }
    };

    this.confirmBatch = function () {
      _this.isLoading = true;
      var req = {
        method: 'POST',
        url: _this.batchEndpoint + 'confirm',
        data: {
          batch_id: _this.selectedBatch.batch_id
        }
      };
      Utils.getHttpPromise(req).then(function () {
        _this.selectedBatch = null;
        _this.activeTab = 4;
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        _this.isLoading = false;
      });
    };

    this.formatDate = function (date) {
      var dateOut = new Date(date);
      return dateOut;
    };

    this.goToProduct = function (item) {
      $state.go('catalog-products', {
        activeTab: 2,
        product: item
      });
    };
    /**
     */


    this.openGroupSearchModal = function () {
      var callback = {};
      var data = {
        tabs: [{
          http: {
            method: 'GET',
            url: Localized.apiURL + '/admin/groups/',
            params: {
              q: ''
            }
          },
          relationships: ['groups'],
          fields: ['group_id', 'name', 'parent_group_id', 'default_price_sheet'],
          fieldPrefixes: ['ID: ', '', 'Parent ID: ', 'Price Sheet: '],
          id: 'group_id',
          selectOne: true
        }]
      };
      callback = {
        confirm: _this.searchResults,
        cancel: _this.searchCancelled
      };
      SearchModal.Show(callback, _this.customer.name, data, 'Add items');
    };

    this.onCopy = function (copiedCustomer) {
      _this.customer = copiedCustomer;
    };

    this.openRatesSearchModal = function () {
      var callback = {};
      var config = {
        tabs: [{
          http: {
            method: 'GET',
            url: Localized.apiURL + '/admin/shipping/flat-rate/',
            params: {
              q: '',
              excludedField: 'customer_id',
              excludedId: _this.selectedCustomer.id,
              excludedTable: 'shipping_flat_rate_customer'
            }
          },
          relationships: ['shipping_flat_rates'],
          fields: ['name', 'cost', 'enabled'],
          fieldPrefixes: ['Name: ', 'Cost: ', 'Enabled: '],
          id: 'id',
          selectOne: false
        }, {
          http: {
            method: 'GET',
            url: _this.customerEndpoint + _this.selectedCustomer.id
          },
          relationships: ['customer', 'flatrates'],
          fields: ['name', 'cost', 'enabled'],
          fieldPrefixes: ['Name: ', 'Cost: ', 'Enabled: '],
          id: 'id',
          selectOne: false
        }],
        updatedItems: _this.updatedRates
      };
      callback = {
        confirm: _this.rateResults,
        cancel: _this.searchCancelled
      }; //callback object (confirm, cancel), title, message, optionCancel, optionConfirm, httpConfig

      SearchModal.Show(callback, 'Flat Rates', config, 'Add Shipping Rates');
    };

    this.rateResults = function (resp) {
      if (_this.activeTab === 2) {
        _this.updatedRates = [];
        resp.forEach(function (rate) {
          if (rate.action === 'add') {
            _this.updatedRates.push(rate);

            _this.customer.shipping_flat_rates.push({
              id: rate.value.id
            });
          }

          if (rate.action === 'unselect') {
            angular.forEach(_this.customer.shipping_flat_rates, function (val, key) {
              if (val.id === rate.value.id) {
                _this.customer.shipping_flat_rates.splice(key, 1);
              }
            });
          }

          if (rate.action === 'remove') {
            _this.updatedRates.push(rate);

            _this.customer.shipping_flat_rates.push({
              id: rate.value.id,
              deleted: 1
            });
          }

          if (rate.action === 'deselect') {
            angular.forEach(_this.customer.shipping_flat_rates, function (val, key) {
              if (val.id === rate.value.id) {
                _this.customer.shipping_flat_rates.splice(key, 1);
              }
            });
          }
        });
      }
    };

    this.rateCheck = function (rate) {
      var check = false;
      angular.forEach(_this.updatedRates, function (key) {
        if (key.value.id === rate.id && key.action === 'remove') {
          check = true;
        }
      });
      return check;
    };

    this.removeCustomCheckoutValue = function (num, index) {
      if (_this.activeTab === 2) {
        _this.customer['f' + num + '_value'].splice(index, 1);
      } else if (_this.activeTab === 1) {
        _this.newCustomer['f' + num + '_value'].splice(index, 1);
      }
    };

    this.removeUploadFile = function () {
      _this.accountSheetUpload = null;
      Localized.setNotification({
        type: 'danger',
        message: 'File Successfully Removed'
      });
    };
    /**
     * Callback that is used by the search modal
     */


    this.searchCancelled = function () {
      angular.noop();
    };

    this.searchCustomers = function (page, query, searchBy) {
      _this.isLoadingMore = true;
      _this.searchParams.q = query;
      _this.searchTerm = _this.searchParams.q;
      _this.searchParams.searchBy = searchBy;
      _this.searchedBy = _this.searchParams.searchBy;
      _this.searchParams.page = page || 1;
      var req = {
        method: 'GET',
        url: _this.customerEndpoint,
        params: _this.searchParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        _this.customers = resp.customers;
        _this.roles = resp.roles;
        _this.priceSheets = resp.price_sheets;
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        _this.isLoadingMore = false;
      });
    };
    /**
     * Callback that is used by the search modal
     *
     * @param {Object} resp Response
     */


    this.searchResults = function (resp) {
      if (_this.activeTab === 2) {
        _this.customer.group = resp[0].value;
        _this.customer.group_id = resp[0].value.group_id;
      } else if (_this.activeTab === 1) {
        _this.newCustomer.group = resp[0].value;
        _this.newCustomer.group_id = resp[0].value.group_id;
      }
    };

    $scope.setUploading = function () {
      $scope.$apply(function () {
        _this.uploading = !_this.uploading;
      });
    };

    $scope.setFile = function (element) {
      $scope.$apply(function () {
        _this.theFile = element.files[0];
      });
      var totalBytes = _this.theFile.size;

      if (totalBytes < 1000000) {
        _this.fileSize = Math.floor(totalBytes / 1000) + 'KB';
      } else {
        _this.fileSize = Math.floor(totalBytes / 1000000) + 'MB';
      }

      var regex = /^([a-zA-Z0-9\s_\\.\-:])+(.csv|.txt)$/;

      if (regex.test(_this.theFile.name.toLowerCase())) {
        if (typeof FileReader !== 'undefined') {
          var reader = new FileReader();

          reader.onload = function () {
            // eslint-disable-next-line no-undef
            Papa.parse(reader.result, {
              complete: function complete(results) {
                var _this2 = this;

                var products = [];

                var _loop = function _loop(i) {
                  var info = results.data[i];
                  var product = [];
                  angular.forEach(info, function (val, key) {
                    product[key] = val;
                  });
                  products.push(product);
                };

                for (var i = 0; i <= results.data.length; i++) {
                  _loop(i);
                }

                $scope.$apply(function () {
                  _this2.accountSheetUpload = products;
                });
              }
            });
            $scope.setUploading();
          };

          reader.readAsText(_this.theFile);
        } else {
          $window.alert('This browser does not support HTML5.');
        }
      } else {
        _this.accountSheetUpload = null;
        _this.theFile = null;
        $scope.setUploading();
        $window.alert('Please upload a valid CSV file.');
      }
    };
    /**
     * @param {string} key Expecting 'shipping' or 'billing.
     * @param {Object} e   Click event
     */


    this.editAddresses = function (_key, e) {
      e.preventDefault();
      var _customerId = _this.customer.id;
      var modal = $uibModal.open({
        component: 'customerAddressModal',
        resolve: {
          customerId: function customerId() {
            return _customerId;
          },
          key: function key() {
            return _key;
          }
        },
        size: 'lg'
      });
      modal.result.then(function () {
        angular.noop();
      });
    };
    /**
     * @param {string} sortBy Sortby term
     * @param {Object} e      Click event
     */


    this.changeSortBy = function (sortBy, e) {
      e.preventDefault();
      _this.sortAscending = _this.searchParams.sortBy === sortBy ? !_this.sortAscending : true;
      _this.searchParams.sortBy = sortBy;
      _this.searchParams.sortType = _this.sortAscending ? 'asc' : 'desc';

      _this.searchCustomers(_this.searchParams.page);
    };

    this.sortBatchIndex = function (sortBy) {
      _this.sortAscending = _this.sortBatchParams.sort_by === sortBy ? !_this.sortAscending : true;
      _this.sortBatchParams.sort_by = sortBy;
      _this.sortBatchParams.sort_type = _this.sortAscending ? 'asc' : 'desc';

      _this.sortBatches();
    };
    /**
     */


    this.sortBatches = function () {
      _this.isLoadingMore = true;
      var req = {
        method: 'GET',
        url: _this.batchEndpoint,
        params: _this.sortBatchParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        _this.batches = resp.search_results;

        for (var i = 0; i < _this.batches.length; i++) {
          if (_this.batches[i].status === 'processing') {
            _this.updateBatchProgress();

            break;
          }
        }
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        _this.isLoadingMore = false;
      });
    };
    /**
     */


    this.updateCustomer = function () {
      _this.isLoading = true;
      var endpoint = "".concat(_this.customerEndpoint).concat(_this.customer.id);
      var data = _this.customer; // Remove password property from data unless user is explicitly changing the password.

      if (!_this.isSettingNewPassword && 'password' in data) {
        delete data.password;
      }

      Utils.httpPut(endpoint, null, data).then(function (resp) {
        if (resp.errors.length <= 0) {
          angular.forEach(_this.updatedRates, function (rate) {
            if (rate.action === 'add') {
              _this.customer.flatrates.push(rate.value);
            } else {
              angular.forEach(_this.customer.flatrates, function (val, key) {
                if (val.id === rate.value.id) {
                  _this.customer.flatrates.splice(key, 1);
                }
              });
            }
          });
          _this.updatedRates = [];
        }
      })["catch"](function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        _this.cancelPasswordChange();

        _this.isLoading = false;
      });
    };
    /**
     * @param {number} index Index
     * @param {any}    id    ID
     */


    this.postUpload = function (index, id) {
      _this.selectedBatch = {
        batch_id: id
      };
      _this.activeTab = index;
    };

    this.uploadCustomer = function () {
      _this.isLoading = true;
      var fd = new FormData();
      fd.append('file', _this.theFile);
      var req = {
        method: 'POST',
        url: _this.batchEndpoint + 'upload',
        data: fd,
        transformRequest: angular.identity,
        headers: {
          // eslint-disable-next-line no-undefined
          'Content-Type': undefined
        }
      };
      Utils.getHttpPromise(req).then(function (resp) {
        _this.postUpload(5, resp.batch_id);
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        _this.isLoading = false;
        Localized.setNotification({
          type: 'success',
          message: 'File Successfully Uploaded'
        });
      });
    };
    /**
     */


    this.updateBatchProgress = function () {
      var req = {
        method: 'GET',
        url: _this.batchEndpoint,
        params: _this.sortBatchParams
      };
      var again = false;
      Utils.getHttpPromise(req).then(function (resp) {
        _this.batches = resp.search_results;

        for (var i = 0; i < _this.batches.length; i++) {
          if (_this.batches[i].status === 'processing' && _this.activeTab === 4) {
            again = true;
            break;
          }
        }

        if (again) {
          $timeout(function () {
            _this.updateBatchProgress();
          }, 5000);
        }
      }, function (errResp) {
        Debug.error(errResp);
      });
    };

    this.updatePriceSheet = function (priceSheetId, isNew) {
      if (!isNew) {
        _this.customer.price_sheet_id = priceSheetId;
      } else {
        _this.newCustomer.price_sheet_id = priceSheetId;
      }
    };

    this.viewDocument = function (id) {
      window.open(Admin.Download(Localized.apiURL + '/admin/customers/' + _this.customer.id + '/documents/' + id), '_blank');
    };
    /**
     */


    this.removeGroup = function () {
      _this.customer.group = null;
      _this.customer.group_id = null;
    };
    /**
     * Handles toggling approver/requestors values that won't mix
     *
     * @param {Object}  customer    Customer data
     * @param {boolean} isRequestor Is the user a requestor
     */


    this.updateGroupPermissions = function (customer, isRequestor) {
      if (customer.group) {
        if (isRequestor) {
          if (customer.group.requestor) {
            customer.group.approver = false;
            customer.group.pending_emails = false;
            customer.group.admin = false;
          }
        } else if (customer.group.approver || customer.group.admin || customer.group.pending_emails) {
          customer.group.requestor = false;

          if (customer.group.pending_emails && !customer.group.approver) {
            customer.group.pending_emails = false;
          }
        }
      }
    };

    this.OpenSupplierSearch = function (model) {
      _this.searchModalPage = 'supplier';
      var callback = {};
      var data = {
        tabs: [{
          http: {
            method: 'GET',
            url: Localized.apiURL + '/admin/punchout/supplier',
            params: {
              q: ''
            }
          },
          relationships: ['suppliers'],
          fields: ['id', 'name'],
          fieldPrefixes: ['ID: ', ''],
          id: 'id',
          selectOne: false
        }]
      };
      callback = {
        confirm: function confirm(resp) {
          model.punchout_suppliers.push({
            supplier: {
              name: resp[0].value.name,
              id: resp[0].value.id
            }
          });
        },
        cancel: function cancel() {
          angular.noop();
        }
      };
      SearchModal.Show(callback, 'Suppliers', data, 'Add Supplier');
    };

    this.removeProfile = function (index, customer) {
      customer.punchout_suppliers[index].deleted = true;
    };
  }
})();

/***/ }),

/***/ 6951:
/***/ (() => {

(function () {
  'use strict';

  GroupsController.$inject = ["$scope", "$rootScope", "$state", "$stateParams", "Admin", "Settings", "Debug", "Utils", "Localized", "SearchModal", "$window", "$timeout"];
  angular.module('vendorfuelApp').controller('GroupsController', GroupsController);
  GroupsController.$inject = ['$scope', '$rootScope', '$state', '$stateParams', 'Admin', 'Settings', 'Debug', 'Utils', 'Localized', 'SearchModal', '$window', '$timeout'];
  /**
   * @param {Object} $scope service
   * @param {Object} $rootScope service
   * @param {Object} $state service
   * @param {Object} $stateParams service
   * @param {Object} Admin service
   * @param {Object} Settings service
   * @param {Object} Debug service
   * @param {Object} Utils service
   * @param {Object} Localized service
   * @param {Object} SearchModal service
   * @param {Object} $window service
   * @param {Object} $timeout service
   */

  function GroupsController($scope, $rootScope, $state, $stateParams, Admin, Settings, Debug, Utils, Localized, SearchModal, $window, $timeout) {
    var vm = this;
    vm.changeSortBy = changeSortBy;
    vm.deleteGroup = deleteGroup;
    vm.$onInit = $onInit; // Initialize controller

    vm.$onInit();
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Customers',
        state: 'customers'
      }, {
        name: 'Groups',
        state: 'customers-groups'
      }];
      $scope.batchEndpoint = Localized.apiURL + '/admin/group/batch/';
      $scope.batchListOptions = {
        any: 'All',
        pending: 'Pending',
        confirmed: 'Confirmed',
        processing: 'Processing',
        processed: 'Processed'
      };
      $scope.isAuthed = Admin.Authed();
      $scope.loading = false;
      $scope.loadingMore = false;
      $scope.newGroup = {
        customers: {
          data: []
        },
        group_registration_available: 0,
        shipping_mode: 'default'
      };
      $scope.regValues = [{
        key: 1,
        value: 'Active'
      }, {
        key: 0,
        value: 'Inactive'
      }];
      $scope.rppValues = [15, 30, 50, 100];
      $scope.searchTerm = '';
      $scope.shippingModes = {
        "default": 'Default',
        free: 'Free',
        method: 'Flat Rate',
        parcel: 'Parcel'
      };
      $scope.sortBatchParams = {
        sort_by: 'batch_id',
        sort_type: '',
        status: 'any'
      };
      $scope.updatedRates = [];
      $scope.uploading = false;
      vm.activeTab = parseInt($stateParams.activeTab) || 0;
      vm.groupEndpoint = Localized.apiURL + '/admin/groups/';
      vm.searchOptions = {
        group_id: 'ID',
        name: 'Name',
        parent_group_id: 'Parent ID',
        default_price_sheet: 'Default Price Sheet'
      };
      vm.searchParams = {
        q: '',
        searchBy: '',
        sortBy: '',
        sortType: '',
        rpp: $scope.rppValues[0] // Must be defined after rppValues is declared.

      };
      vm.sortAscending = true;
    } //FUNCTIONS


    $scope.LoginCallback = function () {
      $scope.loading = true; //logged in, do something. i.e. make api calls to load current tab's data
    };

    $scope.GroupSearchResults = function (resp) {
      //callback that is used by the search modal
      if (vm.activeTab === 2) {
        vm.selectedGroup.parent_group = resp[0].value;
        vm.selectedGroup.parent_group_id = resp[0].value.group_id;
      } else if (vm.activeTab === 1) {
        $scope.newGroup.parent_group = resp[0].value;
        $scope.newGroup.parent_group_id = resp[0].value.group_id;
      }
    };

    $scope.CustomerSearchResults = function (resp) {
      if (vm.activeTab === 2) {
        var currentIds = vm.selectedGroup.customers.data.map(function (c) {
          return c.customer_id;
        });

        for (var i = 0; i < resp.length; i++) {
          if (currentIds.includes(resp[i].value.customer_id) && resp[i].action === 'remove') {
            for (var j = 0; j < vm.selectedGroup.customers.data.length; j++) {
              if (vm.selectedGroup.customers.data[j].customer_id === resp[i].value.customer_id) {
                vm.selectedGroup.customers.data.splice(j, 1);
                break;
              }
            }
          }

          if (!currentIds.includes(resp[i].value.customer_id)) {
            vm.selectedGroup.customers.data.push(resp[i].value);
          }
        }
      } else if (vm.activeTab === 1) {
        if ($scope.newGroup.customers.data && $scope.newGroup.customers.data.length) {
          var customerIds = $scope.newGroup.customers.data.map(function (c) {
            return c.customer_id;
          });

          for (var k = 0; k < resp.length; k++) {
            if (!customerIds.includes(resp[k].value.customer_id)) {
              $scope.newGroup.customers.data.push(resp[k].value);
            }
          }
        } else {
          for (var l = 0; l < resp.length; l++) {
            $scope.newGroup.customers.data.push(resp[l].value);
          }
        }
      }
    };

    $scope.SearchCancelled = function () {//callback that is used by the search modal
    };

    $scope.Show = function (page) {
      var params = {
        page: page
      };
      Settings.errors = {};
      $scope.loading = true;
      $scope.saving = false;
      $scope.saved = false;
      $scope.cancelled = false;
      var req = {
        method: 'GET',
        url: vm.groupEndpoint,
        params: params
      };
      req.url += vm.selectedGroup.group_id;
      Utils.getHttpPromise(req).then(function (resp) {
        vm.selectedGroup = resp.group;
        vm.selectedGroup.shipping_flat_rates = [];
        $scope.priceSheets = resp.price_sheets;
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };

    $scope.TabChanged = function (i) {
      vm.activeTab = i;
      Settings.errors = {};
      $scope.loading = true;
      $scope.saving = false;
      $scope.saved = false;
      $scope.cancelled = false;
      var req = {
        method: 'GET',
        url: vm.groupEndpoint
      };

      switch (i) {
        case 0:
          Utils.getHttpPromise(req).then(function (resp) {
            $scope.customerGroups = resp.groups;
            $scope.priceSheets = resp.price_sheets;
            $scope.newGroup.default_price_sheet = resp.default_price_sheet;
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
          break;

        case 1:
          //Second tab selected
          if (!$scope.newGroup.default_price_sheet) {
            Utils.getHttpPromise(req).then(function (resp) {
              $scope.priceSheets = resp.price_sheets;
              $scope.newGroup.default_price_sheet = resp.default_price_sheet;
            }, function (errResp) {
              Debug.error(errResp);
            })["finally"](function () {
              $scope.loading = false;
            });
          } else {
            $scope.loading = false;
          }

          break;

        case 2:
          $scope.Show(1);
          break;

        case 3:
          $scope.loading = false;
          break;

        case 4:
          req = {
            method: 'GET',
            url: $scope.batchEndpoint,
            params: $scope.sortBatchParams
          };
          Utils.getHttpPromise(req).then(function (resp) {
            $scope.batches = resp.search_results; // eslint-disable-next-line no-shadow

            for (var _i = 0; _i < $scope.batches.length; _i++) {
              if ($scope.batches[_i].status === 'processing') {
                $scope.UpdateBatchProgress();
                break;
              }
            }
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
          break;

        case 5:
          req = {
            method: 'GET',
            url: $scope.batchEndpoint + $scope.selectedBatch.batch_id
          };
          Utils.getHttpPromise(req).then(function (resp) {
            $scope.selectedBatch = resp.batches[0];
            $scope.batchHeaders = resp.batches[0].columns;
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
          break;
      }
    };

    $scope.GoToUser = function (user) {
      $state.go('customers-accounts', {
        activeTab: 2,
        customer: user
      });
    };

    $scope.SelectChild = function (groupId) {
      $scope.loading = true;
      var req = {
        method: 'GET',
        url: vm.groupEndpoint
      };
      req.url += groupId;
      Utils.getHttpPromise(req).then(function (resp) {
        vm.selectedGroup = resp.group;
        $scope.priceSheets = resp.price_sheets;
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };

    $scope.ChangeTab = function (tabIndex, customerIndex) {
      vm.activeTab = tabIndex;
      vm.selectedGroup = $scope.customerGroups.data[customerIndex];
    };
    /**
     * @param {string} sortBy Sortby term
     * @param {Object} e Click event
     */


    function changeSortBy(sortBy, e) {
      e.preventDefault();
      vm.sortAscending = vm.searchParams.sortBy === sortBy ? !vm.sortAscending : true;
      vm.searchParams.sortBy = sortBy;
      vm.searchParams.sortType = vm.sortAscending ? 'asc' : 'desc';
      $scope.SearchGroups(vm.searchParams.page);
    }

    $scope.SearchGroups = function (page, query, searchBy) {
      vm.searchParams.q = query;
      $scope.searchTerm = vm.searchParams.q;
      vm.searchParams.searchBy = searchBy;
      $scope.searchedBy = vm.searchParams.searchBy;
      $scope.loadingMore = true;
      vm.searchParams.page = page || 1;
      var req = {
        method: 'GET',
        url: vm.groupEndpoint,
        params: vm.searchParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.customerGroups = resp.groups;
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loadingMore = false;
      });
    };

    $scope.OpenCustomerSearchModal = function () {
      var callback = {};
      var data = {
        tabs: [{
          http: {
            method: 'GET',
            url: Localized.apiURL + '/admin/customers/',
            params: {
              q: ''
            }
          },
          relationships: ['customers', 'group'],
          fields: ['customer_id', 'name', 'email', '.name'],
          fieldPrefixes: ['ID: ', '', '', 'Group: '],
          id: 'customer_id',
          selectOne: false
        }, {
          http: {
            method: 'GET',
            url: vm.groupEndpoint + vm.selectedGroup.group_id,
            params: {
              q: ''
            }
          },
          relationships: ['group', 'customers'],
          fields: ['customer_id', 'name', 'email', 'status'],
          fieldPrefixes: ['ID: ', '', '', 'Status: '],
          id: 'customer_id'
        }]
      };
      callback = {
        confirm: $scope.CustomerSearchResults,
        cancel: $scope.SearchCancelled
      }; //callback object (confirm, cancel), title, message, optionCancel, optionConfirm, httpConfig

      SearchModal.Show(callback, 'Select Customers', data, 'Add items');
    };

    $scope.OpenGroupSearchModal = function () {
      var callback = {};
      var data = {
        tabs: [{
          http: {
            method: 'GET',
            url: vm.groupEndpoint,
            params: {
              q: ''
            }
          },
          relationships: ['groups'],
          fields: ['group_id', 'parent_group_id', 'name', 'default_price_sheet'],
          fieldPrefixes: ['ID: ', 'Parent ID: ', '', 'Price Sheet: '],
          id: 'group_id',
          selectOne: true
        }]
      };
      callback = {
        confirm: $scope.GroupSearchResults,
        cancel: $scope.SearchCancelled
      }; //callback object (confirm, cancel), title, message, optionCancel, optionConfirm, httpConfig

      SearchModal.Show(callback, $scope.newGroup.name || 'New Group', data, 'Add items');
    };

    $scope.OpenRatesSearchModal = function () {
      var callback = {};
      var data = {
        tabs: [{
          http: {
            method: 'GET',
            url: Localized.apiURL + '/admin/shipping/flat-rate/',
            params: {
              q: '',
              excludedField: 'group_id',
              excludedId: vm.selectedGroup.group_id,
              excludedTable: 'shipping_flat_rate_group'
            }
          },
          relationships: ['shipping_flat_rates'],
          fields: ['id', 'name', 'cost', 'enabled'],
          fieldPrefixes: ['', 'Name: ', 'Cost: ', 'Enabled: '],
          id: 'id',
          selectOne: false
        }, {
          http: {
            method: 'GET',
            url: vm.groupEndpoint + vm.selectedGroup.group_id
          },
          relationships: ['group'],
          fields: ['name', 'cost', 'enabled'],
          fieldPrefixes: ['Name: ', 'Cost: ', 'Enabled: '],
          id: 'id',
          selectOne: false
        }],
        updatedItems: $scope.updatedRates
      };
      callback = {
        confirm: $scope.rateResults,
        cancel: $scope.SearchCancelled
      }; //callback object (confirm, cancel), title, message, optionCancel, optionConfirm, httpConfig

      SearchModal.Show(callback, 'Flat Rates', data, 'Add Shipping Rates');
    };

    $scope.rateResults = function (resp) {
      if (vm.activeTab === 2) {
        $scope.updatedRates = [];
        resp.forEach(function (rate) {
          if (rate.action === 'add') {
            $scope.updatedRates.push(rate);
            vm.selectedGroup.shipping_flat_rates.push({
              id: rate.value.id
            });
          }

          if (rate.action === 'unselect') {
            angular.forEach(vm.selectedGroup.shipping_flat_rates, function (val, key) {
              if (val.id === rate.value.id) {
                vm.selectedGroup.shipping_flat_rates.splice(key, 1);
              }
            });
          }

          if (rate.action === 'remove') {
            $scope.updatedRates.push(rate);
            vm.selectedGroup.shipping_flat_rates.push({
              id: rate.value.id,
              deleted: 1
            });
          }

          if (rate.action === 'deselect') {
            angular.forEach(vm.selectedGroup.shipping_flat_rates, function (val, key) {
              if (val.id === rate.value.id) {
                vm.selectedGroup.shipping_flat_rates.splice(key, 1);
              }
            });
          }
        });
      }
    };

    $scope.rateCheck = function (rate) {
      var check = false;
      angular.forEach($scope.updatedRates, function (key) {
        if (key.value.id === rate.id && key.action === 'remove') {
          check = true;
        }
      });
      return check;
    };

    $scope.UpdateGroup = function () {
      $scope.loading = true;
      var req = {
        method: 'PUT',
        url: vm.groupEndpoint + vm.selectedGroup.group_id,
        data: vm.selectedGroup
      };
      Utils.getHttpPromise(req).then(function (resp) {
        if (resp.errors.length <= 0) {
          angular.forEach($scope.updatedRates, function (rate) {
            if (rate.action === 'add') {
              vm.selectedGroup.flatrates.push(rate.value);
            } else {
              angular.forEach(vm.selectedGroup.flatrates, function (val, key) {
                if (val.id === rate.value.id) {
                  vm.selectedGroup.flatrates.splice(key, 1);
                }
              });
            }
          });
          $scope.updatedRates = [];
        }
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };

    $scope.AddGroup = function () {
      $scope.loading = true;
      var req = {
        method: 'POST',
        url: vm.groupEndpoint,
        data: $scope.newGroup
      };
      Utils.getHttpPromise(req).then(function (resp) {
        if (resp.errors.length <= 0) {
          $scope.newGroup = {};
          vm.selectedGroup = {
            group_id: resp.group_id
          };
          vm.activeTab = 2;
        }
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };
    /**
     * Delete a group
     */


    function deleteGroup() {
      vm.isDeleting = true;
      var endpoint = vm.groupEndpoint + vm.selectedGroup.group_id;
      Utils.httpDelete(endpoint).then(function () {
        vm.selectedGroup = null;
        vm.activeTab = 0;
      })["catch"](function (error) {
        Debug.error(error);
      })["finally"](function () {
        vm.isDeleting = false;
      });
    }

    $scope.UpdateBatchProgress = function () {
      var req = {
        method: 'GET',
        url: $scope.batchEndpoint,
        params: $scope.sortBatchParams
      };
      var again = false;
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.batches = resp.search_results;

        for (var i = 0; i < $scope.batches.length; i++) {
          if ($scope.batches[i].status === 'processing' && vm.activeTab === 4) {
            again = true;
            break;
          }
        }

        if (again) {
          $timeout(function () {
            $scope.UpdateBatchProgress();
          }, 5000);
        }
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {});
    };

    $scope.SetUploading = function () {
      // eslint-disable-next-line no-shadow
      $scope.$apply(function ($scope) {
        $scope.uploading = !$scope.uploading;
      });
    };

    $scope.SetFile = function (element) {
      // eslint-disable-next-line no-shadow
      $scope.$apply(function ($scope) {
        $scope.theFile = element.files[0];
      });
      var totalBytes = $scope.theFile.size;

      if (totalBytes < 1000000) {
        $scope.fileSize = Math.floor(totalBytes / 1000) + 'KB';
      } else {
        $scope.fileSize = Math.floor(totalBytes / 1000000) + 'MB';
      }

      var regex = /^([a-zA-Z0-9\s_\\.\-:])+(.csv|.txt)$/;

      if (regex.test($scope.theFile.name.toLowerCase())) {
        if (typeof FileReader !== 'undefined') {
          var reader = new FileReader();

          reader.onload = function () {
            // eslint-disable-next-line no-undef
            Papa.parse(reader.result, {
              complete: function complete(results) {
                var groups = [];

                var _loop = function _loop(i) {
                  var info = results.data[i];
                  var group = [];
                  angular.forEach(info, function (val, key) {
                    group[key] = val;
                  });
                  groups.push(group);
                };

                for (var i = 0; i <= results.data.length; i++) {
                  _loop(i);
                }

                $scope.$apply(function () {
                  $scope.groupSheetUpload = groups;
                  $scope.IsVisible = true;
                });
              }
            });
            $scope.SetUploading();
          };

          reader.readAsText($scope.theFile);
        } else {
          $window.alert('This browser does not support HTML5.');
        }
      } else {
        $scope.groupSheetUpload = null;
        $scope.theFile = null;
        $scope.SetUploading();
        $window.alert('Please upload a valid CSV file.');
      }
    };

    $scope.SortBatchIndex = function (sortBy) {
      vm.sortAscending = $scope.sortBatchParams.sort_by === sortBy ? !vm.sortAscending : true;
      $scope.sortBatchParams.sort_by = sortBy;
      $scope.sortBatchParams.sort_type = vm.sortAscending ? 'asc' : 'desc';
      $scope.SortBatches();
    };

    $scope.SortBatches = function () {
      $scope.loadingMore = true;
      var req = {
        method: 'GET',
        url: $scope.batchEndpoint,
        params: $scope.sortBatchParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.batches = resp.search_results;

        for (var i = 0; i < $scope.batches.length; i++) {
          if ($scope.batches[i].status === 'processing') {
            $scope.UpdateBatchProgress();
            break;
          }
        }
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loadingMore = false;
      });
    };

    $scope.ChangeBatchTab = function (tabIndex, batchIndex) {
      vm.activeTab = tabIndex;
      $scope.selectedBatch = $scope.batches[batchIndex];
    };

    $scope.postUpload = function (index, id) {
      $scope.selectedBatch = {
        batch_id: id
      };
      vm.activeTab = index;
    };

    $scope.RemoveUploadFile = function () {
      $scope.groupSheetUpload = null;
      Localized.setNotification({
        type: 'danger',
        message: 'File Successfully Removed'
      });
    };

    $scope.UploadGroup = function () {
      $scope.loading = true;
      var fd = new FormData();
      fd.append('file', $scope.theFile);
      var req = {
        method: 'POST',
        url: $scope.batchEndpoint + 'upload',
        data: fd,
        transformRequest: angular.identity,
        headers: {
          // eslint-disable-next-line no-undefined
          'Content-Type': undefined
        }
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.postUpload(5, resp.batch_id);
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
        Localized.setNotification({
          type: 'success',
          message: 'File Successfully Uploaded'
        });
      });
    };

    $scope.ConfirmBatch = function () {
      $scope.loading = true;
      var req = {
        method: 'POST',
        url: $scope.batchEndpoint + 'confirm',
        data: {
          batch_id: $scope.selectedBatch.batch_id
        }
      };
      Utils.getHttpPromise(req).then(function () {
        $scope.selectedBatch = null;
        vm.activeTab = 4;
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };
    /**
     * Punchout Profiles
     */


    $scope.OpenSupplierSearch = function () {
      $scope.searchModalPage = 'supplier';
      var callback = {};
      var data = {
        tabs: [{
          http: {
            method: 'GET',
            url: Localized.apiURL + '/admin/punchout/supplier',
            params: {
              q: ''
            }
          },
          relationships: ['suppliers'],
          fields: ['id', 'name'],
          fieldPrefixes: ['ID: ', ''],
          id: 'id',
          selectOne: false
        }]
      };
      callback = {
        confirm: function confirm(resp) {
          $scope.selectedGroup.punchout_profiles.push({
            supplier: {
              name: resp[0].value.name,
              id: resp[0].value.id
            }
          });
        },
        cancel: function cancel() {}
      };
      SearchModal.Show(callback, 'Suppliers', data, 'Add Supplier');
    };

    $scope.RemoveProfile = function (index) {
      $scope.selectedGroup.punchout_profiles[index].deleted = true;
    };
  }
})();

/***/ }),

/***/ 9391:
/***/ (() => {

(function () {
  'use strict';

  RolesController.$inject = ["$scope", "$rootScope", "$stateParams", "Admin", "Debug", "Utils", "Localized", "SearchModal"];
  angular.module('vendorfuelApp').controller('RolesController', RolesController);
  RolesController.$inject = ['$scope', '$rootScope', '$stateParams', 'Admin', 'Debug', 'Utils', 'Localized', 'SearchModal'];
  /**
   * @param {Object} $scope       Angular service
   * @param {Object} $rootScope   Angular service
   * @param {Object} $stateParams UI Router service
   * @param {Object} Admin        VendorFuel service
   * @param {Object} Debug        VendorFuel service
   * @param {Object} Utils        VendorFuel service
   * @param {Object} Localized    VendorFuel service
   * @param {Object} SearchModal  VendorFuel service
   */

  function RolesController($scope, $rootScope, $stateParams, Admin, Debug, Utils, Localized, SearchModal) {
    var _this = this;

    var vm = this;
    vm.changeSortBy = changeSortBy;
    vm.$onInit = $onInit; // Initialize controller

    vm.$onInit();
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Customers',
        state: 'customers'
      }, {
        name: 'Roles',
        state: 'customers-roles'
      }];
      $scope.activeTab = parseInt($stateParams.activeTab);
      $scope.addParams = {
        documents: []
      };
      $scope.endpointBase = Localized.apiURL + '/admin/customer/roles/';
      $scope.isAuthed = Admin.Authed();
      $scope.loading = false;
      $scope.loadingMore = false;
      $scope.model = {};
      $scope.models = [];
      $scope.saved = false;
      $scope.saving = false;
      $scope.sheet = {
        selected: ''
      };
      $scope.rppValues = [15, 30, 50, 100];
      vm.searchParams = {
        q: '',
        sortBy: '',
        sortType: 'asc',
        rpp: $scope.rppValues[0] // Must be defined after rppValues declared.

      };
    } //FUNCTIONS


    $scope.LoginCallback = function () {
      $scope.loading = true;
      $scope.init();
    };
    /**
     * @param {string} sortBy Sortby term
     * @param {Object} e      Click event
     */


    function changeSortBy(sortBy, e) {
      e.preventDefault();
      vm.sortAscending = vm.searchParams.sortBy === sortBy ? !vm.sortAscending : true;
      vm.searchParams.sortBy = sortBy;
      vm.searchParams.sortType = vm.sortAscending ? 'asc' : 'desc';
      $scope.Index(vm.searchParams.page);
    }

    this.selectPricesheet = function (pricesheet) {
      $scope.addParams.price_sheet_id = pricesheet.price_sheet_id;
      $scope.sheet.selected = pricesheet.sheet;
    };

    $scope.TabChanged = function (i) {
      $scope.activeTab = i;

      switch ($scope.activeTab) {
        case 0:
          if (!$scope.models.data) {
            $scope.Index();
          }

          break;

        case 1:
          $scope.addParams.price_sheet_id = null;
          $scope.sheet.selected = '';
          break;

        case 2:
          if ($scope.model.id) {
            $scope.Show($scope.model.id);
          }

          break;
      }
    }; //RESTful Functions
    //Index


    $scope.Index = function (page, query) {
      $scope.loadingMore = true;
      vm.searchParams.q = query;
      vm.searchParams.page = page || 1;
      var req = {
        method: 'GET',
        url: $scope.endpointBase,
        params: vm.searchParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.models = resp.roles;
        $scope.priceSheets = resp.price_sheets;
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loadingMore = false;
        $scope.loading = false;
      });
    }; //Show


    $scope.Show = function (id) {
      $scope.loading = true;
      $scope.model.id = id;
      var req = {
        method: 'GET',
        url: $scope.endpointBase + id
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.model = resp.role;
        $scope.priceSheets = resp.price_sheets;
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    }; //Store


    $scope.Store = function () {
      $scope.loading = true;
      var req = {
        method: 'POST',
        url: $scope.endpointBase,
        data: $scope.addParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        if (!resp.errors.length) {
          $scope.addParams = {};
          $scope.Show(resp.role.id);
          $scope.TabChanged(2);
        }
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    }; //Update


    $scope.Update = function (id) {
      $scope.loading = true;
      var req = {
        method: 'PUT',
        url: $scope.endpointBase + id,
        data: $scope.model
      };
      Utils.getHttpPromise(req).then(function () {
        angular.noop();
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };

    this["delete"] = function (id) {
      _this.isDeleting = true;
      var req = {
        method: 'DELETE',
        url: $scope.endpointBase + id
      };
      Utils.getHttpPromise(req).then(function () {
        $scope.model = {};
        $scope.activeTab = 0;
        $scope.Index();
      })["catch"](function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        _this.isDeleting = false;
      });
    };

    $scope.init = function () {
      switch ($scope.activeTab) {
        case 0:
          $scope.Index();
          break;

        case 2:
          $scope.TabChanged(0);
          $scope.Index();
          break;
      }
    };

    this.checkPriceSheet = function () {
      angular.forEach($scope.priceSheets, function (sheet) {
        if ($scope.model.price_sheet_id === sheet.price_sheet_id) {
          $scope.sheet.selected = sheet.sheet;
        }
      });
    }; //Group Search Modal


    $scope.OpenGroupSearchModal = function () {
      var callback = {};
      var data = {
        tabs: [{
          http: {
            method: 'GET',
            url: Localized.apiURL + '/admin/groups/',
            params: {
              q: ''
            }
          },
          relationships: ['groups'],
          fields: ['group_id', 'name', 'parent_group_id', 'default_price_sheet'],
          fieldPrefixes: ['ID: ', '', 'Parent ID: ', 'Price Sheet: '],
          id: 'group_id',
          selectOne: true
        }]
      };
      callback = {
        confirm: $scope.SearchResults,
        cancel: function cancel() {
          angular.noop();
        }
      }; //callback object (confirm, cancel), title, message, optionCancel, optionConfirm, httpConfig

      SearchModal.Show(callback, $scope.model.name, data, 'Add items');
    };

    $scope.SearchResults = function (resp) {
      //callback that is used by the search modal
      if ($scope.activeTab === 2) {
        $scope.model.group = resp[0].value;
        $scope.model.group_id = resp[0].value.group_id;
      } else if ($scope.activeTab === 1) {
        $scope.addParams.group = resp[0].value;
        $scope.addParams.group_id = resp[0].value.group_id;
      }
    };

    $scope.RemoveGroup = function () {
      $scope.model.group = null;
      $scope.model.group_id = null;
      $scope.addParams.group = null;
      $scope.addParams.group_id = null;
    }; //Documents


    $scope.AddDocument = function (documents) {
      documents.push({
        name: '',
        url: ''
      });
    };

    $scope.RemoveDocument = function (documents, index) {
      documents.splice(index, 1);
    };
  }
})();

/***/ }),

/***/ 6900:
/***/ (() => {

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

(function () {
  'use strict';

  EmailController.$inject = ["$scope", "$rootScope", "$state", "Admin", "Settings", "Debug", "Utils", "Localized", "EmailsData"];
  angular.module('vendorfuelApp').controller('EmailController', EmailController);
  EmailController.$inject = ['$scope', '$rootScope', '$state', 'Admin', 'Settings', 'Debug', 'Utils', 'Localized', 'EmailsData'];
  /**
   * @param {Object} $scope Angular service
   * @param {Object} $rootScope Angular service
   * @param {Object} $state UI Router service
   * @param {Object} Admin VendorFuel service
   * @param {Object} Settings VendorFuel service
   * @param {Object} Debug VendorFuel service
   * @param {Object} Utils VendorFuel service
   * @param {Object} Localized VendorFuel service
   * @param {Object} EmailsData VendorFuel service
   */

  function EmailController($scope, $rootScope, $state, Admin, Settings, Debug, Utils, Localized, EmailsData) {
    var vm = this;
    vm.$onInit = $onInit; // Initialize controller

    vm.$onInit();
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Email',
        state: 'email'
      }];
    }

    var bee = null;
    $scope.data = EmailsData.dataEmail();
    $scope.activeTab = 0;
    $scope.loading = false;
    $scope.saving = false;
    $scope.emails = [];
    $scope.emailEndpoint = Localized.apiURL + '/admin/email/';
    $scope.selectedEmail = {};
    $scope.emailSettings = {};
    $scope.showPassword = false;
    $scope.shortCodes = [];
    $scope.shortCodesConditional = [];
    $scope.pendingOptions = [];
    $scope.verifiedOptions = [];
    $scope.shipmentOptions = $scope.data.shipmentOptions;
    $scope.shipmentConditionals = $scope.data.shipmentConditionals;
    $scope.checkoutOptions = $scope.data.checkoutOptions;
    $scope.checkoutConditionals = $scope.data.checkoutConditionals;
    $scope.registerOptions = $scope.data.registerOptions;
    $scope.rmaOptions = $scope.data.rmaOptions;
    $scope.isAuthed = Admin.Authed();
    $scope.loadingBee = false; //FUNCTIONS

    $scope.LoginCallback = function () {
      $scope.loading = true; //logged in, do something. i.e. make api calls to load current tab's data
    };

    $scope.TransitionState = function () {
      $state.go('email', {
        activeTab: $scope.activeTab
      });
    };

    $scope.TabChanged = function (i) {
      $scope.activeTab = i;
      Settings.errors = {};
      $scope.loading = true;
      $scope.saving = false;
      $scope.saved = false;
      var req = {
        method: 'GET',
        url: $scope.emailEndpoint
      };

      switch (i) {
        case 0:
          //First tab selected
          req.url += 'template/';
          Utils.getHttpPromise(req).then(function (resp) {
            $scope.emailTemplates = resp.email_templates;
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.selectedEmail = $scope.emailTemplates[0];
            $scope.shortCodes = $scope.registerOptions;
            $scope.loading = false;
          });
          break;

        case 1:
          req.url += 'mode/';
          Utils.getHttpPromise(req).then(function (resp) {
            $scope.emailSettings = resp;

            if (_typeof($scope.emailSettings.credentials) !== 'object') {
              $scope.emailSettings.credentials = {
                mail_host: '',
                mail_pass: '',
                mail_user: ''
              };
            }
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
          break;

        case 2:
          break;
      }
    };

    $scope.SelectTemplate = function (email) {
      $scope.selectedEmail = email;

      if ($scope.selectedEmail.type === 'shipment') {
        $scope.shortCodes = $scope.shipmentOptions;
        $scope.shortCodesConditional = $scope.shipmentConditionals;
      }

      if ($scope.selectedEmail.type === 'checkout') {
        $scope.shortCodes = $scope.checkoutOptions;
        $scope.shortCodesConditional = $scope.checkoutConditionals;
      }

      if ($scope.selectedEmail.type === 'rma') {
        $scope.shortCodes = $scope.rmaOptions;
        $scope.shortCodesConditional = [];
      }

      if ($scope.selectedEmail.type === 'register') {
        $scope.shortCodes = $scope.registerOptions;
        $scope.shortCodesConditional = [];
      }

      if ($scope.selectedEmail.type === 'verified') {
        $scope.shortCodes = $scope.verifiedOptions;
        $scope.shortCodesConditional = [];
      }

      if ($scope.selectedEmail.type === 'pending-approval') {
        $scope.shortCodes = $scope.pendingOptions;
        $scope.shortCodesConditional = [];
      }

      var template = JSON.parse(email.json);
      bee.load(JSON.parse(template));
    };

    $scope.UpdateSettings = function () {
      $scope.saving = true;
      var params = {
        mode: $scope.emailSettings.mode
      };

      if ($scope.emailSettings.mode === 'smtp') {
        params.credentials = {
          mail_user: $scope.emailSettings.credentials.mail_user,
          mail_host: $scope.emailSettings.credentials.mail_host,
          mail_pass: $scope.emailSettings.credentials.mail_pass
        };
      }

      var req = {
        method: 'PUT',
        url: $scope.emailEndpoint + 'mode',
        data: params
      };
      Utils.getHttpPromise(req).then(function () {}, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
        $scope.saving = false;
      });
    };

    $scope.UpdateTemplate = function (html, json) {
      var params = {
        notification: $scope.selectedEmail.notification_emails,
        sender: $scope.selectedEmail.sender_email,
        name: $scope.selectedEmail.sender_name,
        subject: $scope.selectedEmail.subject,
        message: html,
        json: json
      }; // params.type = $scope.selectedEmail.type;

      var req = {
        method: 'PUT',
        url: $scope.emailEndpoint + 'template/' + $scope.selectedEmail.type,
        data: params
      };
      Utils.getHttpPromise(req).then(function (resp) {
        angular.forEach($scope.emailTemplates, function (val, key) {
          if (val.id === resp.email_template.id) {
            // $scope.emailTemplates[key];
            $scope.emailTemplates[key] = resp.email_template;
            $scope.selectedEmail = $scope.emailTemplates[key];
          }
        });
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
        $scope.savingTemplate = false;
      });
    };

    $scope.UploadTemplate = function (e) {
      var templateFile = e.files[0];
      var reader = new FileReader();

      reader.onload = function () {
        var templateString = reader.result; // @ts-ignore

        var template = JSON.parse(templateString);
        bee.load(JSON.parse(template));
      };

      reader.readAsText(templateFile);
    };

    var save = function save(filename, content) {
      // @ts-ignore
      saveAs(new Blob([content], {
        type: 'text/plain;charset=utf-8'
      }), filename);
    };

    $scope.DownloadHtmlTemplate = function () {
      save($scope.selectedEmail.type + '.html', $scope.selectedEmail.message);
    };

    $scope.DownloadJsonTemplate = function () {
      save($scope.selectedEmail.type + '.json', $scope.selectedEmail.json);
    };

    var request = function request(method, url, data, type, callback) {
      var req = new XMLHttpRequest();

      req.onreadystatechange = function () {
        if (req.readyState === 4 && req.status === 200) {
          var response = JSON.parse(req.responseText);
          callback(response);
        } else if (req.readyState === 4 && req.status !== 200) {
          Debug.error('Access denied, invalid credentials. Please check you entered a valid client_id and client_secret.');
        }
      };

      req.open(method, url, true);

      if (data && type) {
        if (type === 'multipart/form-data') {
          var formData = new FormData();

          for (var _i = 0, _Object$entries = Object.entries(data); _i < _Object$entries.length; _i++) {
            var _Object$entries$_i = _slicedToArray(_Object$entries[_i], 1),
                key = _Object$entries$_i[0];

            formData.append(key, data[key]);
          }

          data = formData;
        } else {
          req.setRequestHeader('Content-type', type);
        }
      }

      req.send(data);
    };

    var specialLinks = [{
      type: 'unsubscribe',
      label: 'SpecialLink.Unsubscribe',
      link: 'http://[unsubscribe]/'
    }, {
      type: 'subscribe',
      label: 'SpecialLink.Subscribe',
      link: 'http://[subscribe]/'
    }];
    var mergeTags = [{
      name: 'tag 1',
      value: '[tag1]'
    }, {
      name: 'tag 2',
      value: '[tag2]'
    }];
    var mergeContents = [{
      name: 'test',
      value: '[content1]'
    }, {
      name: 'content 2',
      value: '[content1]'
    }];
    /**
     * @param {any} message Message
     * @param {any} sample Sample
     * @return {Object} JSON
     */

    function userInput(message, sample) {
      return function handler(resolve, reject) {
        // eslint-disable-next-line no-alert
        var data = prompt(message, JSON.stringify(sample));
        return data === null || data === '' ? reject() : resolve(JSON.parse(data));
      };
    }

    var beeConfig = {
      uid: $scope.uid,
      container: 'bee-plugin-container',
      autosave: 15,
      language: 'en-US',
      trackChanges: true,
      specialLinks: specialLinks,
      mergeTags: mergeTags,
      mergeContents: mergeContents,
      contentDialog: {
        specialLinks: {
          label: 'Add a custom Special Link',
          handler: userInput('Enter the deep link:', {
            type: 'custom',
            label: 'external special link',
            link: 'http://www.example.com'
          })
        },
        mergeTags: {
          label: 'Add custom tag 2',
          handler: userInput('Enter the merge tag:', {
            name: 'name',
            value: 'name'
          })
        },
        mergeContents: {
          label: 'Choose a custom merge content',
          handler: userInput('Enter the merge content:', {
            name: 'my custom content',
            value: '{my-custom-content}'
          })
        },
        rowDisplayConditions: {
          label: 'Open builder',
          handler: userInput('Enter the row display condition:', {
            type: 'People',
            label: 'Person is a developer',
            description: 'Check if a person is a developer',
            before: '{if job === \'developer\'}',
            after: '{endif}'
          })
        }
      },
      onChange: function onChange(jsonFile, response) {
        Debug.log('json', jsonFile);
        Debug.log('response', response);
      },
      onSave: function onSave(jsonFile, htmlFile) {
        $scope.savingTemplate = true; // save('test.json', jsonFile);

        $scope.json = JSON.stringify(jsonFile);
        $scope.UpdateTemplate(htmlFile, $scope.json); // save('newsletter.html', htmlFile);
      },
      onSaveAsTemplate: function onSaveAsTemplate(jsonFile) {
        // + thumbnail?
        save('newsletter-template.json', jsonFile); // $scope.json = JSON.stringify(jsonFile);
        // $scope.UpdateTemplate(htmlFile, $scope.json);
      },
      onAutoSave: function onAutoSave(jsonFile) {
        // + thumbnail?
        window.localStorage.setItem('newsletter.autosave', jsonFile); // $scope.json = JSON.stringify(jsonFile);
        // $scope.UpdateTemplate(htmlFile, $scope.json);
      },
      // eslint-disable-next-line no-unused-vars
      onSend: function onSend(htmlFile) {//write your send test function here
      },
      onError: function onError(errorMessage) {
        Debug.error('onError ', errorMessage);
      }
    };

    var getBeeFreeAccessToken = function getBeeFreeAccessToken() {
      if (!$scope.loadingBee) {
        $scope.loadingBee = true;
        var req = {
          method: 'GET',
          url: Localized.apiURL + '/admin/beefree/token'
        };
        Utils.getHttpPromise(req).then(function (resp) {
          $scope.accessToken = resp.access_token;
          $scope.uid = resp.uid;
          beeConfig.uid = $scope.uid;
          $scope.SetupBee($scope.accessToken);
        }, function (errResp) {
          Debug.error(errResp);
        })["finally"](function () {});
      }
    };

    $scope.SetupBee = function (token) {
      // eslint-disable-next-line no-undef
      BeePlugin.create(token, beeConfig, function (beePluginInstance) {
        bee = beePluginInstance;
        request('GET', 'https://rsrc.getbee.io/api/templates/m-bee', null, null, function () {
          var template = JSON.parse($scope.selectedEmail.json);
          bee.start(JSON.parse(template));
        });
      });
    };

    getBeeFreeAccessToken();
  }
})();

/***/ }),

/***/ 8628:
/***/ (() => {

(function () {
  'use strict';

  LoginController.$inject = ["$scope", "Admin", "Utils", "$state"];
  angular.module('vendorfuelApp').controller('LoginController', LoginController);
  LoginController.$inject = ['$scope', 'Admin', 'Utils', '$state'];
  /**
   * @param {Object} $scope Angular service
   * @param {Object} Admin  VendorFuel service
   * @param {Object} Utils  VendorFuel service
   * @param {Object} $state UI Router service
   */

  function LoginController($scope, Admin, Utils, $state) {
    var vm = this;
    var parentCallback = $scope.$parent.LoginCallback;

    this.$onInit = function () {
      Admin.login_errors = {};
      Utils.redirecting = false;
      $scope.admin = Admin;
      $scope.loggingIn = false;
      $scope.remember_me = false;
      $scope.user = {
        loginEmail: '',
        loginPassword: ''
      };
    };

    this.$onInit();

    $scope.trimExtraSp = function (str) {
      return str.replace(/\s+/g, '');
    };

    $scope.Login = function () {
      Admin.login_errors = {};
      $scope.loggingIn = true;
      Admin.Login($scope.user.loginEmail, $scope.trimExtraSp($scope.user.loginPassword), $scope.user.loginAuthenticator, $scope.remember_me).then(function () {
        if (parentCallback && Object.keys(Admin.login_errors).length === 0) {
          parentCallback();
        }

        $scope.loggingIn = false;

        if (Object.keys(Admin.login_errors).length === 0) {
          if (!Utils.ReturnLocation) {
            $state.go('dashboard');
          }

          if (Utils.ReturnLocation !== null) {
            Utils.setLocation(Utils.ReturnLocation, false);
            Utils.redirecting = false;
            Utils.ReturnLocation = null;
          }
        }
      });
    };

    $scope.ToggleShowPassword = function (type) {
      if (type === 'password') {
        $scope.showPassword = !$scope.showPassword;
      }

      if (type === 'conf') {
        $scope.showPasswordConf = !$scope.showPasswordConf;
      }
    };
  }
})();

/***/ }),

/***/ 9493:
/***/ (() => {

(function () {
  'use strict';

  PaymentProcessorController.$inject = ["$scope", "$parse"];
  angular.module('vendorfuelApp').controller('PaymentProcessorController', PaymentProcessorController);
  PaymentProcessorController.$inject = ['$scope', '$parse'];
  /**
   * @param {Object} $scope Angular service
   * @param {Object} $parse Angular service
   */

  function PaymentProcessorController($scope, $parse) {
    var vm = this;
    vm.$onInit = $onInit; // Initialize controller

    vm.$onInit();
    /**
     * Initialization
     */

    function $onInit() {
      $scope.attributeCount = 0;
      $scope.enabled = 0;
      $scope.processorIndex = null;
      $scope.$watch('$viewContentLoaded', function () {
        if ($scope.$parent.gateways[$scope.processorIndex]) {
          var gateway = $scope.$parent.gateways[$scope.processorIndex];
          $scope.enabled = Number(gateway.enabled);
          var i = 1;
          angular.forEach(gateway, function (value, key) {
            //$scope.attributeCount = i;
            // @ts-ignore
            if (key !== 'enabled') {
              var index = 'atrributeIndex';
              var valueIndex = 'attribute'; // @ts-ignore

              index = index.concat(i); // @ts-ignore

              valueIndex = valueIndex.concat(i); // @ts-ignore

              $parse(index).assign($scope, key);
              $parse(valueIndex).assign($scope, value);
              i++;
            }
          });
        } else {
          for (var j = 1; j <= $scope.attributeCount;) {
            var valueIndex = 'attribute'; // @ts-ignore

            valueIndex = valueIndex.concat(j);
            $parse(valueIndex).assign($scope, '');
            j++;
          }
        }
      });
    }

    $scope.updateGateway = function () {
      var gateway = {};
      gateway[$scope.processorIndex] = {};
      gateway[$scope.processorIndex].enabled = $scope.enabled;

      for (var i = 1; i <= $scope.attributeCount;) {
        var index = 'attributeIndex';
        var valueIndex = 'attribute';
        index = index.concat(i.toString());
        valueIndex = valueIndex.concat(i.toString());

        if ($scope[index] !== 'enabled') {
          gateway[$scope.processorIndex][$scope[index]] = $scope[valueIndex];
          i++;
        }
      }

      $scope.$parent.gateways[$scope.processorIndex] = gateway[$scope.processorIndex];
      $scope.$parent.updateGateway(gateway);
    };

    $scope.disableGateway = function () {
      var gateway = {};
      gateway[$scope.processorIndex] = {};
      gateway[$scope.processorIndex].enabled = false;
      $scope.$parent.gateways[$scope.processorIndex] = gateway[$scope.processorIndex];
      $scope.$parent.disableGateway(gateway).then();
    };

    $scope.setPrimaryCCProcessor = function () {
      var gateway = {};
      gateway[$scope.processorIndex] = {};

      if ($scope.keyIndex !== '') {
        gateway[$scope.processorIndex][$scope.keyIndex] = $scope.key;
      }

      if ($scope.secretIndex !== '') {
        gateway[$scope.processorIndex][$scope.secretIndex] = $scope.secret;
      }

      gateway[$scope.processorIndex].enabled = $scope.enabled;
      $scope.$parent.gateways[$scope.processorIndex] = gateway[$scope.processorIndex];
      $scope.$parent.setPrimaryCCProcessor(gateway);
    };

    $scope.authorizeAccess = function () {
      $scope.$parent.authorizeAccess($scope.processorIndex);
    };

    $scope.revokeAccess = function () {
      $scope.$parent.revokeAccess($scope.processorIndex);
    };
  }
})();

/***/ }),

/***/ 6962:
/***/ (() => {

(function () {
  'use strict';

  PaymentsController.$inject = ["$filter", "$scope", "$rootScope", "$stateParams", "Admin", "Settings", "Debug", "Utils", "Localized"];
  angular.module('vendorfuelApp').controller('PaymentsController', PaymentsController);
  PaymentsController.$inject = ['$filter', '$scope', '$rootScope', '$stateParams', 'Admin', 'Settings', 'Debug', 'Utils', 'Localized'];
  /**
   * @param {Object} $filter Angular service
   * @param {Object} $scope Angular service
   * @param {Object} $rootScope Angular service
   * @param {Object} $stateParams UI Router service
   * @param {Object} Admin VendorFuel service
   * @param {Object} Settings VendorFuel service
   * @param {Object} Debug VendorFuel service
   * @param {Object} Utils VendorFuel service
   * @param {Object} Localized VendorFuel service
   */

  function PaymentsController($filter, $scope, $rootScope, $stateParams, Admin, Settings, Debug, Utils, Localized) {
    var vm = this;
    vm.$onInit = $onInit; // Initialize controller

    vm.$onInit();
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Payments',
        state: 'payments'
      }];
      $scope.activeTab = parseInt($stateParams.activeTab) || 0;
      $scope.addParams = {};
      $scope.gateway = {};
      $scope.gateways = [];
      $scope.gatewaysEndpoint = Localized.apiURL + '/admin/gateways/';
      $scope.isAuthed = Admin.Authed();
      $scope.loading = false;
      $scope.rppValues = [15, 30, 50, 100];
      $scope.searchParams = {
        q: '',
        sortBy: '',
        sortType: '',
        rpp: $scope.rppValues[0]
      };
      $scope.selectedGateway = null;
      $scope.templates = [{
        name: 'Qualpay',
        url: localized.dir.url + '/assets/app/templates/payment_processors/QualPay.html'
      }, {
        name: 'AuthorizeNet',
        url: localized.dir.url + '/assets/app/templates/payment_processors/AuthorizeNet.html'
      }, {
        name: 'PayPal',
        url: localized.dir.url + '/assets/app/templates/payment_processors/PayPal.html'
      }, {
        name: 'PayFabric',
        url: localized.dir.url + '/assets/app/templates/payment_processors/PayFabric.html'
      }, {
        name: 'Stripe',
        url: localized.dir.url + '/assets/app/templates/payment_processors/Stripe.html'
      }, {
        name: 'SquareUp',
        url: localized.dir.url + '/assets/app/templates/payment_processors/SquareUp.html'
      }];
      $scope.template = $scope.templates[0]; // Must come after templates declaration.
    } //FUNCTIONS


    $scope.LoginCallback = function () {
      $scope.loading = true; //logged in, do something. i.e. make api calls to load current tab's data
    };

    $scope.retrieveGateways = function () {
      $scope.loading = true;
      var req = {
        method: 'GET',
        url: $scope.gatewaysEndpoint
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.gateways = resp.gateways;
        angular.forEach($scope.gateways, function (value, key) {
          if (value.enabled && value.enabled !== 0) {
            $scope.template = $filter('filter')($scope.templates, {
              name: key
            })[0];
          }
        });
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };

    $scope.TabChanged = function (i) {
      $scope.activeTab = i;
      Settings.errors = {};
      $scope.retrieveGateways();
    };

    $scope.disableGateway = function (gateway) {
      var data = {
        gateways: gateway
      };
      var req = {
        method: 'PUT',
        url: $scope.gatewaysEndpoint,
        data: data
      };
      Utils.getHttpPromise(req).then(function () {
        if ('paypal' in gateway) {
          Utils.httpDelete(Localized.wpRestUrl + '/settings/paypal', {}, {
            paypal_client_id: gateway.paypal.client_id
          });
        }

        if ('authnet' in gateway) {
          Utils.httpDelete(Localized.wpRestUrl + '/settings/authnet', {}, {
            public_key: gateway.authnet.key,
            id: gateway.authnet.id
          });
        }

        if ('stripe' in gateway) {
          Utils.httpDelete(Localized.wpRestUrl + '/settings/stripe', {}, {
            stripe_pk: gateway.stripe.publishableKey
          });
        }

        if ('squareup' in gateway) {
          Utils.httpDelete(Localized.wpRestUrl + '/settings/squareup', {}, {
            location_id: gateway.squareup.locationID
          });
        }

        Utils.httpPut(Localized.wpRestUrl + '/payment/enabled', {}, {
          gateway: gateway
        });
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
        $scope.retrieveGateways();
      });
    };

    $scope.updateGateway = function (gateway) {
      var data = {
        gateways: gateway
      };
      var req = {
        method: 'PUT',
        url: $scope.gatewaysEndpoint,
        data: data
      };
      Utils.getHttpPromise(req).then(function () {
        if ('paypal' in gateway) {
          Utils.httpPut(Localized.wpRestUrl + '/settings/paypal', {}, {
            paypal_client_id: gateway.paypal.client_id
          });
        }

        if ('authnet' in gateway) {
          Utils.httpPut(Localized.wpRestUrl + '/settings/authnet', {}, {
            public_key: gateway.authnet.key,
            id: gateway.authnet.id
          });
        }

        if ('stripe' in gateway) {
          Utils.httpPut(Localized.wpRestUrl + '/settings/stripe', {}, {
            stripe_pk: gateway.stripe.publishableKey
          });
        }

        if ('squareup' in gateway) {
          Utils.httpPut(Localized.wpRestUrl + '/settings/squareup', {}, {
            location_id: gateway.squareup.locationID
          });
        }

        Utils.httpPut(Localized.wpRestUrl + '/payment/enabled', {}, {
          gateway: gateway
        });
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };

    $scope.authorizeAccess = function (processorIndex) {
      $scope.loading = true;
      var req = {
        method: 'GET',
        url: Localized.apiURL + '/admin/payments/' + processorIndex + '/authorize'
      };
      Utils.getHttpPromise(req).then(function (resp) {
        window.open(resp.auth_url, '_blank');
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };

    $scope.revokeAccess = function (processorIndex) {
      $scope.loading = true;
      var req = {
        method: 'GET',
        url: Localized.apiURL + '/admin/payments/' + processorIndex + '/revoke'
      };
      Utils.getHttpPromise(req).then(function () {//window.open(resp.auth_url,'_blank');
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };

    $scope.ChangeTab = function (tabIndex) {
      $scope.activeTab = tabIndex;
    };
  }
})();

/***/ }),

/***/ 3599:
/***/ (() => {

(function () {
  'use strict';

  PunchoutSuppliersController.$inject = ["$scope", "$rootScope", "$stateParams", "Admin", "ConfirmModal", "Settings", "Debug", "Utils", "Localized"];
  angular.module('vendorfuelApp').controller('PunchoutSuppliersController', PunchoutSuppliersController);
  PunchoutSuppliersController.$inject = ['$scope', '$rootScope', '$stateParams', 'Admin', 'ConfirmModal', 'Settings', 'Debug', 'Utils', 'Localized'];
  /**
   * @param {Object} $scope Angular service
   * @param {Object} $rootScope Angular service
   * @param {Object} $stateParams UI Router service
   * @param {Object} Admin VendorFuel service
   * @param {Object} ConfirmModal VendorFuel service
   * @param {Object} Settings VendorFuel service
   * @param {Object} Debug VendorFuel service
   * @param {Object} Utils VendorFuel service
   * @param {Object} Localized VendorFuel service
   */

  function PunchoutSuppliersController($scope, $rootScope, $stateParams, Admin, ConfirmModal, Settings, Debug, Utils, Localized) {
    var vm = this;
    vm.$onInit = $onInit; // Initialize controller

    vm.$onInit();
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Punchout',
        state: 'punchout'
      }, {
        name: 'Suppliers',
        state: 'punchout-suppliers'
      }];
      $scope.activeTab = parseInt($stateParams.activeTab);
      $scope.addParams = {};
      $scope.addParams.domain_type = 'DUNS';
      $scope.admin = Admin;
      $scope.confirm = ConfirmModal;
      $scope.endpointBase = Localized.apiURL + '/admin/punchout/supplier/';
      $scope.loading = false;
      $scope.loadingMore = false;
      $scope.localized = Localized;
      $scope.model = {};
      $scope.models = [];
      $scope.rppValues = [15, 30, 50, 100];
      $scope.saved = false;
      $scope.saving = false;
      $scope.searchParams = {
        q: '',
        sortBy: '',
        sortType: 'asc',
        rpp: $scope.rppValues[0]
      };
      $scope.settings = Settings;
      $scope.utils = Utils;
    } //FUNCTIONS


    $scope.LoginCallback = function () {
      $scope.loading = true;
      $scope.init();
    };

    $scope.SortIndex = function (sortBy) {
      $scope.sortAscending = $scope.searchParams.sortBy === sortBy ? !$scope.sortAscending : true;
      $scope.searchParams.sortBy = sortBy;
      $scope.searchParams.sortType = $scope.sortAscending ? 'asc' : 'desc';
      $scope.Index($scope.searchParams.page);
    };

    $scope.TabChanged = function (i) {
      $scope.activeTab = i;

      switch ($scope.activeTab) {
        case 0:
          if (!$scope.models.data) {
            $scope.Index();
          }

          break;

        case 2:
          if ($scope.model.id) {
            $scope.Show($scope.model.id);
          }

          break;
      }
    }; //RESTful Functions
    //Index


    $scope.Index = function (page) {
      $scope.loadingMore = true;
      $scope.searchParams.page = page || 1;
      var req = {
        method: 'GET',
        url: $scope.endpointBase,
        params: $scope.searchParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.models = resp.suppliers;
      }, function (errResp) {
        Debug.log(errResp);
      })["finally"](function () {
        $scope.loadingMore = false;
        $scope.loading = false;
      });
    }; //Show


    $scope.Show = function (id) {
      $scope.loading = true;
      $scope.model.id = id;
      var req = {
        method: 'GET',
        url: $scope.endpointBase + id
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.model = resp.supplier;
      }, function (errResp) {
        Debug.log(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    }; //Store


    $scope.Store = function () {
      $scope.loading = true;
      var req = {
        method: 'POST',
        url: $scope.endpointBase,
        data: $scope.addParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        if (!resp.errors.length) {
          $scope.addParams = {};
          $scope.Show(resp.supplier.id);
          $scope.TabChanged(2);
        }
      }, function (errResp) {
        Debug.log(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    }; //Update


    $scope.Update = function (id) {
      $scope.loading = true;
      var req = {
        method: 'PUT',
        url: $scope.endpointBase + id,
        data: $scope.model
      };
      Utils.getHttpPromise(req).then(function () {}, function (errResp) {
        Debug.log(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    }; //Delete


    $scope.Delete = function (id) {
      var callback = {
        confirm: function confirm() {
          $scope.loading = true;
          var req = {
            method: 'DELETE',
            url: $scope.endpointBase + id
          };
          Utils.getHttpPromise(req).then(function () {
            $scope.model = {};
            $scope.activeTab = 0;
            $scope.Index();
          }, function (errResp) {
            Debug.log(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
        },
        cancel: function cancel() {}
      };
      $scope.confirm.Show(callback, 'Delete Supplier?', 'This action cannot be undone.', 'Back', 'DELETE');
    };

    $scope.AddEndpoint = function (endpoints) {
      endpoints.push({
        transaction: '',
        url: ''
      });
    };

    $scope.RemoveEndpoint = function (endpoints, index) {
      endpoints.splice(index, 1);
    };

    $scope.RefreshEndpoints = function (id) {
      $scope.loading = true;
      var req = {
        method: 'GET',
        url: $scope.endpointBase + id + '/endpoints/refresh'
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.model = resp.supplier;
      }, function (errResp) {
        Debug.log(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };

    $scope.init = function () {
      switch ($scope.activeTab) {
        case 0:
          $scope.Index();
          break;

        case 2:
          $scope.TabChanged(0);
          $scope.Index();
          break;
      }
    };
  }
})();

/***/ }),

/***/ 1923:
/***/ (() => {

(function () {
  'use strict';

  PurchasingCostSheetsController.$inject = ["$scope", "$timeout", "$rootScope", "$stateParams", "Admin", "ConfirmModal", "Settings", "Debug", "Utils", "Localized", "SearchModal", "$window"];
  angular.module('vendorfuelApp').controller('PurchasingCostSheetsController', PurchasingCostSheetsController);
  PurchasingCostSheetsController.$inject = ['$scope', '$timeout', '$rootScope', '$stateParams', 'Admin', 'ConfirmModal', 'Settings', 'Debug', 'Utils', 'Localized', 'SearchModal', '$window'];
  /**
   * @param {Object} $scope Angular service
   * @param {Object} $timeout Angular service
   * @param {Object} $rootScope Angular service
   * @param {Object} $stateParams UI Router service
   * @param {Object} Admin VendorFuel service
   * @param {Object} ConfirmModal VendorFuel service
   * @param {Object} Settings VendorFuel service
   * @param {Object} Debug VendorFuel service
   * @param {Object} Utils VendorFuel service
   * @param {Object} Localized VendorFuel service
   * @param {Object} SearchModal VendorFuel service
   * @param {Object} $window Angular service
   */

  function PurchasingCostSheetsController($scope, $timeout, $rootScope, $stateParams, Admin, ConfirmModal, Settings, Debug, Utils, Localized, SearchModal, $window) {
    var vm = this;
    vm.$onInit = $onInit; // Initialize controller

    vm.$onInit();
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Purchasing',
        state: 'purchasing'
      }, {
        name: 'Cost Sheets',
        state: 'purchasing-suppliers'
      }];
    }

    $scope.activeTab = parseInt($stateParams.activeTab);
    $scope.loading = false;
    $scope.loadingMore = false;
    $scope.productsLoading = false;
    $scope.saving = false;
    $scope.uploading = false;
    $scope.saved = false;
    $scope.loadingMore = false;
    $scope.costSheetEndpoint = Localized.apiURL + '/admin/purchasing/cost-sheet/';
    $scope.productEndpoint = Localized.apiURL + '/admin/products/';
    $scope.vendorEndpoint = Localized.apiURL + '/admin/purchasing/vendors/';
    $scope.supplierEndpoint = Localized.apiURL + '/admin/punchout/suppliers/';
    $scope.docProfileEndpoint = Localized.apiURL + '/admin/purchasing/document-profile/';
    $scope.batchEndpoint = Localized.apiURL + '/admin/purchasing/cost-sheet/batch/';
    $scope.costSheets = [];
    $scope.costSheet = {};
    $scope.vendor = {};
    $scope.supplier = {};
    $scope.transmitting_document_profile = {};
    $scope.receiving_document_profile = {};
    $scope.document_profiles = {};
    $scope.selectedBatch = {};
    $scope.addParams = {
      costs: []
    };
    $scope.editName = false;
    $scope.updatedCosts = [];
    $scope.editIndex = -1;
    $scope.object = Object;
    $scope.myFile = {};
    $scope.showChanges = false;
    $scope.rppValues = [15, 30, 50, 100];
    $scope.searchParams = {
      q: '',
      searchBy: '',
      sortBy: '',
      sortType: '',
      rpp: $scope.rppValues[0]
    };
    $scope.sortBatchParams = {
      sort_by: 'batch_id',
      sort_type: '',
      status: 'pending'
    };
    $scope.sortBatchParams.status = 'any';
    $scope.batchListOptions = {
      any: 'All',
      pending: 'Pending',
      confirmed: 'Confirmed',
      processing: 'Processing',
      processed: 'Processed'
    };
    $scope.sortAscending = true; //FACTORIES

    $scope.admin = Admin;
    $scope.confirm = ConfirmModal;
    $scope.settings = Settings;
    $scope.localized = Localized;
    $scope.utils = Utils; //FUNCTIONS

    $scope.LoginCallback = function () {
      $scope.loading = true; //logged in, do something. i.e. make api calls to load current tab's data
    };

    $scope.init = function () {
      switch ($scope.activeTab) {
        case 0:
        case 1:
          $scope.Index();
          break;

        case 2:
          $scope.Index();
          $scope.TabChanged(0);
          break;
      }
    };

    $scope.TabChanged = function (i) {
      $scope.activeTab = i;
      $scope.loading = true;

      switch ($scope.activeTab) {
        //Only retrieve new index if no data is present
        //This way previous searches are retained
        case 0:
          if (!$scope.costSheets.data) {
            $scope.Index();
          }

          break;

        case 2:
          if ($scope.costSheet.id) {
            $scope.searchParams = {
              q: '',
              searchBy: '',
              sortBy: '',
              sortType: '',
              rpp: $scope.rppValues[0]
            };
            $scope.Show($scope.costSheet.id);
          }

          break;

        case 4:
          $scope.BatchIndex();
          break;

        case 5:
          $scope.ShowBatch($scope.selectedBatch.id);
          break;
      }

      $scope.loading = false;
    };

    $scope.ChangeTab = function (tab) {
      $scope.activeTab = tab;
    };

    $scope.SortIndex = function (sortBy) {
      $scope.sortAscending = $scope.searchParams.sortBy === sortBy ? !$scope.sortAscending : true;
      $scope.searchParams.sortBy = sortBy;
      $scope.searchParams.sortType = $scope.sortAscending ? 'asc' : 'desc';
      $scope.Index($scope.searchParams.page);
    }; //Index


    $scope.Index = function (page) {
      $scope.loadingMore = true;
      $scope.searchParams.page = page || 1;
      var req = {
        method: 'GET',
        url: $scope.costSheetEndpoint,
        params: $scope.searchParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.costSheets = resp.cost_sheets;
        $scope.vendors = resp.vendors;
        $scope.suppliers = resp.suppliers;
        $scope.document_profiles = resp.document_profiles;
      }, function (errResp) {
        Debug.log(errResp);
      })["finally"](function () {
        $scope.loadingMore = false;
        $scope.loading = false;
      });
    }; //Show


    $scope.Show = function (id) {
      $scope.loading = true;
      $scope.costSheet.id = id;
      var req = {
        method: 'GET',
        url: $scope.costSheetEndpoint + id,
        params: $scope.searchParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.costSheet = resp.cost_sheet;
        $scope.costSheet.cost_margin *= 100;
        $scope.vendors = resp.vendors;
        $scope.suppliers = resp.suppliers;
        $scope.document_profiles = resp.document_profiles;
      }, function (errResp) {
        Debug.log(errResp);
      })["finally"](function () {
        $scope.showChanges = false;
        $scope.loading = false;
      });
    }; //Store


    $scope.Store = function () {
      $scope.loading = true;
      var req = {
        method: 'POST',
        url: $scope.costSheetEndpoint,
        data: $scope.addParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        if (!resp.errors.length) {
          $scope.addParams = {};
          $scope.vendor = {};
          $scope.supplier = {};
          $scope.Show(resp.cost_sheet.id);
          $scope.TabChanged(2);
        }
      }, function (errResp) {
        Debug.log(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    }; //Update


    $scope.Update = function (id) {
      $scope.loading = true;
      $scope.updatedCosts.forEach(function (cost) {
        if (cost.action === 'remove') {
          cost.value.cost = 0.00;
        }

        $scope.costSheet.costs.data.push(cost.value);
      });
      $scope.costSheet.costs = $scope.costSheet.costs.data;
      var req = {
        method: 'PUT',
        url: $scope.costSheetEndpoint + id,
        data: $scope.costSheet
      };
      Utils.getHttpPromise(req).then(function () {
        $scope.updatedCosts = [];
        $scope.Show(id);
      }, function (errResp) {
        Debug.log(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    }; //Delete


    $scope.Delete = function (id) {
      var callback = {
        confirm: function confirm() {
          $scope.loading = true;
          var req = {
            method: 'DELETE',
            url: $scope.costSheetEndpoint + id
          };
          Utils.getHttpPromise(req).then(function () {
            $scope.costSheet = {};
            $scope.activeTab = 0;
            $scope.Index();
          }, function (errResp) {
            Debug.log(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
        },
        cancel: function cancel() {}
      };
      $scope.confirm.Show(callback, 'Delete Cost Sheet?', 'This action cannot be undone.', 'Back', 'DELETE');
    };

    $scope.ChangeBatchTab = function (batchId) {
      $scope.activeTab = 5;
      $scope.selectedBatch.id = batchId;
    };

    $scope.ChangeEdit = function () {
      $scope.editName = !$scope.editName;
    };

    $scope.ConfirmBatch = function () {
      $scope.loading = true;
      var req = {
        method: 'POST',
        url: $scope.batchEndpoint + 'confirm',
        data: {
          id: $scope.selectedBatch.id
        }
      };
      Utils.getHttpPromise(req).then(function () {
        $scope.selectedBatch = null;
        $scope.activeTab = 4;
      }, function (errResp) {
        Debug.log(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };

    $scope.SearchResults = function (resp) {
      //callback that is used by the search modal
      if ($scope.activeTab === 1) {
        if ($scope.addParams.costs) {
          resp.forEach(function (product) {
            $scope.addParams.costs.push(product); // eslint-disable-next-line no-shadow

            var currentIds = $scope.addParams.costs.map(function (product) {
              return product.value.product_id;
            });

            if (currentIds.includes(product.value.product_id)) {
              $scope.addParams.costs[$scope.addParams.costs.length - 1].cost = product.value.cost;
            }
          });
        } else {
          $scope.addParams.costs = [];
        }
      } else if ($scope.activeTab === 2) {
        var currentIds = $scope.updatedCosts.map(function (item) {
          return item.value.product_id;
        });
        $scope.updatedCosts = [];
        resp.forEach(function (item) {
          var included = currentIds.includes(item.value.product_id);

          if (item.action === 'add') {
            $scope.updatedCosts.push({
              action: 'add',
              value: {
                product_id: item.value.product_id,
                sku: item.value.sku,
                vendor_sku: item.value.sku,
                uomid: item.value.uomid,
                uomqty: item.value.uomqty,
                cost: included ? item.value.cost : 0.00,
                product: included ? item.value.product : item.value,
                image: item.value.image
              }
            });
          } else if (item.action === 'remove') {
            $scope.updatedCosts.push(item);
          }
        });
      }
    };

    $scope.editParams = function (item) {
      for (var i = 0; i < $scope.updatedCosts.length; i++) {
        if ($scope.updatedCosts[i].value.product_id === item.product_id) {
          if ($scope.updatedCosts[i].action === 'remove') {
            return;
          }

          $scope.updatedCosts[i].value.cost = item.cost;
          return;
        }
      }

      $scope.updatedCosts.push({
        action: 'edited',
        value: item
      });
    };

    $scope.ShowChanges = function () {
      $scope.showChanges = !$scope.showChanges;
    };

    $scope.OpenSearchModalUpdate = function () {
      var callback = {};
      var config = {
        tabs: [{
          http: {
            method: 'GET',
            url: $scope.productEndpoint,
            params: {
              q: '',
              excludedField: 'cost_sheet_index_id',
              excludedId: $scope.costSheet.id,
              excludedTable: 'cost_sheets'
            }
          },
          relationships: ['products'],
          fields: ['sku', 'image', 'description', 'status'],
          fieldPrefixes: ['', '', '', 'Status: '],
          id: 'product_id',
          selectOne: false
        }, {
          http: {
            method: 'GET',
            url: $scope.costSheetEndpoint + $scope.costSheet.id,
            params: {
              q: ''
            }
          },
          relationships: ['cost_sheet', 'costs'],
          fields: ['sku', 'image', 'description', 'cost'],
          fieldPrefixes: ['', '', '', 'Cost: '],
          id: 'product_id'
        }],
        updatedItems: $scope.cost
      };
      callback = {
        confirm: $scope.SearchResults,
        cancel: function cancel() {}
      }; //callback object (confirm, cancel), title, message, optionCancel, optionConfirm, httpConfig

      SearchModal.Show(callback, $scope.costSheet.sheet, config, 'Add items');
    };

    $scope.OpenSearchModalCostSheetsIndex = function () {
      var callback = {};
      var config = {
        tabs: [{
          http: {
            method: 'GET',
            url: $scope.costSheetEndpoint,
            params: {
              q: ''
            }
          },
          relationships: ['cost_sheets'],
          fields: ['id', 'name'],
          fieldPrefixes: ['ID: ', ''],
          id: 'id',
          selectOne: true
        }]
      };
      callback = {
        confirm: function confirm(resp) {
          $scope.uploadCostSheetID = resp[0].value.id;
          $scope.uploadCostSheetName = resp[0].value.name;
        },
        cancel: $scope.SearchCancelled
      }; //callback object (confirm, cancel), title, message, optionCancel, optionConfirm, httpConfig

      SearchModal.Show(callback, 'Select Cost Sheet', config, 'Add Cost Sheet');
    };

    $scope.RemoveUploadFile = function () {
      $scope.batchUpload = null;
      $scope.localized.PushResponseMsg({
        type: 'danger',
        message: 'File Successfully Removed'
      });
    };

    $scope.setFile = function (element) {
      // eslint-disable-next-line no-shadow
      $scope.$apply(function ($scope) {
        $scope.theFile = element.files[0];
      });
      var totalBytes = $scope.theFile.size;

      if (totalBytes < 1000000) {
        $scope.fileSize = Math.floor(totalBytes / 1000) + 'KB';
        Debug.log('FileSize: ', $scope.fileSize, ' KB');
      } else {
        $scope.fileSize = Math.floor(totalBytes / 1000000) + 'MB';
        Debug.log('FileSize: ', $scope.fileSize, ' MB');
      }

      Debug.log('File Size: ', $scope.fileSize);
      var regex = /^([a-zA-Z0-9\s_\\.\-:])+(.csv|.txt)$/;

      if (regex.test($scope.theFile.name.toLowerCase())) {
        if (typeof FileReader !== 'undefined') {
          var reader = new FileReader();

          reader.onload = function () {
            // eslint-disable-next-line no-undef
            Papa.parse(reader.result, {
              complete: function complete(results) {
                var rows = [];

                var _loop = function _loop(i) {
                  var info = results.data[i];
                  var row = [];
                  angular.forEach(info, function (val, key) {
                    row[key] = val;
                  });
                  rows.push(row);
                };

                for (var i = 0; i <= results.data.length; i++) {
                  _loop(i);
                } // eslint-disable-next-line no-shadow


                $scope.$apply(function ($scope) {
                  $scope.batchUpload = rows;
                  $scope.IsVisible = true;
                });
                Debug.log('Finished: ', results.data);
              }
            });
            $scope.setUploading();
          };

          reader.readAsText($scope.theFile);
        } else {
          $window.alert('This browser does not support HTML5.');
        }
      } else {
        $scope.batchUpload = null;
        $scope.theFile = null;
        $scope.setUploading();
        $window.alert('Please upload a valid CSV file.');
      }
    };

    $scope.setUploading = function () {
      // eslint-disable-next-line no-shadow
      $scope.$apply(function ($scope) {
        $scope.uploading = !$scope.uploading;
      });
    };

    $scope.SortBatchIndex = function (sortBy) {
      $scope.sortAscending = $scope.sortBatchParams.sort_by === sortBy ? !$scope.sortAscending : true;
      $scope.sortBatchParams.sort_by = sortBy;
      $scope.sortBatchParams.sort_type = $scope.sortAscending ? 'asc' : 'desc';
      $scope.BatchIndex();
    }; //Index


    $scope.BatchIndex = function () {
      var req = {
        method: 'GET',
        url: $scope.batchEndpoint,
        params: $scope.sortBatchParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.batches = resp.search_results;
        var again = false;

        for (var i = 0; i < $scope.batches.length; i++) {
          if ($scope.batches[i].status === 'processing' && $scope.activeTab === 4) {
            again = true;
            break;
          }
        }

        if (again) {
          $timeout(function () {
            $scope.BatchIndex();
          }, 5000);
        }
      }, function (errResp) {
        Debug.log(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };

    $scope.ShowBatch = function (batchId) {
      $scope.selectedBatch.batch_id = batchId;
      $scope.activeTab = 5;
      var req = {
        method: 'GET',
        url: $scope.batchEndpoint + 'view',
        params: {
          id: batchId
        }
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.selectedBatch = resp.batches[0];
        $scope.batchHeaders = resp.batches[0].columns;
      }, function (errResp) {
        Debug.log(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };
    /**
     * Upload the batch file that has been set.
     */


    $scope.UploadBatch = function () {
      $scope.loading = true;
      var fd = new FormData();
      fd.append('file', $scope.theFile);
      fd.append('id', $scope.uploadCostSheetID);
      var req = {
        method: 'POST',
        url: $scope.batchEndpoint + 'upload',
        data: fd,
        transformRequest: angular.identity,
        headers: {
          // eslint-disable-next-line no-undefined
          'Content-Type': undefined
        }
      };
      Utils.getHttpPromise(req).then(function (resp) {
        if (resp.errors.length === 0) {
          $scope.selectedBatch = {
            batch_id: resp.batch_id
          };
          $scope.activeTab = 5;
          $scope.localized.PushResponseMsg({
            type: 'success',
            message: 'File Successfully Uploaded'
          });
        }
      }, function (errResp) {
        Debug.log(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };
  }
})();

/***/ }),

/***/ 103:
/***/ (() => {

(function () {
  'use strict';

  PurchasingDocumentProfilesController.$inject = ["$scope", "$rootScope", "$stateParams", "Admin", "ConfirmModal", "Settings", "Debug", "Utils", "Localized"];
  angular.module('vendorfuelApp').controller('PurchasingDocumentProfilesController', PurchasingDocumentProfilesController);
  PurchasingDocumentProfilesController.$inject = ['$scope', '$rootScope', '$stateParams', 'Admin', 'ConfirmModal', 'Settings', 'Debug', 'Utils', 'Localized'];
  /**
   * @param {Object} $scope Angular service
   * @param {Object} $rootScope Angular service
   * @param {Object} $stateParams UI Router service
   * @param {Object} Admin VendorFuel service
   * @param {Object} ConfirmModal VendorFuel service
   * @param {Object} Settings VendorFuel service
   * @param {Object} Debug VendorFuel service
   * @param {Object} Utils VendorFuel service
   * @param {Object} Localized VendorFuel service
   */

  function PurchasingDocumentProfilesController($scope, $rootScope, $stateParams, Admin, ConfirmModal, Settings, Debug, Utils, Localized) {
    var vm = this;
    vm.$onInit = $onInit; // Initialize controller

    vm.$onInit();
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Purchasing',
        state: 'purchasing'
      }, {
        name: 'Document Profiles',
        state: 'purchasing-document-profiles'
      }];
      $scope.activeTab = parseInt($stateParams.activeTab);
      $scope.addParams = {};
      $scope.addParams.format = 'cxml';
      $scope.admin = Admin;
      $scope.confirm = ConfirmModal;
      $scope.document_profile = {};
      $scope.document_profiles = [];
      $scope.endpoint = Localized.apiURL + '/admin/purchasing/document-profile/';
      $scope.loading = false;
      $scope.loadingMore = false;
      $scope.localized = Localized;
      $scope.rppValues = [15, 30, 50, 100];
      $scope.saved = false;
      $scope.saving = false;
      $scope.searchParams = {
        q: '',
        sortBy: '',
        sortType: 'asc',
        rpp: $scope.rppValues[0]
      };
      $scope.settings = Settings;
      $scope.utils = Utils;
    } //FUNCTIONS


    $scope.LoginCallback = function () {
      $scope.loading = true;
      $scope.init();
    };

    $scope.SortIndex = function (sortBy) {
      $scope.sortAscending = $scope.searchParams.sortBy === sortBy ? !$scope.sortAscending : true;
      $scope.searchParams.sortBy = sortBy;
      $scope.searchParams.sortType = $scope.sortAscending ? 'asc' : 'desc';
      $scope.Index($scope.searchParams.page);
    };

    $scope.TabChanged = function (i) {
      $scope.activeTab = i;

      switch ($scope.activeTab) {
        case 0:
          if (!$scope.document_profiles.data) {
            $scope.Index();
          }

          break;

        case 2:
          if ($scope.document_profile.id) {
            $scope.Show($scope.document_profile.id);
          }

          break;
      }
    }; //RESTful Functions
    //Index


    $scope.Index = function (page) {
      $scope.loadingMore = true;
      $scope.searchParams.page = page || 1;
      var req = {
        method: 'GET',
        url: $scope.endpoint,
        params: $scope.searchParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.document_profiles = resp.document_profiles;
      }, function (errResp) {
        Debug.log(errResp);
      })["finally"](function () {
        $scope.loadingMore = false;
        $scope.loading = false;
      });
    }; //Show


    $scope.Show = function (id) {
      $scope.loading = true;
      $scope.document_profile.id = id;
      var req = {
        method: 'GET',
        url: $scope.endpoint + id
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.document_profile = resp.document_profile;
      }, function (errResp) {
        Debug.log(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    }; //Store


    $scope.Store = function () {
      $scope.loading = true;
      var req = {
        method: 'POST',
        url: $scope.endpoint,
        data: $scope.addParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        if (!resp.errors.length) {
          $scope.addParams = {};
          $scope.Show(resp.document_profile.id);
          $scope.TabChanged(2);
        }
      }, function (errResp) {
        Debug.log(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    }; //Update


    $scope.Update = function (id) {
      $scope.loading = true;
      var req = {
        method: 'PUT',
        url: $scope.endpoint + id,
        data: $scope.document_profile
      };
      Utils.getHttpPromise(req).then(function () {}, function (errResp) {
        Debug.log(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    }; //Delete


    $scope.Delete = function (id) {
      var callback = {
        confirm: function confirm() {
          $scope.loading = true;
          var req = {
            method: 'DELETE',
            url: $scope.endpoint + id
          };
          Utils.getHttpPromise(req).then(function () {
            $scope.document_profile = {};
            $scope.activeTab = 0;
            $scope.Index();
          }, function (errResp) {
            Debug.log(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
        },
        cancel: function cancel() {}
      };
      $scope.confirm.Show(callback, 'Delete Document Profile?', 'This action cannot be undone.', 'Back', 'DELETE');
    };

    $scope.init = function () {
      switch ($scope.activeTab) {
        case 0:
          $scope.Index();
          break;

        case 2:
          $scope.TabChanged(0);
          $scope.Index();
          break;
      }
    };
  }
})();

/***/ }),

/***/ 8588:
/***/ (() => {

(function () {
  'use strict';

  PurchasingVendorsController.$inject = ["$scope", "$rootScope", "$stateParams", "Admin", "ConfirmModal", "Settings", "Debug", "Utils", "Localized"];
  angular.module('vendorfuelApp').controller('PurchasingVendorsController', PurchasingVendorsController);
  PurchasingVendorsController.$inject = ['$scope', '$rootScope', '$stateParams', 'Admin', 'ConfirmModal', 'Settings', 'Debug', 'Utils', 'Localized'];
  /**
   * @param {Object} $scope Angular service
   * @param {Object} $rootScope Angular service
   * @param {Object} $stateParams UI Router service
   * @param {Object} Admin VendorFuel service
   * @param {Object} ConfirmModal VendorFuel service
   * @param {Object} Settings VendorFuel service
   * @param {Object} Debug VendorFuel service
   * @param {Object} Utils VendorFuel service
   * @param {Object} Localized VendorFuel service
   */

  function PurchasingVendorsController($scope, $rootScope, $stateParams, Admin, ConfirmModal, Settings, Debug, Utils, Localized) {
    var vm = this;
    vm.$onInit = $onInit; // Initialize controller

    vm.$onInit();
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Purchasing',
        state: 'purchasing'
      }, {
        name: 'Vendors',
        state: 'purchasing-vendors'
      }];
      $scope.activeTab = parseInt($stateParams.activeTab);
      $scope.addParams = {};
      $scope.admin = Admin;
      $scope.confirm = ConfirmModal;
      $scope.loading = false;
      $scope.loadingMore = false;
      $scope.localized = Localized;
      $scope.rppValues = [15, 30, 50, 100];
      $scope.saved = false;
      $scope.saving = false;
      $scope.searchParams = {
        q: '',
        sortBy: '',
        sortType: 'asc',
        rpp: $scope.rppValues[0]
      };
      $scope.settings = Settings;
      $scope.utils = Utils;
      $scope.vendor = {};
      $scope.vendors = [];
      $scope.vendorsEndpoint = Localized.apiURL + '/admin/purchasing/vendor/';
    } //FUNCTIONS


    $scope.LoginCallback = function () {
      $scope.loading = true;
      $scope.init();
    };

    $scope.SortIndex = function (sortBy) {
      $scope.sortAscending = $scope.searchParams.sortBy === sortBy ? !$scope.sortAscending : true;
      $scope.searchParams.sortBy = sortBy;
      $scope.searchParams.sortType = $scope.sortAscending ? 'asc' : 'desc';
      $scope.Index($scope.searchParams.page);
    };

    $scope.TabChanged = function (i) {
      $scope.activeTab = i;

      switch ($scope.activeTab) {
        case 0:
          if (!$scope.vendors.data) {
            $scope.Index();
          }

          break;

        case 2:
          if ($scope.vendor.id) {
            $scope.Show($scope.vendor.id);
          }

          break;
      }
    }; //RESTful Functions
    //Index


    $scope.Index = function (page) {
      $scope.loadingMore = true;
      $scope.searchParams.page = page || 1;
      var req = {
        method: 'GET',
        url: $scope.vendorsEndpoint,
        params: $scope.searchParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.vendors = resp.vendors;
      }, function (errResp) {
        Debug.log(errResp);
      })["finally"](function () {
        $scope.loadingMore = false;
        $scope.loading = false;
      });
    }; //Show


    $scope.Show = function (id) {
      $scope.loading = true;
      $scope.vendor.id = id;
      var req = {
        method: 'GET',
        url: $scope.vendorsEndpoint + id
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.vendor = resp.vendor;
      }, function (errResp) {
        Debug.log(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    }; //Store


    $scope.Store = function () {
      $scope.loading = true;
      var req = {
        method: 'POST',
        url: $scope.vendorsEndpoint,
        data: $scope.addParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        if (!resp.errors.length) {
          $scope.addParams = {};
          $scope.Show(resp.vendor.id);
          $scope.TabChanged(2);
        }
      }, function (errResp) {
        Debug.log(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    }; //Update


    $scope.Update = function (id) {
      $scope.loading = true;
      var req = {
        method: 'PUT',
        url: $scope.vendorsEndpoint + id,
        data: $scope.vendor
      };
      Utils.getHttpPromise(req).then(function () {}, function (errResp) {
        Debug.log(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    }; //Delete


    $scope.Delete = function (id) {
      var callback = {
        confirm: function confirm() {
          $scope.loading = true;
          var req = {
            method: 'DELETE',
            url: $scope.vendorsEndpoint + id
          };
          Utils.getHttpPromise(req).then(function () {
            $scope.vendor = {};
            $scope.activeTab = 0;
            $scope.Index();
          }, function (errResp) {
            Debug.log(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
        },
        cancel: function cancel() {}
      };
      $scope.confirm.Show(callback, 'Delete Vendor?', 'All related cost sheets to this vendor will also be deleted. This action cannot be undone.', 'Back', 'DELETE');
    };

    $scope.init = function () {
      switch ($scope.activeTab) {
        case 0:
          $scope.Index();
          break;

        case 2:
          $scope.TabChanged(0);
          $scope.Index();
          break;
      }
    };
  }
})();

/***/ }),

/***/ 7072:
/***/ (() => {

(function () {
  'use strict';

  ReportsController.$inject = ["$scope", "$rootScope", "$cookies", "$timeout", "Admin", "Reports", "Debug", "Settings", "Localized", "Utils", "$stateParams"];
  angular.module('vendorfuelApp').controller('ReportsController', ReportsController);
  ReportsController.$inject = ['$scope', '$rootScope', '$cookies', '$timeout', 'Admin', 'Reports', 'Debug', 'Settings', 'Localized', 'Utils', '$stateParams'];
  /**
   * @param {Object} $scope Angular service
   * @param {Object} $rootScope Angular service
   * @param {Object} $cookies Angular service
   * @param {Object} $timeout Angular service
   * @param {Object} Admin VendorFuel service
   * @param {Object} Reports VendorFuel service
   * @param {Object} Debug VendorFuel service
   * @param {Object} Settings VendorFuel service
   * @param {Object} Localized VendorFuel service
   * @param {Object} Utils VendorFuel service
   * @param {Object} $stateParams UI Router service
   */

  function ReportsController($scope, $rootScope, $cookies, $timeout, Admin, Reports, Debug, Settings, Localized, Utils, $stateParams) {
    var vm = this;
    vm.$onInit = $onInit; // Initialize controller

    vm.$onInit();
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Reports',
        state: 'reports'
      }];
      $scope.activeTab = parseInt($stateParams.activeTab) || 0;
      $scope.allColumns = []; // Columns of all selected tables

      $scope.allTables = Reports.getAllTables();
      $scope.clear = true;
      $scope.comparators = Reports.getComparators();
      $scope.downloads = []; // List of downloaded reports

      $scope.filterOperators = ['OR', 'AND'];
      $scope.frequencies = {
        daily: 'Daily',
        weekly: 'Weekly',
        monthly: 'Monthly',
        quarterly: 'Quarterly',
        clear: 'Clear Schedule'
      };
      $scope.isAuthed = Admin.Authed();
      $scope.joinTypes = {
        standard: 'Standard',
        left: 'Left',
        right: 'Right'
      };
      $scope.loading = false;
      $scope.reportLoading = false;
      $scope.reportsEndpoint = Localized.apiURL + '/admin/reports/';
      $scope.reportData = {};
      $scope.reportHeaders = [];
      $scope.rppValues = [15, 30, 50, 100];
      $scope.per_page = $scope.rppValues[0]; // Must be after rrpValues is defined.

      $scope.savedReports = []; // List of person/shared reports that were saved

      $scope.scheduleSaveError = false;
      $scope.scheduleSaveSuccessful = false;
      $scope.storeTables = Reports.getStoreTables();
    }

    $scope.TabChanged = function (i) {
      $scope.activeTab = i;
      $scope.loading = true;
      Settings.errors = {};
      var req = {
        method: 'GET',
        url: $scope.reportsEndpoint
      };

      switch (i) {
        case 0:
          // Initialize reports page
          // Request saved reports from API, populate saved reports list
          req.url += 'all';
          Utils.getHttpPromise(req).then(function (resp) {
            $scope.savedReports = [];
            angular.forEach(resp.personal_reports, function (value) {
              $scope.savedReports.push(value);
            });
            angular.forEach(resp.shared_reports, function (value) {
              $scope.savedReports.push(value);
            });
            $scope.AssignReport(null);
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
          break;

        case 1:
          req.url += 'download';
          Utils.getHttpPromise(req).then(function (resp) {
            $scope.downloads = resp.reports;
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
          break;

        case 2:
          req.url += 'all';
          $scope.scheduleReports = {};
          $scope.scheduleReports.id = [];
          $scope.scheduleReports.frequency = [];
          Utils.getHttpPromise(req).then(function (resp) {
            $scope.savedReports = [];
            angular.forEach(resp.personal_reports, function (value) {
              $scope.savedReports.push(value);
            });
            angular.forEach(resp.shared_reports, function (value) {
              $scope.savedReports.push(value);
            });
            $scope.AssignReport(null);
            angular.forEach($scope.savedReports, function (value) {
              $scope.scheduleReports.id.push(value.id);
              $scope.scheduleReports.frequency.push(value.frequency);
            });
            $scope.UpdateScheduleModel(0);
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
          break;
      }
    };

    $scope.AddJoinRow = function () {
      var initJoin = $scope.allTables.admin_groups[0];
      $scope.selectedParams.joinTable.push(initJoin.table);
      $scope.UpdateColumns(initJoin.table, '');
      $scope.selectedParams.joinSelect.push(initJoin.value);
      $scope.selectedParams.joinTerm.push('=');
      $scope.selectedParams.joinValue.push('');
      $scope.selectedParams.joinIsNested.push(false);
      $scope.selectedParams.joinType.push('standard');
    };

    $scope.AddFilterRow = function () {
      if ($scope.selectedParams.filterSelect.push('') === 1) {
        $scope.selectedParams.filterToken.push('(', 'ex', ')');
      } else {
        $scope.selectedParams.filterToken.splice($scope.selectedParams.filterToken.length - 1, 0, 'ex');
      }

      $scope.selectedParams.filterTerm.push($scope.comparators[0]);
      $scope.selectedParams.filterValue.push('');
      $scope.selectedParams.filterOperator.push('OR');
    };

    $scope.AddGroupFilter = function (index, type) {
      var tokenGroup = ['(', 'ex', ')'];
      var exCount = 0;

      for (var i = 0; i < $scope.selectedParams.filterToken.length; i++) {
        if ($scope.selectedParams.filterToken[i] === 'ex') {
          if (index === exCount) {
            if (type === 'group') {
              $scope.selectedParams.filterToken.splice.apply($scope.selectedParams.filterToken, [i + 1, 0].concat(tokenGroup));
            } else {
              $scope.selectedParams.filterToken.splice(i + 1, 0, 'ex');
            }

            break;
          }

          exCount++;
        }
      }

      $scope.selectedParams.filterSelect.splice(index + 1, 0, '');
      $scope.selectedParams.filterTerm.splice(index + 1, 0, $scope.comparators[0]);
      $scope.selectedParams.filterValue.splice(index + 1, 0, '');
      $scope.selectedParams.filterOperator.splice(index + 1, 0, 'OR');
    }; // Populate selectedParams object with selected saved report


    $scope.AssignReport = function (selectedReport) {
      // Reset report parameters
      // Parameters to use in request with the API
      $scope.clear = false;
      $scope.selectedParams = {};
      $scope.selectedParams.tables = [];
      $scope.selectedParams.headers = [];
      $scope.selectedParams.joinTable = [];
      $scope.selectedParams.joinSelect = [];
      $scope.selectedParams.joinTerm = [];
      $scope.selectedParams.joinValue = [];
      $scope.selectedParams.joinType = [];
      $scope.selectedParams.joinIsNested = [];
      $scope.selectedParams.filterSelect = [];
      $scope.selectedParams.filterTerm = [];
      $scope.selectedParams.filterValue = [];
      $scope.selectedParams.filterOperator = [];
      $scope.selectedParams.filterToken = [];
      $scope.selectedParams.groupBy = [];
      $scope.selectedParams.nestedQuery = []; // Only supported in the JOIN clause right now

      $scope.selectedParams.direction = 'asc';
      $scope.selectedParams.shared = false;
      $scope.allColumns = [];

      if (!selectedReport) {
        return;
      }

      $scope.selectedParams.tables.push(selectedReport.tables.value[0]);
      $scope.UpdateColumns($scope.selectedParams.tables[0], '');

      if (selectedReport.joins.table) {
        for (var i = 0; i < selectedReport.joins.table.length; i++) {
          $scope.selectedParams.joinTable[i] = selectedReport.joins.table[i];
          $scope.selectedParams.joinSelect[i] = selectedReport.joins.select[i];
          $scope.selectedParams.joinTerm[i] = selectedReport.joins.term[i];
          $scope.selectedParams.joinValue[i] = selectedReport.joins.value[i];
          $scope.selectedParams.joinType[i] = selectedReport.joins.type[i];
          $scope.selectedParams.joinIsNested[i] = selectedReport.joins.isNested[i];
          $scope.UpdateColumns($scope.selectedParams.joinTable[i], '');
        }
      }

      if (selectedReport.filters.select) {
        for (var j = 0; j < selectedReport.filters.select.length; j++) {
          $scope.selectedParams.filterSelect[j] = selectedReport.filters.select[j];
          $scope.selectedParams.filterTerm[j] = selectedReport.filters.term[j];
          $scope.selectedParams.filterValue[j] = selectedReport.filters.value[j];
          $scope.selectedParams.filterOperator[j] = selectedReport.filters.operator[j];
        }

        for (var l = 0; l < selectedReport.filters.token.length; l++) {
          $scope.selectedParams.filterToken[l] = selectedReport.filters.token[l];
        }
      }

      for (var p = 0; p < selectedReport.headers.value.length; p++) {
        $scope.selectedParams.headers[p] = selectedReport.headers.value[p];
      }

      $scope.selectedParams.shared = selectedReport.shared;
      $scope.selectedParams.report_id = selectedReport.id;
      $scope.selectedParams.order = selectedReport.order;
      $scope.selectedParams.direction = selectedReport.direction;
      $scope.selectedParams.name = selectedReport.name;
      $scope.selectedParams.frequency = selectedReport.frequency;
    };

    $scope.AssignReport(null);

    $scope.ClearReport = function () {
      $scope.reportData = {};
      $scope.AssignReport(null);
      $scope.clear = true;
    };

    $scope.DeleteReport = function (selectedReport) {
      var callback = {
        confirm: function confirm() {
          $scope.loading = true;
          var req = {
            method: 'DELETE',
            url: $scope.reportsEndpoint + selectedReport.id
          };
          Utils.getHttpPromise(req).then(function () {
            $scope.TabChanged(0);
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
        },
        cancel: function cancel() {}
      };
      $scope.confirm.Show(callback, 'Delete Report?', 'This action cannot be undone.', 'Back', 'DELETE');
    };

    $scope.Download = function (downloadId) {
      var tokenA = $cookies.get('vendorfuel-admin-tokena');
      var tokenB = $cookies.get('vendorfuel-admin-tokenb');
      var req = $scope.reportsEndpoint + 'download/' + downloadId + '?apikey=' + Localized.api_key + '&tokena=' + tokenA + '&tokenb=' + tokenB;
      window.open(req, '_blank');
    };

    $scope.DownloadReport = function () {
      $scope.loading = true;
      var req = {
        method: 'POST',
        url: $scope.reportsEndpoint + 'export',
        data: $scope.selectedParams
      };
      Utils.getHttpPromise(req).then(function () {}, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };

    $scope.GroupNumber = function (index) {
      var exCount = 0;
      var depth = 0;

      for (var i = 0; i < $scope.selectedParams.filterToken.length; i++) {
        if ($scope.selectedParams.filterToken[i] === '(') {
          depth++;
        }

        if ($scope.selectedParams.filterToken[i] === ')') {
          depth--;
        }

        if ($scope.selectedParams.filterToken[i] === 'ex') {
          if (index === exCount) {
            break;
          }

          exCount++;
        }
      }

      return depth - 1;
    };

    $scope.RemoveJoin = function (index) {
      $scope.selectedParams.joinSelect.splice(index, 1);
      $scope.selectedParams.joinTerm.splice(index, 1);
      $scope.selectedParams.joinValue.splice(index, 1);
      $scope.selectedParams.joinIsNested.splice(index, 1);
      $scope.selectedParams.joinType.splice(index, 1);
      var removedJoin = $scope.selectedParams.joinTable.splice(index, 1);
      $scope.UpdateColumns('', removedJoin[0]);
    };

    $scope.RemoveFilter = function (index) {
      var exCount = 0;

      for (var i = 0; i < $scope.selectedParams.filterToken.length; i++) {
        if ($scope.selectedParams.filterToken[i] === 'ex') {
          if (exCount === index) {
            var x = 1;

            while ($scope.selectedParams.filterToken[i - x] === '(' && $scope.selectedParams.filterToken[i + x] === ')') {
              $scope.selectedParams.filterToken[i - x] = ' ';
              $scope.selectedParams.filterToken[i + x] = ' ';
              x++;
            }

            $scope.selectedParams.filterToken[i] = ' ';
            break;
          }

          exCount++;
        }
      }

      for (var _i = $scope.selectedParams.filterToken.length - 1; _i >= 0; _i--) {
        if ($scope.selectedParams.filterToken[_i] === ' ') {
          $scope.selectedParams.filterToken.splice(_i, 1);
        }
      }

      $scope.selectedParams.filterSelect.splice(index, 1);
      $scope.selectedParams.filterTerm.splice(index, 1);
      $scope.selectedParams.filterValue.splice(index, 1);
      $scope.selectedParams.filterOperator.splice(index, 1);
    };

    $scope.RunReport = function (rpp, page) {
      $scope.reportRan = false;
      $scope.reportLoading = true; // $scope.loading = true;

      $scope.selectedParams.rpp = rpp;
      $scope.selectedParams.page = page;
      var req = {
        method: 'POST',
        url: $scope.reportsEndpoint + 'run',
        data: $scope.selectedParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.reportData = resp.results;

        if (resp.results && resp.results.data && resp.results.data.length) {
          $scope.reportHeaders = Object.keys(resp.results.data[0]);
        }
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        // $scope.loading = false;
        $scope.reportLoading = false;
        $scope.reportRan = true;
      });
    };

    $scope.SaveReport = function () {
      $scope.loading = true;
      var req = {
        method: 'POST',
        url: $scope.reportsEndpoint,
        data: $scope.selectedParams
      };
      Utils.getHttpPromise(req).then(function () {}, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };

    $scope.Test = function () {
      Debug.log($scope.scheduleReports);
      Debug.log($scope.selectedParams);
    }; // Update table columns


    $scope.UpdateColumns = function (newValue, oldValue) {
      // If removing columns
      if (oldValue !== '') {
        // Check if table we're switching from is not selected on another table/join, else skip
        if (!$scope.selectedParams.tables.includes(oldValue) && !$scope.selectedParams.joinTable.includes(oldValue)) {
          var i = $scope.allColumns.length;
          var found = false;

          while (i-- && !found) {
            // Find table we're switching from and remove from list
            if ($scope.allColumns[i].table === oldValue) {
              for (var j = 0; j < $scope.allTables[oldValue].length; j++) {
                $scope.allColumns.splice(i--, 1);
              }

              found = true;
            }
          }
        }
      } // If adding columns


      if (newValue !== '') {
        var tableExists = false,
            k = $scope.allColumns.length - 1;

        while (!tableExists && k >= 0) {
          // Check if new table/join is already in list
          if ($scope.allColumns[k].table === newValue) {
            tableExists = true;
          }

          k--;
        }

        if (!tableExists) {
          // If table not in list, add
          angular.forEach($scope.allTables[newValue], function (value) {
            $scope.allColumns.push(value);
          });
        }
      }
    };

    $scope.UpdateReport = function (selectedReport) {
      $scope.loading = true;
      var req = {
        method: 'PUT',
        url: $scope.reportsEndpoint + selectedReport.id,
        data: $scope.selectedParams
      };
      Utils.getHttpPromise(req).then(function () {}, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };

    $scope.UpdateScheduleModel = function (index) {
      $scope.selectedId = $scope.savedReports[index].id;
      $scope.scheduleReports.selectedIndex = index;
    };

    $scope.UpdateSchedules = function () {
      $scope.loading = true;
      angular.forEach($scope.scheduleReports.frequency, function (value, key) {
        if (value === 'Clear Schedule') {
          $scope.scheduleReports.frequency[key] = 'null';
        }
      });
      var req = {
        method: 'POST',
        url: $scope.reportsEndpoint + 'schedule',
        data: $scope.scheduleReports
      };
      Utils.getHttpPromise(req).then(function (resp) {
        if (!resp.errors.length) {
          $scope.scheduleSaveSuccessful = true;
          $timeout(function () {
            $scope.scheduleSaveSuccessful = false;
          }, 5000);
        } else {
          $scope.scheduleSaveError = true;
          $timeout(function () {
            $scope.scheduleSaveError = false;
          }, 5000);
        }
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };
  }
})();

/***/ }),

/***/ 205:
/***/ (() => {

(function () {
  'use strict';

  ResetPasswordController.$inject = ["$scope", "Admin", "Localized", "Utils", "$location", "$stateParams"];
  angular.module('vendorfuelApp').controller('ResetPasswordController', ResetPasswordController);
  ResetPasswordController.$inject = ['$scope', 'Admin', 'Localized', 'Utils', '$location', '$stateParams'];
  /**
   * @param {Object} $scope       Angular service
   * @param {Object} Admin        VendorFuel service
   * @param {Object} Localized    VendorFuel service
   * @param {Object} Utils        VendorFuel service
   * @param {Object} $location    Angular service
   * @param {Object} $stateParams UI Router service
   */

  function ResetPasswordController($scope, Admin, Localized, Utils, $location, $stateParams) {
    var vm = this;
    vm.$onInit = $onInit; // Initialize controller

    vm.$onInit();
    /**
     * Initialization
     */

    function $onInit() {
      Admin.login_errors = {};
      Utils.redirecting = false;
      $scope.isAuthed = Admin.Authed();
      $scope.password = '';
      $scope.password_confirmation = '';
      $scope.requesting = false;
      $scope.resetEmail = null;
      $scope.showPassword = false;
      $scope.showPasswordConfirmation = false;

      if ($stateParams.code && $stateParams.auth) {
        $scope.reseting = true;
      }
    }

    $scope.ToggleShowPassword = function () {
      $scope.showPassword = !$scope.showPassword;
    };

    $scope.ToggleShowPasswordConfirmation = function () {
      $scope.showPasswordConfirmation = !$scope.showPasswordConfirmation;
    };

    $scope.requestReset = function () {
      Admin.login_errors = {};
      $scope.requesting = true;
      var req = {
        method: 'POST',
        url: Localized.apiURL + '/admin/password-reset/request',
        data: {
          email: $scope.resetEmail,
          url: $location.absUrl()
        }
      };
      Utils.getHttpPromise(req).then(function (response) {
        if (!response.errors.length) {
          $scope.requesting = false;
          $scope.requested = true;
        }

        $scope.loading = false;
      });
    };

    $scope.submitReset = function () {
      Admin.login_errors = {};
      $scope.submitting = true;
      var req = {
        method: 'POST',
        url: Localized.apiURL + '/admin/password-reset/submit',
        data: {
          code: $stateParams.code,
          auth: $stateParams.auth,
          password: $scope.password,
          password_confirmation: $scope.password_confirmation
        }
      };
      Utils.getHttpPromise(req).then(function (response) {
        if (!response.errors.length) {
          Admin.SetTokens(response.name, response.tokena, response.tokenb, false, response.token);
          Utils.setLocation('/dashboard');
        }

        $scope.submitting = false;
      });
    };
  }
})();

/***/ }),

/***/ 4104:
/***/ (() => {

(function () {
  'use strict';

  ShippingFlatRatesController.$inject = ["$scope", "$rootScope", "$stateParams", "Admin", "Settings", "Debug", "Utils", "Localized", "SearchModal"];
  angular.module('vendorfuelApp').controller('ShippingFlatRatesController', ShippingFlatRatesController);
  ShippingFlatRatesController.$inject = ['$scope', '$rootScope', '$stateParams', 'Admin', 'Settings', 'Debug', 'Utils', 'Localized', 'SearchModal'];
  /**
   * @param {Object} $scope Angular service
   * @param {Object} $rootScope Angular service
   * @param {Object} $stateParams UI Router service
   * @param {Object} Admin VendorFuel service
   * @param {Object} Settings VendorFuel service
   * @param {Object} Debug VendorFuel service
   * @param {Object} Utils VendorFuel service
   * @param {Object} Localized VendorFuel service
   * @param {Object} SearchModal VendorFuel service
   */

  function ShippingFlatRatesController($scope, $rootScope, $stateParams, Admin, Settings, Debug, Utils, Localized, SearchModal) {
    var vm = this;
    vm.$onInit = $onInit; // Initialize controller

    vm.$onInit();
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Shipping',
        state: 'shipping'
      }, {
        name: 'Flat Rates',
        state: 'shipping-flat-rates'
      }];
      $scope.activeTab = parseInt($stateParams.activeTab) || 0;
      $scope.createFlatRate = {
        name: '',
        label: '',
        amount: 0.00,
        free_if_total: 0,
        free_order_total: 0.00,
        enabled: 0,
        modifiers: []
      };
      $scope.del = 0;
      $scope.isAuthed = Admin.Authed();
      $scope.loading = true;
      $scope.rppValues = [15, 30, 50, 100];
      $scope.saved = false;
      $scope.saving = false;
      $scope.searchParams = {
        q: '',
        sortBy: '',
        sortType: '',
        rpp: $scope.rppValues[0]
      };
      $scope.selectedFlatRate = null;
      $scope.shippingFlatRateEndpoint = Localized.apiURL + '/admin/shipping/flat-rate/';
      $scope.updatedCustomers = [];
    } //FUNCTIONS


    $scope.updateModifiers = function (rateType, modType, index) {
      if (modType === 0) {
        if (rateType.modifiers.length - $scope.del < 5) {
          rateType.modifiers.push({
            amount: 0,
            order_total_min: 0,
            order_total_max: 0
          });
        }
      } else if (modType === 1) {
        $scope.del += 1; // eslint-disable-next-line no-prototype-builtins

        if (rateType.modifiers[index].hasOwnProperty('id')) {
          rateType.modifiers[index].deleted = 1;
        } else {
          rateType.modifiers.splice(index, 1);
        }
      }

      return false;
    };

    $scope.TabChanged = function (i) {
      $scope.modifiers = [];

      if ($scope.selectedFlatRate && $scope.selectedFlatRate.modifiers) {
        $scope.selectedFlatRate.modifiers = [];
      }

      Localized.deleteNotifications();
      $scope.activeTab = i;
      Settings.errors = {};
      $scope.loading = true;
      $scope.saving = false;
      $scope.saved = false;
      var req = {
        method: 'GET',
        url: $scope.shippingFlatRateEndpoint
      };

      switch (i) {
        case 0:
          Utils.getHttpPromise(req).then(function (resp) {
            $scope.flatRates = resp.shipping_flat_rates;
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
          break;

        case 1:
          $scope.createFlatRate = {
            name: '',
            label: '',
            amount: 0.00,
            free_if_total: 0,
            free_order_total: 0.00,
            enabled: 0,
            modifiers: []
          };
          $scope.loading = false;
          break;

        case 2:
          $scope.ShowFlatRate($scope.selectedFlatRate.id);
          break;
      }
    };

    $scope.ShowFlatRate = function (id) {
      var req = {
        method: 'GET',
        url: $scope.shippingFlatRateEndpoint
      };
      req.url += id;
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.selectedFlatRate = resp.shipping_flat_rate;
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        if ($scope.selectedFlatRate && $scope.selectedFlatRate.modifiers) {
          $scope.modifiers = angular.copy($scope.selectedFlatRate.modifiers);
        }

        $scope.loading = false;
      });
    };

    $scope.DeleteFlatRate = function () {
      $scope.deleting = true;
      var req = {
        method: 'DELETE',
        url: $scope.shippingFlatRateEndpoint + $scope.selectedFlatRate.id
      };
      Utils.getHttpPromise(req).then(function () {
        $scope.selectedFlatRate = null;
        $scope.activeTab = 0;
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.deleting = false;
      });
    };

    $scope.ChangeTab = function (tabIndex, flatRateIndex) {
      $scope.activeTab = tabIndex;
      $scope.selectedFlatRate = $scope.flatRates.data[flatRateIndex];
    };

    $scope.CreateFlatRate = function () {
      $scope.updating = true;
      var params = $scope.createFlatRate;
      var req = {
        method: 'POST',
        url: $scope.shippingFlatRateEndpoint,
        data: params
      };
      Utils.getHttpPromise(req).then(function (resp) {
        if (!resp.errors || resp.errors.length <= 0) {
          $scope.selectedFlatRate = {
            id: resp.id
          };
          $scope.createFlatRate = {
            name: '',
            label: '',
            amount: 0.00,
            free_if_total: 0,
            free_order_total: 0.00,
            enabled: 0,
            modifiers: []
          };
          $scope.activeTab = 2;
          Localized.setNotification({
            type: 'success',
            message: 'Map Successfully Removed'
          });
        }
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.updating = false;
      });
    };

    $scope.OpenCustomerSearchModal = function () {
      var callback = {};
      var config = {
        tabs: [{
          http: {
            method: 'GET',
            url: Localized.apiURL + '/admin/customers/',
            params: {
              q: '',
              excludedField: 'shipping_flat_rate_id',
              excludedId: $scope.selectedFlatRate.id,
              excludedTable: 'shipping_flat_rate_customer'
            }
          },
          relationships: ['customers'],
          fields: ['customer_id', 'name', 'email', 'status'],
          fieldPrefixes: ['ID: ', '', '', 'Status: '],
          id: 'customer_id',
          selectOne: false
        }, {
          http: {
            method: 'GET',
            url: $scope.shippingFlatRateEndpoint + $scope.selectedFlatRate.id,
            params: {
              q: ''
            }
          },
          relationships: ['shipping_flat_rate', 'customerSearchItems'],
          fields: ['customer_id', 'name', 'email', 'status'],
          fieldPrefixes: ['ID: ', '', '', 'Status: '],
          id: 'customer_id'
        }],
        updatedItems: $scope.updatedCustomers
      };
      callback = {
        confirm: $scope.customerSearchResults,
        cancel: function cancel() {//Cancelled
        }
      }; //callback object (confirm, cancel), title, message, optionCancel, optionConfirm, httpConfig

      SearchModal.Show(callback, 'Select Customers', config, 'Add items');
    };

    $scope.OpenGroupSearchModal = function () {
      var callback = {};
      var config = {
        tabs: [{
          http: {
            method: 'GET',
            url: Localized.apiURL + '/admin/groups/',
            params: {
              q: '',
              excludedField: 'shipping_flat_rate_id',
              excludedId: $scope.selectedFlatRate.id,
              excludedTable: 'shipping_flat_rate_group'
            }
          },
          relationships: ['groups'],
          fields: ['group_id', 'name'],
          fieldPrefixes: ['ID: ', ''],
          id: 'group_id',
          selectOne: false
        }, {
          http: {
            method: 'GET',
            url: $scope.shippingFlatRateEndpoint + $scope.selectedFlatRate.id,
            params: {
              q: ''
            }
          },
          relationships: ['shipping_flat_rate', 'groupSearchItems'],
          fields: ['group_id', 'name'],
          fieldPrefixes: ['ID: ', ''],
          id: 'group_id'
        }],
        updatedItems: $scope.updatedGroups
      };
      callback = {
        confirm: $scope.groupSearchResults,
        cancel: function cancel() {//Cancelled
        }
      }; //callback object (confirm, cancel), title, message, optionCancel, optionConfirm, httpConfig

      SearchModal.Show(callback, 'Select Groups', config, 'Add items');
    };

    $scope.OpenPriceSheetSearchModal = function () {
      var callback = {};
      var config = {
        tabs: [{
          http: {
            method: 'GET',
            url: Localized.apiURL + '/admin/pricesheets/',
            params: {
              q: '',
              excludedField: 'shipping_flat_rate_id',
              excludedId: $scope.selectedFlatRate.id,
              excludedTable: 'shipping_flat_rate_price_sheet'
            }
          },
          relationships: ['pricesheets'],
          fields: ['price_sheet_id', 'sheet'],
          fieldPrefixes: ['ID: ', ''],
          id: 'price_sheet_id',
          selectOne: false
        }, {
          http: {
            method: 'GET',
            url: $scope.shippingFlatRateEndpoint + $scope.selectedFlatRate.id,
            params: {
              q: ''
            }
          },
          relationships: ['shipping_flat_rate', 'priceSheetSearchItems'],
          fields: ['price_sheet_id', 'sheet'],
          fieldPrefixes: ['ID: ', ''],
          id: 'price_sheet_id'
        }],
        updatedItems: $scope.updatedSheets
      };
      callback = {
        confirm: $scope.sheetSearchResults,
        cancel: function cancel() {//Cancelled
        }
      }; //callback object (confirm, cancel), title, message, optionCancel, optionConfirm, httpConfig

      SearchModal.Show(callback, 'Select Price Sheets', config, 'Add items');
    };

    $scope.customerSearchResults = function (resp) {
      if ($scope.activeTab === 2) {
        $scope.updatedCustomers = [];
        resp.forEach(function (result) {
          if (result.action === 'add') {
            $scope.updatedCustomers.push(result);
            $scope.selectedFlatRate.customers.push({
              customer_id: result.value.customer_id,
              status: result.value.status,
              name: result.value.name,
              email: result.value.email,
              action: 'add'
            });
          }

          if (result.action === 'unselect') {
            angular.forEach($scope.selectedFlatRate.customers, function (val, key) {
              if (val.customer_id === result.value.customer_id) {
                $scope.selectedFlatRate.customers.splice(key, 1);
              }
            });
          }

          if (result.action === 'remove') {
            $scope.updatedCustomers.push(result);
            angular.forEach($scope.selectedFlatRate.customers, function (val, key) {
              if (val.customer_id === result.value.customer_id) {
                $scope.selectedFlatRate.customers[key].deleted = 1;
                $scope.selectedFlatRate.customers[key].action = 'remove';
              }
            });
          }

          if (result.action === 'deselect') {
            angular.forEach($scope.selectedFlatRate.customers, function (val, key) {
              if (val.customer_id === result.value.customer_id) {
                $scope.selectedFlatRate.customers.splice(key, 1);
              }
            });
          }
        });
      }
    };

    $scope.customerCheck = function (customer) {
      var check = false;
      angular.forEach($scope.updatedCustomers, function (key) {
        if (key.value.id === customer.customer_id && key.action === 'remove') {
          check = true;
        }
      });
      return check;
    };

    $scope.groupSearchResults = function (resp) {
      if ($scope.activeTab === 2) {
        $scope.updatedGroups = [];
        resp.forEach(function (result) {
          if (result.action === 'add') {
            $scope.updatedGroups.push(result);
            $scope.selectedFlatRate.groups.push({
              group_id: result.value.group_id,
              name: result.value.name,
              action: 'add'
            });
          }

          if (result.action === 'unselect') {
            angular.forEach($scope.selectedFlatRate.groups, function (val, key) {
              if (val.group_id === result.value.group_id) {
                $scope.selectedFlatRate.groups.splice(key, 1);
              }
            });
          }

          if (result.action === 'remove') {
            $scope.updatedGroups.push(result);
            angular.forEach($scope.selectedFlatRate.groups, function (val, key) {
              if (val.group_id === result.value.group_id) {
                $scope.selectedFlatRate.groups[key].deleted = 1;
                $scope.selectedFlatRate.groups[key].action = 'remove';
              }
            });
          }

          if (result.action === 'deselect') {
            angular.forEach($scope.selectedFlatRate.groups, function (val, key) {
              if (val.group_id === result.value.group_id) {
                $scope.selectedFlatRate.groups.splice(key, 1);
              }
            });
          }
        });
      }
    };

    $scope.SearchShippingFlatRates = function (page, query) {
      $scope.loadingMore = true;
      $scope.searchParams.q = query;
      $scope.searchTerm = $scope.searchParams.q;
      $scope.searchParams.page = page || 1;
      var endpoint = $scope.shippingFlatRateEndpoint;
      var params = $scope.searchParams;
      Utils.httpGet(endpoint, params).then(function (resp) {
        $scope.flatRates = resp.shipping_flat_rates;
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loadingMore = false;
      });
    };

    $scope.OpenProductSearchModal = function () {
      var callback = {};
      var config = {
        tabs: [{
          http: {
            method: 'GET',
            url: Localized.apiURL + '/admin/products/',
            params: {
              q: '',
              excludedField: 'shipping_flat_rate_id',
              excludedId: $scope.selectedFlatRate.id,
              excludedTable: 'shipping_flat_rate_restricted_items'
            }
          },
          relationships: ['products'],
          fields: ['product_id', 'description'],
          fieldPrefixes: ['ID: ', ''],
          id: 'product_id',
          selectOne: false
        }, {
          http: {
            method: 'GET',
            url: $scope.shippingFlatRateEndpoint + $scope.selectedFlatRate.id,
            params: {
              q: ''
            }
          },
          relationships: ['shipping_flat_rate', 'restrictedSearchItems'],
          fields: ['product_id', 'description'],
          fieldPrefixes: ['ID: ', ''],
          id: 'product_id'
        }],
        updatedItems: $scope.updatedProducts
      };
      callback = {
        confirm: $scope.productSearchResults,
        cancel: function cancel() {//Cancelled
        }
      }; //callback object (confirm, cancel), title, message, optionCancel, optionConfirm, httpConfig

      SearchModal.Show(callback, 'Select Products', config, 'Add products');
    };

    $scope.productSearchResults = function (resp) {
      if ($scope.activeTab === 2) {
        $scope.updatedProducts = [];
        resp.forEach(function (result) {
          if (result.action === 'add') {
            $scope.updatedProducts.push(result);
            $scope.selectedFlatRate.restricted_items.push({
              product_id: result.value.product_id,
              action: 'add'
            });
          }

          if (result.action === 'unselect') {
            angular.forEach($scope.selectedFlatRate.restricted_items, function (val, key) {
              if (val.product_id === result.value.product_id) {
                $scope.selectedFlatRate.restricted_items.splice(key, 1);
              }
            });
          }

          if (result.action === 'remove') {
            $scope.updatedProducts.push(result);
            angular.forEach($scope.selectedFlatRate.restricted_items, function (val, key) {
              if (val.product_id === result.value.product_id) {
                $scope.selectedFlatRate.restricted_items[key].deleted = 1;
                $scope.selectedFlatRate.restricted_items[key].action = 'remove';
              }
            });
          }

          if (result.action === 'deselect') {
            angular.forEach($scope.selectedFlatRate.restricted_items, function (val, key) {
              if (val.product_id === result.value.product_id) {
                $scope.selectedFlatRate.restricted_items.splice(key, 1);
              }
            });
          }
        });
      }
    };

    $scope.sheetSearchResults = function (resp) {
      if ($scope.activeTab === 2) {
        $scope.updatedSheets = [];
        resp.forEach(function (result) {
          if (result.action === 'add') {
            $scope.updatedSheets.push(result);
            $scope.selectedFlatRate.pricesheets.push({
              id: result.value.price_sheet_id,
              price_sheet_id: result.value.price_sheet_id,
              name: result.value.sheet,
              action: 'add'
            });
          }

          if (result.action === 'unselect') {
            angular.forEach($scope.selectedFlatRate.pricesheets, function (val, key) {
              if (val.price_sheet_id === result.value.price_sheet_id) {
                $scope.selectedFlatRate.pricesheets.splice(key, 1);
              }
            });
          }

          if (result.action === 'remove') {
            $scope.updatedSheets.push(result);
            angular.forEach($scope.selectedFlatRate.pricesheets, function (val, key) {
              if (val.price_sheet_id === result.value.price_sheet_id) {
                $scope.selectedFlatRate.pricesheets[key].deleted = 1;
                $scope.selectedFlatRate.pricesheets[key].action = 'remove';
              }
            });
          }

          if (result.action === 'deselect') {
            angular.forEach($scope.selectedFlatRate.pricesheets, function (val, key) {
              if (val.price_sheet_id === result.value.price_sheet_id) {
                $scope.selectedFlatRate.pricesheets.splice(key, 1);
              }
            });
          }
        });
      }
    };

    $scope.UpdateFlatRate = function () {
      $scope.updating = true;
      var req = {
        method: 'PUT',
        url: $scope.shippingFlatRateEndpoint + $scope.selectedFlatRate.id,
        data: $scope.selectedFlatRate
      };
      Utils.getHttpPromise(req).then(function (resp) {
        if (resp.errors.length <= 0) {
          $scope.updateResults();
        }
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.updating = false;
        $scope.ShowFlatRate($scope.selectedFlatRate.id);
      });
    };

    $scope.updateResults = function () {
      angular.forEach($scope.updatedCustomers, function (result) {
        if (result.action === 'remove') {
          angular.forEach($scope.selectedFlatRate.customers, function (val, key) {
            if (val.customer_id === result.value.customer_id) {
              $scope.selectedFlatRate.customers.splice(key, 1);
            }
          });
        }
      });
      angular.forEach($scope.updatedGroups, function (result) {
        if (result.action === 'remove') {
          angular.forEach($scope.selectedFlatRate.groups, function (val, key) {
            if (val.group_id === result.value.group_id) {
              $scope.selectedFlatRate.groups.splice(key, 1);
            }
          });
        }
      });
      angular.forEach($scope.updatedSheets, function (result) {
        if (result.action === 'remove') {
          angular.forEach($scope.selectedFlatRate.pricesheets, function (val, key) {
            if (val.price_sheet_id === result.value.price_sheet_id) {
              $scope.selectedFlatRate.pricesheets.splice(key, 1);
            }
          });
        }
      });
      $scope.updatedGroups = [];
      $scope.updatedCustomers = [];
      $scope.updatedPriceSheets = [];
    };
  }
})();

/***/ }),

/***/ 7930:
/***/ (() => {

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

(function () {
  'use strict';

  ShippingParcelsController.$inject = ["$scope", "$rootScope", "$stateParams", "Admin", "Settings", "Debug", "Utils", "Localized"];
  angular.module('vendorfuelApp').controller('ShippingParcelsController', ShippingParcelsController);
  ShippingParcelsController.$inject = ['$scope', '$rootScope', '$stateParams', 'Admin', 'Settings', 'Debug', 'Utils', 'Localized'];
  /**
   * @param {Object} $scope Angular service
   * @param {Object} $rootScope Angular service
   * @param {Object} $stateParams UI Router service
   * @param {Object} Admin VendorFuel service
   * @param {Object} Settings VendorFuel service
   * @param {Object} Debug VendorFuel service
   * @param {Object} Utils VendorFuel service
   * @param {Object} Localized VendorFuel service
   */

  function ShippingParcelsController($scope, $rootScope, $stateParams, Admin, Settings, Debug, Utils, Localized) {
    var vm = this;
    vm.$onInit = $onInit; // Initialize controller

    vm.$onInit();
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Shipping',
        state: 'shipping'
      }, {
        name: 'Shipping Parcels',
        state: 'shipping-parcels'
      }];
      $scope.activeTab = parseInt($stateParams.activeTab) || 0;
      $scope.createParcel = {};
      $scope.distanceUnits = {
        "in": 'Inches',
        cm: 'Centimeters'
      };
      $scope.gateways = {};
      $scope.isAuthed = Admin.Authed();
      $scope.loading = true;
      $scope.rppValues = [15, 30, 50, 100];
      $scope.saved = false;
      $scope.saving = false;
      $scope.searchParams = {
        q: '',
        sortBy: '',
        sortType: '',
        rpp: $scope.rppValues[0]
      };
      $scope.selectedParcel = null;
      $scope.shippingParcelEndpoint = Localized.apiURL + '/admin/shipping/parcel/';
      $scope.warehouse = {};

      if ($scope.activeTab === 2 && !$scope.selectedParcel) {
        $scope.activeTab = 0;
      }
    } //FUNCTIONS


    $scope.TabChanged = function (i) {
      $scope.activeTab = i;
      Settings.errors = {};
      $scope.loading = true;
      $scope.saving = false;
      $scope.saved = false;
      var req = {
        method: 'GET',
        url: $scope.shippingParcelEndpoint
      };

      switch (i) {
        case 0:
          Utils.getHttpPromise(req).then(function (resp) {
            $scope.shippingParcels = resp.parcels;
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
          break;

        case 1:
          $scope.loading = false;
          break;

        case 2:
          req.url += $scope.selectedParcel.id;
          Utils.getHttpPromise(req).then(function (resp) {
            $scope.selectedParcel = resp.parcel;
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
          break;

        case 3:
          req.url = Localized.apiURL + '/admin/shipping/gateways';
          Utils.getHttpPromise(req).then(function (resp) {
            if (resp.gateways) {
              $scope.gateways = resp.gateways;

              if (_typeof($scope.gateways.shippo) === 'object' && ($scope.gateways.shippo.key || $scope.gateways.shippo.key === '')) {
                $scope.gateways.shippo = $scope.gateways.shippo.key;
              }
            }
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
          break;

        case 4:
          req.url = Localized.apiURL + '/admin/shipping/warehouse';
          Utils.getHttpPromise(req).then(function (resp) {
            if (resp.warehouse) {
              $scope.warehouse = resp.warehouse;
            }
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
          break;
      }
    };

    $scope.ChangeTab = function (tabIndex, index) {
      $scope.activeTab = tabIndex;
      $scope.selectedParcel = $scope.shippingParcels.data[index];
    };

    $scope.CreateParcel = function () {
      $scope.loading = true;
      var params = $scope.createParcel;
      var req = {
        method: 'POST',
        url: $scope.shippingParcelEndpoint,
        data: params
      };
      Utils.getHttpPromise(req).then(function (resp) {
        if (!resp.errors.length) {
          $scope.selectedParcel = {
            id: resp.parcel.id
          };
          $scope.createParcel = {};
          $scope.activeTab = 2;
        }
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };

    $scope.SearchParcels = function (page, query) {
      $scope.loadingMore = true;
      $scope.searchParams.page = page || 1;
      $scope.searchParams.q = query;
      var req = {
        method: 'GET',
        url: $scope.shippingParcelEndpoint,
        params: $scope.searchParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.shippingParcels = resp.parcels;
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loadingMore = false;
      });
    };

    $scope.UpdateParcel = function () {
      $scope.loading = true;
      var req = {
        method: 'PUT',
        url: $scope.shippingParcelEndpoint + $scope.selectedParcel.id,
        data: $scope.selectedParcel
      };
      Utils.getHttpPromise(req).then(function () {}, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };

    $scope.UpdateWarehouse = function () {
      $scope.loading = true;
      var params = $scope.warehouse;
      var req = {
        method: 'PUT',
        url: Localized.apiURL + '/admin/shipping/warehouse',
        data: params
      };
      Utils.getHttpPromise(req).then(function () {}, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };

    $scope.UpdateGateways = function () {
      $scope.loading = true;
      var params = {
        gateways: $scope.gateways
      };
      var req = {
        method: 'PUT',
        url: Localized.apiURL + '/admin/shipping/gateways',
        data: params
      };
      Utils.getHttpPromise(req).then(function () {}, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
        Localized.setNotification({
          type: 'success',
          message: 'Gateway Successfully Updated'
        });
      });
    };
  }
})();

/***/ }),

/***/ 7199:
/***/ (() => {

(function () {
  'use strict';

  ShippingController.$inject = ["$scope", "$rootScope", "$stateParams", "Admin", "Debug", "Utils", "Localized"];
  angular.module('vendorfuelApp').controller('ShippingController', ShippingController);
  ShippingController.$inject = ['$scope', '$rootScope', '$stateParams', 'Admin', 'Debug', 'Utils', 'Localized'];
  /**
   * @param {Object} $scope Angular service
   * @param {Object} $rootScope Angular service
   * @param {Object} $stateParams UI Router service
   * @param {Object} Admin VendorFuel service
   * @param {Object} Debug VendorFuel service
   * @param {Object} Utils VendorFuel service
   * @param {Object} Localized VendorFuel service
   */

  function ShippingController($scope, $rootScope, $stateParams, Admin, Debug, Utils, Localized) {
    var vm = this;
    vm.$onInit = $onInit; // Initialize controller

    vm.$onInit();
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Shipping',
        state: 'shipping'
      }];
      $scope.activeTab = parseInt($stateParams.activeTab) || 0;
      $scope.isAuthed = Admin.Authed();
      $scope.loading = true;
      $scope.modeEndpoint = Localized.apiURL + '/admin/shipping/mode/';
      $scope.shippingMode = null;
      $scope.updating = false;
    }

    $scope.GetModeSetting = function () {
      var req = {
        method: 'GET',
        url: $scope.modeEndpoint
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.shippingMode = resp;
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };

    $scope.UpdateModeSetting = function () {
      $scope.updating = true;
      var req = {
        method: 'PUT',
        url: $scope.modeEndpoint,
        data: $scope.shippingMode
      };
      Utils.getHttpPromise(req).then(function () {}, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.updating = false;
        Localized.setNotification({
          type: 'success',
          message: 'Shipping Mode Successfully Updated'
        });
      });
    };
  }
})();

/***/ }),

/***/ 8147:
/***/ (() => {

(function () {
  'use strict';

  SubscribeController.$inject = ["$rootScope", "$scope", "$http", "$filter", "Utils", "Settings", "Localized", "$timeout"];
  angular.module('vendorfuelApp').controller('SubscribeController', SubscribeController);
  SubscribeController.$inject = ['$rootScope', '$scope', '$http', '$filter', 'Utils', 'Settings', 'Localized', '$timeout'];
  /**
   * @param {Object} $rootScope Angular service
   * @param {Object} $scope     Angular service
   * @param {Object} $http      Angular service
   * @param {Object} $filter    Angular service
   * @param {Object} Utils      VendorFuel service
   * @param {Object} Settings   VendorFuel service
   * @param {Object} Localized  VendorFuel service
   * @param {Object} $timeout   Angular service
   */

  function SubscribeController($rootScope, $scope, $http, $filter, Utils, Settings, Localized, $timeout) {
    var vm = this;
    vm.$onInit = $onInit; // Initialize controller

    vm.$onInit();
    /**
     * Initialization
     */

    function $onInit() {
      Utils.redirecting = false;
      $rootScope.breadcrumbs = [{
        name: 'Subscribe',
        state: 'billing'
      }];
      $scope.store = {
        name: '',
        url: '',
        first_name: '',
        last_name: '',
        email: '',
        emailConfirmation: '',
        password: '',
        passwordConfirmation: '',
        phone: ''
      };
      $scope.billing = {
        firstName: '',
        lastName: '',
        addressLineOne: '',
        addressLineTwo: '',
        city: '',
        state: '',
        postalCode: ''
      };
      $scope.formValidation = $scope.store.name || $scope.store.url || $scope.store.first_name || $scope.store.last_name || $scope.store.email || $scope.store.emailConfirmation || $scope.store.password || $scope.store.passwordConfirm;
      $scope.orderComplete = false;
      $scope.payment = {
        cardNumber: '',
        expMonth: '',
        expYear: '',
        cvv: ''
      };
      $scope.selectedTier = null;
      $scope.signUpDisable = '!store.name || !store.url || !store.first_name || !store.last_name || !store.email || !store.emailConfirmation || !store.password || !store.passwordConfirm ||!terms || !privacy';
      $scope.store = {
        storeName: '',
        storeUrl: '',
        first_name: '',
        last_name: '',
        email: '',
        password: '',
        passwordConfirm: ''
      };
      $scope.submittingOrder = false;
      $scope.tiers = [{
        description: 'Kindling',
        pricesheets: '1',
        products: '5',
        price: 0,
        value: 4,
        selected: false
      }, {
        description: 'Ember',
        pricesheets: '1',
        products: '25',
        price: 19,
        value: 1,
        selected: false
      }, {
        description: 'Inferno',
        pricesheets: 'Unlimited',
        products: 'Unlimited',
        price: 99,
        value: 3,
        selected: false
      }, {
        description: 'Flame',
        pricesheets: '2',
        products: '100',
        price: 49,
        value: 2,
        selected: false
      }];
      $scope.vfApiUrl = $rootScope.vfApiUrl;
      Utils.httpGet(Localized.wpRestUrl + '/wp/site/info').then(function successCallback(response) {
        $scope.store.name = response.name;
        $scope.store.url = response.url;
      });
    } // $scope.cleanErrorMessages = function(str){
    // 	return str.toString().trim()
    // }


    $scope.selectTier = function (tier) {
      $scope.selectedTier = tier;
      angular.forEach($scope.tiers, function (value) {
        if (tier.value === value.value) {
          value.selected = true;
        } else {
          value.selected = false;
        }
      });
    };

    $scope.ToggleShowPassword = function (type) {
      if (type === 'password') {
        $scope.showPassword = !$scope.showPassword;
      }

      if (type === 'conf') {
        $scope.showPasswordConf = !$scope.showPasswordConf;
      }
    };

    $scope.SignUp = function () {
      $scope.errors = [];
      $scope.submittingOrder = true;
      $scope.orderComplete = false;
      var req = {
        method: 'POST',
        url: Localized.apiURL + '/tenant/stores',
        data: {
          store: {
            tier: $scope.selectedTier.value,
            name: $scope.store.name,
            url: $scope.store.url
          },
          user: {
            first_name: $scope.store.first_name,
            last_name: $scope.store.last_name,
            email: $scope.store.email,
            email_confirmation: $scope.store.emailConfirmation,
            password: $scope.store.password,
            password_confirmation: $scope.store.passwordConfirm,
            phone: $scope.store.phone
          }
        }
      };
      $http(req).then(function (resp) {
        angular.forEach(resp.data.errors, function (value) {
          Localized.setNotification({
            type: 'danger',
            message: value
          });
        });
        $scope.storeDetails = resp.data.store;
        $scope.storeDetails.billing = resp.data.billing;
        $timeout(function () {
          if (resp.data && resp.data.errors && resp.data.errors.length > 0) {
            $scope.errors = resp.data.errors;
          } else {
            //TODO: set api_key
            $scope.storeDetails.term = '1 Month';
            $scope.storeDetails.nextBillDate = $filter('date')($scope.storeDetails.billing.next_payment_due, 'longDate');
            Localized.api_key = $scope.storeDetails.api_key;
            Settings.general.Get().then(function successCallback() {
              Settings.general.saved.api_key = Localized.api_key;
              Settings.general.Set();
              $scope.orderComplete = true;
            });
          }

          if (Utils.ReturnLocation !== null) {
            Utils.setLocation(Utils.ReturnLocation, false);
            Utils.ReturnLocation = null;
            Utils.redirecting = false;
          }

          $scope.submittingOrder = false;
        }, 1500);
      }, function (response) {
        if (response.data && response.data.errors) {
          angular.forEach(response.data.errors, function (value) {
            var err = Utils.cleanErrorMessages(value);
            $scope.errors.push(err);
          });
        }

        $scope.submittingOrder = false;
        return response;
      });
    };
  }
})();

/***/ }),

/***/ 5069:
/***/ (() => {

(function () {
  'use strict';

  TenantLoginController.$inject = ["$scope", "Tenant", "Utils", "Admin", "Debug"];
  angular.module('vendorfuelApp').controller('TenantLoginController', TenantLoginController);
  TenantLoginController.$inject = ['$scope', 'Tenant', 'Utils', 'Admin', 'Debug'];
  /**
   * @param {Object} $scope Angular service
   * @param {Object} Tenant VendorFuel service
   * @param {Object} Utils VendorFuel service
   * @param {Object} Admin VendorFuel service
   * @param {Object} Debug VendorFuel service
   */

  function TenantLoginController($scope, Tenant, Utils, Admin, Debug) {
    var parentCallback = $scope.$parent.LoginCallback;
    var vm = this;
    vm.$onInit = $onInit; // Initialize controller

    vm.$onInit();
    /**
     * Initialization
     */

    function $onInit() {
      Tenant.login_errors = {};
      Utils.redirecting = false;
      $scope.isAuthed = Admin.Authed();
      $scope.loginErrors = [];
      $scope.loggingIn = false;
      $scope.tenant = Tenant;
      $scope.user = {
        loginEmail: '',
        loginPassword: ''
      };
    }

    $scope.Login = function () {
      Tenant.login_errors = {};
      $scope.loggingIn = true;
      Tenant.Login($scope.user.loginEmail, $scope.user.loginPassword).then(function successCallback() {
        if (parentCallback && Object.keys(Tenant.login_errors).length === 0) {
          parentCallback();
        }

        if (Object.keys(Tenant.login_errors).length) {
          $scope.loginErrors.push(Tenant.login_errors.toString());
          Debug.error($scope.loginErrors);
          Debug.error(Tenant.login_errors);
          $scope.loggingIn = false;
        }

        if (Object.keys(Tenant.login_errors).length === 0) {
          if (Utils.ReturnLocation !== null) {
            Utils.setLocation(Utils.ReturnLocation, false);
            Utils.redirecting = false;
            Utils.ReturnLocation = null;
          }
        }
      });
    };

    $scope.ToggleShowPassword = function (type) {
      if (type === 'password') {
        $scope.showPassword = !$scope.showPassword;
      }
    };
  }
})();

/***/ }),

/***/ 5211:
/***/ (() => {

(function () {
  'use strict';

  compileHtmlDirective.$inject = ["$compile"];
  angular.module('vendorfuelApp').directive('compileHtml', compileHtmlDirective);
  compileHtmlDirective.$inject = ['$compile'];
  /**
   * @param {Object} $compile Angular service
   * @return {Object} Directive
   */

  function compileHtmlDirective($compile) {
    return {
      restrict: 'A',
      link: function link(scope, elem, attrs) {
        scope.$watch(function () {
          return scope.$eval(attrs.compileHtml);
        }, function (value) {
          elem.html(value);
          $compile(elem.contents())(scope);
        });
      }
    };
  }
})();

/***/ }),

/***/ 4562:
/***/ (() => {

(function () {
  'use strict';

  angular.module('vendorfuelApp').directive('copyToClipboard', copyToClipboardDirective);
  /**
   * @return {Object} Directive
   */

  function copyToClipboardDirective() {
    return {
      restrict: 'A',
      link: function link(scope, elem, attrs) {
        elem.on('click', function () {
          if (attrs.copyToClipboard) {
            var $tempInput = jQuery('<input>');
            jQuery('clipboard').append($tempInput);
            $tempInput.val(attrs.copyToClipboard).select();
            document.execCommand('copy');
          }
        });
      }
    };
  }
})();

/***/ }),

/***/ 3264:
/***/ (() => {

(function () {
  'use strict';

  fileModelDirective.$inject = ["$parse"];
  angular.module('vendorfuelApp').directive('fileModel', fileModelDirective);
  fileModelDirective.$inject = ['$parse'];
  /**
   * @param {Object} $parse Angular service
   * @return {Object} Directive
   */

  function fileModelDirective($parse) {
    return {
      restrict: 'A',
      link: function link(scope, element, attrs) {
        var model = $parse(attrs.fileModel);
        var modelSetter = model.assign;
        element.on('change', function () {
          scope.$apply(function () {
            modelSetter(scope.$parent.$parent, element[0].files);
          });
        });
      }
    };
  }
})();

/***/ }),

/***/ 7942:
/***/ (() => {

(function () {
  'use strict';

  formatDirective.$inject = ["$filter"];
  angular.module('vendorfuelApp').directive('format', formatDirective);
  formatDirective.$inject = ['$filter'];
  /**
   * @param {Object} $filter Angular service
   * @return {Object} Directive
   */

  function formatDirective($filter) {
    return {
      require: '?ngModel',
      link: function link(scope, elem, attrs, ctrl) {
        if (!ctrl) {
          return;
        }

        ctrl.$formatters.unshift(function () {
          return $filter(attrs.format)(ctrl.$modelValue);
        });
        elem.on('focus', function () {
          elem.val(ctrl.$modelValue);
        });
        elem.on('blur', function () {
          var plainNumber = elem.val().replace(/[^\d|\-+|.+]/g, '');
          elem.val($filter(attrs.format)(plainNumber));
        });
        angular.element(elem).on('keypress', function (e) {
          var newVal = jQuery(this).val() + (e.charCode !== 0 ? String.fromCharCode(e.charCode) : ''); // @ts-ignore

          if (jQuery(this).val().search(/(.*)\.[0-9][0-9]/) === 0 && newVal.length > jQuery(this).val().length) {
            if (e.charCode !== 8) {
              e.preventDefault();
            }
          }
        });
      }
    };
  }
})();

/***/ }),

/***/ 9457:
/***/ (() => {

(function () {
  'use strict';

  groupFileDirective.$inject = ["$parse"];
  angular.module('vendorfuelApp').directive('groupFile', groupFileDirective);
  groupFileDirective.$inject = ['$parse'];
  /**
   * @param {Object} $parse Angular service
   * @return {Object} Directive
   */

  function groupFileDirective($parse) {
    return {
      restrict: 'A',
      link: function link(scope, element, attrs) {
        var model = $parse(attrs.groupFile);
        var modelSetter = model.assign;
        element.on('change', function () {
          scope.$apply(function () {
            modelSetter(scope.$parent.$parent.$parent.$parent, element[0].files[0]);
          });
        });
      }
    };
  }
})();

/***/ }),

/***/ 1908:
/***/ (() => {

(function () {
  'use strict';

  resizeDirective.$inject = ["$window"];
  angular.module('vendorfuelApp').directive('resize', resizeDirective);
  resizeDirective.$inject = ['$window'];
  /**
   * @param {Object} $window Angular service
   * @return {Object} Directive
   */

  function resizeDirective($window) {
    return function ($scope) {
      getSizing();
      angular.element($window).on('resize', function () {
        $scope.$apply(function () {
          getSizing();
        });
      });
      /**
       *
       */

      function getSizing() {
        $scope.width = $window.innerWidth;
        checkSizing($scope.width);
      }
      /**
       * @param {number} w Width
       */


      function checkSizing(w) {
        if (w < 576) {
          setBools(true);
        } else if (w >= 576 && w < 768) {
          setBools(false, true);
        } else if (w >= 768 && w < 992) {
          setBools(false, false, true);
        } else if (w >= 992 && w < 1200) {
          setBools(false, false, false, true);
        } else if (w >= 1200) {
          setBools(false, false, false, false, true);
        }
      }
      /**
       * @param {boolean} xs Viewport size
       * @param {boolean} sm Viewport size
       * @param {boolean} md Viewport size
       * @param {boolean} lg Viewport size
       * @param {boolean} xl Viewport size
       */


      function setBools(xs, sm, md, lg, xl) {
        $scope.isXS = xs || false;
        $scope.isSM = sm || false;
        $scope.isMD = md || false;
        $scope.isLG = lg || false;
        $scope.isXL = xl || false;
      }
    };
  }
})();

/***/ }),

/***/ 9402:
/***/ (() => {

/**
 * Tel Input Directive
 *
 * @namespace Directives
 */
(function () {
  'use strict';

  telInputDirective.$inject = ["$filter", "$browser"];
  angular.module('vendorfuelApp').directive('telInput', telInputDirective);
  telInputDirective.$inject = ['$filter', '$browser'];
  /**
   * @param {Object} $filter Angular service
   * @param {Object} $browser Angular service
   * @return {Object} Directive
   */

  function telInputDirective($filter, $browser) {
    return {
      require: 'ngModel',
      link: function link($scope, $element, $attrs, ngModelCtrl) {
        var listener = function listener() {
          var value = $element.val().replace(/[^0-9]/g, '');
          $element.val($filter('tel')(value, false));
        }; // This runs when we update the text field


        ngModelCtrl.$parsers.push(function (viewValue) {
          return viewValue.replace(/[^0-9]/g, '').slice(0, 10);
        }); // This runs when the model gets updated on the scope directly and keeps our view in sync

        ngModelCtrl.$render = function () {
          $element.val($filter('tel')(ngModelCtrl.$viewValue, false));
        };

        $element.on('change', listener);
        $element.on('keydown', function (event) {
          var key = event.keyCode; // If the keys include the CTRL, SHIFT, ALT, or META keys, or the arrow keys, do nothing.
          // This lets us support copy and paste too

          if (key === 91 || 15 < key && key < 19 || 37 <= key && key <= 40) {
            return;
          }

          $browser.defer(listener); // Have to do this or changes don't get picked up properly
        });
        $element.on('paste cut', function () {
          $browser.defer(listener);
        });
      }
    };
  }
})();

/***/ }),

/***/ 1569:
/***/ (() => {

/**
 * Tel Filter
 *
 * @namespace Filters
 */
(function () {
  'use strict';

  angular.module('vendorfuelApp').filter('tel', telFilter);
  /**
   * @return {Object} Directive
   */

  function telFilter() {
    return function (tel) {
      if (!tel) {
        return '';
      }

      var regex = '/^+/';
      var value = tel.toString().trim().replace(regex, '');

      if (value.match(/[^0-9]/)) {
        return tel;
      }

      var country, city, number;

      switch (value.length) {
        case 1:
        case 2:
        case 3:
          city = value;
          break;

        default:
          if (value.length === 11) {
            country = value.slice(0, 1);
            city = value.slice(1, 4);
            number = value.slice(4);
          } else {
            city = value.slice(0, 3);
            number = value.slice(3);
          }

      }

      if (number && value.length === 11) {
        // country = '1';
        number = number.slice(0, 3) + '-' + number.slice(3, 7);
        return (country + ' (' + city + ') ' + number).trim();
      } else if (number) {
        if (number.length > 3) {
          number = number.slice(0, 3) + '-' + number.slice(3, 7);
        }

        return ('(' + city + ') ' + number).trim();
      }

      return '(' + city;
    };
  }
})();

/***/ }),

/***/ 2233:
/***/ (() => {

(function () {
  'use strict';

  adminFactory.$inject = ["$http", "$cookies", "Localized", "Debug", "TwoFactorModal"];
  angular.module('vendorfuelApp').factory('Admin', adminFactory);
  adminFactory.$inject = ['$http', '$cookies', 'Localized', 'Debug', 'TwoFactorModal'];
  /**
   * @param {Object} $http Angular service
   * @param {Object} $cookies Angular service
   * @param {Object} Localized VendorFuel service
   * @param {Object} Debug VendorFuel service
   * @param {Object} TwoFactorModal VendorFuel service
   * @return {Object} Service
   */

  function adminFactory($http, $cookies, Localized, Debug, TwoFactorModal) {
    var admin = {
      authed: false,
      name: '',
      tokens: {
        a: '',
        b: '',
        jwt: ''
      }
    };
    var service = {
      login_errors: {},
      Login: function Login(e, p, a, rememberMe) {
        //TODO: get api url from settings factory
        var request = {
          method: 'POST',
          url: Localized.apiURL + '/admin/login',
          data: {
            email: e,
            password: p,
            authenticator: a
          }
        };
        var promise = $http(request).then(function successCallback(response) {
          if (Object.keys(response.data.errors).length > 0) {
            Debug.error('Login errors: ', response.data.errors);
            service.login_errors = response.data.errors;
          } else {
            if (response.data.token_2fa) {
              var callback = {
                confirm: function confirm(confirmResponse) {
                  var req = {
                    method: 'POST',
                    url: Localized.apiURL + '/admin/authenticate',
                    data: {
                      token_2fa: response.data.token_2fa,
                      auth_code: confirmResponse.code_2fa
                    }
                  };
                  $http(req).then(function (resp) {
                    service.SetTokens(resp.data.name, resp.data.tokena, resp.data.tokenb, rememberMe);
                  }, function (errResp) {
                    Debug.error(errResp);
                  });
                },
                cancel: function cancel() {
                  var req = {
                    method: 'POST',
                    url: Localized.apiURL + '/admin/clear-secret',
                    data: {
                      token_2fa: response.data.token_2fa
                    }
                  };
                  $http(req).then(function () {}, function (errResp) {
                    Debug.error(errResp);
                  });
                },
                params: {
                  imgSrc: response.data.qrCodeUrl,
                  code_2fa: ''
                }
              };
              var modalMessage = '<p>Scan the QR code then enter your VendorFuel authentication code from your mobile app</p>';
              modalMessage += '<label for=\'mdlMsg\'>Authenticator: </label>';
              modalMessage += '<input id=\'mdlMsg\' type=\'text\' ng-model=\'callbackParams.code_2fa\' ng-change=\'ApplyChangeToCallback()\'>';
              TwoFactorModal.Show(callback, 'Google 2-Factor Authentication', modalMessage, 'Back', 'Complete');
            } else {
              service.SetTokens(response.data.name, response.data.tokena, response.data.tokenb, rememberMe);
            }

            var wpReq1 = {
              method: 'GET',
              url: Localized.wpRestUrl + '/templatesJS/'
            };
            $http(wpReq1).then(function (resp) {
              if (resp.data === '' || resp === false) {
                var wpReq2 = {
                  method: 'GET',
                  url: Localized.apiURL + '/templates/combined-js'
                }; // eslint-disable-next-line no-shadow

                $http(wpReq2).then(function (resp) {
                  if (resp.data.js) {
                    var wpReq3 = {
                      method: 'PUT',
                      url: Localized.wpRestUrl + '/templatesJS/',
                      params: {},
                      data: {
                        templateJS: resp.data.js
                      }
                    };
                    $http(wpReq3).then(function () {});
                  }
                }, function (errResp) {
                  Debug.error(errResp);
                });
              }
            }, function (errResp) {
              Debug.error(errResp);
            });
          }

          return response;
        }, function errorCallback(response) {
          if (response.xhrStatus === 'error') {
            service.login_errors.error = 'Invalid VendorFuel API URL.';
          }

          if (Object.keys(response.data.errors).length > 0) {
            Debug.error('Login errors: ', response.data.errors);
            service.login_errors = response.data.errors;
          }

          return response;
        });
        jQuery('#vf-menu-item-logout').css('display', 'block');
        return promise;
      },
      LoginErrors: function LoginErrors() {
        return service.login_errors;
      },
      Download: function Download(req) {
        return req + '?apikey=' + Localized.api_key + '&tokena=' + $cookies.get('vendorfuel-admin-tokena') + '&tokenb=' + $cookies.get('vendorfuel-admin-tokenb');
      },
      Logout: function Logout() {
        var config = {
          path: '/',
          samesite: 'strict',
          secure: true,
          session: 'none'
        };
        admin.name = null;
        $cookies.remove('vendorfuel-admin-name', config);
        admin.tokens.a = null;
        $cookies.remove('vendorfuel-admin-tokena', config);
        admin.tokens.b = null;
        $cookies.remove('vendorfuel-admin-tokenb', config);
        admin.tokens.jwt = null;
        $cookies.remove('vendorfuel-tenant-token', config);
        admin.authed = false;
      },
      Authed: function Authed() {
        var tokenA = $cookies.get('vendorfuel-admin-tokena');
        var tokenB = $cookies.get('vendorfuel-admin-tokenb');

        if (tokenA && tokenB) {
          admin.authed = true;
        } else {
          admin.authed = false;
        }

        if (admin.authed) {
          jQuery('#vf-menu-item-logout').parent().parent().removeClass('logout');
        } else {
          jQuery('#vf-menu-item-logout').parent().parent().addClass('logout');
        }

        return admin.authed;
      },
      SetTokens: function SetTokens(name, tokena, tokenb, rememberMe, jwt) {
        var config = {
          path: '/',
          samesite: 'strict',
          secure: true,
          session: 'none'
        };

        if (rememberMe) {
          var d = new Date();
          d.setTime(d.getTime() + 7 * 24 * 60 * 60 * 1000);
          config.expires = d.toUTCString();
        }

        admin.name = name;
        $cookies.put('vendorfuel-admin-name', admin.name);
        admin.tokens.a = tokena;
        $cookies.put('vendorfuel-admin-tokena', admin.tokens.a, config);
        admin.tokens.b = tokenb;
        $cookies.put('vendorfuel-admin-tokenb', admin.tokens.b, config);

        if (jwt) {
          admin.tokens.jwt = jwt;
          $cookies.put('vendorfuel-tenant-token', admin.tokens.jwt, config);
        }

        admin.authed = true;
        return admin.authed;
      }
    };

    if (service.Authed()) {
      jQuery('#vf-menu-item-logout').css('display', 'block');
    }

    return service;
  }
})();

/***/ }),

/***/ 8099:
/***/ (() => {

(function () {
  'use strict';

  customerAccountsFactory.$inject = ["$cookies"];
  angular.module('vendorfuelApp').factory('customerAccounts', customerAccountsFactory);
  customerAccountsFactory.$inject = ['$cookies'];
  /**
   * @param {Object} $cookies Angular service
   * @return {Object} Service
   */

  function customerAccountsFactory($cookies) {
    //Select State DATA
    var states = [{
      name: 'Alabama',
      val: 'AL'
    }, {
      name: 'Alaska',
      val: 'AK'
    }, {
      name: 'Arizona',
      val: 'AZ'
    }, {
      name: 'Arkansas',
      val: 'AR'
    }, {
      name: 'California',
      val: 'CA'
    }, {
      name: 'Colorado',
      val: 'CO'
    }, {
      name: 'Connecticut',
      val: 'CT'
    }, {
      name: 'Delaware',
      val: 'DE'
    }, {
      name: 'Florida',
      val: 'FL'
    }, {
      name: 'Georgia',
      val: 'GA'
    }, {
      name: 'Hawaii',
      val: 'HI'
    }, {
      name: 'Idaho',
      val: 'ID'
    }, {
      name: 'Illinois',
      val: 'IL'
    }, {
      name: 'Indiana',
      val: 'IN'
    }, {
      name: 'Iowa',
      val: 'IA'
    }, {
      name: 'Kansas',
      val: 'KS'
    }, {
      name: 'Kentucky',
      val: 'KY'
    }, {
      name: 'Louisiana',
      val: 'LA'
    }, {
      name: 'Maine',
      val: 'ME'
    }, {
      name: 'Maryland',
      val: 'MD'
    }, {
      name: 'Massachusetts',
      val: 'MA'
    }, {
      name: 'Michigan',
      val: 'MI'
    }, {
      name: 'Minnesota',
      val: 'MN'
    }, {
      name: 'Mississippi',
      val: 'MS'
    }, {
      name: 'Missouri',
      val: 'MO'
    }, {
      name: 'Montana',
      val: 'MT'
    }, {
      name: 'Nebraska',
      val: 'NE'
    }, {
      name: 'Nevada',
      val: 'NV'
    }, {
      name: 'New Hampshire',
      val: 'NH'
    }, {
      name: 'New Jersey',
      val: 'NJ'
    }, {
      name: 'New Mexico',
      val: 'NM'
    }, {
      name: 'New York',
      val: 'NY'
    }, {
      name: 'North Carolina',
      val: 'NC'
    }, {
      name: 'North Dakota',
      val: 'ND'
    }, {
      name: 'Ohio',
      val: 'OH'
    }, {
      name: 'Oklahoma',
      val: 'OK'
    }, {
      name: 'Oregon',
      val: 'OR'
    }, {
      name: 'Pennsylvania',
      val: 'PA'
    }, {
      name: 'Rhode Island',
      val: 'RI'
    }, {
      name: 'South Carolina',
      val: 'SC'
    }, {
      name: 'South Dakota',
      val: 'SD'
    }, {
      name: 'Tennessee',
      val: 'TN'
    }, {
      name: 'Texas',
      val: 'TX'
    }, {
      name: 'Utah',
      val: 'UT'
    }, {
      name: 'Vermont',
      val: 'VT'
    }, {
      name: 'Virgin Islands',
      val: 'VI'
    }, {
      name: 'Virginia',
      val: 'VA'
    }, {
      name: 'Washington',
      val: 'WA'
    }, {
      name: 'West Virginia',
      val: 'WV'
    }, {
      name: 'Wisconsin',
      val: 'WI'
    }, {
      name: 'Wyoming',
      val: 'WY'
    }];
    var service = {
      customerData: function customerData() {
        var data = {
          states: states
        };
        return data;
      },
      clearCookies: function clearCookies() {
        $cookies.remove('vf.user.name', {
          samesite: 'none',
          secure: true,
          path: '/'
        });
        $cookies.remove('vf.user.email', {
          samesite: 'none',
          secure: true,
          path: '/'
        });
        $cookies.remove('vf.user.group_admin', {
          samesite: 'none',
          secure: true,
          path: '/'
        });
        $cookies.remove('vf.user.approver', {
          samesite: 'none',
          secure: true,
          path: '/'
        });
        $cookies.remove('vf.user.is-guest', {
          samesite: 'none',
          secure: true,
          path: '/'
        });
        $cookies.remove('vf.user.group', {
          samesite: 'none',
          secure: true,
          path: '/'
        });
        $cookies.remove('vf.user.remember', {
          samesite: 'none',
          secure: true,
          path: '/'
        });
        $cookies.remove('vf.user.last_login', {
          samesite: 'none',
          secure: true,
          path: '/'
        });
        $cookies.remove('vf.cart.cartCount', {
          samesite: 'none',
          secure: true,
          path: '/'
        });
        $cookies.remove('vf.user.punchoutOnly', {
          samesite: 'none',
          secure: true,
          path: '/'
        });
        $cookies.remove('vf.user.mixedPunchout', {
          samesite: 'none',
          secure: true,
          path: '/'
        });
        $cookies.remove('vf.user.company', {
          samesite: 'none',
          secure: true,
          path: '/'
        });
        $cookies.remove('vf.user.defaultShippingProfile', {
          samesite: 'none',
          secure: true,
          path: '/'
        });
        $cookies.remove('vf.user.defaultBillingProfile', {
          samesite: 'none',
          secure: true,
          path: '/'
        });
        $cookies.remove('vf.user.group_id', {
          samesite: 'none',
          secure: true,
          path: '/'
        });
        $cookies.remove('vf.user.group_parent_id', {
          samesite: 'none',
          secure: true,
          path: '/'
        });
        $cookies.remove('vf.user.price_availability', {
          samesite: 'none',
          secure: true,
          path: '/'
        });
        $cookies.remove('vf.user.cost_center_is_required', {
          samesite: 'none',
          secure: true,
          path: '/'
        });
        $cookies.remove('vf.user.currentGroup_id', {
          samesite: 'none',
          secure: true,
          path: '/'
        });
        $cookies.remove('vf.cart', {
          samesite: 'none',
          secure: true,
          path: '/'
        });
        $cookies.remove('vf.auth.token', {
          samesite: 'none',
          secure: true,
          path: '/'
        });
        $cookies.remove('vf.cart.cartCount', {
          samesite: 'none',
          secure: true,
          path: '/'
        });
        $cookies.remove('force_password', {
          samesite: 'none',
          secure: true,
          path: '/'
        });
      }
    };
    /**
     *
     */

    return service;
  }
})();

/***/ }),

/***/ 9607:
/***/ (() => {

/**
 * Debug Factory
 *
 * @namespace Factories
 */
(function () {
  'use strict';

  debugFactory.$inject = ["Localized"];
  angular.module('vendorfuelApp').factory('Debug', debugFactory);
  debugFactory.$inject = ['Localized'];
  /**
   * @param {Object} Localized VendorFuel service
   * @return {Object} service
   */

  function debugFactory(Localized) {
    var service = {
      error: error,
      log: log
    };
    return service;
    /**
     * @param {...any} params Parameters
     */

    function log() {
      if (Localized.debugMode) {
        var _console;

        (_console = console).debug.apply(_console, arguments);
      }
    }
    /**
     * @param {...any} params Parameters
     */


    function error() {
      if (Localized.debugMode) {
        var _console2;

        (_console2 = console).error.apply(_console2, arguments);
      }
    }
  }
})();

/***/ }),

/***/ 6314:
/***/ (() => {

(function () {
  'use strict';

  angular.module('vendorfuelApp').factory('EmailsData', emailsDataFactory);
  /**
   * @return {Object} Service
   */

  function emailsDataFactory() {
    var shipmentOptions = [{
      name: 'Site Name',
      value: '%[site-name]%'
    }, {
      name: 'Customer Name',
      value: '%[customer-name]%'
    }, {
      name: 'Shipping Name',
      value: '%[shipping-name]%'
    }, {
      name: 'Shipping Address 1',
      value: '%[shipping-address1]%'
    }, {
      name: 'Shipping Address 2',
      value: '%[shipping-address2]%'
    }, {
      name: 'Shipping City',
      value: '%[shipping-city]%'
    }, {
      name: 'Shipping State',
      value: '%[shipping-state]%'
    }, {
      name: 'Shipping Zip',
      value: '%[shipping-zip]%'
    }, {
      name: 'Shipping Phone',
      value: '%[shipping-phone]%'
    }, {
      name: 'Shipping Email',
      value: '%[shipping-email]%'
    }, {
      name: 'Payment Method',
      value: '%[payment-method]%'
    }, {
      name: 'Subtotal',
      value: '%[subtotal]%'
    }, {
      name: 'Shipping Total',
      value: '%[shipping-total]%'
    }, {
      name: 'Tax Rate',
      value: '%[tax-rate]%'
    }, {
      name: 'Tax Total',
      value: '%[tax-total]%'
    }, {
      name: 'Total',
      value: '%[total]%'
    }, {
      name: 'Billing Name',
      value: '%[billing-name]%'
    }, {
      name: 'Billing Address 1',
      value: '%[billing-address1]%'
    }, {
      name: 'Billing Address 2',
      value: '%[billing-address2]%'
    }, {
      name: 'Billing City',
      value: '%[billing-city]%'
    }, {
      name: 'Billing State',
      value: '%[billing-state]%'
    }, {
      name: 'Billing Zip',
      value: '%[billing-zip]%'
    }, {
      name: 'Billing Email',
      value: '%[billing-email]%'
    }, {
      name: 'Billing Phone',
      value: '%[billing-phone]%'
    }, {
      name: 'First Name',
      value: '%[first-name]%'
    }, {
      name: 'Last Name',
      value: '%[last-name]%'
    }, {
      name: 'Cost Center Code',
      value: '%[cost-center-code]%'
    }, {
      name: 'Purchase Order',
      value: '%[purchase-order]%'
    }, {
      name: 'Issuing Office',
      value: '%[issuing-office]%'
    }, {
      name: 'Notes',
      value: '%[notes]%'
    }, {
      name: 'Organization',
      value: '%[organization]%'
    }, {
      name: 'Attention',
      value: '%[attention]%'
    }, {
      name: 'Approver',
      value: '%[approver]%'
    }, {
      name: 'Approver Notes',
      value: '%[approver-notes]%'
    }, {
      name: 'Promotion Discount',
      value: '%[promo-discount]%'
    }, {
      name: 'EBT Discount',
      value: '%[ebt-discount]%'
    }, {
      name: 'F1 Name',
      value: '%[f1-name]%'
    }, {
      name: 'F1 valueue',
      value: '%[f1-name]%'
    }, {
      name: 'F2 Name',
      value: '%[f2-name]%'
    }, {
      name: 'F2 value',
      value: '%[f2-name]%'
    }, {
      name: 'F3 Name',
      value: '%[f3-name]%'
    }, {
      name: 'F3 value',
      value: '%[f3-name]%'
    }, {
      name: 'F4 Name',
      value: '%[f4-name]%'
    }, {
      name: 'F4 value',
      value: '%[f4-name]%'
    }, {
      name: 'F5 Name',
      value: '%[f5-name]%'
    }, {
      name: 'F5 value',
      value: '%[f5-name]%'
    }, {
      name: 'F6 Name',
      value: '%[f6-name]%'
    }, {
      name: 'F6 value',
      value: '%[f6-name]%'
    }, {
      name: 'RMA Purchase ID',
      value: '%[rma-purchase-id]%'
    }, {
      name: 'RMA Product ID',
      value: '%[rma-product-id]%'
    }, {
      name: 'RMA Sku',
      value: '%[rma-sku]%'
    }, {
      name: 'RMA Description',
      value: '%[rma-description]%'
    }, {
      name: 'RMA Purchase Date',
      value: '%[rma-purchase-date]%'
    }, {
      name: 'RMA Reason',
      value: '%[rma-reason]%'
    }, {
      name: 'RMA Quantity',
      value: '%[rma-quantity]%'
    }, {
      name: 'RMA Email',
      value: '%[rma-email]%'
    }, {
      name: 'RMA Notes',
      value: '%[rma-notes]%'
    }, {
      name: 'RMA Id',
      value: '%[rma-id]%'
    }, {
      name: 'Shipping Date',
      value: '%[shipping-date]%'
    }, {
      name: 'Shipping Carrier',
      value: '%[shipping-carrier]%'
    }, {
      name: 'Shipping Code',
      value: '%[shipping-code]%'
    }, {
      name: 'Order Date',
      value: '%[order-date]%'
    }, {
      name: 'Shipping Id',
      value: '%[shipping-id]%'
    }];
    var shipmentConditionals = [{
      name: 'Site Name',
      value: '%{[site-name] %[site-name]% }%'
    }, {
      name: 'Customer Name',
      value: '%{[customer-name] %[customer-name]% }%'
    }, {
      name: 'Shipping Name',
      value: '%{[shipping-name] %[shipping-name]% }%'
    }, {
      name: 'Shipping Address 1',
      value: '%{[shipping-address1] %[shipping-address1]% }%'
    }, {
      name: 'Shipping Address 2',
      value: '%{[shipping-address2] %[shipping-address2]% }%'
    }, {
      name: 'Shipping City',
      value: '%{[shipping-city] %[shipping-city]% }%'
    }, {
      name: 'Shipping State',
      value: '%{[shipping-state] %[shipping-state]% }%'
    }, {
      name: 'Shipping Zip',
      value: '%{[shipping-zip] %[shipping-zip]% }%'
    }, {
      name: 'Shipping Phone',
      value: '%{[shipping-phone] %[shipping-phone]% }%'
    }, {
      name: 'Shipping Email',
      value: '%{[shipping-email] %[shipping-email]% }%'
    }, {
      name: 'Payment Method',
      value: '%{[payment-method] %[payment-method]% }%'
    }, {
      name: 'Subtotal',
      value: '%{[subtotal] %[subtotal]% }%'
    }, {
      name: 'Shipping Total',
      value: '%{[shipping-total] %[shipping-total]% }%'
    }, {
      name: 'Tax Rate',
      value: '%{[tax-rate] %[tax-rate]% }%'
    }, {
      name: 'Tax Total',
      value: '%{[tax-total] %[tax-total]% }%'
    }, {
      name: 'Total',
      value: '%{[total] %[total]% }%'
    }, {
      name: 'Billing Name',
      value: '%{[billing-name] %[billing-name]% }%'
    }, {
      name: 'Billing Address 1',
      value: '%{[billing-address1] %[billing-address1]% }%'
    }, {
      name: 'Billing Address 2',
      value: '%{[billing-address2] %[billing-address2]% }%'
    }, {
      name: 'Billing City',
      value: '%{[billing-city] %[billing-city]% }%'
    }, {
      name: 'Billing State',
      value: '%{[billing-state] %[billing-state]% }%'
    }, {
      name: 'Billing Zip',
      value: '%{[billing-zip] %[billing-zip]% }%'
    }, {
      name: 'Billing Email',
      value: '%{[billing-email] %[billing-email]% }%'
    }, {
      name: 'Billing Phone',
      value: '%{[billing-phone] %[billing-phone]% }%'
    }, {
      name: 'First Name',
      value: '%{[first-name] %[first-name]% }%'
    }, {
      name: 'Last Name',
      value: '%{[last-name] %[last-name]% }%'
    }, {
      name: 'Cost Center Code',
      value: '%{[cost-center-code] %[cost-center-code]% }%'
    }, {
      name: 'Purchase Order',
      value: '%{[purchase-order] %[purchase-order]% }%'
    }, {
      name: 'Issuing Office',
      value: '%{[issuing-office] %[issuing-office]% }%'
    }, {
      name: 'Notes',
      value: '%{[notes] %[notes]% }%'
    }, {
      name: 'Organization',
      value: '%{[organization] %[organization]% }%'
    }, {
      name: 'Attention',
      value: '%{[attention] %[attention]% }%'
    }, {
      name: 'Approver',
      value: '%{[approver] %[approver]% }%'
    }, {
      name: 'Approver Notes',
      value: '%{[approver-notes] %[approver-notes]% }%'
    }, {
      name: 'Promotion Discount',
      value: '%{[promo-discount] %[promo-discount]% }%'
    }, {
      name: 'EBT Discount',
      value: '%{[ebt-discount] %[ebt-discount]% }%'
    }, {
      name: 'F1 Name',
      value: '%{[f1-name] %[f1-name]% }%'
    }, {
      name: 'F1 value',
      value: '%{[f1-value] %[f1-value]% }%'
    }, {
      name: 'F2 Name',
      value: '%{[f2-name] %[f2-name]% }%'
    }, {
      name: 'F2 value',
      value: '%{[f2-value] %[f2-value]% }%'
    }, {
      name: 'F3 Name',
      value: '%{[f3-name] %[f3-name]% }%'
    }, {
      name: 'F3 value',
      value: '%{[f3-value] %[f3-value]% }%'
    }, {
      name: 'F4 Name',
      value: '%{[f4-name] %[f4-name]% }%'
    }, {
      name: 'F4 value',
      value: '%{[f4-value] %[f4-value]% }%'
    }, {
      name: 'F5 Name',
      value: '%{[f5-name] %[f5-name]% }%'
    }, {
      name: 'F5 value',
      value: '%{[f5-value] %[f5-value]% }%'
    }, {
      name: 'F6 Name',
      value: '%{[f6-name] %[f6-name]% }%'
    }, {
      name: 'F6 value',
      value: '%{[f6-value] %[f6-value]% }%'
    }, {
      name: 'RMA Purchase ID',
      value: '%{[rma-purchase-id] %[rma-purchase-id]% }%'
    }, {
      name: 'RMA Product ID',
      value: '%{[rma-product-id] %[rma-product-id]% }%'
    }, {
      name: 'RMA Sku',
      value: '%{[rma-sku] %[rma-sku]% }%'
    }, {
      name: 'RMA Description',
      value: '%{[rma-description] %[rma-description]% }%'
    }, {
      name: 'RMA Purchase Date',
      value: '%{[rma-purchase-date] %[rma-purchase-date]% }%'
    }, {
      name: 'RMA Reason',
      value: '%{[rma-reason] %[rma-reason]% }%'
    }, {
      name: 'RMA Quantity',
      value: '%{[rma-quantity] %[rma-quantity]% }%'
    }, {
      name: 'RMA Email',
      value: '%{[rma-email] %[rma-email]% }%'
    }, {
      name: 'RMA Notes',
      value: '%{[rma-notes] %[rma-notes]% }%'
    }, {
      name: 'RMA Id',
      value: '%{[rma-id] %[rma-id]% }%'
    }, {
      name: 'Shipping Date',
      value: '%{[shipping-date] %[shipping-date]% }%'
    }, {
      name: 'Shipping Carrier',
      value: '%{[shipping-carrier] %[shipping-carrier]% }%'
    }, {
      name: 'Shipping Code',
      value: '%{[shipping-code] %[shipping-code]% }%'
    }, {
      name: 'Order Date',
      value: '%{[order-date] %[order-date]% }%'
    }, {
      name: 'Shipping Id',
      value: '%{[shipping-id] %[shipping-id]% }%'
    }];
    var checkoutOptions = [{
      name: 'Site Name',
      value: '%[site-name]%'
    }, {
      name: 'Customer Name',
      value: '%[customer-name]%'
    }, {
      name: 'Shipping Name',
      value: '%[shipping-name]%'
    }, {
      name: 'Shipping Address 1',
      value: '%[shipping-address1]%'
    }, {
      name: 'Shipping Address 2',
      value: '%[shipping-address2]%'
    }, {
      name: 'Shipping City',
      value: '%[shipping-city]%'
    }, {
      name: 'Shipping State',
      value: '%[shipping-state]%'
    }, {
      name: 'Shipping Zip',
      value: '%[shipping-zip]%'
    }, {
      name: 'Shipping Phone',
      value: '%[shipping-phone]%'
    }, {
      name: 'Shipping Email',
      value: '%[shipping-email]%'
    }, {
      name: 'Payment Method',
      value: '%[payment-method]%'
    }, {
      name: 'Subtotal',
      value: '%[subtotal]%'
    }, {
      name: 'Shipping Total',
      value: '%[shipping-total]%'
    }, {
      name: 'Tax Rate',
      value: '%[tax-rate]%'
    }, {
      name: 'Tax Total',
      value: '%[tax-total]%'
    }, {
      name: 'Total',
      value: '%[total]%'
    }, {
      name: 'Billing Name',
      value: '%[billing-name]%'
    }, {
      name: 'Billing Address 1',
      value: '%[billing-address1]%'
    }, {
      name: 'Billing Address 2',
      value: '%[billing-address2]%'
    }, {
      name: 'Billing City',
      value: '%[billing-city]%'
    }, {
      name: 'Billing State',
      value: '%[billing-state]%'
    }, {
      name: 'Billing Zip',
      value: '%[billing-zip]%'
    }, {
      name: 'Billing Email',
      value: '%[billing-email]%'
    }, {
      name: 'Billing Phone',
      value: '%[billing-phone]%'
    }, {
      name: 'First Name',
      value: '%[first-name]%'
    }, {
      name: 'Last Name',
      value: '%[last-name]%'
    }, {
      name: 'Cost Center Code',
      value: '%[cost-center-code]%'
    }, {
      name: 'Purchase Order',
      value: '%[purchase-order]%'
    }, {
      name: 'Issuing Office',
      value: '%[issuing-office]%'
    }, {
      name: 'Notes',
      value: '%[notes]%'
    }, {
      name: 'Organization',
      value: '%[organization]%'
    }, {
      name: 'Attention',
      value: '%[attention]%'
    }, {
      name: 'Approver',
      value: '%[approver]%'
    }, {
      name: 'Approver Notes',
      value: '%[approver-notes]%'
    }, {
      name: 'Promotion Discount',
      value: '%[promo-discount]%'
    }, {
      name: 'EBT Discount',
      value: '%[ebt-discount]%'
    }, {
      name: 'F1 Name',
      value: '%[f1-name]%'
    }, {
      name: 'F1 valueue',
      value: '%[f1-name]%'
    }, {
      name: 'F2 Name',
      value: '%[f2-name]%'
    }, {
      name: 'F2 value',
      value: '%[f2-name]%'
    }, {
      name: 'F3 Name',
      value: '%[f3-name]%'
    }, {
      name: 'F3 value',
      value: '%[f3-name]%'
    }, {
      name: 'F4 Name',
      value: '%[f4-name]%'
    }, {
      name: 'F4 value',
      value: '%[f4-name]%'
    }, {
      name: 'F5 Name',
      value: '%[f5-name]%'
    }, {
      name: 'F5 value',
      value: '%[f5-name]%'
    }, {
      name: 'F6 Name',
      value: '%[f6-name]%'
    }, {
      name: 'F6 value',
      value: '%[f6-name]%'
    }, {
      name: 'Order Date',
      value: '%[order-date]%'
    }];
    var checkoutConditionals = [{
      name: 'Site Name',
      value: '%{[site-name] %[site-name]% }%'
    }, {
      name: 'Customer Name',
      value: '%{[customer-name] %[customer-name]% }%'
    }, {
      name: 'Shipping Name',
      value: '%{[shipping-name] %[shipping-name]% }%'
    }, {
      name: 'Shipping Address 1',
      value: '%{[shipping-address1] %[shipping-address1]% }%'
    }, {
      name: 'Shipping Address 2',
      value: '%{[shipping-address2] %[shipping-address2]% }%'
    }, {
      name: 'Shipping City',
      value: '%{[shipping-city] %[shipping-city]% }%'
    }, {
      name: 'Shipping State',
      value: '%{[shipping-state] %[shipping-state]% }%'
    }, {
      name: 'Shipping Zip',
      value: '%{[shipping-zip] %[shipping-zip]% }%'
    }, {
      name: 'Shipping Phone',
      value: '%{[shipping-phone] %[shipping-phone]% }%'
    }, {
      name: 'Shipping Email',
      value: '%{[shipping-email] %[shipping-email]% }%'
    }, {
      name: 'Payment Method',
      value: '%{[payment-method] %[payment-method]% }%'
    }, {
      name: 'Subtotal',
      value: '%{[subtotal] %[subtotal]% }%'
    }, {
      name: 'Shipping Total',
      value: '%{[shipping-total] %[shipping-total]% }%'
    }, {
      name: 'Tax Rate',
      value: '%{[tax-rate] %[tax-rate]% }%'
    }, {
      name: 'Tax Total',
      value: '%{[tax-total] %[tax-total]% }%'
    }, {
      name: 'Total',
      value: '%{[total] %[total]% }%'
    }, {
      name: 'Billing Name',
      value: '%{[billing-name] %[billing-name]% }%'
    }, {
      name: 'Billing Address 1',
      value: '%{[billing-address1] %[billing-address1]% }%'
    }, {
      name: 'Billing Address 2',
      value: '%{[billing-address2] %[billing-address2]% }%'
    }, {
      name: 'Billing City',
      value: '%{[billing-city] %[billing-city]% }%'
    }, {
      name: 'Billing State',
      value: '%{[billing-state] %[billing-state]% }%'
    }, {
      name: 'Billing Zip',
      value: '%{[billing-zip] %[billing-zip]% }%'
    }, {
      name: 'Billing Email',
      value: '%{[billing-email] %[billing-email]% }%'
    }, {
      name: 'Billing Phone',
      value: '%{[billing-phone] %[billing-phone]% }%'
    }, {
      name: 'First Name',
      value: '%{[first-name] %[first-name]% }%'
    }, {
      name: 'Last Name',
      value: '%{[last-name] %[last-name]% }%'
    }, {
      name: 'Cost Center Code',
      value: '%{[cost-center-code] %[cost-center-code]% }%'
    }, {
      name: 'Purchase Order',
      value: '%{[purchase-order] %[purchase-order]% }%'
    }, {
      name: 'Issuing Office',
      value: '%{[issuing-office] %[issuing-office]% }%'
    }, {
      name: 'Notes',
      value: '%{[notes] %[notes]% }%'
    }, {
      name: 'Organization',
      value: '%{[organization] %[organization]% }%'
    }, {
      name: 'Attention',
      value: '%{[attention] %[attention]% }%'
    }, {
      name: 'Approver',
      value: '%{[approver] %[approver]% }%'
    }, {
      name: 'Approver Notes',
      value: '%{[approver-notes] %[approver-notes]% }%'
    }, {
      name: 'Promotion Discount',
      value: '%{[promo-discount] %[promo-discount]% }%'
    }, {
      name: 'EBT Discount',
      value: '%{[ebt-discount] %[ebt-discount]% }%'
    }, {
      name: 'F1 Name',
      value: '%{[f1-name] %[f1-name]% }%'
    }, {
      name: 'F1 value',
      value: '%{[f1-value] %[f1-value]% }%'
    }, {
      name: 'F2 Name',
      value: '%{[f2-name] %[f2-name]% }%'
    }, {
      name: 'F2 value',
      value: '%{[f2-value] %[f2-value]% }%'
    }, {
      name: 'F3 Name',
      value: '%{[f3-name] %[f3-name]% }%'
    }, {
      name: 'F3 value',
      value: '%{[f3-value] %[f3-value]% }%'
    }, {
      name: 'F4 Name',
      value: '%{[f4-name] %[f4-name]% }%'
    }, {
      name: 'F4 value',
      value: '%{[f4-value] %[f4-value]% }%'
    }, {
      name: 'F5 Name',
      value: '%{[f5-name] %[f5-name]% }%'
    }, {
      name: 'F5 value',
      value: '%{[f5-value] %[f5-value]% }%'
    }, {
      name: 'F6 Name',
      value: '%{[f6-name] %[f6-name]% }%'
    }, {
      name: 'F6 value',
      value: '%{[f6-value] %[f6-value]% }%'
    }, {
      name: 'Order Date',
      value: '%{[order-date] %[order-date]% }%'
    }];
    var registerOptions = [{
      name: 'Customer Name',
      value: '%[registration-name]%'
    }, {
      name: 'Site Name',
      value: '%[site-name]%'
    }];
    var rmaOptions = [{
      name: 'RMA Purchase ID',
      value: '%[rma-purchase-id]%'
    }, {
      name: 'RMA Product ID',
      value: '%[rma-product-id]%'
    }, {
      name: 'RMA SKU',
      value: '%[rma-sku]%'
    }, {
      name: 'RMA Description',
      value: '%[rma-description]%'
    }, {
      name: 'RMA Purchase Date',
      value: '%[rma-purchase-date]%'
    }, {
      name: 'RMA Reason',
      value: '%[rma-reason]%'
    }, {
      name: 'RMA Quantity',
      value: '%[rma-quantity]%'
    }, {
      name: 'RMA Contact',
      value: '%[rma-contact]%'
    }, {
      name: 'RMA Notes',
      value: '%[rma-notes]%'
    }, {
      name: 'RMA Request Date',
      value: '%[rma-request-date]%'
    }, {
      name: 'RMA Status',
      value: '%[rma-status]%'
    }];
    var service = {
      dataEmail: function dataEmail() {
        var data = {
          shipmentOptions: shipmentOptions,
          shipmentConditionals: shipmentConditionals,
          checkoutOptions: checkoutOptions,
          checkoutConditionals: checkoutConditionals,
          registerOptions: registerOptions,
          rmaOptions: rmaOptions
        };
        return data;
      }
    };
    return service;
  }
})();

/***/ }),

/***/ 6905:
/***/ (() => {

(function () {
  'use strict';

  interceptorFactory.$inject = ["$q", "$cookies", "Localized", "Debug"];
  angular.module('vendorfuelApp').factory('vfAdminInterceptor', interceptorFactory);
  interceptorFactory.$inject = ['$q', '$cookies', 'Localized', 'Debug'];
  /**
   * @param {Object} $q AngularJS service
   * @param {Object} $cookies AngularJS service
   * @param {Object} Localized VendorFuel service
   * @param {Object} Debug VendorFuel service
   * @return {Object} service
   */

  function interceptorFactory($q, $cookies, Localized, Debug) {
    var service = {
      request: request,
      requestError: requestError,
      response: response,
      responseError: responseError
    };
    return service;
    /**
     * @param {any} config Config
     * @return {Object} Promise
     */

    function request(config) {
      var tokenA = null;
      var tokenB = null;
      var adminJwt = null;
      var logTitle = null;

      if (config.url.includes(Localized.apiURL)) {
        tokenA = $cookies.get('vendorfuel-admin-tokena');
        tokenB = $cookies.get('vendorfuel-admin-tokenb');
        adminJwt = $cookies.get('vendorfuel-tenant-token');
        config.params = config.params || {};

        if (tokenA) {
          config.params.tokena = tokenA;
        }

        if (tokenB) {
          config.params.tokenb = tokenB;
        }

        if (adminJwt) {
          config.params.token = adminJwt;
        }

        if (Localized.api_key) {
          config.params.apikey = Localized.api_key;
        }

        logTitle = 'VF API Request - ' + config.method + config.url.replace(Localized.apiURL, ': ');
      } else if (config.url.includes(Localized.wpRestUrl)) {
        var wpNonce = Localized.wpNonce;
        config.headers = config.headers || {};
        config.headers['x-wp-nonce'] = wpNonce;
        config.headers.tokena = $cookies.get('vendorfuel-admin-tokena');
        config.headers.tokenb = $cookies.get('vendorfuel-admin-tokenb');
        logTitle = 'WP REST API Request - ' + config.method + config.url.replace(Localized.wpRestUrl, ': ');
      }

      if (logTitle) {
        Debug.log(logTitle, config);
      }

      return config || $q.when(config);
    }
    /**
     * @param {any} rejection Rejection
     * @return {Object} Promise
     */


    function requestError(rejection) {
      var logTitle = '';

      if (rejection.config.url.includes(Localized.apiURL)) {
        logTitle = 'VF API Request ERROR';
      } else if (rejection.config.url.includes(Localized.wpRestUrl)) {
        logTitle = 'WP REST API Request ERROR';
      }

      if (logTitle !== '') {
        Debug.log(logTitle, rejection);
      }

      return $q.reject(rejection);
    }
    /**
     * @param {Object} resp Response
     * @return {Object} Promise
     */


    function response(resp) {
      var logTitle = '';

      if (resp.config.url.includes(Localized.apiURL)) {
        if (resp.data.errors && resp.data.errors.length > 0) {
          logTitle = 'VF API Response ERROR - ' + resp.config.method + resp.config.url.replace(Localized.apiURL, ': ') + ' [' + resp.data.errors[0] + ']';
        } else {
          logTitle = 'VF API Response - ' + resp.config.method + resp.config.url.replace(Localized.apiURL, ': ');
        }
      } else if (resp.config.url.includes(Localized.wpRestUrl)) {
        logTitle = 'WP REST API Response - ' + resp.config.method + resp.config.url.replace(Localized.wpRestUrl, ': ');
      }

      if (logTitle !== '') {
        if (resp.title) {
          logTitle += ' - ' + resp.method + ': ' + resp.title;
        }

        Debug.log(logTitle, resp);
      }

      return resp || $q.when(resp);
    }
    /**
     * @param {any} rejection Rejection
     * @return {Object} Promise
     */


    function responseError(rejection) {
      var logTitle = '';

      if (rejection.config.url.includes(Localized.apiURL)) {
        logTitle = 'VF API Response ERROR - ' + rejection.config.method + rejection.config.url.replace(Localized.apiURL, ': ');
      } else if (rejection.config.url.includes(Localized.wpRestUrl)) {
        logTitle = 'WP REST API Response ERROR - ' + rejection.config.method + rejection.config.url.replace(Localized.wpRestUrl, ': ');
      }

      if (logTitle !== '') {
        if (rejection.title) {
          logTitle += ' - ' + rejection.method + ': ' + rejection.title;
        }

        Debug.log(logTitle, rejection);
      }

      return $q.reject(rejection);
    }
  }
})();

/***/ }),

/***/ 2350:
/***/ (() => {

(function () {
  'use strict';

  alertModalFactory.$inject = ["$uibModal", "Localized", "$sce"];
  angular.module('vendorfuelApp').factory('AlertModal', alertModalFactory);
  alertModalFactory.$inject = ['$uibModal', 'Localized', '$sce', '$window', 'Debug'];
  /**
   * @param {Object} $uibModal UI Bootstrap service
   * @param {Object} Localized VendorFuel service
   * @param {Object} $sce Angular service
   * @return {Object} service
   */

  function alertModalFactory($uibModal, Localized, $sce) {
    var service = {
      Show: function Show(callback, title, message, optionConfirm, backdrop, highlightedButton) {
        message = message || '';
        optionConfirm = optionConfirm || 'Confirm';
        backdrop = backdrop || true;
        highlightedButton = highlightedButton || 0;
        var tempConfirmWidth = optionConfirm.length;
        var optionWidth = tempConfirmWidth * 9 + 24;
        var callbackParams = callback.params || {};
        $uibModal.open({
          templateUrl: Localized.root.url + '/assets/app/modals/alert.html',
          backdrop: backdrop,
          controller: ["$scope", "$uibModalInstance", function controller($scope, $uibModalInstance) {
            $scope.modalTitle = $sce.trustAsHtml(title);
            $scope.modalMessage = $sce.trustAsHtml(message);
            $scope.optionConfirm = optionConfirm;
            $scope.optionWidth = optionWidth;
            $scope.highlightedButton = highlightedButton;

            $scope.Confirm = function () {
              $uibModalInstance.close();
            };
          }]
        }).result.then(function () {
          callback.confirm(callbackParams);
        }, function () {
          callback.confirm(callbackParams);
        });
      }
    };
    return service;
  }
})();

/***/ }),

/***/ 5492:
/***/ (() => {

(function () {
  'use strict';

  confirmModalFactory.$inject = ["$uibModal", "Localized", "$sce"];
  angular.module('vendorfuelApp').factory('ConfirmModal', confirmModalFactory);
  confirmModalFactory.$inject = ['$uibModal', 'Localized', '$sce'];
  /**
   * @param {Object} $uibModal UI Bootstrap service
   * @param {Object} Localized VendorFuel service
   * @param {Object} $sce Angular service
   * @return {Object} service
   */

  function confirmModalFactory($uibModal, Localized, $sce) {
    var service = {
      Show: function Show(callback, title, message, optionCancel, optionConfirm, backdrop, highlightedButton) {
        message = message || '';
        optionCancel = optionCancel || 'Cancel';
        optionConfirm = optionConfirm || 'Confirm';
        backdrop = backdrop || true;
        highlightedButton = highlightedButton || 0;
        var optionWidth;
        var tempCancelWidth = optionCancel.length;
        var tempConfirmWidth = optionConfirm.length;

        if (tempCancelWidth > tempConfirmWidth) {
          optionWidth = tempCancelWidth * 9 + 24;
        } else {
          optionWidth = tempConfirmWidth * 9 + 24;
        }

        var callbackParams = callback.params || {};
        $uibModal.open({
          templateUrl: Localized.root.url + '/assets/app/modals/confirm.html',
          backdrop: backdrop,
          controller: ["$scope", "$uibModalInstance", function controller($scope, $uibModalInstance) {
            $scope.callbackParams = callbackParams;
            $scope.modalTitle = $sce.trustAsHtml(title);
            $scope.modalMessage = $sce.trustAsHtml(message);
            $scope.modalImg = callbackParams.imgSrc;
            $scope.optionCancel = optionCancel;
            $scope.optionConfirm = optionConfirm;
            $scope.optionWidth = optionWidth;
            $scope.highlightedButton = highlightedButton;

            $scope.Cancel = function () {
              $uibModalInstance.dismiss();
            };

            $scope.Confirm = function () {
              $uibModalInstance.close();
            };

            $scope.ApplyChangeToCallback = function () {
              callbackParams = $scope.callbackParams;
            };
          }]
        }).result.then(function () {
          if (callback.confirm) {
            callback.confirm(callbackParams);
          }
        }, function () {
          if (callback.cancel) {
            callback.cancel(callbackParams);
          }
        });
      }
    };
    return service;
  }
})();

/***/ }),

/***/ 9828:
/***/ (() => {

(function () {
  'use strict';

  editModalFactory.$inject = ["$uibModal", "Localized", "$sce"];
  angular.module('vendorfuelApp').factory('EditModal', editModalFactory);
  editModalFactory.$inject = ['$uibModal', 'Localized', '$sce'];
  /**
   * @param {Object} $uibModal UI Bootstrap service
   * @param {Object} Localized VendorFuel service
   * @param {Object} $sce Angular service
   * @return {Object} service
   */

  function editModalFactory($uibModal, Localized, $sce) {
    var service = {
      Show: function Show(callback, valueObj, title, message, optionCancel, optionConfirm, backdrop, highlightedButton) {
        message = message || '';
        optionCancel = optionCancel || 'Cancel';
        optionConfirm = optionConfirm || 'Confirm';
        backdrop = backdrop || true;
        highlightedButton = highlightedButton || 0;
        var optionWidth;
        var tempCancelWidth = optionCancel.length;
        var tempConfirmWidth = optionConfirm.length;

        if (tempCancelWidth > tempConfirmWidth) {
          optionWidth = tempCancelWidth * 9 + 24;
        } else {
          optionWidth = tempConfirmWidth * 9 + 24;
        }

        var callbackParams = callback.params || {};
        $uibModal.open({
          templateUrl: Localized.root.url + '/assets/app/modals/edit.html',
          backdrop: backdrop,
          controller: ["$scope", "$uibModalInstance", function controller($scope, $uibModalInstance) {
            $scope.modalTitle = $sce.trustAsHtml(title);
            $scope.modalMessage = $sce.trustAsHtml(message);
            $scope.optionCancel = optionCancel;
            $scope.optionConfirm = optionConfirm;
            $scope.optionWidth = optionWidth;
            $scope.highlightedButton = highlightedButton;
            $scope.valueObj = valueObj;

            $scope.Cancel = function () {
              $uibModalInstance.dismiss();
            };

            $scope.Confirm = function () {
              $uibModalInstance.close();
            };
          }]
        }).result.then(function () {
          if (callback.confirm) {
            callback.confirm(callbackParams, valueObj);
          }
        }, function () {
          if (callback.cancel) {
            callback.cancel(callbackParams, valueObj);
          }
        });
      }
    };
    return service;
  }
})();

/***/ }),

/***/ 1386:
/***/ (() => {

(function () {
  'use strict';

  searchModalFactory.$inject = ["$uibModal", "Localized", "RelationshipSearch"];
  angular.module('vendorfuelApp').factory('SearchModal', searchModalFactory);
  searchModalFactory.$inject = ['$uibModal', 'Localized', 'RelationshipSearch'];
  /**
   * @param {Object} $uibModal UI Bootstrap service
   * @param {Object} Localized VendorFuel service
   * @param {Object} RelationshipSearch VendorFuel service
   * @return {Object} service
   */

  function searchModalFactory($uibModal, Localized, RelationshipSearch) {
    var service = {
      Show: function Show(callback, title, pageConfig, message, optionCancel, optionConfirm, backdrop) {
        message = message || '';
        optionCancel = optionCancel || 'Cancel';
        optionConfirm = optionConfirm || 'Confirm';
        backdrop = backdrop || true;
        var optionWidth;
        var tempCancelWidth = optionCancel.length;
        var tempConfirmWidth = optionConfirm.length;

        if (tempCancelWidth > tempConfirmWidth) {
          optionWidth = tempCancelWidth * 9 + 24;
        } else {
          optionWidth = tempConfirmWidth * 9 + 24;
        }

        $uibModal.open({
          templateUrl: Localized.root.url + '/assets/app/modals/search.html',
          backdrop: backdrop,
          size: 'lg',
          controller: ["$scope", "$uibModalInstance", function controller($scope, $uibModalInstance) {
            $scope.relationshipSearch = RelationshipSearch; //Service containing the main functionality for searching and matching relationships

            $scope.modalTitle = title;
            $scope.modalMessage = message;
            $scope.optionCancel = optionCancel;
            $scope.optionConfirm = optionConfirm;
            $scope.optionWidth = optionWidth;
            $scope.pageConfig = pageConfig;
            $scope.removedIds = [];
            $scope.removedObjs = [];
            $scope.addedIds = [];
            $scope.addedObjs = [];
            $scope.deselectedIds = [];
            $scope.deselectedObjs = [];
            $scope.unselectedIds = [];
            $scope.unselectedObjs = [];
            $scope.loading = true;
            $scope.filterBy = ['Search For', 'Search For'];
            $scope.rppValues = [15, 30, 50, 100];
            $scope.per_page = [$scope.rppValues[0], $scope.rppValues[0]];
            $scope.tab = 0;
            $scope.hasOneTab = false;

            if (pageConfig.tabs.length === 1) {
              $scope.hasOneTab = true;
            }

            $scope.results = [[], []];
            $scope.rawResults = [[], []];
            $scope.pagination = [];

            $scope.TabChanged = function (i) {
              $scope.tab = i;
            };

            $scope.selectItem = function (index, tab) {
              var id = $scope.rawResults[tab][index][pageConfig.tabs[tab].id];

              if (tab === 0) {
                if (pageConfig.tabs[0].selectOne) {
                  if ($scope.addedIds.length) {
                    if ($scope.addedIds.includes(id)) {
                      var i = $scope.addedIds.indexOf(id);
                      $scope.addedIds.splice(i, 1);
                      $scope.addedObjs.splice(i, 1);
                    } else {
                      var j = $scope.addedIds.indexOf(id);
                      $scope.addedIds.splice(j, 1);
                      $scope.addedObjs.splice(j, 1);
                      $scope.addedIds.push(id);
                      $scope.addedObjs.push($scope.rawResults[tab][index]);
                    }
                  } else {
                    $scope.addedIds.push(id);
                    $scope.addedObjs.push($scope.rawResults[tab][index]);
                  }
                } else if ($scope.addedIds.includes(id)) {
                  var k = $scope.addedIds.indexOf(id);
                  $scope.addedIds.splice(k, 1);
                  $scope.addedObjs.splice(k, 1);
                  $scope.unselectedIds.push(id);
                  $scope.unselectedObjs.push($scope.rawResults[tab][index]);
                } else {
                  if ($scope.unselectedIds.includes(id)) {
                    var l = $scope.deselectedIds.indexOf(id);
                    $scope.unselectedIds.splice(l, 1);
                    $scope.unselectedObjs.splice(l, 1);
                  }

                  $scope.addedIds.push(id);
                  $scope.addedObjs.push($scope.rawResults[tab][index]);
                }
              }

              if (tab === 1) {
                if ($scope.removedIds.includes(id)) {
                  var q = $scope.removedIds.indexOf(id);
                  $scope.removedIds.splice(q, 1);
                  $scope.removedObjs.splice(q, 1);
                  $scope.deselectedIds.push(id);
                  $scope.deselectedObjs.push($scope.rawResults[tab][index]);
                } else {
                  if ($scope.deselectedIds.includes(id)) {
                    var r = $scope.deselectedIds.indexOf(id);
                    $scope.deselectedIds.splice(r, 1);
                    $scope.deselectedObjs.splice(r, 1);
                  }

                  $scope.removedIds.push(id);
                  $scope.removedObjs.push($scope.rawResults[tab][index]);
                }
              }
            };

            $scope.Init = function () {
              var total = pageConfig.tabs.length;
              var done = 0;

              if (pageConfig.updatedItems) {
                for (var i = 0; i < pageConfig.updatedItems.length; i++) {
                  if (pageConfig.updatedItems[i].action === 'add') {
                    $scope.addedIds.push(pageConfig.updatedItems[i].value[pageConfig.tabs[0].id]);
                    $scope.addedObjs.push(pageConfig.updatedItems[i].value);
                  }

                  if (pageConfig.updatedItems[i].action === 'remove' && !$scope.hasOneTab) {
                    $scope.removedIds.push(pageConfig.updatedItems[i].value[pageConfig.tabs[0].id]);
                    $scope.removedObjs.push(pageConfig.updatedItems[i].value);
                  }
                }
              }

              $scope.relationshipSearch.Init(pageConfig.tabs[0].http).then(function (resp) {
                $scope.pagination[0] = resp[pageConfig.tabs[0].relationships[0]];
                resp[pageConfig.tabs[0].relationships[0]].data.forEach(function (val) {
                  $scope.rawResults[0].push(val);
                  $scope.results[0].push($scope.relationshipSearch.ProcessResults(0, pageConfig, val));
                });
              })["finally"](function () {
                if (++done >= total) {
                  $scope.loading = false;
                }
              });

              if (!$scope.hasOneTab) {
                $scope.relationshipSearch.Init(pageConfig.tabs[1].http).then(function (resp) {
                  $scope.pagination[1] = resp[pageConfig.tabs[1].relationships[0]][pageConfig.tabs[1].relationships[1]];
                  resp[pageConfig.tabs[1].relationships[0]][pageConfig.tabs[1].relationships[1]].data.forEach(function (val) {
                    $scope.rawResults[1].push(val);
                    $scope.results[1].push($scope.relationshipSearch.ProcessResults(1, pageConfig, val));
                  });
                })["finally"](function () {
                  if (++done >= total) {
                    $scope.loading = false;
                  }
                });
              }
            };

            $scope.Cancel = function () {
              $uibModalInstance.dismiss();
            };

            $scope.Confirm = function () {
              var callbackResults = [];

              if ($scope.removedObjs.length) {
                for (var i = 0; i < $scope.removedObjs.length; i++) {
                  callbackResults.push({
                    action: 'remove',
                    value: $scope.removedObjs[i]
                  });
                }
              }

              if ($scope.addedObjs.length) {
                for (var j = 0; j < $scope.addedObjs.length; j++) {
                  callbackResults.push({
                    action: 'add',
                    value: $scope.addedObjs[j]
                  });
                }
              }

              if ($scope.unselectedObjs.length) {
                for (var k = 0; k < $scope.unselectedObjs.length; k++) {
                  callbackResults.push({
                    action: 'unselect',
                    value: $scope.unselectedObjs[k]
                  });
                }
              }

              if ($scope.deselectedObjs.length) {
                for (var l = 0; l < $scope.deselectedObjs.length; l++) {
                  callbackResults.push({
                    action: 'deselect',
                    value: $scope.deselectedObjs[l]
                  });
                }
              }

              $uibModalInstance.close(callbackResults);
            };

            $scope.Search = function (rpp, page) {
              $scope.loading = true;
              $scope.pageConfig.tabs[$scope.tab].http.params.rpp = rpp;
              $scope.pageConfig.tabs[$scope.tab].http.params.page = page || 1;

              if ($scope.filterBy[$scope.tab] === 'Filter Results') {
                $scope.pageConfig.tabs[$scope.tab].http.params.q = '';
              }

              $scope.relationshipSearch.Search($scope.pageConfig.tabs[$scope.tab].http).then(function (resp) {
                if ($scope.tab === 0) {
                  $scope.results[0] = [];
                  $scope.rawResults[0] = [];
                  $scope.pagination[0] = resp[pageConfig.tabs[0].relationships[0]];
                  resp[pageConfig.tabs[0].relationships[0]].data.forEach(function (val) {
                    $scope.rawResults[0].push(val);
                    $scope.results[0].push($scope.relationshipSearch.ProcessResults(0, pageConfig, val));
                  });
                } else {
                  $scope.results[1] = [];
                  $scope.rawResults[1] = [];
                  $scope.pagination[1] = resp[pageConfig.tabs[1].relationships[0]][pageConfig.tabs[1].relationships[1]];
                  resp[pageConfig.tabs[1].relationships[0]][pageConfig.tabs[1].relationships[1]].data.forEach(function (val) {
                    $scope.rawResults[1].push(val);
                    $scope.results[1].push($scope.relationshipSearch.ProcessResults(1, pageConfig, val));
                  });
                }
              })["finally"](function () {
                $scope.loading = false;
              });
            };

            $scope.Init();
          }]
        }).result.then(function (resp) {
          callback.confirm(resp);
        }, function () {
          callback.cancel();
        });
      }
    };
    return service;
  }
})();

/***/ }),

/***/ 4682:
/***/ (() => {

(function () {
  'use strict';

  selectModalFactory.$inject = ["$uibModal", "Localized", "$sce"];
  angular.module('vendorfuelApp').factory('SelectModal', selectModalFactory);
  selectModalFactory.$inject = ['$uibModal', 'Localized', '$sce'];
  /**
   * @param {Object} $uibModal UI Bootstrap service
   * @param {Object} Localized VendorFuel service
   * @param {Object} $sce Angular service
   * @return {Object} service
   */

  function selectModalFactory($uibModal, Localized, $sce) {
    var service = {
      /**
       * @param {any} callback Callback
       * @param {any} title Modal title
       * @param {any} optionArr Option array
       * @param {any} optionCancel Cancel options
       * @param {any} optionConfirm Confirm options
       * @param {boolean} backdrop Display backdrop
       * @param {number} highlightedButton Button index.
       * @function Show
       * Takes in an array of options and allows for activating/deactivating each option individually, or en-mass. Each option is an object with the following parameters: name, value, and active. This array of options is returned to the callback function for handling
       */
      Show: function Show(callback, title, optionArr, optionCancel, optionConfirm, backdrop, highlightedButton) {
        optionCancel = optionCancel || 'Cancel';
        optionConfirm = optionConfirm || 'Confirm';
        backdrop = backdrop || true;
        highlightedButton = highlightedButton || 0;
        var optionWidth;
        var tempCancelWidth = optionCancel.length;
        var tempConfirmWidth = optionConfirm.length;

        if (tempCancelWidth > tempConfirmWidth) {
          optionWidth = tempCancelWidth * 9 + 24;
        } else {
          optionWidth = tempConfirmWidth * 9 + 24;
        }

        var callbackParams = callback.params || {};
        $uibModal.open({
          templateUrl: Localized.root.url + '/assets/app/modals/select.html',
          backdrop: backdrop,
          controller: ["$scope", "$uibModalInstance", function controller($scope, $uibModalInstance) {
            $scope.modalTitle = $sce.trustAsHtml(title);
            $scope.options = optionArr;
            $scope.optionCancel = optionCancel;
            $scope.optionConfirm = optionConfirm;
            $scope.optionWidth = optionWidth;
            $scope.highlightedButton = highlightedButton;
            /**
             * Used to filter the options
             *
             * @type {string}
             */

            $scope.filterTerm = '';
            /**
             * Array of options
             *
             * @type {Array}
             */

            callbackParams = $scope.options;
            /**
             * @param {Object} row Row
             * @function OptionFilter
             * @return {number} Matching
             * Filter the array of options based on the filterTerm variable and return only matching results
             */

            $scope.OptionFilter = function (row) {
              return row.name.indexOf($scope.filterTerm || '') !== -1 || row.value.indexOf($scope.filterTerm || '') !== -1;
            };
            /**
             * @function SelectAll
             * Activate all options using the MassSelect function
             */


            $scope.SelectAll = function () {
              massSelect(true);
            };
            /**
             * @function SelectNone
             * Deactivate all options using the MassSelect function
             */


            $scope.SelectNone = function () {
              massSelect(false);
            };
            /**
             * @param {boolean} value Value
             * @function MassSelect
             * Activate/Deactivate all options
             */


            function massSelect(value) {
              angular.forEach($scope.options, function (option) {
                option.active = value;
              });
            }

            $scope.Cancel = function () {
              $uibModalInstance.dismiss();
            };

            $scope.Confirm = function () {
              $uibModalInstance.close();
            };
          }]
        }).result.then(function () {
          if (callback.confirm) {
            callback.confirm(callbackParams);
          }
        }, function () {
          if (callback.cancel) {
            callback.cancel(callbackParams);
          }
        });
      }
    };
    return service;
  }
})();

/***/ }),

/***/ 8027:
/***/ (() => {

(function () {
  'use strict';

  twoFactorModalFactory.$inject = ["$uibModal", "Localized", "$sce"];
  angular.module('vendorfuelApp').factory('TwoFactorModal', twoFactorModalFactory);
  twoFactorModalFactory.$inject = ['$uibModal', 'Localized', '$sce'];
  /**
   * @param {Object} $uibModal UI Bootstrap service
   * @param {Object} Localized VendorFuel service
   * @param {Object} $sce Angular service
   * @return {Object} service
   */

  function twoFactorModalFactory($uibModal, Localized, $sce) {
    var service = {
      Show: function Show(callback, title, message, optionCancel, optionConfirm, backdrop, highlightedButton) {
        message = message || '';
        optionCancel = optionCancel || 'Cancel';
        optionConfirm = optionConfirm || 'Confirm';
        backdrop = backdrop || true;
        highlightedButton = highlightedButton || 0;
        var optionWidth;
        var tempCancelWidth = optionCancel.length;
        var tempConfirmWidth = optionConfirm.length;

        if (tempCancelWidth > tempConfirmWidth) {
          optionWidth = tempCancelWidth * 9 + 24;
        } else {
          optionWidth = tempConfirmWidth * 9 + 24;
        }

        var callbackParams = callback.params || {};
        $uibModal.open({
          templateUrl: Localized.root.url + '/assets/app/modals/two-factor.html',
          backdrop: backdrop,
          controller: ["$scope", "$uibModalInstance", function controller($scope, $uibModalInstance) {
            $scope.callbackParams = callbackParams;
            $scope.modalTitle = $sce.trustAsHtml(title);
            $scope.modalMessage = $sce.trustAsHtml(message);
            $scope.modalImg = callbackParams.imgSrc;
            $scope.optionCancel = optionCancel;
            $scope.optionConfirm = optionConfirm;
            $scope.optionWidth = optionWidth;
            $scope.highlightedButton = highlightedButton;

            $scope.Cancel = function () {
              $uibModalInstance.dismiss();
            };

            $scope.Confirm = function () {
              $uibModalInstance.close();
            };

            $scope.ApplyChangeToCallback = function () {
              callbackParams = $scope.callbackParams;
            };
          }]
        }).result.then(function () {
          if (callback.confirm) {
            callback.confirm(callbackParams);
          }
        }, function () {
          if (callback.cancel) {
            callback.cancel(callbackParams);
          }
        });
      }
    };
    return service;
  }
})();

/***/ }),

/***/ 9504:
/***/ (() => {

(function () {
  'use strict';

  viewModalFactory.$inject = ["$uibModal", "Localized", "Utils"];
  angular.module('vendorfuelApp').factory('ViewModal', viewModalFactory);
  viewModalFactory.$inject = ['$uibModal', 'Localized', 'Utils'];
  /**
   * @param {Object} $uibModal UI Bootstrap service
   * @param {Object} Localized VendorFuel service
   * @param {Object} Utils VendorFuel service
   * @return {Object} service
   */

  function viewModalFactory($uibModal, Localized, Utils) {
    var service = {
      Show: function Show(callback, title, dataSet, message, optionCancel, optionConfirm, backdrop) {
        message = message || '';
        optionCancel = optionCancel || 'Cancel';
        optionConfirm = optionConfirm || 'Confirm';
        backdrop = backdrop || true;
        var optionWidth;
        var tempCancelWidth = optionCancel.length;
        var tempConfirmWidth = optionConfirm.length;

        if (tempCancelWidth > tempConfirmWidth) {
          optionWidth = tempCancelWidth * 9 + 24;
        } else {
          optionWidth = tempConfirmWidth * 9 + 24;
        }

        $uibModal.open({
          templateUrl: Localized.root.url + '/assets/app/modals/view.html',
          backdrop: backdrop,
          size: 'lg',
          controller: ["$scope", "$uibModalInstance", function controller($scope, $uibModalInstance) {
            $scope.modalTitle = title;
            $scope.modalMessage = message;
            $scope.optionCancel = optionCancel;
            $scope.optionConfirm = optionConfirm;
            $scope.optionWidth = optionWidth;
            $scope.result = dataSet;
            $scope.loading = false;
            $scope.editable = false;
            $scope.priceIndex = 0;
            $scope.priceSheet = $scope.result.pricesheets[$scope.priceIndex].price_sheet_id;

            $scope.Cancel = function () {
              $uibModalInstance.dismiss();
            };

            $scope.Confirm = function () {
              if ($scope.form1.$dirty || $scope.form2.$dirty) {
                $scope.loading = true;
                var req = {
                  method: 'POST',
                  url: Localized.apiURL + '/admin/product/modify/',
                  data: $scope.result
                };
                Utils.getHttpPromise(req).then(function () {
                  $uibModalInstance.close();
                })["finally"](function () {
                  $scope.loading = false;
                });
              } else {
                $scope.Cancel();
              }
            };

            $scope.changePricesheet = function () {
              $scope.priceIndex = $scope.result.pricesheets.map(function (e) {
                return e.price_sheet_id;
              }).indexOf($scope.priceSheet);
            };
          }]
        }).result.then(function (results) {
          callback.confirm(results);
        }, function () {
          callback.cancel();
        });
      }
    };
    return service;
  }
})();

/***/ }),

/***/ 5590:
/***/ (() => {

(function () {
  'use strict';

  priceSheetsFactory.$inject = ["Localized", "Utils", "Admin"];
  angular.module('vendorfuelApp').factory('PriceSheets', priceSheetsFactory);
  priceSheetsFactory.$inject = ['Localized', 'Utils', 'Admin'];
  /**
   * @param {Object} Localized Angular service
   * @param {Object} Utils Angular service
   * @param {Object} Admin Angular service
   * @return {Object} Service
   */

  function priceSheetsFactory(Localized, Utils, Admin) {
    var service = {
      deletePriceSheet: deletePriceSheet,
      errors: {},
      list: {
        name: 'list',
        saved: {},
        Get: function Get() {
          return getPriceSheets(service.list, '/admin/price-sheet/list');
        },
        Set: function Set() {
          var params = {
            settings: JSON.stringify(service.list)
          };
          return postPriceSheets(service.list, params).then(function () {
            if (service.list.api_url !== Localized.apiURL) {
              Localized.apiURL = service.list.api_url;
              Admin.Logout();
            }

            if (service.list.api_key !== Localized.api_key) {
              Localized.api_key = service.list.api_key;
              Admin.Logout();
            }
          });
        }
      }
    };
    /**
     * Delete a price sheet.
     *
     * @param {number} id Price sheet ID
     * @return {Promise} Promise
     */

    function deletePriceSheet(id) {
      var endpoint = "".concat(Localized.apiURL, "/admin/pricesheets/").concat(id);
      return Utils.httpDelete(endpoint);
    }
    /**
     * @param {any} tab Tab
     * @param {string} url URL
     * @return {Object} Promise
     */


    function getPriceSheets(tab, url) {
      var httpUrl = Localized.apiURL + url;

      if (!url) {
        httpUrl = Localized.wpRestUrl + '/admin/price-sheet/' + tab.name + '/get';
      }

      var promise = Utils.httpGet(httpUrl).then(function successCallback(response) {
        tab.saved = response;
      }, function errorCallback(response) {
        tab.saved = response;
      });
      return promise;
    }
    /**
     * @param {any} tab Tab
     * @param {Object} params Parameters
     * @param {string} url URL
     * @return {Object} Promise
     */


    function postPriceSheets(tab, params, url) {
      var httpUrl = Localized.apiURL + url;

      if (!url) {
        httpUrl = Localized.wpRestUrl + '/admin/price-sheet/' + tab.name + '/post';
      }

      var promise = Utils.httpPost(httpUrl, params).then(function successCallback(response) {
        if (response.errors) {
          service.errors = response.errors;
        }
      }, function errorCallback(response) {
        if (response.errors) {
          service.errors = response.errors;
        }
      });
      return promise;
    }

    return service;
  }
})();

/***/ }),

/***/ 8379:
/***/ (() => {

(function () {
  'use strict';

  relationshipSearchFactory.$inject = ["Utils"];
  angular.module('vendorfuelApp').factory('RelationshipSearch', relationshipSearchFactory);
  relationshipSearchFactory.$inject = ['Utils'];
  /**
   * @param {Object} Utils VendorFuel service
   * @return {Object} service
   */

  function relationshipSearchFactory(Utils) {
    var service = {
      Init: function Init(req) {
        return Utils.getHttpPromise(req).then(function (resp) {
          return resp;
        });
      },
      Search: function Search(req) {
        return Utils.getHttpPromise(req).then(function (resp) {
          return resp;
        });
      },
      ProcessResults: function ProcessResults(tab, pageConfig, item) {
        var fields = {};
        var level;
        var levelItem;
        var duplicate;
        var returnField = '';
        fields[pageConfig.tabs[tab].id] = item[pageConfig.tabs[tab].id];

        for (var i = 0; i < pageConfig.tabs[tab].fields.length; i++) {
          levelItem = item;
          level = tab ? 1 : 0;
          duplicate = false;
          returnField = pageConfig.tabs[tab].fields[i];

          if (pageConfig.tabs[tab].fields[i].indexOf('.') > -1) {
            if (levelItem[pageConfig.tabs[tab].relationships[level + 1]]) {
              levelItem = levelItem[pageConfig.tabs[tab].relationships[++level]];
            } else {
              levelItem = levelItem[pageConfig.tabs[tab].relationships[level]];
            }

            pageConfig.tabs[tab].fields[i] = pageConfig.tabs[tab].fields[i].replace('.', '');
            duplicate = true;
          }

          if (pageConfig.tabs[tab].fields[i] === 'image' && levelItem.image) {
            fields[returnField] = levelItem.image.thumb_url;
          } else if (levelItem) {
            fields[returnField] = levelItem[pageConfig.tabs[tab].fields[i]] ? pageConfig.tabs[tab].fieldPrefixes[i] + levelItem[pageConfig.tabs[tab].fields[i]] : levelItem[pageConfig.tabs[tab].fields[i]];
          } else {
            fields[returnField] = pageConfig.tabs[tab].fieldPrefixes[i] + 'N/A';
          }

          if (duplicate) {
            pageConfig.tabs[tab].fields[i] = '.' + pageConfig.tabs[tab].fields[i];
          }
        }

        return fields;
      }
    };
    return service;
  }
})();

/***/ }),

/***/ 8374:
/***/ (() => {

(function () {
  'use strict';

  angular.module('vendorfuelApp').factory('Reports', reportsFactory);
  /**
   * @return {Object} Service
   */

  function reportsFactory() {
    var storeTables = {
      admin_groups: [{
        name: 'Group Id',
        value: 'admin_groups.group_id',
        table: 'admin_groups'
      }, {
        name: 'Type',
        value: 'admin_groups.type',
        table: 'admin_groups'
      }, {
        name: 'Group',
        value: 'admin_groups.group',
        table: 'admin_groups'
      }, {
        name: 'Description',
        value: 'admin_groups.description',
        table: 'admin_groups'
      }, {
        name: 'Users',
        value: 'admin_groups.users',
        table: 'admin_groups'
      }],
      admin_users: [{
        name: 'Admin User Id',
        value: 'admin_users.id',
        table: 'admin_users'
      }, {
        name: 'Name',
        value: 'admin_users.name',
        table: 'admin_users'
      }, {
        name: 'Email',
        value: 'admin_users.email',
        table: 'admin_users'
      }, {
        name: 'Last Login',
        value: 'admin_users.last_login_at',
        table: 'admin_users'
      }, {
        name: 'Created',
        value: 'admin_users.created_at',
        table: 'admin_users'
      }],
      banner_areas: [{
        name: 'Area Id',
        value: 'banner_areas.area_id',
        table: 'banner_areas'
      }, {
        name: 'Name',
        value: 'banner_areas.name',
        table: 'banner_areas'
      }, {
        name: 'Description',
        value: 'banner_areas.description',
        table: 'banner_areas'
      }],
      categories: [{
        name: 'Category Id',
        value: 'categories.cat_id',
        table: 'categories'
      }, {
        name: 'Parent Id',
        value: 'categories.parent_id',
        table: 'categories'
      }, {
        name: 'Title',
        value: 'categories.title',
        table: 'categories'
      }, {
        name: 'UNSPSC',
        value: 'categories.unspsc',
        table: 'categories'
      }, {
        name: 'Slug',
        value: 'categories.slug',
        table: 'categories'
      }],
      customers_new: [{
        name: 'Name',
        value: 'customers_new.name',
        table: 'customers_new'
      }, {
        name: 'Customer Id',
        value: 'customers_new.customer_id',
        table: 'customers_new'
      }, {
        name: 'Email',
        value: 'customers_new.email',
        table: 'customers_new'
      }, {
        name: 'Punchout Identity',
        value: 'customers_new.punchout_identity',
        table: 'customers_new'
      }, {
        name: 'Shared Secret',
        value: 'customers_new.punchout_secret',
        table: 'customers_new'
      }, {
        name: 'Terms',
        value: 'customers_new.terms',
        table: 'customers_new'
      }, {
        name: 'Order Prefix',
        value: 'customers_new.order_prefix',
        table: 'customers_new'
      }, {
        name: 'Limit Type',
        value: 'customers_new.limit_type',
        table: 'customers_new'
      }, {
        name: 'Limit',
        value: 'customers_new.limit',
        table: 'customers_new'
      }, {
        name: 'Group ',
        value: 'customers_new.group_id',
        table: 'customers_new'
      }, {
        name: 'Price Sheet Id',
        value: 'customers_new.price_sheet_id',
        table: 'customers_new'
      }, {
        name: 'Credit Line',
        value: 'customers_new.credit_line',
        table: 'customers_new'
      }, {
        name: 'Email Optin',
        value: 'customers_new.optin',
        table: 'customers_new'
      }, {
        name: 'Taxable',
        value: 'customers_new.taxable',
        table: 'customers_new'
      }, {
        name: 'Punchout Only',
        value: 'customers_new.punchout_only',
        table: 'customers_new'
      }, {
        name: 'Lock Billing',
        value: 'customers_new.lock_billing',
        table: 'customers_new'
      }, {
        name: 'Lock Shipping',
        value: 'customers_new.lock_shipping',
        table: 'customers_new'
      }, {
        name: 'Change Password',
        value: 'customers_new.change_pw',
        table: 'customers_new'
      }, {
        name: 'Pending Emails',
        value: 'customers_new.pending_emails',
        table: 'customers_new'
      }],
      customer_groups: [{
        name: 'Group Id',
        value: 'customer_groups.group_id',
        table: 'customer_groups'
      }, {
        name: 'Parent Group Id',
        value: 'customer_groups.parent_group_id',
        table: 'customer_groups'
      }, {
        name: 'Name',
        value: 'customer_groups.name',
        table: 'customer_groups'
      }, {
        name: 'Default Price Sheet',
        value: 'customer_groups.default_price_sheet',
        table: 'customer_groups'
      }, {
        name: 'Group Invite Code',
        value: 'customer_groups.group_invite_code',
        table: 'customer_groups'
      }, {
        name: 'Authorized Emails',
        value: 'customer_groups.authorized_emails',
        table: 'customer_groups'
      }, {
        name: 'Group Registration Available',
        value: 'customer_groups.group_registration_available',
        table: 'customer_groups'
      }, {
        name: 'Order Prefix',
        value: 'customer_groups.order_prefix',
        table: 'customer_groups'
      }, {
        name: 'Terms',
        value: 'customer_groups.terms',
        table: 'customer_groups'
      }, {
        name: 'Punchout Identity',
        value: 'customer_groups.punchout_identity',
        table: 'customer_groups'
      }, {
        name: 'Punchout Secret',
        value: 'customer_groups.punchout_secret',
        table: 'customer_groups'
      }, {
        name: 'Shipping Mode',
        value: 'customer_groups.shipping_mode',
        table: 'customer_groups'
      }],
      email_templates: [{
        name: 'Template Id',
        value: 'email_templates.id',
        table: 'email_templates'
      }, {
        name: 'Type',
        value: 'email_templates.type',
        table: 'email_templates'
      }, {
        name: 'Sender Name',
        value: 'email_templates.sender_name',
        table: 'email_templates'
      }, {
        name: 'Sender Email',
        value: 'email_templates.sender_email',
        table: 'email_templates'
      }, {
        name: 'Subject',
        value: 'email_templates.subject',
        table: 'email_templates'
      }, {
        name: 'Message',
        value: 'email_templates.message',
        table: 'email_templates'
      }, {
        name: 'Notification Emails',
        value: 'email_templates.notification_emails',
        table: 'email_templates'
      }],
      manufacturers: [{
        name: 'Manufacturer Id',
        value: 'manufacturers.id',
        table: 'manufacturers'
      }, {
        name: 'Manufacturer',
        value: 'manufacturers.name',
        table: 'manufacturers'
      }, {
        name: 'Info',
        value: 'manufacturers.info',
        table: 'manufacturers'
      }, {
        name: 'Website',
        value: 'manufacturers.website',
        table: 'manufacturers'
      }],
      parcels: [{
        name: 'Parcel Id',
        value: 'parcels.id',
        table: 'parcels'
      }, {
        name: 'Title',
        value: 'parcels.title',
        table: 'parcels'
      }, {
        name: 'Length',
        value: 'parcels.length',
        table: 'parcels'
      }, {
        name: 'Width',
        value: 'parcels.width',
        table: 'parcels'
      }, {
        name: 'Height',
        value: 'parcels.height',
        table: 'parcels'
      }, {
        name: 'Units',
        value: 'parcels.distance_unit',
        table: 'parcels'
      }],
      collections: [{
        name: 'Collection Id',
        value: 'collections.id',
        table: 'collections'
      }, {
        name: 'Name',
        value: 'collections.name',
        table: 'collections'
      }],
      order_notifications: [{
        name: 'Notification Id',
        value: 'order_notifications.notification_id',
        table: 'order_notifications'
      }, {
        name: 'Order Id',
        value: 'order_notifications.order_id',
        table: 'order_notifications'
      }, {
        name: 'Status',
        value: 'order_notifications.status',
        table: 'order_notifications'
      }, {
        name: 'Type',
        value: 'order_notifications.type',
        table: 'order_notifications'
      }, {
        name: 'Recipient',
        value: 'order_notifications.recipient',
        table: 'order_notifications'
      }, {
        name: 'body',
        value: 'order_notifications.body',
        table: 'order_notifications'
      }, {
        name: 'Response',
        value: 'order_notifications.response',
        table: 'order_notifications'
      }],
      product_uom: [{
        name: 'uom Id',
        value: 'product_uom.uom_id',
        table: 'product_uom'
      }, {
        name: 'uom',
        value: 'product_uom.uom',
        table: 'product_uom'
      }, {
        name: 'Code',
        value: 'product_uom.code',
        table: 'product_uom'
      }, {
        name: 'Description',
        value: 'product_uom.description',
        table: 'product_uom'
      }],
      price_sheets_index: [{
        name: 'Price Sheet Id',
        value: 'price_sheets_index.price_sheet_id',
        table: 'price_sheets_index'
      }, {
        name: 'Sheet',
        value: 'price_sheets_index.sheet',
        table: 'price_sheets_index'
      }, {
        name: 'Site Id',
        value: 'price_sheets_index.site_id',
        table: 'price_sheets_index'
      }, {
        name: 'GP Price Sheet',
        value: 'price_sheets_index.gp_price_sheet',
        table: 'price_sheets_index'
      }],
      products: [{
        name: 'Product Id',
        value: 'products.product_id',
        table: 'products'
      }, {
        name: 'SKU',
        value: 'products.sku',
        table: 'products'
      }, {
        name: 'Slug',
        value: 'products.slug',
        table: 'products'
      }, {
        name: 'UPC',
        value: 'products.upc',
        table: 'products'
      }, {
        name: 'Qty',
        value: 'products.qty',
        table: 'products'
      }, {
        name: 'Manufacturer Id',
        value: 'products.manufacturer_id',
        table: 'products'
      }, {
        name: 'Brand Name',
        value: 'products.brand_name',
        table: 'products'
      }, {
        name: 'Country',
        value: 'products.country',
        table: 'products'
      }, {
        name: 'Device',
        value: 'products.device',
        table: 'products'
      }, {
        name: 'Family',
        value: 'products.family',
        table: 'products'
      }, {
        name: 'Green',
        value: 'products.green',
        table: 'products'
      }, {
        name: 'Green Attributes',
        value: 'products.green_attributes',
        table: 'products'
      }, {
        name: 'Hazmat',
        value: 'products.hazmat',
        table: 'products'
      }, {
        name: 'Includes',
        value: 'products.includes',
        table: 'products'
      }, {
        name: 'Keywords',
        value: 'products.keywords',
        table: 'products'
      }, {
        name: 'Model',
        value: 'products.model',
        table: 'products'
      }, {
        name: 'Msds',
        value: 'products.msds',
        table: 'products'
      }, {
        name: 'Rebate',
        value: 'products.rebate',
        table: 'products'
      }, {
        name: 'Related',
        value: 'products.related',
        table: 'products'
      }, {
        name: 'Alternates',
        value: 'products.alternates',
        table: 'products'
      }, {
        name: 'Truck Only',
        value: 'products.truck_only',
        table: 'products'
      }, {
        name: 'Category',
        value: 'products.category_id',
        table: 'products'
      }, {
        name: 'UoM ID',
        value: 'products.uomid',
        table: 'products'
      }, {
        name: 'UoM Qty',
        value: 'products.uomqty',
        table: 'products'
      }, {
        name: 'UoM Desc',
        value: 'products.uomdesc',
        table: 'products'
      }, {
        name: 'Description',
        value: 'products.description',
        table: 'products'
      }, {
        name: 'Long Description',
        value: 'products.long_description',
        table: 'products'
      }, {
        name: 'Attribute 1 Name',
        value: 'products.att1n',
        table: 'products'
      }, {
        name: 'Attribute 1 Data',
        value: 'products.att1d',
        table: 'products'
      }, {
        name: 'Attribute 2 Name',
        value: 'products.att2n',
        table: 'products'
      }, {
        name: 'Attribute 2 Data',
        value: 'products.att2d',
        table: 'products'
      }, {
        name: 'Attribute 3 Name',
        value: 'products.att3n',
        table: 'products'
      }, {
        name: 'Attribute 3 Data',
        value: 'products.att3d',
        table: 'products'
      }, {
        name: 'Attribute 4 Name',
        value: 'products.att4n',
        table: 'products'
      }, {
        name: 'Attribute 4 Data',
        value: 'products.att4d',
        table: 'products'
      }, {
        name: 'Attribute 5 Name',
        value: 'products.att5n',
        table: 'products'
      }, {
        name: 'Attribute 5 Data',
        value: 'products.att5d',
        table: 'products'
      }, {
        name: 'Attribute 6 Name',
        value: 'products.att6n',
        table: 'products'
      }, {
        name: 'Attribute 6 Data',
        value: 'products.att6d',
        table: 'products'
      }, {
        name: 'Attribute 7 Name',
        value: 'products.att7n',
        table: 'products'
      }, {
        name: 'Attribute 7 Data',
        value: 'products.att7d',
        table: 'products'
      }, {
        name: 'Attribute 8 Name',
        value: 'products.att8n',
        table: 'products'
      }, {
        name: 'Attribute 8 Data',
        value: 'products.att8d',
        table: 'products'
      }, {
        name: 'Attribute 9 Name',
        value: 'products.att9n',
        table: 'products'
      }, {
        name: 'Attribute 9 Data',
        value: 'products.att9d',
        table: 'products'
      }, {
        name: 'Attribute 10 Name',
        value: 'products.att10n',
        table: 'products'
      }, {
        name: 'Attribute 10 Data',
        value: 'products.att10d',
        table: 'products'
      }, {
        name: 'Attribute 11 Name',
        value: 'products.att11n',
        table: 'products'
      }, {
        name: 'Attribute 11 Data',
        value: 'products.att11d',
        table: 'products'
      }, {
        name: 'Attribute 12 Name',
        value: 'products.att12n',
        table: 'products'
      }, {
        name: 'Attribute 12 Data',
        value: 'products.att12d',
        table: 'products'
      }, {
        name: 'Attribute 13 Name',
        value: 'products.att13n',
        table: 'products'
      }, {
        name: 'Attribute 13 Data',
        value: 'products.att13d',
        table: 'products'
      }, {
        name: 'Attribute 14 Name',
        value: 'products.att14n',
        table: 'products'
      }, {
        name: 'Attribute 14 Data',
        value: 'products.att14d',
        table: 'products'
      }, {
        name: 'Attribute 15 Name',
        value: 'products.att15n',
        table: 'products'
      }, {
        name: 'Attribute 15 Data',
        value: 'products.att15d',
        table: 'products'
      }, {
        name: 'Attribute 16 Name',
        value: 'products.att16n',
        table: 'products'
      }, {
        name: 'Attribute 16 Data',
        value: 'products.att16d',
        table: 'products'
      }, {
        name: 'Attribute 17 Name',
        value: 'products.att17n',
        table: 'products'
      }, {
        name: 'Attribute 17 Data',
        value: 'products.att17d',
        table: 'products'
      }, {
        name: 'Attribute 18 Name',
        value: 'products.att18n',
        table: 'products'
      }, {
        name: 'Attribute 18 Data',
        value: 'products.att18d',
        table: 'products'
      }, {
        name: 'Mfg Part #',
        value: 'products.mfg_part_num',
        table: 'products'
      }, {
        name: 'Ability One Sku',
        value: 'products.ability_one_sku',
        table: 'products'
      }, {
        name: 'Status',
        value: 'products.status',
        table: 'products'
      }, {
        name: 'Rating',
        value: 'products.average_rating',
        table: 'products'
      }],
      orders: [{
        name: 'Order Id',
        value: 'orders.order_id',
        table: 'orders'
      }, {
        name: 'Group Id',
        value: 'orders.group_id',
        table: 'orders'
      }, {
        name: 'Customer Id',
        value: 'orders.customer_id',
        table: 'orders'
      }, {
        name: 'Approver Id',
        value: 'orders.approver_id',
        table: 'orders'
      }, {
        name: 'Shipping Id',
        value: 'orders.shipping_id',
        table: 'orders'
      }, {
        name: 'Billing Id',
        value: 'orders.billing_id',
        table: 'orders'
      }, {
        name: 'Cost Center Id',
        value: 'orders.cost_center_id',
        table: 'orders'
      }, {
        name: 'Shipping Rule Id',
        value: 'orders.shipping_rule_id',
        table: 'orders'
      }, {
        name: 'Cost Center Code',
        value: 'orders.cost_center_code',
        table: 'orders'
      }, {
        name: 'Price Sheet',
        value: 'orders.price_sheet',
        table: 'orders'
      }, {
        name: 'Loc Id',
        value: 'orders.loc_id',
        table: 'orders'
      }, {
        name: 'Trx Redeemed',
        value: 'orders.trx_redeemed',
        table: 'orders'
      }, {
        name: 'Status',
        value: 'orders.status',
        table: 'orders'
      }, {
        name: 'Order Shipped',
        value: 'orders.order_shipped',
        table: 'orders'
      }, {
        name: 'Tracking Code',
        value: 'orders.tracking_code',
        table: 'orders'
      }, {
        name: 'Shipping Method',
        value: 'orders.shipping_method',
        table: 'orders'
      }, {
        name: 'Shipping Carrier',
        value: 'orders.shipping_carrier',
        table: 'orders'
      }, {
        name: 'Order Date',
        value: 'orders.order_date',
        table: 'orders'
      }, {
        name: 'Subtotal',
        value: 'orders.subtotal',
        table: 'orders'
      }, {
        name: 'Tax',
        value: 'orders.tax',
        table: 'orders'
      }, {
        name: 'Tax Rate',
        value: 'orders.tax_rate',
        table: 'orders'
      }, {
        name: 'Shipping',
        value: 'orders.shipping',
        table: 'orders'
      }, {
        name: 'Discount',
        value: 'orders.discount',
        table: 'orders'
      }, {
        name: 'Promo Discount',
        value: 'orders.promo_discount',
        table: 'orders'
      }, {
        name: 'Total Amount',
        value: 'orders.total_amt',
        table: 'orders'
      }, {
        name: 'RR PO Num',
        value: 'orders.rr_po_num',
        table: 'orders'
      }, {
        name: 'Issuing Office',
        value: 'orders.issuing_office',
        table: 'orders'
      }, {
        name: 'Approver',
        value: 'orders.approver',
        table: 'orders'
      }, {
        name: 'Attention',
        value: 'orders.attention',
        table: 'orders'
      }, {
        name: 'Organization',
        value: 'orders.organization',
        table: 'orders'
      }, {
        name: 'First Name',
        value: 'orders.first_name',
        table: 'orders'
      }, {
        name: 'Last Name',
        value: 'orders.last_name',
        table: 'orders'
      }, {
        name: 'Email',
        value: 'orders.email',
        table: 'orders'
      }, {
        name: 'Phone',
        value: 'orders.phone',
        table: 'orders'
      }, {
        name: 'Billing First Name',
        value: 'orders.bill_first_name',
        table: 'orders'
      }, {
        name: 'Billing Last Name',
        value: 'orders.bill_last_name',
        table: 'orders'
      }, {
        name: 'Billing Email',
        value: 'orders.bill_email',
        table: 'orders'
      }, {
        name: 'Billing Phone',
        value: 'orders.bill_phone',
        table: 'orders'
      }, {
        name: 'Payment Method',
        value: 'orders.payment_method',
        table: 'orders'
      }, {
        name: 'Credit Line',
        value: 'orders.credit_line',
        table: 'orders'
      }, {
        name: 'Credit Card',
        value: 'orders.credit_card',
        table: 'orders'
      }, {
        name: 'CC Type',
        value: 'orders.cctype',
        table: 'orders'
      }, {
        name: 'Shipping Profile',
        value: 'orders.shipping_profile',
        table: 'orders'
      }, {
        name: 'Address 1',
        value: 'orders.address1',
        table: 'orders'
      }, {
        name: 'Address 2',
        value: 'orders.address2',
        table: 'orders'
      }, {
        name: 'City',
        value: 'orders.city',
        table: 'orders'
      }, {
        name: 'State',
        value: 'orders.state',
        table: 'orders'
      }, {
        name: 'Zip',
        value: 'orders.zip',
        table: 'orders'
      }, {
        name: 'Billing Address 1',
        value: 'orders.bill_address1',
        table: 'orders'
      }, {
        name: 'Billing Address 2',
        value: 'orders.bill_address2',
        table: 'orders'
      }, {
        name: 'Billing City',
        value: 'orders.bill_city',
        table: 'orders'
      }, {
        name: 'Billing State',
        value: 'orders.bill_state',
        table: 'orders'
      }, {
        name: 'Billing Zip',
        value: 'orders.bill_zip',
        table: 'orders'
      }, {
        name: 'Notes',
        value: 'orders.notes',
        table: 'orders'
      }, {
        name: 'GSA Total',
        value: 'orders.gsa_total',
        table: 'orders'
      }, {
        name: 'Other Total',
        value: 'orders.other_total',
        table: 'orders'
      }, {
        name: 'Approver Notes',
        value: 'orders.approver_notes',
        table: 'orders'
      }, {
        name: 'Promo Codes',
        value: 'orders.promo_codes',
        table: 'orders'
      }, {
        name: 'F1 Replace Field',
        value: 'orders.f1_replace_field',
        table: 'orders'
      }, {
        name: 'F1 Name',
        value: 'orders.f1_name',
        table: 'orders'
      }, {
        name: 'F1 XML Location',
        value: 'orders.f1_xml_location',
        table: 'orders'
      }, {
        name: 'F1 Value',
        value: 'orders.f1_value',
        table: 'orders'
      }, {
        name: 'F2 Replace Field',
        value: 'orders.f2_replace_field',
        table: 'orders'
      }, {
        name: 'F2 Name',
        value: 'orders.f2_name',
        table: 'orders'
      }, {
        name: 'F2 XML Location',
        value: 'orders.f2_xml_location',
        table: 'orders'
      }, {
        name: 'F2 Value',
        value: 'orders.f2_value',
        table: 'orders'
      }, {
        name: 'F3 Name',
        value: 'orders.f3_name',
        table: 'orders'
      }, {
        name: 'F3 Value',
        value: 'orders.f3_name',
        table: 'orders'
      }, {
        name: 'F4 Name',
        value: 'orders.f4_name',
        table: 'orders'
      }, {
        name: 'F4 Value',
        value: 'orders.f4_name',
        table: 'orders'
      }, {
        name: 'F5 Name',
        value: 'orders.f5_name',
        table: 'orders'
      }, {
        name: 'F5 Value',
        value: 'orders.f5_name',
        table: 'orders'
      }, {
        name: 'F6 Name',
        value: 'orders.f6_name',
        table: 'orders'
      }, {
        name: 'F6 Value',
        value: 'orders.f6_name',
        table: 'orders'
      }, {
        name: 'Reference Id',
        value: 'orders.reference_id',
        table: 'orders'
      }, {
        name: 'Payload Id',
        value: 'orders.payload_id',
        table: 'orders'
      }, {
        name: 'Postback Url',
        value: 'orders.postback_url',
        table: 'orders'
      }, {
        name: 'Shipping Token',
        value: 'orders.shipping_token',
        table: 'orders'
      }]
    };
    var joinTables = {
      group_admins: [{
        name: 'Customer ID',
        value: 'group_admins.customer_id',
        table: 'group_admins'
      }, {
        name: 'Group ID',
        value: 'group_admins.group_id',
        table: 'group_admins'
      }],
      group_approvers: [{
        name: 'Customer ID',
        value: 'group_approvers.customer_id',
        table: 'group_approvers'
      }, {
        name: 'Group ID',
        value: 'group_approvers.group_id',
        table: 'group_approvers'
      }],
      inventory_logs: [{
        name: 'Id',
        value: 'inventory_logs.id',
        table: 'inventory_logs'
      }, {
        name: 'Product Id',
        value: 'inventory_logs.product_id',
        table: 'inventory_logs'
      }, {
        name: 'In',
        value: 'inventory_logs.inventory_in',
        table: 'inventory_logs'
      }, {
        name: 'Out',
        value: 'inventory_logs.inventory_out',
        table: 'inventory_logs'
      }, {
        name: 'Date',
        value: 'inventory_logs.created_at',
        table: 'inventory_logs'
      }],
      pending_items: [{
        name: 'Id',
        value: 'pending_items.pend_id',
        table: 'pending_items'
      }, {
        name: 'Cart Items Id',
        value: 'pending_items.cart_item_id',
        table: 'pending_items'
      }, {
        name: 'Order Id',
        value: 'pending_items.order_id',
        table: 'pending_items'
      }, {
        name: 'Product Id',
        value: 'pending_items.product_id',
        table: 'pending_items'
      }, {
        name: 'Qty',
        value: 'pending_items.qty',
        table: 'pending_items'
      }, {
        name: 'Price',
        value: 'pending_items.price',
        table: 'pending_items'
      }],
      price_sheets: [{
        name: 'Id',
        value: 'price_sheets.ps_item_id',
        table: 'price_sheets'
      }, {
        name: 'Price Sheet Id',
        value: 'price_sheets.price_sheet_id',
        table: 'price_sheets'
      }, {
        name: 'Product Id',
        value: 'price_sheets.product_id',
        table: 'price_sheets'
      }, {
        name: 'Sku',
        value: 'price_sheets.sku',
        table: 'price_sheets'
      }, {
        name: 'GSA',
        value: 'price_sheets.gsa',
        table: 'price_sheets'
      }, {
        name: 'Ability One',
        value: 'price_sheets.ability_one',
        table: 'price_sheets'
      }, {
        name: 'Core List',
        value: 'price_sheets.core_list',
        table: 'price_sheets'
      }, {
        name: 'Price',
        value: 'price_sheets.price',
        table: 'price_sheets'
      }],
      product_collection: [{
        name: 'Collection Id',
        value: 'product_collection.collection_id',
        table: 'product_collection'
      }, {
        name: 'Product ID',
        value: 'product_collection.product_id',
        table: 'product_collection'
      }],
      purchased_items: [{
        name: 'Purchase Id',
        value: 'purchased_items.purch_id',
        table: 'purchased_items'
      }, {
        name: 'Customer Id',
        value: 'purchased_items.customer_id',
        table: 'purchased_items'
      }, {
        name: 'Order Id',
        value: 'purchased_items.order_id',
        table: 'purchased_items'
      }, {
        name: 'Product Id',
        value: 'purchased_items.product_id',
        table: 'purchased_items'
      }, {
        name: 'Purchase Date',
        value: 'purchased_items.purchase_date',
        table: 'purchased_items'
      }, {
        name: 'Quantity',
        value: 'purchased_items.qty',
        table: 'purchased_items'
      }, {
        name: 'Price',
        value: 'purchased_items.price',
        table: 'purchased_items'
      }, {
        name: 'GSA',
        value: 'purchased_items.gsa',
        table: 'purchased_items'
      }, {
        name: 'Ability One',
        value: 'purchased_items.ability_one',
        table: 'purchased_items'
      }, {
        name: 'Core List',
        value: 'purchased_items.core_list',
        table: 'purchased_items'
      }, {
        name: 'Return Status',
        value: 'purchased_items.return_status',
        table: 'purchased_items'
      }, {
        name: 'Return Request Date',
        value: 'purchased_items.return_request_date',
        table: 'purchased_items'
      }, {
        name: 'Return Respone Notes',
        value: 'purchased_items.return_response_notes',
        table: 'purchased_items'
      }, {
        name: 'Return Reason',
        value: 'purchased_items.return_reason',
        table: 'purchased_items'
      }, {
        name: 'Return Qty',
        value: 'purchased_items.return_qty',
        table: 'purchased_items'
      }, {
        name: 'Return Contact',
        value: 'purchased_items.return_contact',
        table: 'purchased_items'
      }, {
        name: 'Return Boxes',
        value: 'purchased_items.return_boxes',
        table: 'purchased_items'
      }],
      saved_billing: [{
        name: 'Id',
        value: 'saved_billing.billing_id',
        table: 'saved_billing'
      }, {
        name: 'Customer Id',
        value: 'saved_billing.customer_id',
        table: 'saved_billing'
      }, {
        name: 'Name',
        value: 'saved_billing.billing_name',
        table: 'saved_billing'
      }, {
        name: 'First Name',
        value: 'saved_billing.first_name',
        table: 'saved_billing'
      }, {
        name: 'Last Name',
        value: 'saved_billing.last_name',
        table: 'saved_billing'
      }, {
        name: 'Email',
        value: 'saved_billing.email',
        table: 'saved_billing'
      }, {
        name: 'Address 1',
        value: 'saved_billing.address1',
        table: 'saved_billing'
      }, {
        name: 'Address 2',
        value: 'saved_billing.address2',
        table: 'saved_billing'
      }, {
        name: 'City',
        value: 'saved_billing.city',
        table: 'saved_billing'
      }, {
        name: 'State',
        value: 'saved_billing.state',
        table: 'saved_billing'
      }, {
        name: 'Zip',
        value: 'saved_billing.zip',
        table: 'saved_billing'
      }, {
        name: 'Area Code',
        value: 'saved_billing.areacode',
        table: 'saved_billing'
      }, {
        name: 'Phone',
        value: 'saved_billing.phone',
        table: 'saved_billing'
      }, {
        name: 'Active',
        value: 'saved_billing.active',
        table: 'saved_billing'
      }],
      saved_shipping: [{
        name: 'Id',
        value: 'saved_shipping.shipping_id',
        table: 'saved_shipping'
      }, {
        name: 'Customer Id',
        value: 'saved_shipping.customer_id',
        table: 'saved_shipping'
      }, {
        name: 'Name',
        value: 'saved_shipping.shipping_name',
        table: 'saved_shipping'
      }, {
        name: 'First Name',
        value: 'saved_shipping.first_name',
        table: 'saved_shipping'
      }, {
        name: 'Last Name',
        value: 'saved_shipping.last_name',
        table: 'saved_shipping'
      }, {
        name: 'Email',
        value: 'saved_shipping.email',
        table: 'saved_shipping'
      }, {
        name: 'Address 1',
        value: 'saved_shipping.address1',
        table: 'saved_shipping'
      }, {
        name: 'Address 2',
        value: 'saved_shipping.address2',
        table: 'saved_shipping'
      }, {
        name: 'City',
        value: 'saved_shipping.city',
        table: 'saved_shipping'
      }, {
        name: 'State',
        value: 'saved_shipping.state',
        table: 'saved_shipping'
      }, {
        name: 'Zip',
        value: 'saved_shipping.zip',
        table: 'saved_shipping'
      }, {
        name: 'Area Code',
        value: 'saved_shipping.areacode',
        table: 'saved_shipping'
      }, {
        name: 'Phone',
        value: 'saved_shipping.phone',
        table: 'saved_shipping'
      }, {
        name: 'Active',
        value: 'saved_shipping.active',
        table: 'saved_shipping'
      }]
    };
    var allTables = {};
    var service = {
      getStoreTables: function getStoreTables() {
        return storeTables;
      },
      getAllTables: function getAllTables() {
        return allTables;
      },
      getComparators: function getComparators() {
        return ['contains', '!contains', '=', '!=', '>', '<', 'begins', '!begins', 'ends', '!ends'];
      }
    };
    allTables = Object.assign({}, storeTables);
    allTables.inventory_logs = joinTables.inventory_logs;
    allTables.group_admins = joinTables.group_admins;
    allTables.group_approvers = joinTables.group_approvers;
    allTables.pending_items = joinTables.pending_items;
    allTables.price_sheets = joinTables.price_sheets;
    allTables.purchased_items = joinTables.purchased_items;
    allTables.saved_billing = joinTables.saved_billing;
    allTables.saved_shipping = joinTables.saved_shipping;
    return service;
  }
})();

/***/ }),

/***/ 1310:
/***/ (() => {

(function () {
  'use strict';

  settingsFactory.$inject = ["$timeout", "$window", "Localized", "Utils", "Admin"];
  angular.module('vendorfuelApp').factory('Settings', settingsFactory);
  settingsFactory.$inject = ['$timeout', '$window', 'Localized', 'Utils', 'Admin'];
  /**
   * @param {Object} $timeout Angular service
   * @param {Object} $window Angular service
   * @param {Object} Localized VendorFuel service
   * @param {Object} Utils VendorFuel service
   * @param {Object} Admin VendorFuel service
   * @return {Object} Service
   */

  function settingsFactory($timeout, $window, Localized, Utils, Admin) {
    /**
     * @param {any} tab Tab
     * @param {string} url URL
     * @return {Object} Promise
     */
    function getSettings(tab, url) {
      var httpUrl = Localized.apiURL + url;

      if (!url) {
        httpUrl = Localized.wpRestUrl + '/settings/' + tab.name;
      }

      var promise = Utils.httpGet(httpUrl).then(function successCallback(response) {
        tab.saved = response;
      }, function errorCallback(response) {
        tab.saved = response;
      });
      return promise;
    }
    /**
     * @param {any} tab Tab
     * @param {Object} params Params
     * @param {string} url URL
     * @param {Object} data Data
     * @return {Object} Promise
     */


    function postSettings(tab, params, url, data) {
      var httpUrl = Localized.apiURL + url;

      if (!url) {
        httpUrl = Localized.wpRestUrl + '/settings/' + tab.name;
      }

      var promise = Utils.httpPost(httpUrl, params, data).then(function successCallback(response) {
        if (response.errors) {
          service.errors = response.errors;
        }
      }, function errorCallback(response) {
        if (response.errors) {
          service.errors = response.errors;
        }
      });
      return promise;
    }
    /**
     * @param {any} tab Tab
     * @param {Object} params Params
     * @param {string} url URL
     * @param {Object} data Data
     * @return {Object} Promise
     */


    function putSettings(tab, params, url, data) {
      var httpUrl = Localized.apiURL + url;

      if (!url) {
        httpUrl = Localized.wpRestUrl + '/settings/' + tab.name + '/post';
      }

      var promise = Utils.httpPut(httpUrl, params, data).then(function successCallback(response) {
        if (response.errors) {
          service.errors = response.errors;
        }
      }, function errorCallback(response) {
        if (response.errors) {
          service.errors = response.errors;
        }
      });
      return promise;
    }

    var service = {
      errors: {},
      resetTutorial: resetTutorial,
      general: {
        name: 'general',
        saved: {},
        Get: function Get() {
          return getSettings(service.general);
        },
        Set: function Set() {
          var params = {
            settings: JSON.stringify(service.general.saved)
          };
          return postSettings(service.general, params).then(function () {
            if (service.general.saved.api_url !== Localized.apiURL) {
              Localized.apiURL = service.general.saved.api_url;
              Admin.Logout();
            }

            if (service.general.saved.api_key !== Localized.api_key) {
              Localized.api_key = service.general.saved.api_key;
              Admin.Logout();
            }
          });
        }
      },
      store: {
        name: 'store',
        saved: {},
        Get: function Get() {
          return getSettings(service.store, '/stores').then(function () {
            service.store.saved = service.store.saved.store;
          });
        },
        Set: function Set() {
          var params = {
            name: service.store.saved.name,
            url: service.store.saved.url,
            default_order_prefix: service.store.saved.default_order_prefix,
            default_customer_prefix: service.store.saved.default_customer_prefix,
            options: service.store.saved.options,
            checkout: service.store.saved.checkout
          };
          postSettings(service.store, params);
          return putSettings(service.store, null, '/stores', params);
        },
        Changed: function Changed() {}
      },
      analytics: {
        name: 'analytics',
        saved: {},
        Get: function Get() {
          return getSettings(service.analytics);
        },
        Set: function Set() {
          var params = {
            settings: JSON.stringify(service.analytics.saved)
          };
          return postSettings(service.analytics, params);
        },
        Changed: function Changed(enabled) {
          if (!enabled) {
            service.analytics.saved.google.id = '';
            service.analytics.saved.google.label = '';
            service.analytics.saved.google.tracking = false;
          }
        }
      },
      image: {
        name: 'image',
        saved: {},
        Get: function Get() {
          return getSettings(service.image).then(function () {
            service.image.ChangeRepo();
          });
        },
        Set: function Set() {
          var params = {
            settings: JSON.stringify(service.image.saved)
          };
          return postSettings(service.image, params);
        },
        repositories: [{
          name: 'Local',
          value: 0
        }, {
          name: 'Amazon S3',
          value: 1
        }, {
          name: 'MaxCDN',
          value: 2
        }],
        apiKeyRequired: false,
        Changed: function Changed() {
          service.image.saved.storage.repository = service.image.saved.imageRepository.value;

          if (service.image.saved.imageRepository.value === 1) {
            service.image.apiKeyRequired = true;
          } else {
            service.image.apiKeyRequired = false;
            service.image.saved.storage.api_key = '';
          }
        }
      },
      anguledit: {
        name: 'anguledit',
        saved: {},
        Get: function Get() {
          return getSettings(service.anguledit);
        },
        Set: function Set() {
          var params = {
            settings: JSON.stringify(service.anguledit.saved)
          };
          return postSettings(service.anguledit, params).then(function () {});
        }
      },
      gateways: {
        name: 'gateways',
        saved: {},
        Get: function Get() {
          return getSettings(service.gateways, '/admin/gateways').then(function () {
            service.gateways.saved.gateways.authnet.enabled = service.gateways.saved.gateways.authnet.enabled === 'true';
            service.gateways.saved.gateways.paypal.enabled = service.gateways.saved.gateways.paypal.enabled === 'true';
            service.gateways.Changed(0, service.gateways.saved.gateways.authnet.enabled);
            service.gateways.Changed(1, service.gateways.saved.gateways.paypal.enabled);
          });
        },
        Set: function Set() {
          var params = {
            'gateways[authnet][enabled]': service.gateways.saved.gateways.authnet.enabled,
            'gateways[authnet][id]': service.gateways.saved.gateways.authnet.id,
            'gateways[authnet][key]': service.gateways.saved.gateways.authnet.key,
            'gateways[paypal][enabled]': service.gateways.saved.gateways.paypal.enabled,
            'gateways[paypal][client_id]': service.gateways.saved.gateways.paypal.client_id,
            'gateways[paypal][secret]': service.gateways.saved.gateways.paypal.secret
          };
          return putSettings(service.gateways, params, '/admin/gateways');
        },
        Changed: function Changed(i, enabled) {
          if (!enabled && i === 0) {
            service.gateways.saved.gateways.authnet.id = '';
            service.gateways.saved.gateways.authnet.key = '';
          } else if (!enabled && i === 1) {
            service.gateways.saved.gateways.paypal.client_id = '';
            service.gateways.saved.gateways.paypal.secret = '';
          }
        }
      },
      billing: {
        name: 'billing',
        saved: {},
        Get: function Get() {
          return getSettings(service.billing, '/tenant/billing/check');
        },
        Set: function Set() {
          var params = {
            firstName: service.billing.saved.first_name,
            lastName: service.billing.saved.last_name,
            number: service.billing.saved.card.number,
            expiryMonth: service.billing.saved.card.expMonth,
            expiryYear: service.billing.saved.card.expYear,
            cvv: service.billing.saved.card.cvv
          };
          return postSettings(service.billing, params, '/tenant/billing/update');
        },
        Cancel: function Cancel() {
          var params = {
            store: service.billing.saved.store.id
          };
          return postSettings(service.billing, params, '/tenant/billing/cancel');
        },
        cancelling: false
      }
    };
    return service;
    /**
     * @return {any} Timeout
     */

    function resetTutorial() {
      return $timeout(function () {
        $window.localStorage.setItem('tutorialComplete', 'false');
        $window.localStorage.setItem('showTutorial', 'true');
      }, 1000).then(function () {
        Localized.setNotification({
          type: 'success',
          message: 'Tutorial cookies have been reset.'
        });
      });
    }
  }
})();

/***/ }),

/***/ 4150:
/***/ (() => {

(function () {
  'use strict';

  tenantFactory.$inject = ["$http", "$cookies", "Localized", "Debug"];
  angular.module('vendorfuelApp').factory('Tenant', tenantFactory);
  tenantFactory.$inject = ['$http', '$cookies', 'Localized', 'Debug'];
  /**
   * @param {Object} $http Angular service
   * @param {Object} $cookies Angular service
   * @param {Object} Localized VendorFuel service
   * @param {Object} Debug VendorFuel service
   * @return {Object} Service
   */

  function tenantFactory($http, $cookies, Localized, Debug) {
    var service = {
      login_errors: {},
      Login: function Login(e, p) {
        //TODO: get api url from settings factory
        var req = {
          method: 'POST',
          url: Localized.apiURL + '/tenant/login',
          data: {
            email: e,
            password: p
          }
        };
        var promise = $http(req).then(function successCallback(response) {
          if (Object.keys(response.data.errors).length > 0) {
            Debug.error('Login errors: ', response.data.errors);
            service.login_errors = response.data.errors;
          } else {
            tenant.name = response.data.name;
            $cookies.put('vendorfuel-tenant-name', tenant.name);
            tenant.tokens.jwt = response.data.token;
            $cookies.put('vendorfuel-tenant-token', tenant.tokens.jwt);
            tenant.authed = true;
          }

          return response;
        }, function errorCallback(response) {
          if (response.xhrStatus === 'error') {
            service.login_errors.error = 'Invalid VendorFuel API URL.';
          }

          if (Object.keys(response.data.errors).length > 0) {
            Debug.error('Login errors: ', response.data.errors);
            service.login_errors = response.data.errors;
          }

          return response;
        });
        return promise;
      },
      LoginErrors: function LoginErrors() {
        return service.login_errors;
      },
      Logout: function Logout() {
        tenant.name = null;
        $cookies.remove('vendorfuel-tenant-name');
        tenant.tokens.jwt = null;
        $cookies.remove('vendorfuel-tenant-token');
        tenant.authed = false;
      },
      Authed: function Authed() {
        var token = $cookies.get('vendorfuel-tenant-token');

        if (token) {
          tenant.authed = true;
        } else {
          tenant.authed = false;
        }

        return tenant.authed;
      }
    };
    var tenant = {
      authed: false,
      name: '',
      tokens: {
        a: '',
        b: '',
        jwt: ''
      }
    };
    return service;
  }
})();

/***/ }),

/***/ 3922:
/***/ (() => {

(function () {
  'use strict';

  angular.module('vendorfuelApp').factory('uom', uomFactory);
  /**
   * @return {Object} Service
   */

  function uomFactory() {
    var uomCodes = [{
      name: 'Bag',
      val: 'BG'
    }, {
      name: 'Barrel',
      val: 'BA'
    }, {
      name: 'Bolt',
      val: 'BT'
    }, {
      name: 'Box',
      val: 'BX'
    }, {
      name: 'Bunch',
      val: 'BH'
    }, {
      name: 'Bundle',
      val: 'BND'
    }, {
      name: 'Butt',
      val: 'BU'
    }, {
      name: 'Card',
      val: 'CRD'
    }, {
      name: 'Case',
      val: 'CS'
    }, {
      name: 'Centimeter',
      val: 'CM'
    }, {
      name: 'Container',
      val: 'CON'
    }, {
      name: 'Crate',
      val: 'CR'
    }, {
      name: 'Dozen',
      val: 'DZ'
    }, {
      name: 'Each',
      val: 'EA'
    }, {
      name: 'Envelope',
      val: 'EN'
    }, {
      name: 'Foot',
      val: 'FT'
    }, {
      name: 'Kilogram',
      val: 'KG'
    }, {
      name: 'Kilograms',
      val: 'KGS'
    }, {
      name: 'Liter',
      val: 'L'
    }, {
      name: 'Meter',
      val: 'M'
    }, {
      name: 'Package',
      val: 'PK'
    }, {
      name: 'Packet',
      val: 'PA'
    }, {
      name: 'Pallet',
      val: 'PAL'
    }, {
      name: 'Piece',
      val: 'PC'
    }, {
      name: 'Pieces',
      val: 'PCS'
    }, {
      name: 'Pound',
      val: 'LB'
    }, {
      name: 'Roll',
      val: 'ROL'
    }, {
      name: 'Set',
      val: 'SET'
    }, {
      name: 'Square Meter',
      val: 'SME'
    }, {
      name: 'Square Ft',
      val: 'SQFT'
    }, {
      name: 'Tube',
      val: 'TUBE'
    }, {
      name: 'Yard',
      val: 'YD'
    }];
    var service = {
      uomData: function uomData() {
        var data = {
          uomCodes: uomCodes
        };
        return data;
      }
    };
    return service;
  }
})();

/***/ }),

/***/ 6065:
/***/ (() => {

(function () {
  'use strict';

  utilsFactory.$inject = ["$http", "$location", "Admin", "Localized", "Tenant"];
  angular.module('vendorfuelApp').factory('Utils', utilsFactory);
  utilsFactory.$inject = ['$http', '$location', 'Admin', 'Localized', 'Tenant'];
  /**
   * @param {Object} $http Angular service
   * @param {Object} $location Angular service
   * @param {Object} Admin VendorFuel service
   * @param {Object} Localized VendorFuel service
   * @param {Object} Tenant VendorFuel service
   * @return {Object} Utils factory
   */

  function utilsFactory($http, $location, Admin, Localized, Tenant) {
    /**
     * @param {Object} request HTTP request
     * @return {Object} Promise
     */
    function httpPromise(request) {
      var promise = $http(request).then(function successCallback(response) {
        Localized.deleteNotifications();

        if (response.data) {
          if (response.data.notifications) {
            for (var i = 0; i < response.data.notifications.length; i++) {
              Localized.setNotification({
                type: 'success',
                message: response.data.notifications[i]
              });
            }

            for (var j = 0; j < response.data.errors.length; j++) {
              Localized.setNotification({
                type: 'danger',
                message: response.data.errors[j]
              });
            }
          }

          return response.data;
        }

        Localized.setNotification({
          type: 'danger',
          message: response.statusText
        });
        return response;
      }, function errorCallback(response) {
        if (response.status === 401) {
          if (!response.config.url.includes('tenant')) {
            Admin.Logout();
          } else {
            Tenant.Logout();
          }
        }

        Localized.setNotification({
          type: 'danger',
          message: response.statusText
        });
        return response;
      });
      return promise;
    }

    var service = {
      httpGet: httpGet,
      httpPost: httpPost,
      httpPut: httpPut,
      httpDelete: httpDelete,
      getHttpPromise: getHttpPromise,
      setLocation: setLocation,
      cleanKey: cleanKey,
      cleanErrorMessages: cleanErrorMessages,
      trimExtraSp: trimExtraSp
    };
    return service;
    /**
     * Get all items.
     *
     * @param {string} endpoint REST API endpoint
     * @param {Object} params Parameters
     * @param {Object} data Data
     * @return {Object} Promise
     */

    function httpGet(endpoint, params, data) {
      params = params || {};
      data = data || {};
      var req = {
        method: 'GET',
        url: endpoint,
        params: params,
        data: data
      };
      return httpPromise(req);
    }
    /**
     * Create an item.
     *
     * @param {string} endpoint REST API endpoint
     * @param {Object} params Parameters
     * @param {Object} data Data
     * @return {Object} Promise
     */


    function httpPost(endpoint, params, data) {
      params = params || {};
      data = data || {};
      var req = {
        method: 'POST',
        url: endpoint,
        params: params,
        data: data
      };
      return httpPromise(req);
    }
    /**
     * Update an existing item.
     *
     * @param {string} endpoint REST API endpoint
     * @param {Object} params Parameters
     * @param {Object} data Data
     * @return {Object} Promise
     */


    function httpPut(endpoint, params, data) {
      params = params || {};
      data = data || {};
      var req = {
        method: 'PUT',
        url: endpoint,
        params: params,
        data: data
      };
      return httpPromise(req);
    }
    /**
     * Delete an item.
     *
     * @param {string} endpoint REST API endpoint
     * @param {Object} params Parameters
     * @param {Object} data Data
     * @return {Object} Promise
     */


    function httpDelete(endpoint, params, data) {
      params = params || {};
      data = data || {};
      var req = {
        method: 'DELETE',
        url: endpoint,
        params: params,
        data: data
      };
      return httpPromise(req);
    }
    /**
     * @param {Object} req Request
     * @return {Object} Promise
     */


    function getHttpPromise(req) {
      return httpPromise(req);
    }
    /**
     * @param {string}location Path
     * @param {boolean} shouldReturn Should return
     */


    function setLocation(location, shouldReturn) {
      if (!service.redirecting) {
        service.redirecting = true;

        if (shouldReturn === true) {
          service.ReturnLocation = $location.url();
        }

        $location.path(location);
      }
    }
    /**
     * @param {string} str Key
     * @return {string} Cleaned key
     */


    function cleanKey(str) {
      return str.toLowerCase().replace(/\s+/g, '-');
    }
    /**
     * @param {string} str Message
     * @return {string} Trimmed message
     */


    function cleanErrorMessages(str) {
      return str.toString().trim();
    }
    /**
     * @param {string} str String
     * @return {string} Trimmed string
     */


    function trimExtraSp(str) {
      return str.replace(/\s+/g, '');
    }
  }
})();

/***/ }),

/***/ 8726:
/***/ (() => {

(function () {
  'use strict';

  warningModal.$inject = ["$uibModal", "Localized", "$sce"];
  angular.module('vendorfuelApp').factory('WarningModal', warningModal);
  warningModal.$inject = ['$uibModal', 'Localized', '$sce'];
  /**
   * @param {Object} $uibModal UI Bootstrap service
   * @param {Object} Localized VendorFuel service
   * @param {Object} $sce Angular service
   * @return {Object} Service
   */

  function warningModal($uibModal, Localized, $sce) {
    var service = {
      Show: function Show(callback, title, message, optionConfirm, backdrop, highlightedButton) {
        message = message || '';
        optionConfirm = optionConfirm || 'Confirm';
        backdrop = backdrop || true;
        highlightedButton = highlightedButton || 0;
        var tempConfirmWidth = optionConfirm.length;
        var optionWidth = tempConfirmWidth * 9 + 24;
        var callbackParams = callback.params || {};
        $uibModal.open({
          templateUrl: Localized.root.url + '/assets/app/modals/warning.html',
          backdrop: backdrop,
          controller: ["$scope", "$uibModalInstance", function controller($scope, $uibModalInstance) {
            $scope.modalTitle = $sce.trustAsHtml(title);
            $scope.modalMessage = $sce.trustAsHtml(message);
            $scope.optionConfirm = optionConfirm;
            $scope.optionWidth = optionWidth;
            $scope.highlightedButton = highlightedButton;

            $scope.Confirm = function () {
              $uibModalInstance.close();
            };
          }]
        }).result.then(function () {
          if (callback.confirm) {
            callback.confirm(callbackParams);
          }
        });
      }
    };
    return service;
  }
})();

/***/ }),

/***/ 9061:
/***/ (() => {

(function () {
  'use strict';

  runner.$inject = ["$location", "$rootScope", "$transitions", "Admin"];
  angular.module('vendorfuelApp').run(runner);
  runner.$inject = ['$location', '$rootScope', '$transitions', 'Admin'];
  /**
   * @param {Object} $location Angular service
   * @param {Object} $rootScope Angular service
   * @param {Object} Admin VendorFuel service
   */

  function runner($location, $rootScope, $transitions, Admin) {
    $rootScope.rootUrl = localized.dir.url;
    $rootScope.wpApiUrl = localized.dir.wpRestApi + 'vendorfuel';
    $rootScope.generalSettings = localized.settings.general;
    $rootScope.vfApiUrl = localized.apiURL;
    $rootScope.api_key = $rootScope.generalSettings.api_key;
    $rootScope.collapsed = false;

    if (!$rootScope.api_key) {
      if (Admin.authed) {
        Admin.Logout();
      }

      $location.path('/subscribe');
    } // Scroll to top of page on router transitions.


    $transitions.onSuccess({}, function () {
      document.body.scrollTop = document.documentElement.scrollTop = 0;
    });
  }
})();

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// This entry need to be wrapped in an IIFE because it need to be in strict mode.
(() => {
"use strict";

;// CONCATENATED MODULE: ./assets/app/dev/common/highlight-menu-item.ts
function highlightMenuItem(key) {
  var menuItem = document.querySelector("#vf-menu-item-".concat(key));
  var submenu = document.querySelectorAll('li.toplevel_page_vendorfuel ul li');

  if (menuItem) {
    submenu.forEach(function (element) {
      element.classList.remove('current');
    });
    menuItem.parentElement.parentElement.classList.add('current');
  }
}
;// CONCATENATED MODULE: ./assets/app/dev/components/accounting/accounting.module.ts
var AccountingModule = angular.module('AccountingModule', []).name;
;// CONCATENATED MODULE: ./assets/app/dev/components/customers/customer-notes/customer-notes.service.ts
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var CustomerNotesService = /*#__PURE__*/function () {
  CustomerNotesService.$inject = ["$http", "Localized"];

  function CustomerNotesService($http, Localized) {
    'ngInject';

    _classCallCheck(this, CustomerNotesService);

    _defineProperty(this, "apiRoot", "".concat(localized.apiURL, "/admin/customers"));

    this.$http = $http;
    this.Localized = Localized;
  }

  _createClass(CustomerNotesService, [{
    key: "query",
    value: function query(id) {
      return this.$http.get("".concat(this.apiRoot, "/").concat(id, "/notes")).then(function (response) {
        if (!response.data.errors.length) {
          return response.data;
        }
      });
    }
  }, {
    key: "save",
    value: function save(id, data) {
      var _this = this;

      return this.$http.post("".concat(this.apiRoot, "/").concat(id, "/notes"), data).then(function (response) {
        _this.Localized.setNotifications(response.data);
      });
    }
  }, {
    key: "remove",
    value: function remove(customerId, noteId) {
      var _this2 = this;

      return this.$http["delete"]("".concat(this.apiRoot, "/").concat(customerId, "/notes/").concat(noteId)).then(function (response) {
        _this2.Localized.setNotifications(response.data);
      });
    }
  }]);

  return CustomerNotesService;
}();
;// CONCATENATED MODULE: ./assets/app/dev/components/customers/customer-send-email/customer-email.service.ts
function customer_email_service_classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function customer_email_service_defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function customer_email_service_createClass(Constructor, protoProps, staticProps) { if (protoProps) customer_email_service_defineProperties(Constructor.prototype, protoProps); if (staticProps) customer_email_service_defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

function customer_email_service_defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var CustomerEmailService = /*#__PURE__*/function () {
  CustomerEmailService.$inject = ["$http", "Localized"];

  function CustomerEmailService($http, Localized) {
    'ngInject';

    customer_email_service_classCallCheck(this, CustomerEmailService);

    customer_email_service_defineProperty(this, "apiRoot", "".concat(localized.apiURL, "/admin/customers"));

    this.$http = $http;
    this.Localized = Localized;
  }

  customer_email_service_createClass(CustomerEmailService, [{
    key: "send",
    value: function send(id, type) {
      var _this = this;

      return this.$http.get("".concat(this.apiRoot, "/").concat(id, "/email/").concat(type)).then(function (response) {
        _this.Localized.setNotifications(response.data);

        if (!response.data.errors.length) {
          return response.data;
        }
      });
    }
  }]);

  return CustomerEmailService;
}();
;// CONCATENATED MODULE: ./assets/app/dev/components/customers/customer-login/customer-login.service.ts
function customer_login_service_classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function customer_login_service_defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function customer_login_service_createClass(Constructor, protoProps, staticProps) { if (protoProps) customer_login_service_defineProperties(Constructor.prototype, protoProps); if (staticProps) customer_login_service_defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

function customer_login_service_defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var CustomerLoginService = /*#__PURE__*/function () {
  CustomerLoginService.$inject = ["$cookies", "$http", "$window", "Localized"];

  function CustomerLoginService($cookies, $http, $window, Localized) {
    'ngInject';

    customer_login_service_classCallCheck(this, CustomerLoginService);

    customer_login_service_defineProperty(this, "apiRoot", "".concat(localized.apiURL, "/admin/customers"));

    this.$cookies = $cookies;
    this.$http = $http;
    this.$window = $window;
    this.Localized = Localized;
    this.$http = $http;
    this.Localized = Localized;
  }

  customer_login_service_createClass(CustomerLoginService, [{
    key: "clearCookies",
    value: function clearCookies() {
      var _this = this;

      var cookies = ['vf.user.name', 'vf.user.email', 'vf.user.group_admin', 'vf.user.approver', 'vf.user.is-guest', 'vf.user.group', 'vf.user.remember', 'vf.user.last_login', 'vf.user.cartCount', 'vf.user.punchoutOnly', 'vf.user.mixedPunchout', 'vf.user.company', 'vf.user.defaultShippingProfile', 'vf.user.defaultBillingProfile', 'vf.user.group_id', 'vf.user.group_parent_id', 'vf.user.price_availability', 'vf.user.cost_center_is_required', 'vf.user.currentGroup_id', 'vf.cart', 'vf.auth.token', 'vf.cart.cartCount', 'force_password'];
      cookies.forEach(function (cookie) {
        _this.$cookies.remove(cookie, {
          samesite: 'none',
          secure: true,
          path: '/'
        });
      });
    }
  }, {
    key: "login",
    value: function login(id) {
      var _this2 = this;

      return this.$http.get("".concat(this.apiRoot, "/").concat(id, "/login")).then(function (response) {
        _this2.Localized.setNotifications(response.data);

        if (!response.data.errors.length) {
          _this2.isPunchoutOnly = response.data.punchout_only;

          _this2.clearCookies();

          _this2.updateCookies(response.data);
        }

        return response.data;
      });
    }
  }, {
    key: "openNewTab",
    value: function openNewTab() {
      var url = this.isPunchoutOnly ? '/welcome' : '/';
      this.$window.open(url, 'Logged In As Customer');
    }
  }, {
    key: "updateCookies",
    value: function updateCookies(data) {
      var options = {
        samesite: 'none',
        secure: true,
        path: '/'
      };
      this.$cookies.put('vf.auth.token', data.token, options);
      this.$cookies.put('vf.user.name', data.name, options);
      this.$cookies.put('vf.user.email', data.email, options);
      this.$cookies.put('vf.user.is-guest', data.guest.toString(), options);

      if (data.group) {
        this.$cookies.put('vf.user.group', JSON.stringify(data.group), options);
      }

      if (typeof data.group_admin !== 'undefined') {
        this.$cookies.put('vf.user.group_admin', data.group_admin.toString(), options);
      }

      if (typeof data.approver !== 'undefined') {
        this.$cookies.put('vf.user.approver', data.approver.toString(), options);
      }

      if (data.cart_count) {
        this.$cookies.put('vf.user.cartCount', data.cart_count.toString(), options);
      }

      if (typeof data.punchout_only !== 'undefined') {
        this.$cookies.put('vf.user.punchoutOnly', data.punchout_only.toString(), options);
      }

      if (data.company) {
        this.$cookies.put('vf.user.company', data.company, options);
      }

      if (data.default_billing_profile) {
        this.$cookies.put('vf.user.defaultBillingProfile', data.default_billing_profile.toString(), options);
      }

      if (data.default_shipping_profile) {
        this.$cookies.put('vf.user.defaultShippingProfile', data.default_shipping_profile.toString(), options);
      }

      if (data.group_id) {
        this.$cookies.put('vf.user.group_id', data.group_id.toString(), options);
        this.$cookies.put('vf.user.currentGroup_id', data.group_id.toString(), options);
      }

      if (data.group_parent_id) {
        this.$cookies.put('vf.user.group_parent_id', data.group_parent_id.toString(), options);
      }

      if (typeof data.mixed_punchout !== 'undefined') {
        this.$cookies.put('vf.user.mixedPunchout', data.mixed_punchout.toString(), options);
      }

      if (typeof data.price_availability !== 'undefined') {
        this.$cookies.put('vf.user.price_availability', data.price_availability.toString(), options);
      }

      if (typeof data.cost_center_is_required !== 'undefined') {
        this.$cookies.put('vf.user.cost_center_is_required', data.cost_center_is_required.toString(), options);
      }
    }
  }]);

  return CustomerLoginService;
}();
;// CONCATENATED MODULE: ./assets/app/dev/components/customers/customers.service.ts
function customers_service_classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function customers_service_defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function customers_service_createClass(Constructor, protoProps, staticProps) { if (protoProps) customers_service_defineProperties(Constructor.prototype, protoProps); if (staticProps) customers_service_defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

function customers_service_defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var CustomersService = /*#__PURE__*/function () {
  CustomersService.$inject = ["$http", "Localized"];

  function CustomersService($http, Localized) {
    'ngInject';

    customers_service_classCallCheck(this, CustomersService);

    customers_service_defineProperty(this, "apiRoot", "".concat(localized.apiURL, "/admin/customers"));

    this.$http = $http;
    this.Localized = Localized;
  }

  customers_service_createClass(CustomersService, [{
    key: "copy",
    value: function copy(id, data) {
      var _this = this;

      return this.$http.post("".concat(this.apiRoot, "/").concat(id, "/copy"), data).then(function (response) {
        _this.Localized.setNotifications(response.data);

        return response.data;
      });
    }
  }, {
    key: "update",
    value: function update(id, data) {
      var _this2 = this;

      return this.$http.put("".concat(this.apiRoot, "/").concat(id), data).then(function (response) {
        _this2.Localized.setNotifications(response.data);

        return response.data;
      });
    }
  }]);

  return CustomersService;
}();
;// CONCATENATED MODULE: ./assets/app/dev/components/customers/customer-send-email/customer-send-email.html
// Module
var code = "<wp-button on-click=\"$ctrl.send()\" is-loading=\"$ctrl.isLoading\">Send {{ $ctrl.emailType === 'register' ? 'Welcome' : 'Verified' }} Email</wp-button> ";
// Exports
/* harmony default export */ const customer_send_email = (code);
;// CONCATENATED MODULE: ./assets/app/dev/components/customers/customer-send-email/customer-send-email.component.ts
function customer_send_email_component_classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function customer_send_email_component_defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function customer_send_email_component_createClass(Constructor, protoProps, staticProps) { if (protoProps) customer_send_email_component_defineProperties(Constructor.prototype, protoProps); if (staticProps) customer_send_email_component_defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }


var CustomerEmailComponent = {
  bindings: {
    customerId: '<',
    emailType: '@'
  },
  template: customer_send_email,
  controller: /*#__PURE__*/function () {
    CustomerEmailsController.$inject = ["CustomerEmailService"];

    function CustomerEmailsController(CustomerEmailService) {
      'ngInject';

      customer_send_email_component_classCallCheck(this, CustomerEmailsController);

      this.CustomerEmailService = CustomerEmailService;
    }

    customer_send_email_component_createClass(CustomerEmailsController, [{
      key: "send",
      value: function send() {
        var _this = this;

        this.isLoading = true;
        this.CustomerEmailService.send(this.customerId, this.emailType).then(function () {
          _this.isLoading = false;
        });
      }
    }]);

    return CustomerEmailsController;
  }()
};
;// CONCATENATED MODULE: ./assets/app/dev/components/customers/customer-login/customer-login.html
// Module
var customer_login_code = "<wp-button on-click=\"$ctrl.login()\" is-loading=\"$ctrl.isLoading\">{{ $ctrl.isLoading ? 'Signing' : 'Sign' }} in as Customer</wp-button> ";
// Exports
/* harmony default export */ const customer_login = (customer_login_code);
;// CONCATENATED MODULE: ./assets/app/dev/components/customers/customer-login/customer-login.component.ts
function customer_login_component_classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function customer_login_component_defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function customer_login_component_createClass(Constructor, protoProps, staticProps) { if (protoProps) customer_login_component_defineProperties(Constructor.prototype, protoProps); if (staticProps) customer_login_component_defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }


var CustomerLoginComponent = {
  bindings: {
    customerId: '<'
  },
  template: customer_login,
  controller: /*#__PURE__*/function () {
    CustomerLoginController.$inject = ["CustomerLoginService"];

    function CustomerLoginController(CustomerLoginService) {
      'ngInject';

      customer_login_component_classCallCheck(this, CustomerLoginController);

      this.CustomerLoginService = CustomerLoginService;
    }

    customer_login_component_createClass(CustomerLoginController, [{
      key: "login",
      value: function login() {
        var _this = this;

        this.isLoading = true;
        this.CustomerLoginService.login(this.customerId).then(function () {
          _this.isLoading = false;

          _this.CustomerLoginService.openNewTab();
        });
      }
    }]);

    return CustomerLoginController;
  }()
};
;// CONCATENATED MODULE: ./assets/app/dev/components/customers/customer-notes/customer-notes.html
// Module
var customer_notes_code = "<wp-spinner ng-if=\"$ctrl.isLoading\"> </wp-spinner> <ul class=\"list-group mb-3\" ng-if=\"$ctrl.notes.data.length\"> <li class=\"list-group-item\" ng-repeat=\"note in $ctrl.notes.data\"> <p class=\"fs-6\">{{ note.content }}</p> <p class=\"small text-muted\"> Created {{ note.created_at | date: 'short' }} by <a ng-href=\"mailto:{{ note.admin.email }}\">{{ note.admin.name }}</a> </p> <wp-button on-delete=\"$ctrl.remove( note.id )\">Delete</wp-button> </li> </ul> <bs-pagination data=\"$ctrl.notes\" is-loading=\"$ctrl.isLoading\" ng-if=\"$ctrl.data.total\" on-change=\"$ctrl.changePage(page, rpp)\"> </bs-pagination> <form name=\"notesForm\"> <fieldset> <wp-form-field label=\"Add Note\" field=\"$ctrl.content\" type=\"textarea\" on-change=\"$ctrl.change('content', value)\"></wp-form-field> </fieldset> <wp-button on-click=\"$ctrl.save()\" is-primary=\"true\" is-loading=\"$ctrl.isSaving\">{{ $ctrl.isSaving ? 'Saving' : 'Save' }}</wp-button> </form> ";
// Exports
/* harmony default export */ const customer_notes = (customer_notes_code);
;// CONCATENATED MODULE: ./assets/app/dev/components/customers/customer-notes/customer-notes.component.ts
function customer_notes_component_classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function customer_notes_component_defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function customer_notes_component_createClass(Constructor, protoProps, staticProps) { if (protoProps) customer_notes_component_defineProperties(Constructor.prototype, protoProps); if (staticProps) customer_notes_component_defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }


var CustomerNotesComponent = {
  bindings: {
    customerId: '<'
  },
  template: customer_notes,
  controller: /*#__PURE__*/function () {
    CustomerNotesController.$inject = ["CustomerNotesService"];

    function CustomerNotesController(CustomerNotesService) {
      'ngInject';

      customer_notes_component_classCallCheck(this, CustomerNotesController);

      this.CustomerNotesService = CustomerNotesService;
    }

    customer_notes_component_createClass(CustomerNotesController, [{
      key: "$onInit",
      value: function $onInit() {
        this.params = {
          page: 1,
          rpp: 15
        };

        if (this.customerId) {
          this.queryNotes();
        }
      }
    }, {
      key: "change",
      value: function change(key, value) {
        this.content = value;
      }
    }, {
      key: "changePage",
      value: function changePage(page, rpp) {
        this.params.page = page;
        this.params.rpp = rpp;
        this.queryNotes();
      }
    }, {
      key: "queryNotes",
      value: function queryNotes() {
        var _this = this;

        this.isLoading = true;
        this.CustomerNotesService.query(this.customerId).then(function (response) {
          _this.notes = response.notes;
          _this.isLoading = false;
        });
      }
    }, {
      key: "remove",
      value: function remove(noteId) {
        var _this2 = this;

        this.CustomerNotesService.remove(this.customerId, noteId).then(function () {
          _this2.queryNotes();
        });
      }
    }, {
      key: "save",
      value: function save() {
        var _this3 = this;

        this.isSaving = true;
        var data = {
          content: this.content
        };
        this.CustomerNotesService.save(this.customerId, data).then(function () {
          _this3.content = '';
          _this3.isSaving = false;

          _this3.queryNotes();
        });
      }
    }]);

    return CustomerNotesController;
  }()
};
;// CONCATENATED MODULE: ./assets/app/dev/components/customers/customer-punchout-tab/customer-punchout-tab.html
// Module
var customer_punchout_tab_code = "<h4>Punchout</h4> <form name=\"punchoutForm\" class=\"mb-3\"> <fieldset ng-disabled=\"$ctrl.isUpdating\"> <wp-form-field description=\"Define an identity for this customer to punch in to your catalog.\" label=\"Punchin Identity\" field=\"$ctrl.customer.punchin_identity\" type=\"text\"></wp-form-field> <wp-form-field description=\"Define an identity secret for this customer to punch in to your catalog.\" label=\"Punchin Secret\" field=\"$ctrl.customer.punchin_secret\" type=\"text\"></wp-form-field> <wp-form-field description=\"Allow user to see both Punchout and non-Punchout catalogs.\" label=\"Enable Mixed Punchout\" field=\"$ctrl.customer.mixed_punchout\" type=\"checkbox\" on-change=\"$ctrl.change('mixed_punchout', value)\"></wp-form-field> <wp-form-field description=\"Performs a price and availability check on Punchout items during Checkout process.\" label=\"Enable Price Availability Check\" field=\"$ctrl.customer.price_availability\" type=\"checkbox\" on-change=\"$ctrl.change('price_availability', value)\"></wp-form-field> </fieldset> <wp-button on-click=\"$ctrl.update()\" is-primary=\"true\" is-loading=\"$ctrl.isUpdating\">{{ $ctrl.isUpdating ? 'Updating' : 'Update' }}</wp-button> </form> <h5>Punchout Suppliers</h5> <table class=\"table caption-top\" ng-if=\"$ctrl.customer.punchout_suppliers.length\"> <caption> Attached Suppliers </caption> <tbody> <tr class=\"align-center\" ng-repeat=\"supplier in $ctrl.customer.punchout_suppliers track by $index\"> <td class=\"col-sm-3\"> <img class=\"img-fluid\" ng-attr-alt=\"{{ supplier.name }}\" ng-if=\"supplier.logo\" ng-src=\"{{ supplier.logo }}\"/> </td> <td class=\"col-sm-4 align-bottom\"> <span>{{ supplier.name }}</span> </td> <td class=\"col-sm-4 text-end\"> <wp-button on-click=\"$ctrl.detachSupplier(supplier.id)\" is-loading=\"$ctrl.isDetaching[supplier.id]\">{{ $ctrl.isDetaching[supplier.id] ? 'Detaching' : 'Detach' }}</wp-button> </td> </tr> </tbody> </table> <table class=\"table caption-top\" ng-if=\"$ctrl.availableSuppliers.length\"> <caption> Available Suppliers </caption> <tbody> <tr class=\"align-center\" ng-repeat=\"supplier in $ctrl.availableSuppliers track by $index\"> <td class=\"col-sm-3\"> <img class=\"img-fluid\" ng-attr-alt=\"{{ supplier.name }}\" ng-if=\"supplier.logo\" ng-src=\"{{ supplier.logo }}\"/> </td> <td class=\"col align-bottom\"> <span>{{ supplier.name }}</span> </td> <td class=\"col-auto text-end\"> <wp-button on-click=\"$ctrl.attachSupplier( supplier.id )\" is-loading=\"$ctrl.isAttaching[ supplier.id ]\">{{ $ctrl.isAttaching[ supplier.id ] ? 'Attaching' : 'Attach' }}</wp-button> </td> </tr> </tbody> </table> ";
// Exports
/* harmony default export */ const customer_punchout_tab = (customer_punchout_tab_code);
;// CONCATENATED MODULE: ./assets/app/dev/components/customers/customer-punchout-tab/customer-punchout-tab.component.ts
function customer_punchout_tab_component_classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function customer_punchout_tab_component_defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function customer_punchout_tab_component_createClass(Constructor, protoProps, staticProps) { if (protoProps) customer_punchout_tab_component_defineProperties(Constructor.prototype, protoProps); if (staticProps) customer_punchout_tab_component_defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

function customer_punchout_tab_component_defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }


var CustomerPunchoutTabComponent = {
  template: customer_punchout_tab,
  bindings: {
    customer: '<',
    suppliers: '<'
  },
  controller: /*#__PURE__*/function () {
    CustomerPunchoutTabController.$inject = ["CustomersService"];

    function CustomerPunchoutTabController(CustomersService) {
      'ngInject';

      customer_punchout_tab_component_classCallCheck(this, CustomerPunchoutTabController);

      customer_punchout_tab_component_defineProperty(this, "isAttaching", []);

      customer_punchout_tab_component_defineProperty(this, "isDetaching", []);

      this.CustomersService = CustomersService;
    }

    customer_punchout_tab_component_createClass(CustomerPunchoutTabController, [{
      key: "$onInit",
      value: function $onInit() {
        if (this.customer.punchout_suppliers) {
          this.availableSuppliers = this.getAvailableSuppliers(this.customer.punchout_suppliers, this.suppliers);
        }
      }
    }, {
      key: "attachSupplier",
      value: function attachSupplier(id) {
        var _this = this;

        this.isAttaching[id] = true;
        var data = {
          name: this.customer.name,
          punchout_suppliers: [{
            id: id
          }]
        };
        this.CustomersService.update(this.customer.id, data).then(function (response) {
          _this.customer = response.customer;
          _this.availableSuppliers = _this.getAvailableSuppliers(_this.customer.punchout_suppliers, _this.suppliers);
          _this.isAttaching[id] = false;
        });
      }
    }, {
      key: "change",
      value: function change(key, value) {
        this.customer[key] = value;
      }
    }, {
      key: "detachSupplier",
      value: function detachSupplier(id) {
        var _this2 = this;

        this.isDetaching[id] = true;
        var data = {
          name: this.customer.name,
          punchout_suppliers: [{
            id: id,
            deleted: true
          }]
        };
        this.CustomersService.update(this.customer.id, data).then(function (response) {
          _this2.customer = response.customer;
          _this2.availableSuppliers = _this2.getAvailableSuppliers(_this2.customer.punchout_suppliers, _this2.suppliers);
          _this2.isDetaching[id] = false;
        });
      }
    }, {
      key: "getAvailableSuppliers",
      value: function getAvailableSuppliers(attachedSuppliers, suppliers) {
        var ids = attachedSuppliers.map(function (el) {
          return el.id;
        });
        return suppliers.filter(function (supplier) {
          return !ids.includes(supplier.id);
        });
      }
    }, {
      key: "update",
      value: function update() {
        var _this3 = this;

        this.isUpdating = true;
        var data = {
          name: this.customer.name,
          mixed_punchout: this.customer.mixed_punchout,
          punchout_only: this.customer.punchout_only
        };
        this.CustomersService.update(this.customer.id, data).then(function () {
          _this3.isUpdating = false;
        });
      }
    }]);

    return CustomerPunchoutTabController;
  }()
};
;// CONCATENATED MODULE: ./assets/app/dev/components/customers/customer-copy-button/customer-copy-button.html
// Module
var customer_copy_button_code = "<wp-button on-click=\"$ctrl.openModal()\">Copy to New Customer </wp-button> <div class=\"modal fade\" id=\"copyCustomerModal\" tabindex=\"-1\" aria-labelledby=\"copyCustomerModalLabel\" aria-hidden=\"true\"> <div class=\"modal-dialog\"> <div class=\"modal-content\"> <form name=\"copyCustomerForm\" ng-submit=\"$ctrl.copyCustomer()\"> <div class=\"modal-header\"> <h5 class=\"modal-title\" id=\"copyCustomerModalLabel\"> Copy to New Customer </h5> <button type=\"button\" class=\"btn-close\" data-bs-dismiss=\"modal\" aria-label=\"Close\"></button> </div> <div class=\"modal-body\"> <wp-notice-list></wp-notice-list> <div class=\"mb-3\"> <label for=\"email\" class=\"form-label\">Email address</label> <input type=\"email\" id=\"email\" autocomplete=\"email\" name=\"email\" required ng-class=\"['form-control', {\n\t\t\t\t\t\t'is-valid': copyCustomerForm.email.$valid\n\t\t\t\t\t}]\" ng-model=\"$ctrl.email\"> <div class=\"form-text\">Please email a unique email address for the copied customer. The address must not be used for an existing customer account.</div> </div> <div class=\"mb-3\"> <label for=\"tempPassword\" class=\"form-label\">Temporary Password</label> <div class=\"hstack gap-1 align-items-stretch\"> <input name=\"tempPassword\" id=\"temp-password\" autocomplete=\"new-password\" required ng-class=\"['form-control', {\n\t\t\t\t\t\t\t'is-valid': $ctrl.passwordHas.all( $ctrl.tempPassword )\n\t\t\t\t\t\t}]\" ng-model=\"$ctrl.tempPassword\" ng-attr-type=\"{{ $ctrl.isShowingPassword ? 'text' : 'password' }}\"> <button class=\"button\" type=\"button\" ng-click=\"$ctrl.isShowingPassword = !$ctrl.isShowingPassword\" ng-attr-aria-label=\"{{ $ctrl.isShowingPassword ? 'Hide password' : 'Show password' }}\"> <i aria-hidden=\"true\" ng-class=\"['bi', {\n\t\t\t\t\t\t\t\t'bi-eye-fill': !$ctrl.isShowingPassword,\n\t\t\t\t\t\t\t\t'bi-eye-slash-fill': $ctrl.isShowingPassword\n\t\t\t\t\t\t\t}]\"></i> </button> </div> <ul class=\"list-inline form-text\"> <li class=\"list-inline-item mb-0 me-0\">Your password must contain at least</li> <li ng-class=\"['list-inline-item mb-0 me-0', {\n\t\t\t\t\t\t\t'text-success': $ctrl.passwordHas.length( $ctrl.tempPassword )\n\t\t\t\t\t\t}]\">8 characters,</li> <li ng-class=\"['list-inline-item mb-0 me-0', {\n\t\t\t\t\t\t\t'text-success': $ctrl.passwordHas.symbol( $ctrl.tempPassword )\n\t\t\t\t\t\t}]\">a special character,</li> <li ng-class=\"['list-inline-item mb-0 me-0', {\n\t\t\t\t\t\t\t'text-success': $ctrl.passwordHas.number( $ctrl.tempPassword )\n\t\t\t\t\t\t}]\">a number,</li> <li ng-class=\"['list-inline-item mb-0 me-0', {\n\t\t\t\t\t\t\t'text-success': $ctrl.passwordHas.uppercase( $ctrl.tempPassword )\n\t\t\t\t\t\t}]\">a uppercase letter,</li> <li ng-class=\"['list-inline-item mb-0 me-0', {\n\t\t\t\t\t\t\t'text-success': $ctrl.passwordHas.lowercase( $ctrl.tempPassword )\n\t\t\t\t\t\t}]\">a lowercase letter.</li> </ul> </div> <div class=\"mb-3\"> <label for=\"temp-password-confirmation\" class=\"form-label\">Temporary Password Confirmation</label> <div class=\"hstack gap-1 align-items-stretch\"> <input name=\"tempPasswordConfirmation\" id=\"tempPasswordConfirmation\" autocomplete=\"new-password\" required ng-class=\"['form-control', {\n\t\t\t\t\t\t\t'is-valid': $ctrl.passwordHas.all( $ctrl.tempPassword ) &&\n\t\t\t\t\t\t\t\t$ctrl.tempPassword === $ctrl.tempPasswordConfirmation\n\t\t\t\t\t\t}]\" ng-model=\"$ctrl.tempPasswordConfirmation\" ng-attr-type=\"{{ $ctrl.isShowingPasswordConfirmation ? 'text' : 'password' }}\"> <button class=\"button\" type=\"button\" ng-click=\"$ctrl.isShowingPasswordConfirmation = !$ctrl.isShowingPasswordConfirmation\" ng-attr-aria-label=\"{{ $ctrl.isShowingPasswordConfirmation ? 'Hide password' : 'Show password' }}\"> <i aria-hidden=\"true\" ng-class=\"['bi', {\n\t\t\t\t\t\t\t\t'bi-eye-fill': !$ctrl.isShowingPasswordConfirmation,\n\t\t\t\t\t\t\t\t'bi-eye-slash-fill': $ctrl.isShowingPasswordConfirmation\n\t\t\t\t\t\t\t}]\"></i> </button> </div> <div ng-class=\"['form-text', {\n\t\t\t\t\t\t'text-success': $ctrl.passwordHas.all( $ctrl.tempPassword ) && $ctrl.tempPassword === $ctrl.tempPasswordConfirmation\n\t\t\t\t\t}]\">Please retype your temporary password for confirmation.</div> </div> </div> <div class=\"modal-footer\"> <button type=\"button\" class=\"button me-1\" data-bs-dismiss=\"modal\"> Cancel </button> <button type=\"submit\" class=\"button button-primary\" ng-disabled=\"!( copyCustomerForm.$valid &&\n\t\t\t  \t$ctrl.passwordHas.all( $ctrl.tempPassword ) &&\n\t\t\t\t$ctrl.tempPassword === $ctrl.tempPasswordConfirmation) || $ctrl.isCopying\"> {{ $ctrl.isCopying ? 'Copying' : 'Copy' }}</button> </div></form> </div> </div> </div> ";
// Exports
/* harmony default export */ const customer_copy_button = (customer_copy_button_code);
;// CONCATENATED MODULE: ./assets/app/dev/components/customers/customer-copy-button/customer-copy-button.component.ts
var _class, _temp;

function customer_copy_button_component_classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function customer_copy_button_component_defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function customer_copy_button_component_createClass(Constructor, protoProps, staticProps) { if (protoProps) customer_copy_button_component_defineProperties(Constructor.prototype, protoProps); if (staticProps) customer_copy_button_component_defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

function customer_copy_button_component_defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }


var CustomerCopyButtonComponent = {
  bindings: {
    customerId: '<',
    onCopy: '&'
  },
  template: customer_copy_button,
  controller: (_temp = _class = /*#__PURE__*/function () {
    function CustomerCopyButtonController(CustomersService) {
      var _this = this;

      customer_copy_button_component_classCallCheck(this, CustomerCopyButtonController);

      customer_copy_button_component_defineProperty(this, "passwordHas", {
        all: function all(password) {
          return _this.passwordHas.length(password) && _this.passwordHas.uppercase(password) && _this.passwordHas.lowercase(password) && _this.passwordHas.number(password) && _this.passwordHas.symbol(password);
        },
        length: function length(password) {
          return (password === null || password === void 0 ? void 0 : password.length) >= 8;
        },
        uppercase: function uppercase(password) {
          return password && RegExp('[A-Z]').test(password);
        },
        lowercase: function lowercase(password) {
          return password && RegExp('[a-z]').test(password);
        },
        number: function number(password) {
          return password && RegExp('[0-9]').test(password);
        },
        symbol: function symbol(password) {
          return password && /[ \xA0\u1680\u2000-\u200A\u2028\u2029\u202F\u205F\u3000]|(?:[\$\+<->\^`\|~\xA2-\xA6\xA8\xA9\xAC\xAE-\xB1\xB4\xB8\xD7\xF7\u02C2-\u02C5\u02D2-\u02DF\u02E5-\u02EB\u02ED\u02EF-\u02FF\u0375\u0384\u0385\u03F6\u0482\u058D-\u058F\u0606-\u0608\u060B\u060E\u060F\u06DE\u06E9\u06FD\u06FE\u07F6\u07FE\u07FF\u0888\u09F2\u09F3\u09FA\u09FB\u0AF1\u0B70\u0BF3-\u0BFA\u0C7F\u0D4F\u0D79\u0E3F\u0F01-\u0F03\u0F13\u0F15-\u0F17\u0F1A-\u0F1F\u0F34\u0F36\u0F38\u0FBE-\u0FC5\u0FC7-\u0FCC\u0FCE\u0FCF\u0FD5-\u0FD8\u109E\u109F\u1390-\u1399\u166D\u17DB\u1940\u19DE-\u19FF\u1B61-\u1B6A\u1B74-\u1B7C\u1FBD\u1FBF-\u1FC1\u1FCD-\u1FCF\u1FDD-\u1FDF\u1FED-\u1FEF\u1FFD\u1FFE\u2044\u2052\u207A-\u207C\u208A-\u208C\u20A0-\u20C0\u2100\u2101\u2103-\u2106\u2108\u2109\u2114\u2116-\u2118\u211E-\u2123\u2125\u2127\u2129\u212E\u213A\u213B\u2140-\u2144\u214A-\u214D\u214F\u218A\u218B\u2190-\u2307\u230C-\u2328\u232B-\u2426\u2440-\u244A\u249C-\u24E9\u2500-\u2767\u2794-\u27C4\u27C7-\u27E5\u27F0-\u2982\u2999-\u29D7\u29DC-\u29FB\u29FE-\u2B73\u2B76-\u2B95\u2B97-\u2BFF\u2CE5-\u2CEA\u2E50\u2E51\u2E80-\u2E99\u2E9B-\u2EF3\u2F00-\u2FD5\u2FF0-\u2FFB\u3004\u3012\u3013\u3020\u3036\u3037\u303E\u303F\u309B\u309C\u3190\u3191\u3196-\u319F\u31C0-\u31E3\u3200-\u321E\u322A-\u3247\u3250\u3260-\u327F\u328A-\u32B0\u32C0-\u33FF\u4DC0-\u4DFF\uA490-\uA4C6\uA700-\uA716\uA720\uA721\uA789\uA78A\uA828-\uA82B\uA836-\uA839\uAA77-\uAA79\uAB5B\uAB6A\uAB6B\uFB29\uFBB2-\uFBC2\uFD40-\uFD4F\uFDCF\uFDFC-\uFDFF\uFE62\uFE64-\uFE66\uFE69\uFF04\uFF0B\uFF1C-\uFF1E\uFF3E\uFF40\uFF5C\uFF5E\uFFE0-\uFFE6\uFFE8-\uFFEE\uFFFC\uFFFD]|\uD800[\uDD37-\uDD3F\uDD79-\uDD89\uDD8C-\uDD8E\uDD90-\uDD9C\uDDA0\uDDD0-\uDDFC]|\uD802[\uDC77\uDC78\uDEC8]|\uD805\uDF3F|\uD807[\uDFD5-\uDFF1]|\uD81A[\uDF3C-\uDF3F\uDF45]|\uD82F\uDC9C|\uD833[\uDF50-\uDFC3]|\uD834[\uDC00-\uDCF5\uDD00-\uDD26\uDD29-\uDD64\uDD6A-\uDD6C\uDD83\uDD84\uDD8C-\uDDA9\uDDAE-\uDDEA\uDE00-\uDE41\uDE45\uDF00-\uDF56]|\uD835[\uDEC1\uDEDB\uDEFB\uDF15\uDF35\uDF4F\uDF6F\uDF89\uDFA9\uDFC3]|\uD836[\uDC00-\uDDFF\uDE37-\uDE3A\uDE6D-\uDE74\uDE76-\uDE83\uDE85\uDE86]|\uD838[\uDD4F\uDEFF]|\uD83B[\uDCAC\uDCB0\uDD2E\uDEF0\uDEF1]|\uD83C[\uDC00-\uDC2B\uDC30-\uDC93\uDCA0-\uDCAE\uDCB1-\uDCBF\uDCC1-\uDCCF\uDCD1-\uDCF5\uDD0D-\uDDAD\uDDE6-\uDE02\uDE10-\uDE3B\uDE40-\uDE48\uDE50\uDE51\uDE60-\uDE65\uDF00-\uDFFF]|\uD83D[\uDC00-\uDED7\uDEDD-\uDEEC\uDEF0-\uDEFC\uDF00-\uDF73\uDF80-\uDFD8\uDFE0-\uDFEB\uDFF0]|\uD83E[\uDC00-\uDC0B\uDC10-\uDC47\uDC50-\uDC59\uDC60-\uDC87\uDC90-\uDCAD\uDCB0\uDCB1\uDD00-\uDE53\uDE60-\uDE6D\uDE70-\uDE74\uDE78-\uDE7C\uDE80-\uDE86\uDE90-\uDEAC\uDEB0-\uDEBA\uDEC0-\uDEC5\uDED0-\uDED9\uDEE0-\uDEE7\uDEF0-\uDEF6\uDF00-\uDF92\uDF94-\uDFCA])|(?:[!-#%-\*,-\/:;\?@\[-\]_\{\}\xA1\xA7\xAB\xB6\xB7\xBB\xBF\u037E\u0387\u055A-\u055F\u0589\u058A\u05BE\u05C0\u05C3\u05C6\u05F3\u05F4\u0609\u060A\u060C\u060D\u061B\u061D-\u061F\u066A-\u066D\u06D4\u0700-\u070D\u07F7-\u07F9\u0830-\u083E\u085E\u0964\u0965\u0970\u09FD\u0A76\u0AF0\u0C77\u0C84\u0DF4\u0E4F\u0E5A\u0E5B\u0F04-\u0F12\u0F14\u0F3A-\u0F3D\u0F85\u0FD0-\u0FD4\u0FD9\u0FDA\u104A-\u104F\u10FB\u1360-\u1368\u1400\u166E\u169B\u169C\u16EB-\u16ED\u1735\u1736\u17D4-\u17D6\u17D8-\u17DA\u1800-\u180A\u1944\u1945\u1A1E\u1A1F\u1AA0-\u1AA6\u1AA8-\u1AAD\u1B5A-\u1B60\u1B7D\u1B7E\u1BFC-\u1BFF\u1C3B-\u1C3F\u1C7E\u1C7F\u1CC0-\u1CC7\u1CD3\u2010-\u2027\u2030-\u2043\u2045-\u2051\u2053-\u205E\u207D\u207E\u208D\u208E\u2308-\u230B\u2329\u232A\u2768-\u2775\u27C5\u27C6\u27E6-\u27EF\u2983-\u2998\u29D8-\u29DB\u29FC\u29FD\u2CF9-\u2CFC\u2CFE\u2CFF\u2D70\u2E00-\u2E2E\u2E30-\u2E4F\u2E52-\u2E5D\u3001-\u3003\u3008-\u3011\u3014-\u301F\u3030\u303D\u30A0\u30FB\uA4FE\uA4FF\uA60D-\uA60F\uA673\uA67E\uA6F2-\uA6F7\uA874-\uA877\uA8CE\uA8CF\uA8F8-\uA8FA\uA8FC\uA92E\uA92F\uA95F\uA9C1-\uA9CD\uA9DE\uA9DF\uAA5C-\uAA5F\uAADE\uAADF\uAAF0\uAAF1\uABEB\uFD3E\uFD3F\uFE10-\uFE19\uFE30-\uFE52\uFE54-\uFE61\uFE63\uFE68\uFE6A\uFE6B\uFF01-\uFF03\uFF05-\uFF0A\uFF0C-\uFF0F\uFF1A\uFF1B\uFF1F\uFF20\uFF3B-\uFF3D\uFF3F\uFF5B\uFF5D\uFF5F-\uFF65]|\uD800[\uDD00-\uDD02\uDF9F\uDFD0]|\uD801\uDD6F|\uD802[\uDC57\uDD1F\uDD3F\uDE50-\uDE58\uDE7F\uDEF0-\uDEF6\uDF39-\uDF3F\uDF99-\uDF9C]|\uD803[\uDEAD\uDF55-\uDF59\uDF86-\uDF89]|\uD804[\uDC47-\uDC4D\uDCBB\uDCBC\uDCBE-\uDCC1\uDD40-\uDD43\uDD74\uDD75\uDDC5-\uDDC8\uDDCD\uDDDB\uDDDD-\uDDDF\uDE38-\uDE3D\uDEA9]|\uD805[\uDC4B-\uDC4F\uDC5A\uDC5B\uDC5D\uDCC6\uDDC1-\uDDD7\uDE41-\uDE43\uDE60-\uDE6C\uDEB9\uDF3C-\uDF3E]|\uD806[\uDC3B\uDD44-\uDD46\uDDE2\uDE3F-\uDE46\uDE9A-\uDE9C\uDE9E-\uDEA2]|\uD807[\uDC41-\uDC45\uDC70\uDC71\uDEF7\uDEF8\uDFFF]|\uD809[\uDC70-\uDC74]|\uD80B[\uDFF1\uDFF2]|\uD81A[\uDE6E\uDE6F\uDEF5\uDF37-\uDF3B\uDF44]|\uD81B[\uDE97-\uDE9A\uDFE2]|\uD82F\uDC9F|\uD836[\uDE87-\uDE8B]|\uD83A[\uDD5E\uDD5F])/.test(password);
        }
      });

      this.CustomersService = CustomersService;
      this.modal = new bootstrap.Modal(document.getElementById('copyCustomerModal'));
    }

    customer_copy_button_component_createClass(CustomerCopyButtonController, [{
      key: "copyCustomer",
      value: function copyCustomer() {
        var _this2 = this;

        this.isCopying = true;
        var data = {
          email: this.email,
          temp_password: this.tempPassword,
          temp_password_confirmation: this.tempPasswordConfirmation
        };
        this.CustomersService.copy(this.customerId, data).then(function (response) {
          _this2.isCopying = false;

          if (!response.errors.length) {
            var copiedCustomer = response.customer;

            _this2.onCopy({
              copiedCustomer: copiedCustomer
            });

            _this2.modal.hide();
          }
        });
      }
    }, {
      key: "openModal",
      value: function openModal() {
        this.modal.show();
      }
    }]);

    return CustomerCopyButtonController;
  }(), customer_copy_button_component_defineProperty(_class, "$inject", ['CustomersService']), _temp)
};
;// CONCATENATED MODULE: ./assets/app/dev/common/usStates.ts
var usStates = [{
  name: 'Alabama',
  val: 'AL'
}, {
  name: 'Alaska',
  val: 'AK'
}, {
  name: 'Arizona',
  val: 'AZ'
}, {
  name: 'Arkansas',
  val: 'AR'
}, {
  name: 'California',
  val: 'CA'
}, {
  name: 'Colorado',
  val: 'CO'
}, {
  name: 'Connecticut',
  val: 'CT'
}, {
  name: 'Delaware',
  val: 'DE'
}, {
  name: 'Florida',
  val: 'FL'
}, {
  name: 'Georgia',
  val: 'GA'
}, {
  name: 'Hawaii',
  val: 'HI'
}, {
  name: 'Idaho',
  val: 'ID'
}, {
  name: 'Illinois',
  val: 'IL'
}, {
  name: 'Indiana',
  val: 'IN'
}, {
  name: 'Iowa',
  val: 'IA'
}, {
  name: 'Kansas',
  val: 'KS'
}, {
  name: 'Kentucky',
  val: 'KY'
}, {
  name: 'Louisiana',
  val: 'LA'
}, {
  name: 'Maine',
  val: 'ME'
}, {
  name: 'Maryland',
  val: 'MD'
}, {
  name: 'Massachusetts',
  val: 'MA'
}, {
  name: 'Michigan',
  val: 'MI'
}, {
  name: 'Minnesota',
  val: 'MN'
}, {
  name: 'Mississippi',
  val: 'MS'
}, {
  name: 'Missouri',
  val: 'MO'
}, {
  name: 'Montana',
  val: 'MT'
}, {
  name: 'Nebraska',
  val: 'NE'
}, {
  name: 'Nevada',
  val: 'NV'
}, {
  name: 'New Hampshire',
  val: 'NH'
}, {
  name: 'New Jersey',
  val: 'NJ'
}, {
  name: 'New Mexico',
  val: 'NM'
}, {
  name: 'New York',
  val: 'NY'
}, {
  name: 'North Carolina',
  val: 'NC'
}, {
  name: 'North Dakota',
  val: 'ND'
}, {
  name: 'Ohio',
  val: 'OH'
}, {
  name: 'Oklahoma',
  val: 'OK'
}, {
  name: 'Oregon',
  val: 'OR'
}, {
  name: 'Pennsylvania',
  val: 'PA'
}, {
  name: 'Rhode Island',
  val: 'RI'
}, {
  name: 'South Carolina',
  val: 'SC'
}, {
  name: 'South Dakota',
  val: 'SD'
}, {
  name: 'Tennessee',
  val: 'TN'
}, {
  name: 'Texas',
  val: 'TX'
}, {
  name: 'Utah',
  val: 'UT'
}, {
  name: 'Vermont',
  val: 'VT'
}, {
  name: 'Virgin Islands',
  val: 'VI'
}, {
  name: 'Virginia',
  val: 'VA'
}, {
  name: 'Washington',
  val: 'WA'
}, {
  name: 'West Virginia',
  val: 'WV'
}, {
  name: 'Wisconsin',
  val: 'WI'
}, {
  name: 'Wyoming',
  val: 'WY'
}];
;// CONCATENATED MODULE: ./assets/app/dev/components/customers/customer-address-modal/customer-address-modal.html
// Module
var customer_address_modal_code = "<div class=\"modal-header justify-content-start align-items-center\"> <h3 class=\"h5 modal-title text-capitalize mr-2\" id=\"modal-title\"> {{ $ctrl.key }} Addresses </h3> <button class=\"btn btn-secondary\" ng-click=\"$ctrl.add()\" ng-disabled=\"$ctrl.isAdding\"> Add New </button> </div> <div class=\"modal-body\" id=\"modal-body\"> <wp-spinner type=\"2x\" ng-show=\"$ctrl.isLoading\"> </wp-spinner> <form ng-hide=\"$ctrl.isLoading || $ctrl.isAdding || $ctrl.isEditing\"> <p class=\"search-box\"> <label class=\"screen-reader-text\" for=\"address-filter-input\">Filter Addresses:</label> <input type=\"search\" id=\"address-filter-input\" ng-model=\"$ctrl.q\"/> <input type=\"submit\" id=\"search-submit\" class=\"btn btn-secondary\" value=\"Filter Addresses\"/> </p> <div class=\"tablenav top\"> <div class=\"tablenav-pages\"> <span class=\"displaying-num\"> {{ $ctrl.addresses.length }} items </span> </div> </div> <table class=\"wp-list-table widefat striped table-view-list\"> <thead> <tr> <th scope=\"col\">Profile Name</th> <th scope=\"col\">Recipient</th> <th scope=\"col\">Email</th> <th scope=\"col\">Phone</th> </tr> </thead> <tbody> <tr ng-repeat=\"item in $ctrl.addresses | filter:$ctrl.q track by $index\"> <td> {{ item.billing_name ? item.billing_name : item.shipping_name ? item.shipping_name : '&mdash;' }} </td> <td class=\"has-row-actions column-primary\"> <strong ng-if=\"item.first_name || item.last_name\"> {{ item.first_name }} {{ item.last_name }}<br/> </strong> {{ item.address1 }}<br ng-if=\"item.address2\"/> {{ item.address2 }}<br/> {{ item.city }}, {{ item.state }} {{ item.zip }} <div class=\"row-actions\"> <span class=\"edit\"> <a href=\"#\" ng-click=\"$ctrl.edit($event, item)\"> Edit </a> </span> | <span class=\"trash\"> <a href=\"#\" ng-click=\"$event.preventDefault(); $ctrl.isConfirmingDeletion[ $index ] = true\" ng-hide=\"$ctrl.isConfirmingDeletion[ $index ]\"> Delete </a> <span ng-if=\"$ctrl.isConfirmingDeletion[ $index ]\"> <span class=\"text-muted\">Delete this?</span> <a href=\"#\" class=\"text-dark\" ng-click=\"$event.preventDefault(); $ctrl.isConfirmingDeletion[ $index ] = false\"> Cancel </a> | <a href=\"#\" ng-click=\"$ctrl.trash($event, item)\"> <strong> {{ $ctrl.isDeleting ? 'Deleting' : 'Delete' }} </strong> </a> </span> </span> </div> </td> <td> <a ng-href=\"{{ 'mailto:' + item.email }}\" ng-if=\"item.email\"> {{ item.email }} </a> <span ng-if=\"!item.email\"> &mdash; </span> </td> <td> <span ng-if=\"item.phone\"> {{ item.phone | tel }} </span> <span ng-if=\"!item.phone\"> &mdash; </span> </td> </tr> <tr ng-if=\"!$ctrl.addresses.length\"> <td colspan=\"4\">No {{ $ctrl.key }} profiles created yet.</td> </tr> </tbody> </table> </form> <form name=\"form\" ng-if=\"$ctrl.isAdding || $ctrl.isEditing\" ng-hide=\"$ctrl.isLoading\"> <h4 class=\"h6 text-capitalize\"> {{ $ctrl.isAdding ? 'Add' : 'Edit' }} {{ $ctrl.key }} Address </h4> <table class=\"form-table\" role=\"presentation\"> <tbody> <tr> <th> <label class=\"form-label\" for=\"profile\"> Profile Name </label> </th> <td> <input class=\"regular-text\" id=\"profile\" name=\"profile\" type=\"text\" maxlength=\"250\" ng-model=\"$ctrl.address[ $ctrl.key + '_name' ]\"/> </td> </tr> <tr> <th> <label class=\"form-label\" for=\"first_name\"> First Name </label> </th> <td> <input class=\"regular-text\" id=\"first_name\" name=\"first_name\" type=\"text\" autocomplete=\"given-name\" maxlength=\"250\" ng-model=\"$ctrl.address.first_name\"/> </td> </tr> <tr> <th> <label class=\"form-label\" for=\"last_name\"> Last Name </label> </th> <td> <input class=\"regular-text\" id=\"last_name\" name=\"last_name\" type=\"text\" autocomplete=\"family-name\" ng-model=\"$ctrl.address.last_name\"/> </td> </tr> <tr> <th> <label class=\"form-label\" for=\"email\"> Email </label> </th> <td> <input class=\"regular-text\" id=\"email\" name=\"email\" type=\"email\" autocomplete=\"email\" maxlength=\"250\" ng-model=\"$ctrl.address.email\"/> </td> </tr> <tr> <th> <label class=\"form-label\" for=\"phone\"> Phone </label> </th> <td> <input class=\"regular-text\" id=\"phone\" name=\"phone\" type=\"tel\" autocomplete=\"tel\" ng-model=\"$ctrl.address.phone\" tel-input maxlength=\"14\"/> </td> </tr> <tr> <th> <label class=\"form-label\" for=\"address1\"> Street Address <span class=\"description\">(required)</span> </label> </th> <td> <input class=\"regular-text\" id=\"address1\" name=\"address1\" type=\"text\" required autocomplete=\"street-address\" maxlength=\"250\" ng-model=\"$ctrl.address.address1\"/> </td> </tr> <tr> <th> <label class=\"form-label\" for=\"address2\"> Apt., Suite, etc. </label> </th> <td> <input class=\"regular-text\" id=\"address2\" name=\"address2\" type=\"text\" ng-model=\"$ctrl.address.address2\"/> </td> </tr> <tr> <th> <label class=\"form-label\" for=\"city\"> City <span class=\"description\">(required)</span> </label> </th> <td> <input id=\"city\" name=\"city\" type=\"text\" autocomplete=\"address-level2\" required ng-model=\"$ctrl.address.city\"/> </td> </tr> <tr> <th> <label class=\"form-label\" for=\"state\"> State <span class=\"description\">(required)</span> </label> </th> <td> <select name=\"state\" id=\"state\" required ng-model=\"$ctrl.address.state\" ng-options=\"state.val as state.name for state in $ctrl.usStates\"> <option value=\"\" hidden disabled=\"disabled\">Select a State</option> </select> </td> </tr> <tr> <th> <label class=\"form-label\" for=\"zip\"> Zip <span class=\"description\">(required)</span> </label> </th> <td> <input id=\"zip\" name=\"zip\" type=\"text\" autocomplete=\"postal-code\" required maxlength=\"10\" ng-model=\"$ctrl.address.zip\"/> </td> </tr> </tbody> </table> <div class=\"d-flex justify-content-end\"> <button class=\"btn btn-primary\" ng-show=\"$ctrl.isAdding\" ng-click=\"$ctrl.create()\" ng-disabled=\"$ctrl.isCreating || form.$pristine || form.$invalid\"> <wp-spinner type=\"loading\" ng-show=\"$ctrl.isCreating\"> </wp-spinner> {{ $ctrl.isCreating ? 'Adding' : 'Add' }} New Address </button> <button class=\"btn btn-primary\" ng-show=\"$ctrl.isEditing\" ng-click=\"$ctrl.update()\" ng-disabled=\"$ctrl.isUpdating || form.$pristine || form.$invalid\"> <wp-spinner type=\"loading\" ng-show=\"$ctrl.isUpdating\"> </wp-spinner> {{ $ctrl.isUpdating ? 'Updating' : 'Update' }} Address </button> <button class=\"btn btn-outline-danger border-0 ml-1\" ng-show=\"$ctrl.isEditing\" ng-click=\"$ctrl.trash($event, $ctrl.address)\" ng-disabled=\"$ctrl.isUpdating || $ctrl.isDeleting\"> <wp-spinner type=\"loading\" ng-show=\"$ctrl.isDeleting\"> </wp-spinner> {{ $ctrl.isDeleting ? 'Deleting' : 'Delete' }} </button> <button class=\"btn btn-secondary ml-1\" ng-show=\"$ctrl.isAdding || $ctrl.isEditing\" ng-click=\"$ctrl.cancel()\" ng-disabled=\"$ctrl.isCreating || $ctrl.isUpdating || $ctrl.isDeleting\"> Cancel </button> </div> </form> </div> <div class=\"modal-footer\" ng-hide=\"$ctrl.isAdding || $ctrl.isEditing\"> <button class=\"btn btn-primary\" type=\"button\" ng-click=\"$ctrl.ok()\"> Close </button> </div> ";
// Exports
/* harmony default export */ const customer_address_modal = (customer_address_modal_code);
;// CONCATENATED MODULE: ./assets/app/dev/components/customers/customer-address-modal/customer-address-modal.component.ts
var customer_address_modal_component_class, customer_address_modal_component_temp;

function customer_address_modal_component_classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function customer_address_modal_component_defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function customer_address_modal_component_createClass(Constructor, protoProps, staticProps) { if (protoProps) customer_address_modal_component_defineProperties(Constructor.prototype, protoProps); if (staticProps) customer_address_modal_component_defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

function customer_address_modal_component_defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }



var CustomerAddressModalComponent = {
  bindings: {
    resolve: '<',
    close: '&',
    dismiss: '&'
  },
  template: customer_address_modal,
  controller: (customer_address_modal_component_temp = customer_address_modal_component_class = /*#__PURE__*/function () {
    function CustomerAddressModalController(Debug, Localized, Utils) {
      customer_address_modal_component_classCallCheck(this, CustomerAddressModalController);

      this.Debug = Debug;
      this.Localized = Localized;
      this.Utils = Utils;
      this.usStates = usStates;
    }

    customer_address_modal_component_createClass(CustomerAddressModalController, [{
      key: "$onInit",
      value: function $onInit() {
        this.key = this.resolve.key;
        this.customerId = this.resolve.customerId;
        this.getData();
      }
    }, {
      key: "add",
      value: function add() {
        this.address = {};
        this.isAdding = true;
        this.isEditing = false;
      }
    }, {
      key: "cancel",
      value: function cancel() {
        this.isAdding = false;
        this.isEditing = false;
        this.address = {};
      }
    }, {
      key: "create",
      value: function create() {
        var _this = this;

        this.isCreating = true;
        var endpoint = "".concat(this.Localized.apiURL, "/admin/customers/").concat(this.customerId, "/addresses/").concat(this.key, "/");
        var params = {};
        var data = this.address;
        this.Utils.httpPost(endpoint, params, data).then(function () {
          _this.isCreating = false;
          _this.isAdding = false;

          _this.getData();
        });
      }
    }, {
      key: "edit",
      value: function edit(e, address) {
        e.preventDefault();
        this.address = address;
        this.isEditing = true;
        this.isAdding = false;
      }
    }, {
      key: "trash",
      value: function trash(e, address) {
        var _this2 = this;

        this.isDeleting = true;
        e.preventDefault();
        var id = address[this.key + '_id'];
        var endpoint = "".concat(this.Localized.apiURL, "/admin/customers/").concat(this.customerId, "/addresses/").concat(this.key, "/").concat(id);
        this.Utils.httpDelete(endpoint).then(function () {
          _this2.address = {};
          _this2.isEditing = false;
          _this2.isDeleting = false;

          _this2.getData();
        });
      }
    }, {
      key: "getData",
      value: function getData() {
        var _this3 = this;

        this.isLoading = true;
        var endpoint = "".concat(this.Localized.apiURL, "/admin/customers/").concat(this.customerId, "/addresses/").concat(this.key);
        this.Utils.httpGet(endpoint).then(function (response) {
          _this3.addresses = Object.values(response["".concat(_this3.key, "_addresses")]);
        })["catch"](function (error) {
          _this3.Debug.error(error);
        })["finally"](function () {
          _this3.isLoading = false;
        });
      }
    }, {
      key: "ok",
      value: function ok() {
        this.close({
          $value: 'close'
        });
      }
    }, {
      key: "update",
      value: function update() {
        var _this4 = this;

        this.isUpdating = true;
        var id = this.address[this.key + '_id'];
        var endpoint = "".concat(this.Localized.apiURL, "/admin/customers/").concat(this.customerId, "/addresses/").concat(this.key, "/").concat(id);
        var params = {};
        var data = this.address;
        this.Utils.httpPut(endpoint, params, data).then(function () {
          _this4.isUpdating = false;
          _this4.isEditing = false;

          _this4.getData();
        });
      }
    }]);

    return CustomerAddressModalController;
  }(), customer_address_modal_component_defineProperty(customer_address_modal_component_class, "$inject", ['Debug', 'Localized', 'Utils']), customer_address_modal_component_temp)
};
;// CONCATENATED MODULE: ./assets/app/dev/components/customers/customers.module.ts










var CustomersModule = angular.module('CustomersModule', []).service('CustomerEmailService', CustomerEmailService).service('CustomerLoginService', CustomerLoginService).service('CustomerNotesService', CustomerNotesService).service('CustomersService', CustomersService).component('customerAddressModal', CustomerAddressModalComponent).component('customerCopyButton', CustomerCopyButtonComponent).component('customerLogin', CustomerLoginComponent).component('customerNotes', CustomerNotesComponent).component('customerSendEmail', CustomerEmailComponent).component('customerPunchoutTab', CustomerPunchoutTabComponent).name;
;// CONCATENATED MODULE: ./assets/app/dev/components/dashboard/dashboard.module.ts
var DashboardModule = angular.module('DashboardModule', []).name;
;// CONCATENATED MODULE: ./assets/app/dev/components/manufacturers/manufacturers.module.ts
var ManufacturersModule = angular.module('ManufacturersModule', []).name;
;// CONCATENATED MODULE: ./assets/app/dev/components/orders/orders-index/orders-index.html
// Module
var orders_index_code = "<div class=\"d-flex justify-content-between mb-3\"> <h2>Orders</h2> <a class=\"btn btn-secondary btn-sm\" ui-sref=\"orders.tracking\"> Order Tracking </a> </div> <vf-check-auth></vf-check-auth> <wp-notice-list></wp-notice-list> <bs-search-box filter-fields=\"$ctrl.filterFields\" is-loading=\"$ctrl.isLoading\" is-showing-filters=\"true\" q=\"$ctrl.params.q\" on-submit=\"$ctrl.changeQuery(q, filterFields)\"> </bs-search-box> <wp-spinner type=\"2x\" ng-show=\"$ctrl.isLoading\"> </wp-spinner> <div ng-if=\"!$ctrl.isLoading\"> <table class=\"table table-hover\"> <thead> <tr> <th class=\"col-1\"> <bs-table-sortable label=\"ID\" field=\"order_id\" params=\"$ctrl.params\" on-click=\"$ctrl.changeSort(sortBy, sortType)\"> </bs-table-sortable> </th> <th class=\"col-2\"> <bs-table-sortable label=\"Status\" field=\"status\" params=\"$ctrl.params\" on-click=\"$ctrl.changeSort(sortBy, sortType)\"> </bs-table-sortable> </th> <th class=\"col-3\"> <bs-table-sortable label=\"Email\" field=\"email\" params=\"$ctrl.params\" on-click=\"$ctrl.changeSort(sortBy, sortType)\"> </bs-table-sortable> </th> <th class=\"col-3\"> <bs-table-sortable label=\"First\" field=\"first_name\" params=\"$ctrl.params\" on-click=\"$ctrl.changeSort(sortBy, sortType)\"> </bs-table-sortable> / <bs-table-sortable label=\"Last\" field=\"last_name\" params=\"$ctrl.params\" on-click=\"$ctrl.changeSort(sortBy, sortType)\"> </bs-table-sortable> </th> <th class=\"col-3 text-end\"> <bs-table-sortable label=\"Date\" field=\"order_date\" params=\"$ctrl.params\" on-click=\"$ctrl.changeSort(sortBy, sortType)\"> </bs-table-sortable> </th> </tr> </thead> <tbody> <tr class=\"table-warning text-center\" ng-if=\"!$ctrl.orders.data.length && !$ctrl.isLoadingMore\"> <td colspan=\"5\"> No Order(s) <span ng-if=\"$ctrl.params.q.length >= 1\">matching '{{ $ctrl.params.q }}'</span> found. </td> </tr> <tr class=\"cursor-pointer\" ng-if=\"!$ctrl.isLoadingMore\" ng-click=\"$ctrl.clickOrder(order.order_id)\" ng-repeat=\"order in $ctrl.orders.data track by $index\"> <td>{{ order.order_id }}</td> <td> <span ng-class=\"['badge text-capitalize', {\n\t\t\t\t\t\t'bg-primary': order.status === 'created',\n\t\t\t\t\t\t'bg-secondary': order.status === 'pending' || order.status === 'pending-approval',\n\t\t\t\t\t\t'bg-success': order.status === 'completed',\n\t\t\t\t\t\t'bg-danger': order.status === 'canceled',\n\t\t\t\t\t\t}]\"> {{ order.status }} </span> </td> <td>{{order.email}}</td> <td>{{order.first_name}} {{order.last_name}}</td> <td class=\"text-end\">{{ order.order_date | date: 'short' }}</td> </tr> </tbody> </table> <wp-spinner type=\"2x\" ng-show=\"$ctrl.isLoadingMore\"> </wp-spinner> </div> <bs-pagination data=\"$ctrl.orders\" is-loading=\"$ctrl.isLoading\" on-change=\"$ctrl.changePage(page, rpp)\"> </bs-pagination> ";
// Exports
/* harmony default export */ const orders_index = (orders_index_code);
;// CONCATENATED MODULE: ./assets/app/dev/components/orders/orders-index/orders-index.component.ts
var orders_index_component_class, orders_index_component_temp;

function orders_index_component_classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function orders_index_component_defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function orders_index_component_createClass(Constructor, protoProps, staticProps) { if (protoProps) orders_index_component_defineProperties(Constructor.prototype, protoProps); if (staticProps) orders_index_component_defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

function orders_index_component_defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }


// eslint-disable-next-line no-shadow
var Status;

(function (Status) {
  Status["Created"] = "created";
  Status["Pending"] = "pending";
  Status["Completed"] = "completed";
  Status["Canceled"] = "canceled";
})(Status || (Status = {}));

var OrdersIndexComponent = {
  template: orders_index,
  controller: (orders_index_component_temp = orders_index_component_class = /*#__PURE__*/function () {
    function OrdersIndexController($rootScope, $state, OrdersService) {
      orders_index_component_classCallCheck(this, OrdersIndexController);

      orders_index_component_defineProperty(this, "isLoading", true);

      orders_index_component_defineProperty(this, "filterFields", [{
        label: 'Order Prefix',
        field: 'order_prefix'
      }, {
        label: 'Status',
        field: 'status',
        options: Status,
        term: Status.Completed
      }]);

      orders_index_component_defineProperty(this, "params", {
        page: 1,
        sortBy: 'order_id',
        sortType: 'desc'
      });

      orders_index_component_defineProperty(this, "rppValues", [15, 30, 50, 100]);

      orders_index_component_defineProperty(this, "searchParams", {
        q: '',
        sortBy: '',
        sortType: '',
        rpp: this.rppValues[0]
      });

      this.$rootScope = $rootScope;
      this.$state = $state;
      this.OrdersService = OrdersService;
      this.$rootScope.breadcrumbs = [{
        name: 'Orders',
        state: 'orders.index'
      }];
    }

    orders_index_component_createClass(OrdersIndexController, [{
      key: "$onInit",
      value: function $onInit() {
        // Set initial status filter to Completed
        this.params.filters = [{
          field: 'status',
          term: Status.Completed
        }];
        this.queryOrders();
      }
    }, {
      key: "changeQuery",
      value: function changeQuery(q, filterFields) {
        // Update q or delete from params
        if (q) {
          this.params.q = q;
        } else {
          delete this.params.q;
        } // Update filters or delete from params


        var activeFilters = filterFields.filter(function (filter) {
          return filter.term;
        });

        if (activeFilters.length) {
          this.params.filters = activeFilters.map(function (filter) {
            return {
              field: filter.field,
              term: filter.term
            };
          });
        } else if ('filters' in this.params) {
          delete this.params.filters;
        } // Reset page to 1 whenever query changes.


        this.params.page = 1;
        this.queryOrders();
      }
    }, {
      key: "queryOrders",
      value: function queryOrders() {
        var _this = this;

        this.isLoading = true;
        var params = this.params;
        this.OrdersService.query(params).then(function (response) {
          return response.data;
        }).then(function (data) {
          _this.orders = data.orders;
          _this.isLoading = false;
        });
      }
    }, {
      key: "clickOrder",
      value: function clickOrder(id) {
        this.$state.go('orders.show', {
          id: id
        });
      }
    }, {
      key: "changeSort",
      value: function changeSort(sortBy, sortType) {
        this.params.sortBy = sortBy;
        this.params.sortType = sortType;
        this.queryOrders();
      }
    }, {
      key: "changePage",
      value: function changePage(page, rpp) {
        this.params.page = page;
        this.params.rpp = rpp;
        this.queryOrders();
      }
    }]);

    return OrdersIndexController;
  }(), orders_index_component_defineProperty(orders_index_component_class, "$inject", ['$rootScope', '$state', 'OrdersService']), orders_index_component_temp)
};
;// CONCATENATED MODULE: ./assets/app/dev/components/orders/orders.service.ts
function orders_service_classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function orders_service_defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function orders_service_createClass(Constructor, protoProps, staticProps) { if (protoProps) orders_service_defineProperties(Constructor.prototype, protoProps); if (staticProps) orders_service_defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

function orders_service_defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var OrdersService = /*#__PURE__*/function () {
  function OrdersService($http) {
    orders_service_classCallCheck(this, OrdersService);

    orders_service_defineProperty(this, "apiRoot", "".concat(localized.apiURL, "/admin/orders/"));

    this.$http = $http;
  }

  orders_service_createClass(OrdersService, [{
    key: "query",
    value: function query(params) {
      return this.$http.get(this.apiRoot, {
        params: params,
        paramSerializer: '$httpParamSerializerJQLike'
      });
    }
  }, {
    key: "get",
    value: function get(id, params) {
      return this.$http.get(this.apiRoot + '/' + id, {
        params: params
      });
    }
  }, {
    key: "save",
    value: function save(data) {
      return this.$http.post(this.apiRoot, data);
    }
  }, {
    key: "update",
    value: function update(data) {
      return this.$http.put(this.apiRoot + '/' + data.id, data);
    }
  }, {
    key: "remove",
    value: function remove(data) {
      return this.$http["delete"](this.apiRoot + '/' + data.id);
    }
  }]);

  return OrdersService;
}();

orders_service_defineProperty(OrdersService, "$inject", ['$http']);
;// CONCATENATED MODULE: ./assets/app/dev/components/orders/orders.module.ts


var OrdersModule = angular.module('OrdersModule', []).service('OrdersService', OrdersService).component('ordersIndex', OrdersIndexComponent).name;
;// CONCATENATED MODULE: ./assets/app/dev/components/products/products.module.ts
var ProductsModule = angular.module('ProductsModule', []).name;
;// CONCATENATED MODULE: ./assets/app/dev/components/promo-codes/promo-codes.service.ts
function promo_codes_service_classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function promo_codes_service_defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function promo_codes_service_createClass(Constructor, protoProps, staticProps) { if (protoProps) promo_codes_service_defineProperties(Constructor.prototype, protoProps); if (staticProps) promo_codes_service_defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

function promo_codes_service_defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var PromoCodesService = /*#__PURE__*/function () {
  PromoCodesService.$inject = ["$http", "Localized"];

  function PromoCodesService($http, Localized) {
    'ngInject';

    promo_codes_service_classCallCheck(this, PromoCodesService);

    promo_codes_service_defineProperty(this, "apiRoot", "".concat(localized.apiURL, "/admin/promo-codes"));

    this.$http = $http;
    this.Localized = Localized;
  }

  promo_codes_service_createClass(PromoCodesService, [{
    key: "delete",
    value: function _delete(id) {
      var _this = this;

      return this.$http["delete"]("".concat(this.apiRoot, "/").concat(id)).then(function (response) {
        _this.Localized.setNotifications(response.data);
      });
    }
  }, {
    key: "get",
    value: function get(id) {
      var _this2 = this;

      return this.$http.get("".concat(this.apiRoot, "/").concat(id)).then(function (response) {
        _this2.Localized.setNotifications(response.data);

        if (!response.data.errors.length) {
          return response.data;
        }
      });
    }
  }, {
    key: "query",
    value: function query(params) {
      var _this3 = this;

      return this.$http.get(this.apiRoot, {
        params: params
      }).then(function (response) {
        _this3.Localized.setNotifications(response.data);

        if (!response.data.errors.length) {
          return response.data;
        }
      });
    }
  }, {
    key: "save",
    value: function save(data) {
      var _this4 = this;

      return this.$http.post(this.apiRoot, data).then(function (response) {
        _this4.Localized.setNotifications(response.data);

        return response.data;
      });
    }
  }, {
    key: "update",
    value: function update(id, data) {
      var _this5 = this;

      return this.$http.put("".concat(this.apiRoot, "/").concat(id), data).then(function (response) {
        _this5.Localized.setNotifications(response.data);
      });
    }
  }]);

  return PromoCodesService;
}();
;// CONCATENATED MODULE: ./assets/app/dev/components/promo-codes/promo-codes.module.ts

var PromoCodesModule = angular.module('PromoCodesModule', []).service('PromoCodesService', PromoCodesService).name;
;// CONCATENATED MODULE: ./assets/app/dev/components/punchout/punchout.module.ts
var PunchoutModule = angular.module('PunchoutModule', []).name;
;// CONCATENATED MODULE: ./assets/app/dev/components/purchasing/purchasing.module.ts
var PurchasingModule = angular.module('PurchasingModule', []).name;
;// CONCATENATED MODULE: ./assets/app/dev/components/settings/settings-mapping/settings-mapping.service.ts
function settings_mapping_service_classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function settings_mapping_service_defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function settings_mapping_service_createClass(Constructor, protoProps, staticProps) { if (protoProps) settings_mapping_service_defineProperties(Constructor.prototype, protoProps); if (staticProps) settings_mapping_service_defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

function settings_mapping_service_defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var SettingsMappingService = /*#__PURE__*/function () {
  function SettingsMappingService($http, Localized) {
    settings_mapping_service_classCallCheck(this, SettingsMappingService);

    this.$http = $http;
    this.Localized = Localized;
    this.url = "".concat(Localized.wpRestUrl, "/vendorfuel/pages");
  }

  settings_mapping_service_createClass(SettingsMappingService, [{
    key: "get",
    value: function get() {
      return this.$http.get(this.url).then(function (response) {
        return response.data;
      });
    }
  }, {
    key: "update",
    value: function update(data) {
      var _this = this;

      return this.$http.post(this.url, data).then(function (response) {
        // Manually set a notification since the WP Rest API won't return a success message.
        if (response.status === 200) {
          _this.Localized.setNotification({
            type: 'success',
            message: 'Page mapping updated.'
          });
        }
      });
    }
  }]);

  return SettingsMappingService;
}();

settings_mapping_service_defineProperty(SettingsMappingService, "$inject", ['$http', 'Localized']);
;// CONCATENATED MODULE: ./assets/app/dev/components/settings/settings-mapping/settings-mapping.html
// Module
var settings_mapping_code = "<wp-spinner type=\"2x\" ng-show=\"$ctrl.isLoading\"> </wp-spinner> <form name=\"settingsMappingform\" ng-hide=\"$ctrl.isLoading\"> <fieldset ng-disabled=\"$ctrl.isUpdating\"> <legend>Page Link Mapping</legend> <p> VendorFuel uses special keys (e.g. account, cart) that are dynamically mapped to pages in WordPress in order to handle various e-commerce functions. If you want to have a key point to another page, you can select a different page to be mapped to that particular key and then click the Update button below. </p> <p> Note: Updating these mapped pages will not affect your permalinks settings. Also, you can update a mapped page's title and slug without affecting the map. </p> <div class=\"row g-2\" ng-repeat=\"(key, value) in $ctrl.map track by $index\"> <div class=\"col mb-3\"> <input type=\"text\" class=\"form-control\" aria-label=\"Key\" ng-attr-id=\"{{ key }}\" ng-attr-name=\"{{ 'key' + $index }}\" ng-model=\"value.template\" ng-pattern=\"$ctrl.pattern\" required/> <div class=\"form-text\" ng-if=\"settingsMappingform[ 'key' + $index ].$invalid\"> Please enter a key name, using lowercase letters and no spaces or special characters. </div> </div> <div class=\"col\"> <select class=\"form-select\" aria-label=\"Default select example\" ng-model=\"value.url\" ng-attr-name=\"{{ 'template' + $index }}\" required> <option ng-repeat=\"item in $ctrl.pages\" ng-value=\"item.url\" ng-if=\"item.title\"> {{ item.title }} </option> </select> <div class=\"form-text\" ng-if=\"settingsMappingform[ 'template' + $index ].$invalid\"> Please select a template to map to this key. </div> </div> </div> </fieldset> <wp-button is-disabled=\"settingsMappingform.$invalid\" is-primary=\"true\" on-click=\"$ctrl.update($ctrl.map)\" is-loading=\"$ctrl.isUpdating\"> {{ $ctrl.isUpdating ? 'Updating' : 'Update' }} </wp-button> <button type=\"button\" class=\"button\" ng-click=\"$ctrl.isAddingKey = true\" ng-hide=\"$ctrl.isAddingKey\"> Add New Key </button> </form> <form class=\"mt-3\" name=\"newKeyForm\" ng-if=\"$ctrl.isAddingKey\"> <fieldset> <legend>New Template Key</legend> <div class=\"row g-2\"> <div class=\"col mb-3\"> <input type=\"text\" class=\"form-control\" aria-label=\"Key\" id=\"key\" name=\"key\" ng-model=\"$ctrl.newKey.key\" ng-pattern=\"$ctrl.pattern\" required/> <div class=\"form-text\" ng-if=\"newKeyForm.key.$invalid\"> Please enter a key name, using lowercase letters and no spaces or special characters. </div> </div> <div class=\"col\"> <select class=\"form-select\" aria-label=\"Page\" ng-model=\"$ctrl.newKey.value\" name=\"value\" required> <option ng-repeat=\"item in $ctrl.pages\" ng-value=\"item\" ng-if=\"item.title\"> {{ item.title }} </option> </select> <div class=\"form-text\" ng-if=\"newKeyForm.value.$invalid\"> Please select a template to map to this key. </div> </div> <div class=\"col-auto\"> <button class=\"button button-primary\" ng-disabled=\"newKeyForm.$invalid\" ng-click=\"$ctrl.addKey( $ctrl.newKey.key, $ctrl.newKey.value )\"> Save </button> </div> </div> </fieldset> </form> ";
// Exports
/* harmony default export */ const settings_mapping = (settings_mapping_code);
;// CONCATENATED MODULE: ./assets/app/dev/components/settings/settings-mapping/settings-mapping.component.ts
var settings_mapping_component_class, settings_mapping_component_temp;

function settings_mapping_component_classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function settings_mapping_component_defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function settings_mapping_component_createClass(Constructor, protoProps, staticProps) { if (protoProps) settings_mapping_component_defineProperties(Constructor.prototype, protoProps); if (staticProps) settings_mapping_component_defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

function settings_mapping_component_defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }


var SettingsMappingComponent = {
  template: settings_mapping,
  controller: (settings_mapping_component_temp = settings_mapping_component_class = /*#__PURE__*/function () {
    function SettingsMappingController(SettingsMappingService) {
      settings_mapping_component_classCallCheck(this, SettingsMappingController);

      settings_mapping_component_defineProperty(this, "lockedKeys", ['account', 'addresses', 'cart', 'catalog', 'checkout', 'favorites', 'forgot-password', 'group-account', 'group-orders', 'login', 'order-by-sku', 'orders', 'product-detail', 'punchout-return', 'register', 'reset-password', 'saved-cart', 'saved-carts', 'view-order']);

      settings_mapping_component_defineProperty(this, "isConfirmingDeletion", []);

      this.SettingsMappingService = SettingsMappingService;
      this.pattern = new RegExp('^[a-z\\-]*$');
    }

    settings_mapping_component_createClass(SettingsMappingController, [{
      key: "$onInit",
      value: function $onInit() {
        this.resetNewKey();
        this.getData();
      }
    }, {
      key: "addKey",
      value: function addKey(key, value) {
        this.map[key] = {
          id: value.id,
          url: value.url,
          title: value.title,
          template: key
        };
        this.isAddingKey = false;
        this.resetNewKey();
      }
    }, {
      key: "getData",
      value: function getData() {
        var _this = this;

        this.isLoading = true;
        this.SettingsMappingService.get().then(function (response) {
          _this.map = response[0];
          _this.pages = response[1];
          _this.isLoading = false;
        });
      }
    }, {
      key: "resetNewKey",
      value: function resetNewKey() {
        this.newKey = {
          key: '',
          value: null
        };
      }
    }, {
      key: "update",
      value: function update(newMap) {
        var _this2 = this;

        this.isUpdating = true;
        var data = {
          map: JSON.stringify(newMap)
        };
        this.SettingsMappingService.update(data).then(function () {
          _this2.isUpdating = false;

          _this2.getData();
        });
      }
    }]);

    return SettingsMappingController;
  }(), settings_mapping_component_defineProperty(settings_mapping_component_class, "$inject", ['SettingsMappingService']), settings_mapping_component_temp)
};
;// CONCATENATED MODULE: ./assets/app/dev/components/settings/settings.module.ts



var SettingsModule = angular.module('SettingsModule', []).config(["$stateProvider", function ($stateProvider) {
  'ngInject';

  $stateProvider.state('settings', {
    url: '/settings/:activeTab?:id',
    component: 'vfSettings',
    params: {
      activeTab: null,
      id: null
    },
    onEnter: function onEnter() {
      highlightMenuItem('settings');
    }
  });
}]).service('SettingsMappingService', SettingsMappingService).component('settingsMapping', SettingsMappingComponent).name;
;// CONCATENATED MODULE: ./assets/app/dev/components/taxes/taxes.module.ts
var TaxesModule = angular.module('TaxesModule', []).name;
;// CONCATENATED MODULE: ./assets/app/dev/components/components.module.ts











var ComponentsModule = angular.module('vendorfuelApp.components', [AccountingModule, CustomersModule, DashboardModule, ManufacturersModule, OrdersModule, ProductsModule, PromoCodesModule, PunchoutModule, PurchasingModule, SettingsModule, TaxesModule]).name;
;// CONCATENATED MODULE: ./assets/app/dev/common/bootstrap/bs-badge/bs-badge.html
// Module
var bs_badge_code = "<span ng-class=\"['badge text-capitalize', $ctrl.bgClass ]\"> {{ $ctrl.label }} </span>";
// Exports
/* harmony default export */ const bs_badge = (bs_badge_code);
;// CONCATENATED MODULE: ./assets/app/dev/common/bootstrap/bs-badge/bs-badge.component.ts
function bs_badge_component_classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function bs_badge_component_defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function bs_badge_component_createClass(Constructor, protoProps, staticProps) { if (protoProps) bs_badge_component_defineProperties(Constructor.prototype, protoProps); if (staticProps) bs_badge_component_defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }


var BsBadgeComponent = {
  bindings: {
    label: '<'
  },
  template: bs_badge,
  transclude: true,
  controller: /*#__PURE__*/function () {
    function BadgeController() {
      bs_badge_component_classCallCheck(this, BadgeController);
    }

    bs_badge_component_createClass(BadgeController, [{
      key: "$onInit",
      value: function $onInit() {
        this.bgClass = this.getBgClass(this.label);
      }
    }, {
      key: "getBgClass",
      value: function getBgClass(label) {
        if (label.includes('approved')) {
          return 'bg-success';
        } else if (label.includes('denied')) {
          return 'bg-danger';
        } else if (label.includes('pending')) {
          return 'bg-warning';
        }

        return 'bg-secondary';
      }
    }]);

    return BadgeController;
  }()
};
;// CONCATENATED MODULE: ./assets/app/dev/common/bootstrap/bs-pagination/bs-pagination.html
// Module
var bs_pagination_code = "<div class=\"hstack justify-content-between\"> <div class=\"hstack gap-2\"> <label for=\"rpp\" class=\"small text-nowrap\"> Items per page: </label> <select class=\"form-control\" id=\"rpp\" ng-change=\"$ctrl.changeRpp()\" ng-disabled=\"$ctrl.isLoading\" ng-model=\"$ctrl.rpp\" ng-options=\"value for value in $ctrl.rppValues\"></select> </div> <div class=\"hstack gap-2\"> <small> {{ $ctrl.data.total }} items </small> <ul class=\"pagination pagination-sm mb-0\" ng-if=\"$ctrl.data.last_page > 1\"> <li ng-class=\"['page-item mb-0', { \n                'disabled': $ctrl.data.current_page === 1 || $ctrl.isLoading }]\"> <a class=\"page-link\" href=\"#\" ng-click=\"$ctrl.changePage(1, $event)\"> <span class=\"screen-reader-text\"> First page </span> <i class=\"bi bi-chevron-double-left\" aria-hidden=\"true\"></i> </a> </li> <li ng-class=\"['page-item mb-0', { \n                'disabled': $ctrl.data.current_page === 1 || $ctrl.isLoading }]\"> <a class=\"page-link\" href=\"#\" ng-click=\"$ctrl.changePage( $ctrl.data.current_page - 1, $event )\" ng-disabled=\"$ctrl.data.current_page === 1\"> <span class=\"screen-reader-text\"> Previous page </span> <i class=\"bi bi-chevron-left\" aria-hidden=\"true\"></i> </a> </li> </ul> <small ng-if=\"$ctrl.data.last_page > 1\"> {{ $ctrl.data.current_page }} to {{ $ctrl.data.last_page }} </small> <ul class=\"pagination pagination-sm mb-0\" ng-if=\"$ctrl.data.last_page > 1\"> <li ng-class=\"['page-item mb-0', { \n                'disabled': $ctrl.data.current_page === $ctrl.data.last_page || $ctrl.isLoading }]\"> <a class=\"page-link\" href=\"#\" ng-click=\"$ctrl.changePage( $ctrl.data.current_page + 1, $event )\"> <span class=\"screen-reader-text\"> Next page </span> <i class=\"bi bi-chevron-right\" aria-hidden=\"true\"></i> </a> </li> <li ng-class=\"['page-item mb-0', { \n                'disabled': $ctrl.data.current_page === $ctrl.data.last_page || $ctrl.isLoading }]\"> <a class=\"page-link\" href=\"#\" ng-click=\"$ctrl.changePage( $ctrl.data.last_page, $event )\"> <span class=\"screen-reader-text\"> Last page </span> <i class=\"bi bi-chevron-double-right\" aria-hidden=\"true\"></i> </a> </li> </ul> </div> </div> ";
// Exports
/* harmony default export */ const bs_pagination = (bs_pagination_code);
;// CONCATENATED MODULE: ./assets/app/dev/common/bootstrap/bs-pagination/bs-pagination.component.ts
function bs_pagination_component_classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function bs_pagination_component_defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function bs_pagination_component_createClass(Constructor, protoProps, staticProps) { if (protoProps) bs_pagination_component_defineProperties(Constructor.prototype, protoProps); if (staticProps) bs_pagination_component_defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

function bs_pagination_component_defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }


var BsPaginationComponent = {
  bindings: {
    data: '<',
    isLoading: '<',
    onChange: '&'
  },
  controller: /*#__PURE__*/function () {
    function BsPaginationController() {
      bs_pagination_component_classCallCheck(this, BsPaginationController);

      bs_pagination_component_defineProperty(this, "rppValues", [15, 30, 50, 100]);
    }

    bs_pagination_component_createClass(BsPaginationController, [{
      key: "$onChanges",
      value: function $onChanges() {
        var _this$data;

        if ((_this$data = this.data) !== null && _this$data !== void 0 && _this$data.per_page) {
          this.rpp = Number(this.data.per_page);
        }
      }
    }, {
      key: "changePage",
      value: function changePage(page, e) {
        e.preventDefault();
        var rpp = this.rpp;
        this.onChange({
          page: page,
          rpp: rpp
        });
      }
    }, {
      key: "changeRpp",
      value: function changeRpp() {
        var page = 1;
        var rpp = this.rpp;
        this.onChange({
          page: page,
          rpp: rpp
        });
      }
    }]);

    return BsPaginationController;
  }(),
  template: bs_pagination
};
;// CONCATENATED MODULE: ./assets/app/dev/common/bootstrap/bs-search-box/bs-search-box.html
// Module
var bs_search_box_code = "<form ng-submit=\"$ctrl.submit()\"> <fieldset ng-disabled=\"$ctrl.isLoading\"> <div class=\"hstack gap-2 mb-3\"> <button class=\"btn btn-secondary text-nowrap\" aria-label=\"Advanced filters\" type=\"button\" ng-click=\"$ctrl.toggleShowFilters()\" ng-if=\"$ctrl.filterFields\"> <i class=\"bi bi-filter\"></i> {{ $ctrl.isShowingFilters ? 'Hide' : 'Show' }} Filters </button> <div class=\"input-group\"> <input type=\"search\" class=\"form-control\" aria-label=\"Search query\" ng-change=\"$ctrl.changeInput( $ctrl.q )\" ng-model=\"$ctrl.q\"/> <button class=\"btn btn-secondary\" type=\"submit\"> <i class=\"bi bi-search\" aria-hidden=\"true\"></i> Search </button> </div> </div> <div class=\"collapse\" id=\"search-box-filters\"> <div class=\"row gx-5 row-cols-2\"> <div class=\"col mb-3\" ng-repeat=\"filter in $ctrl.filterFields\"> <div class=\"row\"> <label class=\"col-auto col-form-label col-form-label-sm\" ng-attr-for=\"{{ filter.field }}\"> {{ filter.label }} </label> <div class=\"col\"> <input type=\"search\" class=\"form-control form-control-sm\" ng-attr-id=\"{{ filter.field }}\" ng-change=\"$ctrl.changeInput( filter.term )\" ng-if=\"!filter.options\" ng-model=\"filter.term\"/> <select class=\"form-select\" ng-attr-id=\"{{ filter.field }}\" ng-if=\"filter.options\" ng-model=\"filter.term\"> <option value=\"\" selected=\"selected\">All</option> <option ng-repeat=\"(key, value) in filter.options track by $index\" ng-value=\"value\"> {{ key }} </option> </select> </div> </div> </div> </div> </div> </fieldset> </form> ";
// Exports
/* harmony default export */ const bs_search_box = (bs_search_box_code);
;// CONCATENATED MODULE: ./assets/app/dev/common/bootstrap/bs-search-box/bs-search-box.component.ts
function bs_search_box_component_classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function bs_search_box_component_defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function bs_search_box_component_createClass(Constructor, protoProps, staticProps) { if (protoProps) bs_search_box_component_defineProperties(Constructor.prototype, protoProps); if (staticProps) bs_search_box_component_defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

function bs_search_box_component_defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }


var BsSearchBoxComponent = {
  bindings: {
    filterFields: '<?',
    isLoading: '<?',
    isShowingFilters: '<?',
    onSubmit: '&',
    q: '<?'
  },
  controller: /*#__PURE__*/function () {
    function BsSearchBoxController() {
      bs_search_box_component_classCallCheck(this, BsSearchBoxController);

      bs_search_box_component_defineProperty(this, "page", 1);
    }

    bs_search_box_component_createClass(BsSearchBoxController, [{
      key: "$onInit",
      value: function $onInit() {
        this.isShowingFilters = this.isShowingFilters || false;
        var el = document.getElementById('search-box-filters');
        this.filtersCollapse = new bootstrap.Collapse(el, {
          toggle: this.isShowingFilters
        });
      }
    }, {
      key: "changeInput",
      value: function changeInput(val) {
        // Detect if a search-type input field has been cleared, and if so, trigger the form submission.
        if (!val) {
          this.submit();
        }
      }
    }, {
      key: "submit",
      value: function submit() {
        var q = this.q,
            filterFields = this.filterFields;
        this.onSubmit({
          q: q,
          filterFields: filterFields
        });
      }
    }, {
      key: "toggleShowFilters",
      value: function toggleShowFilters() {
        this.isShowingFilters = !this.isShowingFilters;
        this.filtersCollapse.toggle();
      }
    }]);

    return BsSearchBoxController;
  }(),
  template: bs_search_box
};
;// CONCATENATED MODULE: ./assets/app/dev/common/bootstrap/bs-search-box-legacy/bs-search-box-legacy.html
// Module
var bs_search_box_legacy_code = "<form ng-submit=\"$ctrl.submit()\"> <fieldset class=\"input-group mb-3\" ng-disabled=\"$ctrl.isLoading\"> <button class=\"btn btn-secondary dropdown-toggle\" type=\"button\" data-bs-toggle=\"dropdown\" aria-expanded=\"false\" ng-if=\"$ctrl.searchOptions\"> Search by {{ $ctrl.searchOptions[$ctrl.searchBy] }} </button> <ul class=\"dropdown-menu\" ng-if=\"$ctrl.searchOptions\"> <li> <a class=\"dropdown-item\" href=\"#\" ng-click=\"$ctrl.changeSearchBy('', $event)\"> All </a> </li> <li><hr class=\"dropdown-divider\"></li> <li ng-repeat=\"(key, value) in $ctrl.searchOptions track by $index\"> <a class=\"dropdown-item\" href=\"#\" ng-click=\"$ctrl.changeSearchBy(key, $event)\"> {{ value }} </a> </li> </ul> <input type=\"search\" class=\"form-control\" aria-label=\"Search\" ng-model=\"$ctrl.q\" ng-change=\"$ctrl.changeQuery( $ctrl.q );\"> <button class=\"btn btn-secondary\" type=\"submit\"> <i class=\"bi bi-search\" aria-hidden=\"true\"></i> Search </button> </fieldset> </form>";
// Exports
/* harmony default export */ const bs_search_box_legacy = (bs_search_box_legacy_code);
;// CONCATENATED MODULE: ./assets/app/dev/common/bootstrap/bs-search-box-legacy/bs-search-box-legacy.component.ts
function bs_search_box_legacy_component_classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function bs_search_box_legacy_component_defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function bs_search_box_legacy_component_createClass(Constructor, protoProps, staticProps) { if (protoProps) bs_search_box_legacy_component_defineProperties(Constructor.prototype, protoProps); if (staticProps) bs_search_box_legacy_component_defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }


var BsSearchBoxLegacyComponent = {
  bindings: {
    isLoading: '<',
    onSubmit: '&',
    q: '<',
    searchOptions: '<?'
  },
  controller: /*#__PURE__*/function () {
    function SearchFormController() {
      bs_search_box_legacy_component_classCallCheck(this, SearchFormController);
    }

    bs_search_box_legacy_component_createClass(SearchFormController, [{
      key: "$onInit",
      value: function $onInit() {
        this.searchBy = '';
      }
    }, {
      key: "changeQuery",
      value: function changeQuery(query) {
        // Refresh customers if the search field is cleared.
        if (!query) {
          this.onSubmit({
            query: query,
            searchBy: this.searchBy
          });
        }
      }
    }, {
      key: "changeSearchBy",
      value: function changeSearchBy(term, e) {
        e.preventDefault();
        this.searchBy = term;
      }
    }, {
      key: "submit",
      value: function submit() {
        this.onSubmit({
          query: this.q,
          searchBy: this.searchBy
        });
      }
    }]);

    return SearchFormController;
  }(),
  template: bs_search_box_legacy
};
;// CONCATENATED MODULE: ./assets/app/dev/common/bootstrap/bs-table-sortable/bs-table-sortable.html
// Module
var bs_table_sortable_code = "<a href=\"#\" class=\"text-decoration-none\" ng-attr-title=\"{{ 'Sort by ' + $ctrl.label }}\" ng-click=\"$ctrl.click( $event )\"> {{ $ctrl.label }} <i ng-class=\"['bi', {\n        'bi-sort-down-alt': $ctrl.isAscending,\n        'bi-sort-down': !$ctrl.isAscending,\n    }]\" ng-if=\"$ctrl.params.sortBy === $ctrl.field\"> </i> </a>";
// Exports
/* harmony default export */ const bs_table_sortable = (bs_table_sortable_code);
;// CONCATENATED MODULE: ./assets/app/dev/common/bootstrap/bs-table-sortable/bs-table-sortable.component.ts
function bs_table_sortable_component_classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function bs_table_sortable_component_defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function bs_table_sortable_component_createClass(Constructor, protoProps, staticProps) { if (protoProps) bs_table_sortable_component_defineProperties(Constructor.prototype, protoProps); if (staticProps) bs_table_sortable_component_defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }


var BsTableSortableComponent = {
  bindings: {
    field: '@',
    label: '@',
    onClick: '&',
    params: '<'
  },
  controller: /*#__PURE__*/function () {
    function BsTableSortableController() {
      bs_table_sortable_component_classCallCheck(this, BsTableSortableController);
    }

    bs_table_sortable_component_createClass(BsTableSortableController, [{
      key: "$onInit",
      value: function $onInit() {
        this.isAscending = this.params.sortBy !== this.field || this.params.sortType !== 'desc';
      }
    }, {
      key: "click",
      value: function click(e) {
        e.preventDefault();
        var sortBy = this.field;

        if (this.params.sortBy === this.field) {
          this.isAscending = !this.isAscending;
        }

        var sortType = this.isAscending ? 'asc' : 'desc';
        this.onClick({
          sortBy: sortBy,
          sortType: sortType
        });
      }
    }]);

    return BsTableSortableController;
  }(),
  template: bs_table_sortable
};
;// CONCATENATED MODULE: ./assets/app/dev/common/bootstrap/bootstrap.module.ts





var BootstrapModule = angular.module('BootstrapModule', []).component('bsBadge', BsBadgeComponent).component('bsPagination', BsPaginationComponent).component('bsSearchBox', BsSearchBoxComponent).component('bsSearchBoxLegacy', BsSearchBoxLegacyComponent).component('bsTableSortable', BsTableSortableComponent).name;
;// CONCATENATED MODULE: ./assets/app/dev/common/wordpress/wp-button/wp-button.html
// Module
var wp_button_code = "<button type=\"button\" ng-class=\"['button', {\n        'button-primary': $ctrl.isPrimary,\n        'button-delete': $ctrl.onDelete\n    }]\" ng-click=\"$ctrl.click()\" ng-disabled=\"$ctrl.isLoading\" ng-hide=\"$ctrl.isConfirming\"> <wp-spinner type=\"loading\" ng-if=\"$ctrl.isLoading\"></wp-spinner> <ng-transclude></ng-transclude> </button> <div class=\"ms-2 hstack gap-2 align-items-center\" ng-if=\"$ctrl.isConfirming\"> <strong class=\"small\">Delete this?</strong> <button class=\"button\" type=\"button\" ng-click=\"$ctrl.isConfirming = false\" ng-disabled=\"$ctrl.isLoading\"> Cancel, keep this </button> <button class=\"button button-delete\" type=\"button\" ng-click=\"$ctrl.onDelete()\" ng-disabled=\"$ctrl.isLoading\"> <wp-spinner type=\"loading\" ng-if=\"$ctrl.isLoading\"></wp-spinner> {{ $ctrl.isDeleting ? 'Deleting' : 'Yes, delete this' }} </button> </div> ";
// Exports
/* harmony default export */ const wp_button = (wp_button_code);
;// CONCATENATED MODULE: ./assets/app/dev/common/wordpress/wp-button/wp-button.component.ts
function wp_button_component_classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function wp_button_component_defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function wp_button_component_createClass(Constructor, protoProps, staticProps) { if (protoProps) wp_button_component_defineProperties(Constructor.prototype, protoProps); if (staticProps) wp_button_component_defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }


var WpButtonComponent = {
  bindings: {
    onClick: '&?',
    onDelete: '&?',
    isLoading: '<?',
    isPrimary: '<?'
  },
  template: wp_button,
  transclude: true,
  controller: /*#__PURE__*/function () {
    function ButtonController() {
      wp_button_component_classCallCheck(this, ButtonController);
    }

    wp_button_component_createClass(ButtonController, [{
      key: "click",
      value: function click() {
        if (this.onDelete) {
          this.isConfirming = true;
        } else {
          this.onClick();
        }
      }
    }, {
      key: "delete",
      value: function _delete(id) {
        this.onDelete(id);
      }
    }]);

    return ButtonController;
  }()
};
;// CONCATENATED MODULE: ./assets/app/dev/common/wordpress/wp-form-field/wp-form-field.html
// Module
var wp_form_field_code = "<div class=\"row mb-3\"> <label class=\"col-sm-3 col-form-label\" ng-attr-for=\"field-{{ $id }}\" ng-if=\"$ctrl.type != 'checkbox'\"> <strong>{{ $ctrl.label }}</strong> </label> <div ng-class=\"['col-sm-9', {\n      'offset-sm-3': $ctrl.type === 'checkbox',\n    }]\"> <select class=\"form-select\" ng-attr-id=\"field-{{ $id }}\" ng-change=\"$ctrl.change($ctrl.field)\" ng-disabled=\"$ctrl.isDisabled\" ng-if=\"$ctrl.options\" ng-model=\"$ctrl.field\" ng-readonly=\"$ctrl.isReadonly\"> <option ng-repeat=\"(key, value) in $ctrl.options\" ng-value=\"value\"> {{ key }} </option> </select> <textarea type=\"text\" class=\"form-control\" ng-attr-id=\"field-{{ $id }}\" ng-change=\"$ctrl.change($ctrl.field)\" ng-disabled=\"$ctrl.isDisabled\" ng-if=\"$ctrl.type === 'textarea' && !$ctrl.options\" ng-model=\"$ctrl.field\" ng-readonly=\"$ctrl.isReadonly\">\n    </textarea> <input class=\"form-control\" ng-attr-id=\"field-{{ $id }}\" ng-attr-type=\"{{ $ctrl.type }}\" ng-change=\"$ctrl.change($ctrl.field)\" ng-disabled=\"$ctrl.isDisabled\" ng-if=\"( $ctrl.type === 'text' || $ctrl.type === 'email' || $ctrl.type === 'password' ) && !$ctrl.options\" ng-model=\"$ctrl.field\" ng-readonly=\"$ctrl.isReadonly\"/> <div class=\"form-check\" ng-if=\"$ctrl.type === 'checkbox'\"> <input class=\"form-check-input\" type=\"checkbox\" ng-attr-id=\"field-{{ $id }}\" ng-change=\"$ctrl.change($ctrl.field)\" ng-disabled=\"$ctrl.isDisabled\" ng-model=\"$ctrl.field\" ng-readonly=\"$ctrl.isReadonly\"/> <label ng-attr-for=\"field-{{ $id }}\" class=\"form-check-label\"> {{ $ctrl.label }} </label> </div> <div class=\"form-text\" ng-if=\"$ctrl.description\"> {{ $ctrl.description }} </div> </div> </div> ";
// Exports
/* harmony default export */ const wp_form_field = (wp_form_field_code);
;// CONCATENATED MODULE: ./assets/app/dev/common/wordpress/wp-form-field/wp-form-field.component.ts
function wp_form_field_component_classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function wp_form_field_component_defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function wp_form_field_component_createClass(Constructor, protoProps, staticProps) { if (protoProps) wp_form_field_component_defineProperties(Constructor.prototype, protoProps); if (staticProps) wp_form_field_component_defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }


var WpFormFieldComponent = {
  bindings: {
    description: '@?',
    field: '<',
    header: '@?',
    isDisabled: '<?',
    isReadonly: '<?',
    label: '@',
    onChange: '&?',
    options: '<?',
    type: '@?'
  },
  controller: /*#__PURE__*/function () {
    function WpFormFieldController() {
      wp_form_field_component_classCallCheck(this, WpFormFieldController);

      this.type = this.type || 'text';
    }

    wp_form_field_component_createClass(WpFormFieldController, [{
      key: "change",
      value: function change(value) {
        this.onChange({
          value: value
        });
      }
    }]);

    return WpFormFieldController;
  }(),
  template: wp_form_field,
  transclude: true
};
;// CONCATENATED MODULE: ./assets/app/dev/common/wordpress/wp-spinner/wp-spinner.component.ts
var WpSpinnerComponent = {
  bindings: {
    type: '@?'
  },
  template: "\n\t\t<ng-switch on=\"$ctrl.type\">\n\t\t\t<div class=\"d-flex justify-content-center py-5\"\n\t\t\t\tng-switch-when=\"2x\">\n\t\t\t\t<img src=\"/wp-admin/images/spinner-2x.gif\" aria-hidden=\"true\"/>\n\t\t\t</div>    \n\t\t\t<img src=\"/wp-admin/images/loading.gif\" aria-hidden=\"true\"\n\t\t\t\tng-switch-when=\"loading\"/>\n\t\t\t<div class=\"d-flex justify-content-center py-3\" aria-hidden=\"true\"\n\t\t\t\tng-switch-default>\n\t\t\t\t<span class=\"spinner is-active\" role=\"status\"></span>\n\t\t\t</div>\n\t\t</ng-switch>\n\t\t"
};
;// CONCATENATED MODULE: ./assets/app/dev/common/wordpress/wp-notice-list/wp-notice-list.html
// Module
var wp_notice_list_code = "<div ng-class=\"'notice inline is-dismissible notice-'+notice.type\" ng-repeat=\"notice in $ctrl.noticeList track by $index\"> <p>{{ notice.message }}</p> <button type=\"button\" class=\"notice-dismiss\" ng-click=\"$ctrl.dismiss($index)\"> <span class=\"screen-reader-text\">Dismiss this notice.</span> </button> </div> ";
// Exports
/* harmony default export */ const wp_notice_list = (wp_notice_list_code);
;// CONCATENATED MODULE: ./assets/app/dev/common/wordpress/wp-notice-list/wp-notice-list.component.ts
function wp_notice_list_component_classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function wp_notice_list_component_defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function wp_notice_list_component_createClass(Constructor, protoProps, staticProps) { if (protoProps) wp_notice_list_component_defineProperties(Constructor.prototype, protoProps); if (staticProps) wp_notice_list_component_defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }


var WpNoticeListComponent = {
  controller: /*#__PURE__*/function () {
    NoticeController.$inject = ["Localized"];

    function NoticeController(Localized) {
      'ngInject';

      wp_notice_list_component_classCallCheck(this, NoticeController);

      this.Localized = Localized;
    }

    wp_notice_list_component_createClass(NoticeController, [{
      key: "$onInit",
      value: function $onInit() {
        this.noticeList = this.Localized.getNotifications();
      }
    }, {
      key: "dismiss",
      value: function dismiss(i) {
        this.Localized.deleteNotification(i);
      }
    }]);

    return NoticeController;
  }(),
  template: wp_notice_list
};
;// CONCATENATED MODULE: ./assets/app/dev/common/wordpress/wordpress.module.ts




var WordPressModule = angular.module('WordPressModule', []).component('wpButton', WpButtonComponent).component('wpFormField', WpFormFieldComponent).component('wpSpinner', WpSpinnerComponent).component('wpNoticeList', WpNoticeListComponent).name;
;// CONCATENATED MODULE: ./assets/app/dev/common/localized.service.ts
function localized_service_classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function localized_service_defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function localized_service_createClass(Constructor, protoProps, staticProps) { if (protoProps) localized_service_defineProperties(Constructor.prototype, protoProps); if (staticProps) localized_service_defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

var LocalizedService = /*#__PURE__*/function () {
  function LocalizedService() {
    localized_service_classCallCheck(this, LocalizedService);

    this.debugMode = localized.settings.general.debug;
    this.root = {
      url: localized.dir.url,
      path: localized.dir.root
    };
    this.apiURL = localized.apiURL;
    this.api_key = localized.settings.general.api_key;
    this.wpRestUrl = localized.dir.wpRestUrl + 'vendorfuel';
    this.wpNonce = localized.nonce;
    this.plugin_data = localized.plugin_data;
    this.notifications = [];
  }

  localized_service_createClass(LocalizedService, [{
    key: "getNotifications",
    value: function getNotifications() {
      return this.notifications;
    }
  }, {
    key: "setNotification",
    value: function setNotification(notification) {
      var msg = notification.message;

      if (msg && msg !== 'undefined' && msg !== null && msg !== '' && msg !== 'OK') {
        this.notifications.push(notification);
      }
    }
  }, {
    key: "setNotifications",
    value: function setNotifications(data) {
      var _this = this;

      data.notifications.forEach(function (notification) {
        _this.setNotification({
          type: 'info',
          message: notification
        });
      });
      data.warnings.forEach(function (warning) {
        _this.setNotification({
          type: 'warning',
          message: warning
        });
      });
      data.errors.forEach(function (error) {
        _this.setNotification({
          type: 'error',
          message: error
        });
      });
    }
  }, {
    key: "deleteNotification",
    value: function deleteNotification(index) {
      if (this.notifications[index]) {
        this.notifications.splice(index, 1);
      } else {
        this.notifications.push({
          type: 'danger',
          message: 'Whoops! Unable to remove notification.'
        });
      }
    }
  }, {
    key: "deleteNotifications",
    value: function deleteNotifications() {
      this.notifications.splice(0, this.notifications.length);
    }
  }]);

  return LocalizedService;
}();
;// CONCATENATED MODULE: ./assets/app/dev/common/common.module.ts



var CommonModule = angular.module('vendorfuelApp.common', [BootstrapModule, WordPressModule]).service('Localized', LocalizedService).name;
;// CONCATENATED MODULE: ./assets/app/dev/app.module.ts



var AppModule = angular.module('vendorfuelApp', ['ngAnimate', // Required for UI Bootstrap
'ngCookies', 'ngResource', 'ngSanitize', 'ngTouch', // Required for UI Bootstrap
'ui.ace', 'ui.bootstrap', 'ui.router', 'ui.tinymce', 'slickCarousel', 'LocalStorageModule', 'angular-toArrayFilter', ComponentsModule, CommonModule]).config(["$httpProvider", "$sceDelegateProvider", "$stateProvider", "$urlRouterProvider", "localStorageServiceProvider", function ($httpProvider, $sceDelegateProvider, $stateProvider, $urlRouterProvider, localStorageServiceProvider) {
  'ngInject';

  var templateDir = localized.dir.templates;
  $urlRouterProvider.otherwise('dashboard');
  $stateProvider.state('dashboard', {
    url: '/dashboard',
    component: 'vfDashboard',
    params: {
      activeTab: {
        dynamic: true
      }
    },
    onEnter: function onEnter() {
      highlightMenuItem('dashboard');
    }
  }).state('reports', {
    url: '/reports',
    templateUrl: templateDir + '/reports.html',
    controller: 'ReportsController as $ctrl',
    params: {
      activeTab: {
        dynamic: true
      }
    },
    onEnter: function onEnter() {
      highlightMenuItem('reports');
    }
  }).state('payments', {
    url: '/payments',
    templateUrl: templateDir + '/payments.html',
    controller: 'PaymentsController as $ctrl',
    params: {
      activeTab: {
        dynamic: true
      }
    },
    onEnter: function onEnter() {
      highlightMenuItem('payments');
    }
  }).state('subscribe', {
    url: '/subscribe',
    templateUrl: templateDir + '/subscribe.html',
    controller: 'SubscribeController as $ctrl',
    onEnter: function onEnter() {
      highlightMenuItem('subscription');
    },
    params: {
      activeTab: {
        dynamic: true
      }
    }
  }).state('login', {
    url: '/login',
    templateUrl: templateDir + '/login.html',
    controller: 'LoginController as $ctrl',
    params: {
      activeTab: {
        dynamic: true
      }
    }
  }).state('reset-password', {
    url: '/reset-password?code&auth',
    templateUrl: templateDir + '/reset-password.html',
    controller: 'ResetPasswordController as $ctrl',
    params: {
      activeTab: {
        dynamic: true,
        code: null,
        auth: null
      }
    }
  }).state('billing-reset-password', {
    url: '/billing-reset-password?code&auth',
    templateUrl: templateDir + '/billing-reset-password.html',
    controller: 'BillingResetPasswordController as $ctrl',
    params: {
      activeTab: {
        dynamic: true,
        code: null,
        auth: null
      }
    }
  }).state('logout', {
    url: '/logout',
    component: 'vfLogout',
    params: {
      activeTab: {
        dynamic: true
      }
    }
  }).state('tenant-login', {
    url: '/tenant-login',
    templateUrl: templateDir + '/tenant-login.html',
    controller: 'TenantLoginController as $ctrl',
    params: {
      activeTab: {
        dynamic: true
      }
    }
  }).state('admin', {
    url: '/admin',
    templateUrl: templateDir + '/admin-accounts.html',
    controller: 'AdminAccountsController as $ctrl',
    params: {
      activeTab: {
        dynamic: true
      }
    },
    onEnter: function onEnter() {
      highlightMenuItem('admin');
    }
  }).state('anguledit', {
    url: '/anguledit',
    templateUrl: templateDir + '/anguledit.html',
    controller: 'AnguleditController as $ctrl',
    params: {
      activeTab: {
        dynamic: true
      }
    },
    onEnter: function onEnter() {
      highlightMenuItem('anguledit');
    }
  }).state('email', {
    url: '/email',
    templateUrl: templateDir + '/email.html',
    controller: 'EmailController as $ctrl',
    onEnter: function onEnter() {
      highlightMenuItem('email');
    }
  }).state('catalog', {
    url: '/catalog',
    component: 'vfCatalog',
    params: {
      activeTab: {
        dynamic: true
      }
    },
    onEnter: function onEnter() {
      highlightMenuItem('catalog');
    }
  }).state('catalog-products', {
    url: '/catalog-products/:activeTab',
    templateUrl: templateDir + '/catalog-products.html',
    controller: 'CatalogProductsController as $ctrl',
    params: {
      activeTab: {
        dynamic: true
      },
      product: {
        dynamic: true
      }
    },
    onEnter: function onEnter() {
      highlightMenuItem('catalog');
    }
  }).state('catalog-collections', {
    url: '/catalog-colllections/:activeTab',
    templateUrl: templateDir + '/catalog-collections.html',
    controller: 'CatalogCollectionsController as $ctrl',
    params: {
      activeTab: {
        dynamic: true
      }
    },
    onEnter: function onEnter() {
      highlightMenuItem('catalog');
    }
  }).state('catalog-pricesheets', {
    url: '/catalog-pricesheets/:activeTab',
    templateUrl: templateDir + '/catalog-pricesheets.html',
    controller: 'CatalogPricesheetsController as $ctrl',
    params: {
      activeTab: {
        dynamic: true
      }
    },
    onEnter: function onEnter() {
      highlightMenuItem('catalog');
    }
  }).state('catalog-categories', {
    url: '/catalog-categories/:activeTab',
    templateUrl: templateDir + '/catalog-categories.html',
    controller: 'CatalogCategoriesController as $ctrl',
    params: {
      activeTab: {
        dynamic: true
      }
    },
    onEnter: function onEnter() {
      highlightMenuItem('catalog');
    }
  }).state('catalog-promocodes', {
    url: '/catalog-promocodes/:activeTab',
    templateUrl: templateDir + '/catalog-promocodes.html',
    controller: 'CatalogPromoCodesController as $ctrl',
    params: {
      activeTab: {
        dynamic: true
      }
    },
    onEnter: function onEnter() {
      highlightMenuItem('catalog');
    }
  }).state('catalog-uom', {
    url: '/catalog-uom/:activeTab',
    templateUrl: templateDir + '/catalog-uom.html',
    controller: 'CatalogUomController as $ctrl',
    params: {
      activeTab: {
        dynamic: true
      }
    },
    onEnter: function onEnter() {
      highlightMenuItem('catalog');
    }
  }).state('catalog-banners', {
    url: '/catalog-banners/:activeTab',
    templateUrl: templateDir + '/catalog-banners.html',
    controller: 'CatalogBannersController as $ctrl',
    params: {
      activeTab: {
        dynamic: true
      }
    },
    onEnter: function onEnter() {
      highlightMenuItem('catalog');
    }
  }).state('catalog-reviews', {
    url: '/catalog-reviews/:activeTab',
    templateUrl: templateDir + '/catalog-reviews.html',
    controller: 'ReviewsController as $ctrl',
    params: {
      activeTab: {
        dynamic: true
      }
    },
    onEnter: function onEnter() {
      highlightMenuItem('catalog');
    }
  }).state('customers', {
    url: '/customers',
    component: 'vfCustomers',
    onEnter: function onEnter() {
      highlightMenuItem('customers');
    }
  }).state('customers-groups', {
    url: '/customers-groups/:activeTab',
    templateUrl: templateDir + '/customers-groups.html',
    controller: 'GroupsController as $ctrl',
    params: {
      activeTab: {
        dynamic: true
      },
      customer: {
        dynamic: true
      }
    },
    onEnter: function onEnter() {
      highlightMenuItem('customers');
    }
  }).state('customers-accounts', {
    url: '/customers-accounts/:activeTab',
    templateUrl: templateDir + '/customers-accounts.html',
    controller: 'AccountsController as $ctrl',
    params: {
      activeTab: {
        dynamic: true
      },
      customer: {
        dynamic: true
      }
    },
    onEnter: function onEnter() {
      highlightMenuItem('customers');
    }
  }).state('customers-roles', {
    url: '/customers-roles/:activeTab',
    templateUrl: templateDir + '/customers-roles.html',
    controller: 'RolesController as $ctrl',
    params: {
      activeTab: {
        dynamic: true
      },
      customer: {
        dynamic: true
      }
    },
    onEnter: function onEnter() {
      highlightMenuItem('customers');
    }
  }).state('taxes', {
    url: '/taxes',
    component: 'vfTaxes',
    params: {
      activeTab: {
        dynamic: true
      }
    },
    onEnter: function onEnter() {
      highlightMenuItem('taxes');
    }
  }).state('shipping', {
    url: '/shipping',
    templateUrl: templateDir + '/shipping.html',
    controller: 'ShippingController as $ctrl',
    params: {
      activeTab: {
        dynamic: true
      }
    },
    onEnter: function onEnter() {
      highlightMenuItem('shipping');
    }
  }).state('shipping-flat-rates', {
    url: '/shipping-flat-rates/:activeTab',
    templateUrl: templateDir + '/shipping-flat-rates.html',
    controller: 'ShippingFlatRatesController as $ctrl',
    params: {
      activeTab: {
        dynamic: true
      }
    },
    onEnter: function onEnter() {
      highlightMenuItem('shipping');
    }
  }).state('shipping-parcels', {
    url: '/shipping-parcels/:activeTab',
    templateUrl: templateDir + '/shipping-parcels.html',
    controller: 'ShippingParcelsController as $ctrl',
    params: {
      activeTab: {
        dynamic: true
      }
    },
    onEnter: function onEnter() {
      highlightMenuItem('shipping');
    }
  }).state('purchasing', {
    url: '/purchasing',
    component: 'vfPurchasing',
    onEnter: function onEnter() {
      highlightMenuItem('purchasing');
    }
  }).state('purchasing-cost-sheets', {
    url: '/purchasing-cost-sheets/:activeTab',
    templateUrl: templateDir + '/purchasing-cost-sheets.html',
    controller: 'PurchasingCostSheetsController as $ctrl',
    params: {
      activeTab: {
        dynamic: true
      },
      product: {
        dynamic: true
      }
    },
    onEnter: function onEnter() {
      highlightMenuItem('purchasing');
    }
  }).state('purchasing-document-profiles', {
    url: '/purchasing-document-profiles/:activeTab',
    templateUrl: templateDir + '/purchasing-document-profiles.html',
    controller: 'PurchasingDocumentProfilesController as $ctrl',
    params: {
      activeTab: {
        dynamic: true
      },
      product: {
        dynamic: true
      }
    },
    onEnter: function onEnter() {
      highlightMenuItem('purchasing');
    }
  }).state('purchasing-vendors', {
    url: '/purchasing-vendors/:activeTab',
    templateUrl: templateDir + '/purchasing-vendors.html',
    controller: 'PurchasingVendorsController as $ctrl',
    params: {
      activeTab: {
        dynamic: true
      },
      product: {
        dynamic: true
      }
    },
    onEnter: function onEnter() {
      highlightMenuItem('purchasing');
    }
  }).state('punchout', {
    url: '/punchout',
    component: 'vfPunchout',
    onEnter: function onEnter() {
      highlightMenuItem('punchout');
    }
  }).state('punchout-suppliers', {
    url: '/punchout-suppliers/:activeTab',
    templateUrl: templateDir + '/punchout-suppliers.html',
    controller: 'PunchoutSuppliersController as $ctrl',
    params: {
      activeTab: {
        dynamic: true
      },
      product: {
        dynamic: true
      }
    },
    onEnter: function onEnter() {
      highlightMenuItem('punchout');
    }
  }).state('tutorial', {
    url: '/tutorial',
    component: 'vfTutorial',
    params: {
      activeTab: {
        dynamic: true
      }
    }
  }).state('billing', {
    url: '/billing',
    templateUrl: templateDir + '/billing.html',
    controller: 'BillingController as $ctrl',
    params: {
      activeTab: {
        dynamic: true
      }
    },
    onEnter: function onEnter() {
      highlightMenuItem('billing');
    }
  }).state('accounting', {
    url: '/accounting',
    component: 'vfAccounting',
    params: {
      activeTab: {
        dynamic: true
      }
    },
    onEnter: function onEnter() {
      highlightMenuItem('accounting');
    }
  });
  var states = [{
    name: 'orders',
    url: '/orders',
    "abstract": true,
    template: '<ui-view/>',
    menuSlug: 'orders'
  }, {
    name: 'orders.index',
    url: '',
    component: 'ordersIndex',
    menuSlug: 'orders'
  }, {
    name: 'orders.show',
    url: '/:id',
    component: 'ordersDetail',
    menuSlug: 'orders'
  }, {
    name: 'orders.tracking',
    url: '/tracking',
    component: 'orderTracking',
    menuSlug: 'orders'
  }, {
    name: 'manufacturers',
    url: '/manufacturers',
    "abstract": true,
    template: '<ui-view/>',
    menuSlug: 'catalog'
  }, {
    name: 'manufacturers.index',
    url: '',
    component: 'manufacturersIndex',
    menuSlug: 'catalog'
  }, {
    name: 'manufacturers.create',
    url: '/create',
    component: 'manufacturersDetail',
    menuSlug: 'catalog'
  }, {
    name: 'manufacturers.show',
    url: '/:id',
    component: 'manufacturersDetail',
    menuSlug: 'catalog'
  }, {
    name: 'reviews',
    url: '/products/reviews',
    "abstract": true,
    template: '<ui-view/>',
    menuSlug: 'catalog'
  }, {
    name: 'reviews.index',
    url: '',
    component: 'reviewsIndex',
    menuSlug: 'catalog'
  }, {
    name: 'reviews.show',
    url: '/:id',
    component: 'reviewsDetail',
    menuSlug: 'catalog'
  }];
  states.forEach(function (item) {
    var menuSlug = item.menuSlug;
    var state = item;

    state.onEnter = function () {
      highlightMenuItem(menuSlug);
    };

    $stateProvider.state(state);
  });
  $httpProvider.interceptors.push('vfAdminInterceptor');
  localStorageServiceProvider.setPrefix('vf').setStorageCookie(0, '/', false).setStorageType('sessionStorage');
  $sceDelegateProvider.resourceUrlWhitelist([// Allow same origin resource loads.
  'self', // Allow loading from our assets domain.  Notice the difference between * and **.
  'https://*.payfabric.com/**']);
}]).name;
// EXTERNAL MODULE: ./assets/app/dev/components/accounting/accounting.component.ts
var accounting_component = __webpack_require__(5383);
// EXTERNAL MODULE: ./assets/app/dev/components/catalog/catalog.component.ts
var catalog_component = __webpack_require__(8227);
// EXTERNAL MODULE: ./assets/app/dev/components/customers/customers.component.ts
var customers_component = __webpack_require__(4999);
// EXTERNAL MODULE: ./assets/app/dev/components/dashboard/dashboard.component.ts
var dashboard_component = __webpack_require__(2901);
// EXTERNAL MODULE: ./assets/app/dev/components/header/header.component.ts
var header_component = __webpack_require__(3685);
// EXTERNAL MODULE: ./assets/app/dev/components/logout/logout.component.ts
var logout_component = __webpack_require__(2372);
// EXTERNAL MODULE: ./assets/app/dev/components/manufacturers/manufacturers-index.component.ts
var manufacturers_index_component = __webpack_require__(9563);
// EXTERNAL MODULE: ./assets/app/dev/components/manufacturers/manufacturers-detail.component.ts
var manufacturers_detail_component = __webpack_require__(4144);
// EXTERNAL MODULE: ./assets/app/dev/components/manufacturers/manufacturers.factory.ts
var manufacturers_factory = __webpack_require__(3915);
;// CONCATENATED MODULE: ./assets/app/dev/components/manufacturers/index.ts



;// CONCATENATED MODULE: ./assets/app/dev/components/orders/orders-detail/orders-detail.html
// Module
var orders_detail_code = "<h2> Order: {{ $ctrl.id }} </h2> <vf-check-auth></vf-check-auth> <wp-notice-list></wp-notice-list> <div class=\"container-fluid p-0\"> <wp-spinner type=\"2x\" ng-show=\"$ctrl.isLoading\"> </wp-spinner> <div ng-if=\"!$ctrl.isLoading\"> <form name=\"orderView\" class=\"row\"> <div class=\"col-md-4 ordersForm\"> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-50\">Order ID</span> <input class=\"form-control\" style=\"font-weight:700\" type=\"text\" name=\"order_id\" ng-model=\"$ctrl.selectedOrder.order_id\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-50\">Order Status</span> <input class=\"form-control\" style=\"font-weight:700\" type=\"text\" name=\"status\" ng-model=\"$ctrl.selectedOrder.status\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-50\">Order Date</span> <input class=\"form-control\" type=\"text\" name=\"order_date\" ng-model=\"$ctrl.selectedOrder.order_date\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-50\">Customer ID</span> <input class=\"form-control\" style=\"font-weight:700\" type=\"text\" name=\"customer_id\" ng-model=\"$ctrl.selectedOrder.customer_id\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-50\">Subtotal</span> <input class=\"form-control\" type=\"text\" name=\"subtotal\" ng-model=\"$ctrl.selectedOrder.subtotal\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-50\">Discount</span> <input class=\"form-control\" type=\"text\" name=\"discount\" ng-model=\"$ctrl.selectedOrder.promo_discount\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-50\">Shipping</span> <input class=\"form-control\" type=\"text\" name=\"shipping\" ng-model=\"$ctrl.selectedOrder.shipping\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-50\">Tax</span> <input class=\"form-control\" type=\"text\" name=\"tax\" ng-model=\"$ctrl.selectedOrder.tax\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-50\">Total Amount</span> <input class=\"form-control\" style=\"font-weight:700\" type=\"text\" name=\"total\" ng-model=\"$ctrl.selectedOrder.total_amt\" disabled=\"disabled\"/> </div> <div ng-if=\"!isXS && !isSM\"> <button class=\"btn btn-secondary m-tb-5\" ng-click=\"$ctrl.openShipmentModal()\">Add Shipment</button> <button class=\"btn btn-secondary m-tb-5\" ng-click=\"$ctrl.resendEmail()\">Resend Email</button> <button class=\"btn btn-primary m-tb-5\" ng-click=\"$ctrl.resendOrder()\">Resend Order</button> <button class=\"btn btn-primary m-tb-5\" ng-click=\"$ctrl.exportToQuickbooks()\">Export to Quickbooks</button> </div> <wp-notice-list></wp-notice-list> </div> <uib-tabset class=\"col-md-8\" ng-class=\"{'m-tb-10':isXS || isSM}\"> <uib-tab heading=\"Line Items\"> <div class=\"p-tb-20\"> <div class=\"row p-s-20\" ng-if=\"$ctrl.selectedOrder.lineItems.length >= 1\"> <div class=\"col-2\">SKU</div> <div class=\"col-1\">QTY</div> <div class=\"col-1\">Price</div> <div class=\"col\">Description</div> </div> <div class=\"p-10\" ng-class=\"{'min-scroll':!isXS}\"> <div class=\"text-center p-15\" ng-if=\"$ctrl.selectedOrder.lineItems.length <= 0\"> <h3>There are no items in this order.</h3> </div> <div class=\"col p-15 vf-list-item cursor-pointer\" ng-repeat=\"item in $ctrl.selectedOrder.lineItems track by $index\"> <div class=\"row\"> <div ng-click=\"$ctrl.goToProduct(item)\" class=\"col-2\">{{item.sku}}</div> <div ng-click=\"$ctrl.goToProduct(item)\" class=\"col-1\">{{item.qty}}</div> <div class=\"col-1\">{{item.price}}</div> <div ng-click=\"$ctrl.goToProduct(item)\" class=\"col\"> <span ng-if=\"item.description\">{{ item.description | limitTo: 40 }}<span ng-if=\"item.description.length > 40\"> &hellip; </span> </span> <span ng-if=\"!item.description\">Product Description Unavailable</span> </div> <button class=\"btn btn-secondary m-r-10 col-auto\" style=\"z-index:99\" ng-click=\"$ctrl.openRmaModal(item)\">RMA</button> </div> </div> </div> </div> </uib-tab> <uib-tab heading=\"Costs\"> <div class=\"p-tb-20\"> <div class=\"row p-s-20\" ng-if=\"$ctrl.selectedOrder.lineItems.length >= 1\"> <div class=\"col-2\">SKU</div> <div class=\"col-1\">Price</div> <div class=\"col-5\">Description</div> <div class=\"col-4\">Costs</div> </div> <div class=\"p-10\" ng-class=\"{'min-scroll':!isXS}\"> <div class=\"text-center p-15\" ng-if=\"$ctrl.selectedOrder.lineItems.length <= 0\"> <h3>There are no items in this order.</h3> </div> <div class=\"col p-15 vf-list-item cursor-pointer\" ng-repeat=\"item in $ctrl.selectedOrder.purchased_items track by $index\"> <div class=\"row\"> <div class=\"col-2\">{{item.product.sku}}</div> <div class=\"col-1\">{{item.price}}</div> <span class=\"col-5\" ng-if=\"item.product.description\">{{ item.product.description | limitTo: 40 }} <span ng-if=\"item.product.description.length > 40\"> &hellip; </span> </span> <span ng-if=\"!item.product.description\">Product Description Unavailable</span> <div class=\"col-4\"> <select name=\"mySelect\" id=\"mySelect\" ng-options=\"cost as (cost.cost + ' - ' + cost.sheet.name) for cost in item.costs track by cost.id\" ng-model=\"item.cost_sheet\" ng-disabled=\"item.cost_sheet_locked\"></select> </div> </div> </div> </div> </div> <button class=\"btn btn-secondary\" ng-click=\"$ctrl.lockCosts()\">Lock Costs</button> <button class=\"btn btn-secondary\" ng-click=\"$ctrl.generatePurchaseOrders()\">Generate Purchase Orders</button> </uib-tab> <uib-tab ng-if=\"$ctrl.selectedOrder.purchase_orders.length >= 1\" heading=\"Purchase Orders\"> <div class=\"p-tb-20\"> <div class=\"row p-s-20\"> <div class=\"col-2\">Vendor</div> <div class=\"col-8\">Status</div> </div> <div class=\"p-10\" ng-class=\"{'min-scroll':!isXS}\"> <div ng-init=\"viewLineItems = false\" class=\"col p-15 vf-list-item cursor-pointer\" ng-repeat=\"purchase_order in $ctrl.selectedOrder.purchase_orders track by $index\"> <div class=\"row\"> <div class=\"col-2\"> {{purchase_order.purchased_items[0].cost_sheet.sheet.vendor.name}} </div> <div class=\"col-8\">{{purchase_order.status}}</div> <button ng-click=\"viewLineItems = !viewLineItems\">{{(viewLineItems)?'Hide':'View'}} Line Items</button> <button ng-click=\"$ctrl.downloadPurchaseOrder(purchase_order)\"> Download </button> <button ng-click=\"$ctrl.sendPurchaseOrder(purchase_order)\">Send </button> </div> <div ng-if=\"viewLineItems\" class=\"col p-15 vf-list-item cursor-pointer\" ng-repeat=\"item in purchase_order.purchased_items track by $index\"> <div class=\"row\"> <div class=\"col-2\">{{item.product.sku}}</div> <div class=\"col-1\">{{item.cost_sheet.cost}}</div> <span class=\"col-5\" ng-if=\"item.product.description\">{{ item.product.description | limitTo: 40 }}<span ng-if=\"item.description.length > 40\"> &hellip; </span></span> </div> </div> </div> </div> </div> </uib-tab> <uib-tab heading=\"Payment\"> <div class=\"row\"> <div class=\"col ordersForm\"> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Payment Method</span> <input class=\"form-control\" type=\"text\" name=\"payment_method\" ng-model=\"$ctrl.selectedOrder.payment_method\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Credit Line</span> <input class=\"form-control\" type=\"text\" name=\"credit_line\" ng-model=\"$ctrl.selectedOrder.credit_line\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Credit Card</span> <input class=\"form-control\" type=\"text\" name=\"credit_card\" ng-model=\"$ctrl.selectedOrder.credit_card\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Credit Card Type</span> <input class=\"form-control\" type=\"text\" name=\"cctype\" ng-model=\"$ctrl.selectedOrder.cctype\" disabled=\"disabled\"/> </div> </div> </div> </uib-tab> <uib-tab heading=\"Ship/Bill-To\"> <div class=\"row\"> <div class=\"col-md-6 ordersForm\"> <h4>Shipping Address</h4> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Name</span> <input class=\"form-control\" type=\"text\" name=\"ship_name\" value=\"{{$ctrl.selectedOrder.first_name + ' ' + $ctrl.selectedOrder.last_name}}\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Email</span> <input class=\"form-control\" type=\"email\" name=\"email\" ng-model=\"$ctrl.selectedOrder.email\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Phone</span> <input class=\"form-control\" type=\"phone\" name=\"phone\" ng-model=\"$ctrl.selectedOrder.phone\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\" ng-if=\"$ctrl.selectedOrder.attention\"> <span class=\"input-group-text min-w-25\">Attention</span> <input class=\"form-control\" type=\"text\" name=\"att\" ng-model=\"$ctrl.selectedOrder.attention\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\" ng-if=\"$ctrl.selectedOrder.organization\"> <span class=\"input-group-text min-w-25\">Organization</span> <input class=\"form-control\" type=\"text\" name=\"org\" ng-model=\"$ctrl.selectedOrder.organization\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Address 1</span> <input class=\"form-control\" type=\"text\" name=\"ship-ad1\" ng-model=\"$ctrl.selectedOrder.address1\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Address 2</span> <input class=\"form-control\" type=\"text\" name=\"ship-ad2\" ng-model=\"$ctrl.selectedOrder.address2\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">City</span> <input class=\"form-control\" type=\"text\" name=\"ship-city\" ng-model=\"$ctrl.selectedOrder.city\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">State</span> <input class=\"form-control\" type=\"text\" name=\"ship-state\" ng-model=\"$ctrl.selectedOrder.state\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Zip</span> <input class=\"form-control\" type=\"text\" name=\"ship-zip\" ng-model=\"$ctrl.selectedOrder.zip\" disabled=\"disabled\"/> </div> </div> <div class=\"col-md-6 ordersForm\"> <h4>Billing Address</h4> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Name</span> <input class=\"form-control\" type=\"text\" name=\"bill_name\" value=\"{{$ctrl.selectedOrder.bill_first_name + ' ' + $ctrl.selectedOrder.bill_last_name}}\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Email</span> <input class=\"form-control\" type=\"text\" name=\"bill_email\" ng-model=\"$ctrl.selectedOrder.bill_email\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Phone</span> <input class=\"form-control\" type=\"text\" name=\"bill_phone\" ng-model=\"$ctrl.selectedOrder.bill_phone\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Address 1</span> <input class=\"form-control\" type=\"text\" name=\"bill-ad1\" ng-model=\"$ctrl.selectedOrder.bill_address1\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Address 2</span> <input class=\"form-control\" type=\"text\" name=\"bill-ad2\" ng-model=\"$ctrl.selectedOrder.bill_address2\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">City</span> <input class=\"form-control\" type=\"text\" name=\"bill-city\" ng-model=\"$ctrl.selectedOrder.bill_city\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">State</span> <input class=\"form-control\" type=\"text\" name=\"bill-state\" ng-model=\"$ctrl.selectedOrder.bill_state\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Zip</span> <input class=\"form-control\" type=\"text\" name=\"bill-zip\" ng-model=\"$ctrl.selectedOrder.bill_zip\" disabled=\"disabled\"/> </div> </div> </div> </uib-tab> <uib-tab heading=\"Additional\"> <div class=\"row\"> <div class=\"col min-scroll ordersForm\"> <div class=\"input-group m-tb-10\" ng-if=\"$ctrl.selectedOrder.approval_date\"> <span class=\"input-group-text min-w-25\">Approval Date</span> <input class=\"form-control\" type=\"text\" name=\"app_date\" ng-model=\"$ctrl.selectedOrder.approval_date\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Approver</span> <input class=\"form-control\" type=\"text\" name=\"approver\" ng-model=\"$ctrl.selectedOrder.approver\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Approver ID</span> <input class=\"form-control\" type=\"text\" name=\"approver_id\" ng-model=\"$ctrl.selectedOrder.approver_id\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Approver Notes</span> <textarea maxlength=\"65535\" class=\"form-control\" type=\"text\" name=\"app_notes\" ng-model=\"$ctrl.selectedOrder.approver_notes\" disabled=\"disabled\"></textarea> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Cost Center Code</span> <input class=\"form-control\" type=\"text\" name=\"cost_center_code\" ng-model=\"$ctrl.selectedOrder.cost_center_code\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Cost Center ID</span> <input class=\"form-control\" type=\"text\" name=\"cost_center_id\" ng-model=\"$ctrl.selectedOrder.cost_center_id\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Group ID</span> <input class=\"form-control\" type=\"text\" name=\"group_id\" ng-model=\"$ctrl.selectedOrder.group_id\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">GSA Total</span> <input class=\"form-control\" type=\"text\" name=\"gsa\" ng-model=\"$ctrl.selectedOrder.gsa_total\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Issuing Office</span> <input class=\"form-control\" type=\"text\" name=\"iss_off\" ng-model=\"$ctrl.selectedOrder.issuing_office\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Order Date/Time</span> <input class=\"form-control\" type=\"text\" name=\"full_date\" ng-model=\"$ctrl.selectedOrder.order_date_time\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Order Notes</span> <textarea maxlength=\"65535\" class=\"form-control\" type=\"text\" name=\"notes\" ng-model=\"$ctrl.selectedOrder.notes\" disabled=\"disabled\"/>  </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Other Total</span> <input class=\"form-control\" type=\"text\" name=\"oth\" ng-model=\"$ctrl.selectedOrder.other_total\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Price Availability</span> <input class=\"form-control\" type=\"text\" name=\"price_avail\" ng-model=\"$ctrl.selectedOrder.price_availability\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Price Sheet</span> <input class=\"form-control\" type=\"text\" name=\"price_sheet\" ng-model=\"$ctrl.selectedOrder.price_sheet\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Promo Codes</span> <input class=\"form-control\" type=\"text\" name=\"pcodes\" ng-model=\"$ctrl.selectedOrder.promo_codes\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Promo Discount</span> <input class=\"form-control\" type=\"text\" name=\"promo\" ng-model=\"$ctrl.selectedOrder.promo_discount\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Reference ID</span> <input class=\"form-control\" type=\"text\" name=\"ref_id\" ng-model=\"$ctrl.selectedOrder.reference_id\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">RR PO</span> <input class=\"form-control\" type=\"text\" name=\"rr_po\" ng-model=\"$ctrl.selectedOrder.rr_po_num\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Tax Rate</span> <input class=\"form-control\" type=\"text\" name=\"tax_rate\" ng-model=\"$ctrl.selectedOrder.tax_rate\" disabled=\"disabled\"/> </div> </div> </div> </uib-tab> <uib-tab heading=\"Shipments\"> <div class=\"row p-15\"> <div class=\"col min-scroll\"> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Order Shipped</span> <input class=\"form-control\" type=\"text\" name=\"shipped\" ng-model=\"$ctrl.selectedOrder.order_shipped\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Tracking Code</span> <input class=\"form-control\" type=\"text\" name=\"tracking_code\" ng-model=\"$ctrl.selectedOrder.tracking_code\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Shipping Method</span> <input class=\"form-control\" type=\"text\" name=\"shipping_method\" ng-model=\"$ctrl.selectedOrder.shipping_method\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Shipping Token</span> <input class=\"form-control\" type=\"text\" name=\"shipping_token\" ng-model=\"$ctrl.selectedOrder.shipping_token\" disabled=\"disabled\"/> </div> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text min-w-25\">Shipping Carrier</span> <input class=\"form-control\" type=\"text\" name=\"carrier\" ng-model=\"$ctrl.selectedOrder.shipping_carrier\" disabled=\"disabled\"/> </div> <p ng-repeat=\"shipment in $ctrl.selectedOrder.order_shipments\"> {{shipment.shipment_date}}, {{shipment.delivery_date}}, {{shipment.carrier}} <button class=\"btn btn-outline-danger border-0\" ng-click=\"$ctrl.removeShipment(shipment)\"> Remove </button> </p> </div> </div> </uib-tab> <uib-tab heading=\"Notifications\"> <div class=\"p-tb-20\"> <div class=\"row p-s-20\" ng-if=\"$ctrl.selectedOrder.order_notifications.length >= 1\"> <div class=\"col-2\">Status</div> <div class=\"col-1\">Type</div> <div class=\"col\">Date</div> <div class=\"col\">Recipient</div> </div> <div class=\"p-10\" ng-class=\"{'min-scroll':!isXS}\"> <div class=\"text-center p-15\" ng-if=\"$ctrl.selectedOrder.order_notifications.length <= 0\"> <h3>There are no notifications in this order.</h3> </div> <div class=\"col p-15 vf-list-item cursor-pointer\" ng-repeat=\"notification in $ctrl.selectedOrder.order_notifications track by $index\"> <div class=\"row\"> <div>{{notification.status}}</div> <div>{{notification.type}}</div> <div>{{notification.notification_date}}</div> <div>{{notification.recipient}}</div> </div> </div> </div> </div> </uib-tab> </uib-tabset> </form> </div> </div>";
// Exports
/* harmony default export */ const orders_detail = (orders_detail_code);
;// CONCATENATED MODULE: ./assets/app/dev/common/countries.ts
var countries = [{
  name: 'Afghanistan',
  val: 'AF'
}, {
  name: 'Albania',
  val: 'AL'
}, {
  name: 'Algeria',
  val: 'DZ'
}, {
  name: 'American Samoa',
  val: 'AS'
}, {
  name: 'Andorra',
  val: 'AD'
}, {
  name: 'Angola',
  val: 'AO'
}, {
  name: 'Anguilla',
  val: 'AI'
}, {
  name: 'Antarctica',
  val: 'AQ'
}, {
  name: 'Antigua and Barbuda',
  val: 'AG'
}, {
  name: 'Argentina',
  val: 'AR'
}, {
  name: 'Armenia',
  val: 'AM'
}, {
  name: 'Aruba',
  val: 'AW'
}, {
  name: 'Australia',
  val: 'AU'
}, {
  name: 'Austria',
  val: 'AT'
}, {
  name: 'Azerbaijan',
  val: 'AZ'
}, {
  name: 'Bahamas',
  val: 'BS'
}, {
  name: 'Bahrain',
  val: 'BH'
}, {
  name: 'Bangladesh',
  val: 'BD'
}, {
  name: 'Barbados',
  val: 'BB'
}, {
  name: 'Belarus',
  val: 'BY'
}, {
  name: 'Belgium',
  val: 'BE'
}, {
  name: 'Belize',
  val: 'BZ'
}, {
  name: 'Benin',
  val: 'BJ'
}, {
  name: 'Bermuda',
  val: 'BM'
}, {
  name: 'Bhutan',
  val: 'BT'
}, {
  name: 'Bolivia, Plurinational State of',
  val: 'BO'
}, {
  name: 'Bonaire, Sint Eustatius and Saba',
  val: 'BQ'
}, {
  name: 'Bosnia and Herzegovina',
  val: 'BA'
}, {
  name: 'Botswana',
  val: 'BW'
}, {
  name: 'Bouvet Island',
  val: 'BV'
}, {
  name: 'Brazil',
  val: 'BR'
}, {
  name: 'British Indian Ocean Territory',
  val: 'IO'
}, {
  name: 'Brunei Darussalam',
  val: 'BN'
}, {
  name: 'Bulgaria',
  val: 'BG'
}, {
  name: 'Burkina Faso',
  val: 'BF'
}, {
  name: 'Burundi',
  val: 'BI'
}, {
  name: 'Cambodia',
  val: 'KH'
}, {
  name: 'Cameroon',
  val: 'CM'
}, {
  name: 'Canada',
  val: 'CA'
}, {
  name: 'Cape Verde',
  val: 'CV'
}, {
  name: 'Cayman Islands',
  val: 'KY'
}, {
  name: 'Central African Republic',
  val: 'CF'
}, {
  name: 'Chad',
  val: 'TD'
}, {
  name: 'Chile',
  val: 'CL'
}, {
  name: 'China',
  val: 'CN'
}, {
  name: 'Christmas Island',
  val: 'CX'
}, {
  name: 'Cocos (Keeling) Islands',
  val: 'CC'
}, {
  name: 'Colombia',
  val: 'CO'
}, {
  name: 'Comoros',
  val: 'KM'
}, {
  name: 'Congo',
  val: 'CG'
}, {
  name: 'Congo, the Democratic Republic of the',
  val: 'CD'
}, {
  name: 'Cook Islands',
  val: 'CK'
}, {
  name: 'Costa Rica',
  val: 'CR'
}, {
  name: 'Croatia',
  val: 'HR'
}, {
  name: 'Cuba',
  val: 'CU'
}, {
  name: 'Curaçao',
  val: 'CW'
}, {
  name: 'Cyprus',
  val: 'CY'
}, {
  name: 'Czech Republic',
  val: 'CZ'
}, {
  name: 'Côte d\'Ivoire',
  val: 'CI'
}, {
  name: 'Denmark',
  val: 'DK'
}, {
  name: 'Djibouti',
  val: 'DJ'
}, {
  name: 'Dominica',
  val: 'DM'
}, {
  name: 'Dominican Republic',
  val: 'DO'
}, {
  name: 'Ecuador',
  val: 'EC'
}, {
  name: 'Egypt',
  val: 'EG'
}, {
  name: 'El Salvador',
  val: 'SV'
}, {
  name: 'Equatorial Guinea',
  val: 'GQ'
}, {
  name: 'Eritrea',
  val: 'ER'
}, {
  name: 'Estonia',
  val: 'EE'
}, {
  name: 'Ethiopia',
  val: 'ET'
}, {
  name: 'Falkland Islands (Malvinas)',
  val: 'FK'
}, {
  name: 'Faroe Islands',
  val: 'FO'
}, {
  name: 'Fiji',
  val: 'FJ'
}, {
  name: 'Finland',
  val: 'FI'
}, {
  name: 'France',
  val: 'FR'
}, {
  name: 'French Guiana',
  val: 'GF'
}, {
  name: 'French Polynesia',
  val: 'PF'
}, {
  name: 'French Southern Territories',
  val: 'TF'
}, {
  name: 'Gabon',
  val: 'GA'
}, {
  name: 'Gambia',
  val: 'GM'
}, {
  name: 'Georgia',
  val: 'GE'
}, {
  name: 'Germany',
  val: 'DE'
}, {
  name: 'Ghana',
  val: 'GH'
}, {
  name: 'Gibraltar',
  val: 'GI'
}, {
  name: 'Greece',
  val: 'GR'
}, {
  name: 'Greenland',
  val: 'GL'
}, {
  name: 'Grenada',
  val: 'GD'
}, {
  name: 'Guadeloupe',
  val: 'GP'
}, {
  name: 'Guam',
  val: 'GU'
}, {
  name: 'Guatemala',
  val: 'GT'
}, {
  name: 'Guernsey',
  val: 'GG'
}, {
  name: 'Guinea',
  val: 'GN'
}, {
  name: 'Guinea-Bissau',
  val: 'GW'
}, {
  name: 'Guyana',
  val: 'GY'
}, {
  name: 'Haiti',
  val: 'HT'
}, {
  name: 'Heard Island and McDonald Islands',
  val: 'HM'
}, {
  name: 'Holy See (Vatican City State)',
  val: 'VA'
}, {
  name: 'Honduras',
  val: 'HN'
}, {
  name: 'Hong Kong',
  val: 'HK'
}, {
  name: 'Hungary',
  val: 'HU'
}, {
  name: 'Iceland',
  val: 'IS'
}, {
  name: 'India',
  val: 'IN'
}, {
  name: 'Indonesia',
  val: 'ID'
}, {
  name: 'Iran, Islamic Republic of',
  val: 'IR'
}, {
  name: 'Iraq',
  val: 'IQ'
}, {
  name: 'Ireland',
  val: 'IE'
}, {
  name: 'Isle of Man',
  val: 'IM'
}, {
  name: 'Israel',
  val: 'IL'
}, {
  name: 'Italy',
  val: 'IT'
}, {
  name: 'Jamaica',
  val: 'JM'
}, {
  name: 'Japan',
  val: 'JP'
}, {
  name: 'Jersey',
  val: 'JE'
}, {
  name: 'Jordan',
  val: 'JO'
}, {
  name: 'Kazakhstan',
  val: 'KZ'
}, {
  name: 'Kenya',
  val: 'KE'
}, {
  name: 'Kiribati',
  val: 'KI'
}, {
  name: 'Korea, Democratic People\'s Republic of',
  val: 'KP'
}, {
  name: 'Korea, Republic of',
  val: 'KR'
}, {
  name: 'Kuwait',
  val: 'KW'
}, {
  name: 'Kyrgyzstan',
  val: 'KG'
}, {
  name: 'Lao People\'s Democratic Republic',
  val: 'LA'
}, {
  name: 'Latvia',
  val: 'LV'
}, {
  name: 'Lebanon',
  val: 'LB'
}, {
  name: 'Lesotho',
  val: 'LS'
}, {
  name: 'Liberia',
  val: 'LR'
}, {
  name: 'Libya',
  val: 'LY'
}, {
  name: 'Liechtenstein',
  val: 'LI'
}, {
  name: 'Lithuania',
  val: 'LT'
}, {
  name: 'Luxembourg',
  val: 'LU'
}, {
  name: 'Macao',
  val: 'MO'
}, {
  name: 'Macedonia, the former Yugoslav Republic of',
  val: 'MK'
}, {
  name: 'Madagascar',
  val: 'MG'
}, {
  name: 'Malawi',
  val: 'MW'
}, {
  name: 'Malaysia',
  val: 'MY'
}, {
  name: 'Maldives',
  val: 'MV'
}, {
  name: 'Mali',
  val: 'ML'
}, {
  name: 'Malta',
  val: 'MT'
}, {
  name: 'Marshall Islands',
  val: 'MH'
}, {
  name: 'Martinique',
  val: 'MQ'
}, {
  name: 'Mauritania',
  val: 'MR'
}, {
  name: 'Mauritius',
  val: 'MU'
}, {
  name: 'Mayotte',
  val: 'YT'
}, {
  name: 'Mexico',
  val: 'MX'
}, {
  name: 'Micronesia, Federated States of',
  val: 'FM'
}, {
  name: 'Moldova, Republic of',
  val: 'MD'
}, {
  name: 'Monaco',
  val: 'MC'
}, {
  name: 'Mongolia',
  val: 'MN'
}, {
  name: 'Montenegro',
  val: 'ME'
}, {
  name: 'Montserrat',
  val: 'MS'
}, {
  name: 'Morocco',
  val: 'MA'
}, {
  name: 'Mozambique',
  val: 'MZ'
}, {
  name: 'Myanmar',
  val: 'MM'
}, {
  name: 'Namibia',
  val: 'NA'
}, {
  name: 'Nauru',
  val: 'NR'
}, {
  name: 'Nepal',
  val: 'NP'
}, {
  name: 'Netherlands',
  val: 'NL'
}, {
  name: 'New Caledonia',
  val: 'NC'
}, {
  name: 'New Zealand',
  val: 'NZ'
}, {
  name: 'Nicaragua',
  val: 'NI'
}, {
  name: 'Niger',
  val: 'NE'
}, {
  name: 'Nigeria',
  val: 'NG'
}, {
  name: 'Niue',
  val: 'NU'
}, {
  name: 'Norfolk Island',
  val: 'NF'
}, {
  name: 'Northern Mariana Islands',
  val: 'MP'
}, {
  name: 'Norway',
  val: 'NO'
}, {
  name: 'Oman',
  val: 'OM'
}, {
  name: 'Pakistan',
  val: 'PK'
}, {
  name: 'Palau',
  val: 'PW'
}, {
  name: 'Palestine, State of',
  val: 'PS'
}, {
  name: 'Panama',
  val: 'PA'
}, {
  name: 'Papua New Guinea',
  val: 'PG'
}, {
  name: 'Paraguay',
  val: 'PY'
}, {
  name: 'Peru',
  val: 'PE'
}, {
  name: 'Philippines',
  val: 'PH'
}, {
  name: 'Pitcairn',
  val: 'PN'
}, {
  name: 'Poland',
  val: 'PL'
}, {
  name: 'Portugal',
  val: 'PT'
}, {
  name: 'Puerto Rico',
  val: 'PR'
}, {
  name: 'Qatar',
  val: 'QA'
}, {
  name: 'Romania',
  val: 'RO'
}, {
  name: 'Russian Federation',
  val: 'RU'
}, {
  name: 'Rwanda',
  val: 'RW'
}, {
  name: 'Réunion',
  val: 'RE'
}, {
  name: 'Saint Barthélemy',
  val: 'BL'
}, {
  name: 'Saint Helena, Ascension and Tristan da Cunha',
  val: 'SH'
}, {
  name: 'Saint Kitts and Nevis',
  val: 'KN'
}, {
  name: 'Saint Lucia',
  val: 'LC'
}, {
  name: 'Saint Martin (French part)',
  val: 'MF'
}, {
  name: 'Saint Pierre and Miquelon',
  val: 'PM'
}, {
  name: 'Saint Vincent and the Grenadines',
  val: 'VC'
}, {
  name: 'Samoa',
  val: 'WS'
}, {
  name: 'San Marino',
  val: 'SM'
}, {
  name: 'Sao Tome and Principe',
  val: 'ST'
}, {
  name: 'Saudi Arabia',
  val: 'SA'
}, {
  name: 'Senegal',
  val: 'SN'
}, {
  name: 'Serbia',
  val: 'RS'
}, {
  name: 'Seychelles',
  val: 'SC'
}, {
  name: 'Sierra Leone',
  val: 'SL'
}, {
  name: 'Singapore',
  val: 'SG'
}, {
  name: 'Sint Maarten (Dutch part)',
  val: 'SX'
}, {
  name: 'Slovakia',
  val: 'SK'
}, {
  name: 'Slovenia',
  val: 'SI'
}, {
  name: 'Solomon Islands',
  val: 'SB'
}, {
  name: 'Somalia',
  val: 'SO'
}, {
  name: 'South Africa',
  val: 'ZA'
}, {
  name: 'South Georgia and the South Sandwich Islands',
  val: 'GS'
}, {
  name: 'South Sudan',
  val: 'SS'
}, {
  name: 'Spain',
  val: 'ES'
}, {
  name: 'Sri Lanka',
  val: 'LK'
}, {
  name: 'Sudan',
  val: 'SD'
}, {
  name: 'Suriname',
  val: 'SR'
}, {
  name: 'Svalbard and Jan Mayen',
  val: 'SJ'
}, {
  name: 'Swaziland',
  val: 'SZ'
}, {
  name: 'Sweden',
  val: 'SE'
}, {
  name: 'Switzerland',
  val: 'CH'
}, {
  name: 'Syrian Arab Republic',
  val: 'SY'
}, {
  name: 'Taiwan, Province of China',
  val: 'TW'
}, {
  name: 'Tajikistan',
  val: 'TJ'
}, {
  name: 'Tanzania, United Republic of',
  val: 'TZ'
}, {
  name: 'Thailand',
  val: 'TH'
}, {
  name: 'Timor-Leste',
  val: 'TL'
}, {
  name: 'Togo',
  val: 'TG'
}, {
  name: 'Tokelau',
  val: 'TK'
}, {
  name: 'Tonga',
  val: 'TO'
}, {
  name: 'Trinidad and Tobago',
  val: 'TT'
}, {
  name: 'Tunisia',
  val: 'TN'
}, {
  name: 'Turkey',
  val: 'TR'
}, {
  name: 'Turkmenistan',
  val: 'TM'
}, {
  name: 'Turks and Caicos Islands',
  val: 'TC'
}, {
  name: 'Tuvalu',
  val: 'TV'
}, {
  name: 'Uganda',
  val: 'UG'
}, {
  name: 'Ukraine',
  val: 'UA'
}, {
  name: 'United Arab Emirates',
  val: 'AE'
}, {
  name: 'United Kingdom',
  val: 'GB'
}, {
  name: 'United States',
  val: 'US'
}, {
  name: 'United States Minor Outlying Islands',
  val: 'UM'
}, {
  name: 'Uruguay',
  val: 'UY'
}, {
  name: 'Uzbekistan',
  val: 'UZ'
}, {
  name: 'Vanuatu',
  val: 'VU'
}, {
  name: 'Venezuela, Bolivarian Republic of',
  val: 'VE'
}, {
  name: 'Viet Nam',
  val: 'VN'
}, {
  name: 'Virgin Islands, British',
  val: 'VG'
}, {
  name: 'Virgin Islands, U.S.',
  val: 'VI'
}, {
  name: 'Wallis and Futuna',
  val: 'WF'
}, {
  name: 'Western Sahara',
  val: 'EH'
}, {
  name: 'Yemen',
  val: 'YE'
}, {
  name: 'Zambia',
  val: 'ZM'
}, {
  name: 'Zimbabwe',
  val: 'ZW'
}, {
  name: 'Åland Islands',
  val: 'AX'
}];
;// CONCATENATED MODULE: ./assets/app/dev/components/orders/orders-detail/orders-detail.component.ts




(function () {
  'use strict';

  OrderController.$inject = ["$rootScope", "$scope", "$state", "$stateParams", "$uibModal", "Admin", "Debug", "Localized", "Utils", "OrdersService"];
  angular.module('vendorfuelApp').component('ordersDetail', {
    controller: OrderController,
    template: orders_detail
  });
  OrderController.$inject = ['$rootScope', '$scope', '$state', '$stateParams', '$uibModal', 'Admin', 'Debug', 'Localized', 'Utils', 'OrdersService'];
  /**
   * @param {Object} $rootScope    Angular service
   * @param {Object} $scope        Angular service
   * @param {Object} $state        UI Router service
   * @param {Object} $stateParams  UI Router service
   * @param {Object} $uibModal     UI Bootstrap service
   * @param {Object} Admin         VendorFuel service
   * @param {Object} Debug         VendorFuel service
   * @param {Object} Localized     VendorFuel service
   * @param {Object} Utils         VendorFuel service
   * @param {Object} OrdersService service
   */

  function OrderController($rootScope, $scope, $state, $stateParams, $uibModal, Admin, Debug, Localized, Utils, OrdersService) {
    var vm = this;
    vm.$onInit = $onInit;
    vm.downloadPurchaseOrder = downloadPurchaseOrder;
    vm.exportToQuickbooks = exportToQuickbooks;
    vm.generatePurchaseOrders = generatePurchaseOrders;
    vm.goToProduct = goToProduct;
    vm.lockCosts = lockCosts;
    vm.openRmaModal = openRmaModal;
    vm.openShipmentModal = openShipmentModal;
    vm.resendEmail = resendEmail;
    vm.resendOrder = resendOrder;
    vm.removeShipment = removeShipment;
    vm.sendPurchaseOrder = sendPurchaseOrder;
    /**
     * Initialization
     */

    function $onInit() {
      vm.id = $stateParams.id || null;
      vm.isLoading = true;
      vm.selectedOrder = {};
      $rootScope.breadcrumbs = [{
        name: 'Orders',
        state: 'orders.index'
      }, {
        name: "Order ".concat(vm.id),
        state: "order({id:".concat(vm.id, "})")
      }];

      if (vm.id) {
        getOrder();
      } else {
        $state.go('orders.index');
      }
    }
    /**
     */


    function getOrder() {
      vm.isLoading = true;
      var endpoint = "".concat(Localized.apiURL, "/admin/orders/").concat(vm.id);
      Utils.httpGet(endpoint).then(function (response) {
        vm.selectedOrder = response.order;
        vm.isLoading = false;
      });
    }
    /**
     * @param {Object} item Product
     */


    function goToProduct(item) {
      $state.go('catalog-products', {
        activeTab: 2,
        product: item
      });
    }
    /**
     * @param {Object} item Product
     */


    function openRmaModal(item) {
      var order = vm.selectedOrder;
      $uibModal.open({
        templateUrl: Localized.root.url + '/assets/app/modals/rma.html',
        size: 'lg',
        // eslint-disable-next-line no-shadow
        controller: ["$scope", "$uibModalInstance", function controller($scope, $uibModalInstance) {
          $scope.order = order;
          $scope.item = item;
          $scope.returnStatuses = {
            none: 'No return requested',
            requested: 'Requested',
            denied: 'Denied',
            approved: 'Approved',
            refunded: 'Refunded',
            replaced: 'Replaced'
          };
          $scope.returnReasons = {
            defective: 'Defective',
            'wrong item': 'Wrong Item',
            exchange: 'Exchange',
            other: 'Other'
          };

          $scope.Confirm = function () {
            vm.isLoading = true;
            var req = {
              method: 'PUT',
              url: Localized.apiURL + '/admin/rma/' + $scope.item.purch_id,
              data: $scope.item
            };
            Utils.getHttpPromise(req).then(function () {
              $uibModalInstance.close();
            }, function (errResp) {
              Debug.error(errResp);
            })["finally"](function () {
              vm.isLoading = false;
            });
          };

          $scope.Cancel = function () {
            $uibModalInstance.dismiss();
          };
        }]
      }).result.then(function () {
        getOrder();
      });
    }
    /**
     */


    function openShipmentModal() {
      var id = vm.id;
      $uibModal.open({
        templateUrl: Localized.root.url + '/assets/app/modals/shipment.html',
        size: 'lg',
        // eslint-disable-next-line no-shadow
        controller: ["$scope", "$uibModalInstance", function controller($scope, $uibModalInstance) {
          $scope.isLoading = false;
          $scope.shipment = {
            order_id: id,
            country_code: 'US',
            country_phone_code: 1
          };
          $scope.states = usStates;
          $scope.countries = countries;

          $scope.Confirm = function () {
            vm.isLoading = true;
            var req = {
              method: 'POST',
              url: Localized.apiURL + '/admin/order/shipment/add',
              data: $scope.shipment
            };
            Utils.getHttpPromise(req).then(function () {
              $uibModalInstance.close();
            }, function (errResp) {
              Debug.error(errResp);
              $scope.isLoading = false;
            })["finally"](function () {});
          };

          $scope.Cancel = function () {
            $uibModalInstance.dismiss();
          };
        }]
      }).result.then(function () {
        getOrder();
      });
    }
    /**
     */


    function resendOrder() {
      vm.isLoading = true;
      var req = {
        method: 'POST',
        url: Localized.apiURL + '/admin/order/resend',
        data: {
          order_id: vm.id
        }
      };
      Utils.getHttpPromise(req).then(function () {
        getOrder();
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        vm.isLoading = false;
      });
    }
    /**
     * Attempt to export to quickbooks
     */


    function exportToQuickbooks() {
      vm.isLoading = true;
      var req = {
        method: 'POST',
        url: Localized.apiURL + '/admin/order/' + vm.id + '/quickbooks/export'
      };
      Utils.getHttpPromise(req).then(function () {}, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        vm.isLoading = false;
      });
    }
    /**
     */


    function resendEmail() {
      vm.isLoading = true;
      var req = {
        method: 'POST',
        url: Localized.apiURL + '/admin/order/resend-email',
        data: {
          order_id: vm.id
        }
      };
      Utils.getHttpPromise(req).then(function () {}, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        vm.isLoading = false;
      });
    }
    /**
     * @param {Object} shipment Shipment
     */


    function removeShipment(shipment) {
      vm.isLoading = true;
      var req = {
        method: 'POST',
        url: Localized.apiURL + '/admin/order/shipment/remove',
        data: {
          shipment_id: shipment.shipment_id
        }
      };
      Utils.getHttpPromise(req).then(function () {
        getOrder();
      }, function (errResp) {
        Debug.error(errResp);
        vm.isLoading = false;
      })["finally"](function () {});
    }
    /**
     */


    function lockCosts() {
      vm.isLoading = true;
      var req = {
        method: 'POST',
        url: Localized.apiURL + '/admin/order/' + vm.id + '/costs/lock',
        data: {
          costs: vm.selectedOrder.purchased_items
        }
      };
      Utils.getHttpPromise(req).then(function () {}, function (errResp) {
        Debug.log(errResp);
      })["finally"](function () {
        vm.isLoading = false;
      });
    }
    /**
     */


    function generatePurchaseOrders() {
      vm.isLoading = true;
      var req = {
        method: 'POST',
        url: Localized.apiURL + '/admin/order/' + vm.id + '/po/generate'
      };
      Utils.getHttpPromise(req).then(function () {}, function (errResp) {
        Debug.log(errResp);
      })["finally"](function () {
        vm.isLoading = false;
      });
    }
    /**
     * @param {Object} purchaseOrder Purchase Order
     */


    function sendPurchaseOrder(purchaseOrder) {
      vm.isLoading = true;
      var req = {
        method: 'POST',
        url: Localized.apiURL + '/admin/order/' + purchaseOrder.order_id + '/po/' + purchaseOrder.id + '/transmit'
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.order = resp.order;
      }, function (errResp) {
        Debug.log(errResp);
      })["finally"](function () {
        vm.isLoading = false;
      });
    }
    /**
     * @param {Object} purchaseOrder Purchase Order
     */


    function downloadPurchaseOrder(purchaseOrder) {
      window.open(Admin.Download(Localized.apiURL + '/admin/order/' + purchaseOrder.order_id + '/po/' + purchaseOrder.id + '/download'), '_blank');
    }
  }
})();
;// CONCATENATED MODULE: ./assets/app/dev/components/orders/orders-tracking/orders-tracking.html
// Module
var orders_tracking_code = "<h2>Order Tracking</h2> <vf-check-auth></vf-check-auth> <wp-notice-list></wp-notice-list> <div> <form enctype=\"multipart/form-data\" name=\"shipmentUploadForm\"> <div class=\"col-md-5\"> <div class=\"input-group m-tb-10\"> <span class=\"input-group-text w-104\">File</span> <input class=\"form-control\" ng-class=\"{'is-invalid':shipmentUploadForm.zipName.$invalid}\" name=\"zipName\" ng-model=\"$ctrl.theFile.name\" placeholder=\"Upload a .zip File\" disabled=\"disabled\" required> <label class=\"btn btn-secondary m-0\"> Browse <input class=\"custom-file\" type=\"file\" name=\"file\" file-model=\"myFiles\" id=\"uploadInput\" onchange=\"angular.element(this).scope().setFile(this),angular.element(this).scope().setUploading()\" hidden/> </label> </div> <div class=\"d-flex align-items-center\" ng-if=\"$ctrl.isUploading\"> <strong>Uploading zip, please wait...</strong> <div class=\"spinner is-active ml-auto\" role=\"status\" aria-hidden=\"true\"></div> </div> </div> </form> </div> <wp-spinner type=\"2x\" ng-show=\"$ctrl.isLoading\"> </wp-spinner> <div ng-show=\"!$ctrl.isLoading && $ctrl.log\"> <h3 class=\"h6\">Upload Log</h3> <samp><pre>\n{{ $ctrl.log }}\n</pre></samp> </div>";
// Exports
/* harmony default export */ const orders_tracking = (orders_tracking_code);
;// CONCATENATED MODULE: ./assets/app/dev/components/orders/orders-tracking/orders-tracking.component.ts

/**
 * Order Tracking Component
 *
 * @namespace Components
 */

(function () {
  'use strict';

  OrderTrackingController.$inject = ["$rootScope", "$scope", "Debug", "Localized", "Utils"];
  angular.module('vendorfuelApp').component('orderTracking', {
    controller: OrderTrackingController,
    template: orders_tracking
  });
  OrderTrackingController.$inject = ['$rootScope', '$scope', 'Debug', 'Localized', 'Utils'];
  /**
   * @param {Object} $rootScope Angular service
   * @param {Object} $scope     Angular service
   * @param {Object} Debug      VendorFuel service
   * @param {Object} Localized  VendorFuel service
   * @param {Object} Utils      VendorFuel service
   */

  function OrderTrackingController($rootScope, $scope, Debug, Localized, Utils) {
    $scope.setUploading = setUploading;
    $scope.setFile = setFile;
    var vm = this;
    vm.$onInit = $onInit;
    /**
     * Initialize
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Orders',
        state: 'orders.index'
      }, {
        name: 'Order Tracking',
        state: 'orders.tracking'
      }];
      getLog();
    }
    /**
     */


    function getLog() {
      vm.isLoading = true;
      var endpoint = "".concat(Localized.apiURL, "/admin/order/shipment/upload/log");
      Utils.httpGet(endpoint).then(function (response) {
        if (!response.errors.length) {
          vm.log = response.log;
        }
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        vm.isLoading = false;
      });
    }
    /**
     */


    function setUploading() {
      // eslint-disable-next-line no-shadow
      $scope.$apply(function () {
        vm.isUploading = !vm.isUploading;
      });
    }
    /**
     * @param {Object} element DOM element
     */


    function setFile(element) {
      // eslint-disable-next-line no-shadow
      $scope.$apply(function () {
        vm.theFile = element.files[0];
      });
      var fd = new FormData();
      fd.append('file', vm.theFile);
      var req = {
        method: 'POST',
        url: Localized.apiURL + '/admin/order/shipment/upload/zip',
        data: fd,
        transformRequest: angular.identity,
        headers: {
          // eslint-disable-next-line no-undefined
          'Content-Type': undefined
        }
      };
      Utils.getHttpPromise(req).then(function () {}, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        vm.isUploading = false;
      });
    }
  }
})();
;// CONCATENATED MODULE: ./assets/app/dev/components/orders/index.ts


// EXTERNAL MODULE: ./assets/app/dev/components/products/products.factory.ts
var products_factory = __webpack_require__(9537);
;// CONCATENATED MODULE: ./assets/app/dev/common/tinymce-options.ts
var tinymceOptions = {
  plugins: 'charmap code image link lists'
};
;// CONCATENATED MODULE: ./assets/app/dev/components/products/catalog-products.controller.ts


(function () {
  'use strict';

  CatalogProductsController.$inject = ["$scope", "$rootScope", "$state", "$stateParams", "Admin", "Settings", "Debug", "Utils", "Localized", "Products", "SearchModal", "$timeout", "$window"];
  angular.module('vendorfuelApp').controller('CatalogProductsController', CatalogProductsController);
  CatalogProductsController.$inject = ['$scope', '$rootScope', '$state', '$stateParams', 'Admin', 'Settings', 'Debug', 'Utils', 'Localized', 'Products', 'SearchModal', '$timeout', '$window'];
  /**
   * @param {Object} $scope       Angular service
   * @param {Object} $rootScope   Angular service
   * @param {Object} $state       UI Router service
   * @param {Object} $stateParams UI Router service
   * @param {Object} Admin        VendorFuel service
   * @param {Object} Settings     VendorFuel service
   * @param {Object} Debug        VendorFuel service
   * @param {Object} Utils        VendorFuel service
   * @param {Object} Localized    VendorFuel service
   * @param {Object} Products     VendorFuel service
   * @param {Object} SearchModal  VendorFuel service
   * @param {Object} $timeout     Angular service
   * @param {Object} $window      Angular service
   */

  function CatalogProductsController($scope, $rootScope, $state, $stateParams, Admin, Settings, Debug, Utils, Localized, Products, SearchModal, $timeout, $window) {
    var _this = this;

    var vm = this;
    this.placeholderImg = "".concat(localized.dir.url, "assets/img/placeholder-150px.png");
    this.tinymceOptions = tinymceOptions;
    vm.searchOptions = {
      product_id: 'ID',
      description: 'Name',
      sku: 'SKU'
    };
    /**
     * Initialization
     */

    this.$onInit = function () {
      vm.productSlug = localized.settings.general.product_slug || 'products';
      $rootScope.breadcrumbs = [{
        name: 'Catalog',
        state: 'catalog'
      }, {
        name: 'Products',
        state: 'catalog-products'
      }];
      $scope.activeTab = parseInt($stateParams.activeTab) || 0;
      $scope.attributesLength = 36;
      $scope.batchEndpoint = Localized.apiURL + '/admin/product/batch/';
      $scope.batchListOptions = {
        any: 'All',
        pending: 'Pending',
        confirmed: 'Confirmed',
        processing: 'Processing',
        processed: 'Processed'
      };
      $scope.isAuthed = Admin.Authed();
      $scope.loading = true;
      $scope.loadingMore = false;
      $scope.maxAttributes = 18;
      $scope.myFile = {};
      $scope.newProduct = {
        status: 'active',
        images: {},
        pricesheets: [],
        parcels: [],
        meta: {}
      };
      $scope.noteParams = {
        note: ''
      };
      $scope.numAttributes = [];
      $scope.parcelWeightUnits = {
        lb: 'Pounds',
        kg: 'Kilograms'
      };
      $scope.productEndpoint = Localized.apiURL + '/admin/products/';
      $scope.productNotes = [];
      $scope.products = [];
      $scope.productsFactory = Products;
      $scope.regValues = [{
        key: '1',
        value: 'Yes'
      }, {
        key: '0',
        value: 'No'
      }];
      $scope.removingImage = false;
      $scope.rppValues = [15, 30, 50, 100];
      $scope.saved = false;
      $scope.saving = false;
      $scope.scrollSlides = 0;
      $scope.savingNote = false;
      $scope.searchModalPage = '';
      $scope.searchTerm = '';
      $scope.selectedBatch = null;
      $scope.selectedProduct = $stateParams.product || null;
      $scope.slides = 0;
      $scope.sortBatchParams = {
        sort_by: 'batch_id',
        sort_type: '',
        status: 'any'
      };
      vm.searchParams = {
        rpp: $scope.rppValues[0] // Must define after rppValues is declared.

      };

      if ($scope.activeTab === 2 && !$scope.selectedProduct || $scope.activeTab === 5 && !$scope.selectedBatch) {
        $scope.activeTab = 0;
      }
    };

    this.$onInit();

    this.tabChanged = function (i) {
      $scope.activeTab = i;
      $state.go('catalog-products', {
        activeTab: $scope.activeTab
      });
      Settings.errors = {};
      $scope.loading = true;
      $scope.saving = false;
      $scope.saved = false;
      $scope.cancelled = false;
      var req = {
        method: 'GET',
        url: $scope.productEndpoint
      };

      switch (i) {
        case 0:
          Utils.getHttpPromise(req).then(function (resp) {
            $scope.products = resp.products;
            $scope.totalProducts = resp.products.total;
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
          break;

        case 1:
          _this.slickSetup();

          $scope.loading = false;
          break;

        case 2:
          // eslint-disable-next-line no-var
          var done = 0,
              total = 2;
          req.url += $scope.selectedProduct.product_id;
          Utils.getHttpPromise(req).then(function (resp) {
            $scope.selectedProduct = resp.product;
            $scope.numAttributes = []; // eslint-disable-next-line no-shadow

            for (var _i = 1; _i <= 18; _i++) {
              if ($scope.selectedProduct['att' + _i + 'n'] || $scope.selectedProduct['att' + _i + 'd']) {
                $scope.numAttributes.push(_i);
              }
            }

            if (!$scope.selectedProduct.meta) {
              $scope.selectedProduct.meta = {};
            }
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            if (++done >= total) {
              $scope.loading = false;
            }

            _this.slickSetup();
          });
          req = {
            method: 'GET',
            url: Localized.apiURL + '/admin/product/note',
            params: {
              product_id: $scope.selectedProduct.product_id
            }
          };
          Utils.getHttpPromise(req).then(function (resp) {
            $scope.productNotes = resp.notes;
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            if (++done >= total) {
              $scope.loading = false;
            }
          });
          break;

        case 3:
          $scope.loading = false;
          break;

        case 4:
          req = {
            method: 'GET',
            url: $scope.batchEndpoint,
            params: $scope.sortBatchParams
          };
          Utils.getHttpPromise(req).then(function (resp) {
            $scope.batches = resp.search_results; // eslint-disable-next-line no-shadow

            for (var _i2 = 0; _i2 < $scope.batches.length; _i2++) {
              if ($scope.batches[_i2].status === 'processing') {
                _this.updateBatchProgress();

                break;
              }
            }
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
          break;

        case 5:
          req = {
            method: 'GET',
            url: $scope.batchEndpoint + $scope.selectedBatch.batch_id
          };
          Utils.getHttpPromise(req).then(function (resp) {
            $scope.selectedBatch = resp.batches[0];
            $scope.batchHeaders = resp.batches[0].columns;
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
          break;

        default:
          $scope.loading = false;
          break;
      }
    };
    /**
     * @param {number} productIndex Product index
     * @param {Object} e            Click event
     */


    this.editProduct = function (productIndex, e) {
      if (e) {
        e.preventDefault();
      }

      var tabIndex = 2;
      $scope.activeTab = tabIndex;
      $scope.selectedProduct = $scope.products.data[productIndex];
    };
    /*
    	* Attributes
    	*/


    this.addAttribute = function () {
      if ($scope.numAttributes.length >= $scope.maxAttributes) {
        return;
      }

      var i = 1;

      while ($scope.numAttributes.indexOf(i) !== -1) {
        i++;
      }

      $scope.numAttributes.push(i);
    };

    this.removeAttribute = function (i) {
      if ($scope.activeTab === 1) {
        $scope.numAttributes.splice(i - 1, 1);
        $scope.newProduct['att' + i + 'n'] = '';
        $scope.newProduct['att' + i + 'd'] = '';
      } else if ($scope.activeTab === 2) {
        $scope.numAttributes.splice(i - 1, 1);
        $scope.selectedProduct['att' + i + 'n'] = '';
        $scope.selectedProduct['att' + i + 'd'] = '';
      }
    };
    /*
    	* Utilities
    	*/


    this.syncProductWPPosts = function () {
      var params = {};
      var data = {};
      Utils.httpGet(Localized.wpRestUrl + '/syncProductPosts', params, data).then(function () {
        $scope.saving = false;
      });
    };

    this.generateSlugs = function () {
      var req = {
        method: 'POST',
        url: $scope.productEndpoint + 'slug/generate'
      };
      Utils.getHttpPromise(req).then(function () {
        angular.noop();
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };

    this.searchProducts = function (page, query, searchBy) {
      $scope.loadingMore = true;
      vm.searchParams.q = query;
      vm.searchParams.searchBy = searchBy;
      $scope.searchTerm = vm.searchParams.q;
      vm.searchParams.page = page || 1;
      var req = {
        method: 'GET',
        url: $scope.productEndpoint,
        params: vm.searchParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.products = resp.products;
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loadingMore = false;
      });
    };

    this.addProduct = function () {
      $scope.loading = true;
      var req = {
        method: 'POST',
        url: $scope.productEndpoint,
        data: $scope.newProduct
      };
      Utils.getHttpPromise(req).then(function (response) {
        if (!response.errors.length) {
          $scope.selectedProduct = {
            product_id: response.product_id
          };
          $scope.activeTab = 2;
          $scope.newProduct = {
            status: 'active',
            images: {},
            pricesheets: [],
            parcels: []
          };
          var params = {
            id: response.product_id
          };
          var data = {};
          Utils.httpGet(Localized.wpRestUrl + '/syncProductPosts', params, data).then(function () {
            $scope.loading = false;
          });
        }
      }, function (errResp) {
        Debug.log(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };

    this.checkImageLength = function () {
      if ($scope.activeTab === 2) {
        if ($scope.selectedProduct.images && Object.keys($scope.selectedProduct.images).length > 1) {
          if (Object.keys($scope.selectedProduct.images).length >= 4) {
            $scope.slides = 3;
            $scope.scrollSlides = 3;
          } else {
            $scope.slides = Object.keys($scope.selectedProduct.images).length - 1;
            $scope.scrollSlides = 1;
          }
        } else {
          $scope.slides = 1;
          $scope.scrollSlides = 2;
        }
      } else if ($scope.activeTab === 1) {
        if ($scope.newProduct.images && Object.keys($scope.newProduct.images).length > 1) {
          if (Object.keys($scope.newProduct.images).length >= 4) {
            $scope.slides = 3;
            $scope.scrollSlides = 3;
          } else {
            $scope.slides = Object.keys($scope.newProduct.images).length - 1;
            $scope.scrollSlides = 1;
          }
        } else {
          $scope.slides = 1;
          $scope.scrollSlides = 2;
        }
      }
    };

    this.openCatSearch = function () {
      $scope.searchModalPage = 'cat';
      var callback = {};
      var data = {
        tabs: [{
          http: {
            method: 'GET',
            url: Localized.apiURL + '/admin/category/',
            params: {
              q: ''
            }
          },
          relationships: ['categories'],
          fields: ['cat_id', 'title', 'parent_id'],
          fieldPrefixes: ['ID: ', '', 'Parent ID: '],
          id: 'cat_id',
          selectOne: true
        }]
      };
      callback = {
        confirm: _this.searchResults,
        cancel: _this.searchCancelled
      }; //callback object (confirm, cancel), title, message, optionCancel, optionConfirm, httpConfig

      SearchModal.Show(callback, 'Categories', data, 'Add items');
    };

    this.openMediaFrame = function () {
      // eslint-disable-next-line no-undef
      var fileFrame = wp.media({
        title: 'Select or Upload image',
        library: {
          type: 'image'
        },
        button: {
          text: 'Select'
        },
        multiple: false
      });
      fileFrame.on('select', function () {
        // We set multiple to false so only get one image from the uploader
        $scope.$apply(function () {
          $scope.attachment = fileFrame.state().get('selection').first().toJSON();
          $scope.removingImage = true;
          var assigned = false,
              i = 0;

          if ($scope.activeTab === 2) {
            while (!assigned) {
              // eslint-disable-next-line no-prototype-builtins
              if ($scope.selectedProduct.images.hasOwnProperty('new' + i)) {
                i++;
              } else {
                $scope.selectedProduct.images[i] = {
                  orig_url: $scope.attachment.sizes.full.url,
                  url: $scope.attachment.sizes.thumbnail.url
                };
                assigned = true;
              }
            }
          } else if ($scope.activeTab === 1) {
            while (!assigned) {
              // eslint-disable-next-line no-prototype-builtins
              if ($scope.newProduct.images.hasOwnProperty('new' + i)) {
                i++;
              } else {
                $scope.newProduct.images[i] = {
                  orig_url: $scope.attachment.sizes.full.url,
                  url: $scope.attachment.sizes.thumbnail.url
                };
                assigned = true;
              }
            }
          }

          _this.checkImageLength();

          $scope.slickConfig.slidesToShow = $scope.slides;
          $scope.slickConfig.slidesToScroll = $scope.scrollSlides;
          $timeout(function () {
            $scope.removingImage = false;
          }, 500);
        });
      }); // Finally, open the modal

      fileFrame.open();
    };

    this.openMfgSearch = function () {
      $scope.searchModalPage = 'mfg';
      var callback = {};
      var data = {
        tabs: [{
          http: {
            method: 'GET',
            url: Localized.apiURL + '/admin/manufacturers/',
            params: {
              q: ''
            }
          },
          relationships: ['manufacturers'],
          fields: ['id', 'manufacturer', 'info', 'website'],
          fieldPrefixes: ['', '', 'Info: ', 'Website: '],
          id: 'id',
          selectOne: true
        }]
      };
      callback = {
        confirm: _this.searchResults,
        cancel: _this.searchCancelled
      }; //callback object (confirm, cancel), title, message, optionCancel, optionConfirm, httpConfig

      SearchModal.Show(callback, 'Manufacturers', data, 'Add items');
    };

    this.openPsSearch = function () {
      $scope.searchModalPage = 'ps';
      var callback = {};
      var data = {
        tabs: [{
          http: {
            method: 'GET',
            url: Localized.apiURL + '/admin/pricesheets/',
            params: {
              q: ''
            }
          },
          relationships: ['pricesheets'],
          fields: ['price_sheet_id', 'sheet'],
          fieldPrefixes: ['ID: ', ''],
          id: 'price_sheet_id',
          selectOne: false
        }]
      };
      callback = {
        confirm: _this.searchResults,
        cancel: _this.searchCancelled
      }; //callback object (confirm, cancel), title, message, optionCancel, optionConfirm, httpConfig

      SearchModal.Show(callback, 'Price Sheets', data, 'Add items');
    };

    this.openParcelSearch = function () {
      $scope.searchModalPage = 'parcel';
      var callback = {};
      var data = {
        tabs: [{
          http: {
            method: 'GET',
            url: Localized.apiURL + '/admin/shipping/parcel/',
            params: {
              q: ''
            }
          },
          relationships: ['parcels'],
          fields: ['id', 'title'],
          fieldPrefixes: ['ID: ', ''],
          id: 'id',
          selectOne: false
        }]
      };
      callback = {
        confirm: _this.searchResults,
        cancel: _this.searchCancelled
      }; //callback object (confirm, cancel), title, message, optionCancel, optionConfirm, httpConfig

      SearchModal.Show(callback, 'Parcels', data, 'Add items');
    };

    this.removeImage = function (i) {
      $scope.removingImage = true;

      if ($scope.activeTab === 1) {
        delete $scope.newProduct.images[i];
      } else if ($scope.activeTab === 2) {
        if ($scope.selectedProduct.images[i].wpImg) {
          delete $scope.selectedProduct.images[i];
        } else {
          $scope.selectedProduct.images[i].deleted = true;
        }
      }

      _this.checkImageLength();

      $scope.slickConfig.slidesToShow = $scope.slides;
      $scope.slickConfig.slidesToScroll = $scope.scrollSlides;
      $timeout(function () {
        $scope.removingImage = false;
      }, 500);
    };

    this.removeParcel = function (i) {
      if ($scope.activeTab === 1) {
        $scope.newProduct.parcels.splice(i, 1);
      } else if ($scope.activeTab === 2) {
        $scope.selectedProduct.parcels.splice(i, 1);
      }
    };

    this.removePricesheet = function (i) {
      if ($scope.activeTab === 1) {
        $scope.newProduct.pricesheets.splice(i, 1);
      } else if ($scope.activeTab === 2) {
        $scope.selectedProduct.pricesheets[i].deleted = true;
      }
    };

    this.searchCancelled = function () {
      angular.noop();
    };

    this.searchResults = function (resp) {
      if ($scope.activeTab === 1) {
        switch ($scope.searchModalPage) {
          case 'mfg':
            $scope.newProduct.manufacturer_id = resp[0].value.id;
            $scope.newProduct.manufacturer = resp[0].value.name;
            break;

          case 'cat':
            $scope.newProduct.category_id = resp[0].value.cat_id;
            $scope.newProduct.category = resp[0].value;
            break;

          case 'ps':
            for (var i = 0; i < resp.length; i++) {
              var skip = false;

              for (var j = 0; j < $scope.newProduct.pricesheets.length; j++) {
                if (resp[i].value.price_sheet_id === $scope.newProduct.pricesheets[j].price_sheet_id) {
                  skip = true;
                  break;
                }
              }

              if (!skip) {
                $scope.newProduct.pricesheets.push({
                  pricesheetindex: resp[i].value,
                  ps_item_id: 0,
                  price_sheet_id: resp[i].value.price_sheet_id,
                  price: 0
                });
              }
            }

            break;

          case 'parcel':
            for (var k = 0; k < resp.length; k++) {
              var skip2 = false;

              for (var l = 0; l < $scope.newProduct.parcels.length; l++) {
                if (resp[k].value.id === $scope.newProduct.parcels[l].id) {
                  skip2 = true;
                  break;
                }
              }

              if (!skip2) {
                $scope.newProduct.parcels.push(resp[k].value);
                $scope.newProduct.parcels[$scope.newProduct.parcels.length - 1].pivot = {
                  parcel_id: resp[k].value.id,
                  weight: '',
                  mass_unit: ''
                };
              }
            }

            break;
        }
      } else if ($scope.activeTab === 2) {
        switch ($scope.searchModalPage) {
          case 'mfg':
            $scope.selectedProduct.manufacturer_id = resp[0].value.id;
            $scope.selectedProduct.manufacturer = resp[0].value;
            break;

          case 'cat':
            $scope.selectedProduct.category_id = resp[0].value.cat_id;
            $scope.selectedProduct.category = resp[0].value;
            break;

          case 'ps':
            for (var q = 0; q < resp.length; q++) {
              var skip3 = false;

              for (var r = 0; r < $scope.selectedProduct.pricesheets.length; r++) {
                if (resp[q].value.price_sheet_id === $scope.selectedProduct.pricesheets[r].price_sheet_id) {
                  skip3 = true;
                  $scope.selectedProduct.pricesheets[r].deleted = false;
                  $scope.selectedProduct.pricesheets[r].price = 0.00;
                  break;
                }
              }

              if (!skip3) {
                $scope.selectedProduct.pricesheets.push({
                  pricesheetindex: resp[q].value,
                  ps_item_id: 0,
                  price_sheet_id: resp[q].value.price_sheet_id,
                  price: 0,
                  product_id: $scope.selectedProduct.product_id,
                  sku: $scope.selectedProduct.sku
                });
              }
            }

            break;

          case 'parcel':
            for (var t = 0; t < resp.length; t++) {
              var skip4 = false;

              for (var y = 0; y < $scope.selectedProduct.parcels.length; y++) {
                if (resp[t].value.id === $scope.selectedProduct.parcels[y].id) {
                  skip4 = true;
                  break;
                }
              }

              if (!skip4) {
                $scope.selectedProduct.parcels.push(resp[t].value);
                $scope.selectedProduct.parcels[$scope.selectedProduct.parcels.length - 1].pivot = {
                  parcel_id: resp[t].value.id,
                  product_id: $scope.selectedProduct.product_id,
                  weight: '',
                  mass_unit: ''
                };
              }
            }

            break;
        }
      }
    };
    /*
    	* Batches
    	*/


    $scope.SetUploading = function () {
      // eslint-disable-next-line no-shadow
      $scope.$apply(function ($scope) {
        $scope.uploading = !$scope.uploading;
      });
    };

    $scope.setFile = function (element) {
      // eslint-disable-next-line no-shadow
      $scope.$apply(function ($scope) {
        $scope.theFile = element.files[0];
      });
      var totalBytes = $scope.theFile.size;

      if (totalBytes < 1000000) {
        $scope.fileSize = Math.floor(totalBytes / 1000) + 'KB';
      } else {
        $scope.fileSize = Math.floor(totalBytes / 1000000) + 'MB';
      }

      var regex = /^([a-zA-Z0-9\s_\\.\-:])+(.csv|.txt)$/;

      if (regex.test($scope.theFile.name.toLowerCase())) {
        if (typeof FileReader !== 'undefined') {
          var reader = new FileReader();

          reader.onload = function () {
            // eslint-disable-next-line no-undef
            Papa.parse(reader.result, {
              complete: function complete(results) {
                var products = [];

                var _loop = function _loop(i) {
                  var info = results.data[i];
                  var product = []; // eslint-disable-next-line no-loop-func

                  angular.forEach(info, function (val, key) {
                    product[key] = val;
                  });
                  products.push(product);
                };

                for (var i = 0; i <= results.data.length; i++) {
                  _loop(i);
                }

                $scope.$apply(function () {
                  $scope.prodSheetUpload = products;
                  $scope.IsVisible = true;
                });
              }
            });
            $scope.SetUploading();
          };

          reader.readAsText($scope.theFile);
        } else {
          $window.alert('This browser does not support HTML5.');
        }
      } else {
        $scope.theFile = null;
        $scope.prodSheetUpload = null;
        $scope.SetUploading();
        $window.alert('Please upload a valid CSV file.');
      }
    };

    this.slickSetup = function () {
      _this.checkImageLength();

      $scope.slickConfig = {
        enabled: true,
        arrows: true,
        slidesToShow: $scope.slides,
        slidesToScroll: $scope.scrollSlides,
        autoplay: true,
        draggable: true,
        autoplaySpeed: 3000,
        method: {},
        event: {
          beforeChange: function beforeChange() {
            angular.noop();
          },
          afterChange: function afterChange() {
            angular.noop();
          }
        }
      };
    };
    /**
     * @param {string} sortBy Sortby term
     * @param {Object} e      Click event
     */


    this.changeSortBy = function (sortBy, e) {
      e.preventDefault();
      vm.sortAscending = vm.searchParams.sortBy === sortBy ? !vm.sortAscending : true;
      vm.searchParams.sortBy = sortBy;
      vm.searchParams.sortType = vm.sortAscending ? 'asc' : 'desc';

      _this.searchProducts(vm.searchParams.page);
    };

    this.updateProduct = function () {
      $scope.loading = true;
      var req = {
        method: 'PUT',
        url: $scope.productEndpoint + $scope.selectedProduct.product_id,
        data: $scope.selectedProduct
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.activeTab = 2;
        var req2 = {
          method: 'GET',
          url: Localized.wpRestUrl + '/syncProductPosts',
          params: {
            id: resp.product_id
          }
        };
        Utils.getHttpPromise(req2) // eslint-disable-next-line no-shadow
        .then(function () {
          $scope.loading = false;
        });
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };

    this.copyProduct = function (selectedProduct) {
      $scope.newProduct = selectedProduct;
      $scope.newProduct.sku = '';
      $scope.newProduct.slug = null;
      $scope.newProduct.pricesheets = [];
      $scope.newProduct.manufacturer_id = selectedProduct.manufacturer_id;
      $scope.newProduct.manufacturer = selectedProduct.manufacturer ? selectedProduct.manufacturer.manufacturer : '';

      _this.tabChanged(1);
    };

    this.postUpload = function (index, id) {
      $scope.selectedBatch = {
        batch_id: id
      };
      $scope.activeTab = index;
    };

    this.uploadProduct = function () {
      $scope.loading = true;
      var fd = new FormData();
      fd.append('file', $scope.theFile, $scope.theFile.name);
      var req = {
        method: 'POST',
        url: $scope.batchEndpoint + 'upload',
        data: fd,
        transformRequest: angular.identity,
        headers: {
          // eslint-disable-next-line no-undefined
          'Content-Type': undefined
        }
      };
      Utils.getHttpPromise(req).then(function (resp) {
        if (!resp.errors.length) {
          _this.postUpload(5, resp.batch_id);
        }
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };

    this.uploadInventory = function () {
      $scope.loading = true;
      var fd = new FormData();
      fd.append('file', $scope.theFile, $scope.theFile.name);
      var req = {
        method: 'POST',
        url: $scope.productEndpoint + 'inventory/upload',
        data: fd,
        transformRequest: angular.identity,
        headers: {
          // eslint-disable-next-line no-undefined
          'Content-Type': undefined
        }
      };
      Utils.getHttpPromise(req).then(function () {
        angular.noop();
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };

    this.sortBatchIndex = function (sortBy) {
      vm.sortAscending = $scope.sortBatchParams.sort_by === sortBy ? !vm.sortAscending : true;
      $scope.sortBatchParams.sort_by = sortBy;
      $scope.sortBatchParams.sort_type = vm.sortAscending ? 'asc' : 'desc';

      _this.sortBatches();
    };

    this.sortBatches = function () {
      $scope.loadingMore = true;
      var req = {
        method: 'GET',
        url: $scope.batchEndpoint,
        params: $scope.sortBatchParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.batches = resp.search_results;

        for (var i = 0; i < $scope.batches.length; i++) {
          if ($scope.batches[i].status === 'processing') {
            _this.updateBatchProgress();

            break;
          }
        }
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loadingMore = false;
      });
    };

    this.confirmBatch = function () {
      $scope.loading = true;
      var req = {
        method: 'POST',
        url: $scope.batchEndpoint + 'confirm',
        data: {
          batch_id: $scope.selectedBatch.batch_id
        }
      };
      Utils.getHttpPromise(req).then(function () {
        $scope.selectedBatch = null;
        $scope.activeTab = 4;
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };

    this.changeBatchTab = function (tabIndex, batchIndex) {
      $scope.activeTab = tabIndex;
      $scope.selectedBatch = $scope.batches[batchIndex];
    };

    this.updateBatchProgress = function () {
      var req = {
        method: 'GET',
        url: $scope.batchEndpoint,
        params: $scope.sortBatchParams
      };
      var again = false;
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.batches = resp.search_results;

        for (var i = 0; i < $scope.batches.length; i++) {
          if ($scope.batches[i].status === 'processing' && $scope.activeTab === 4) {
            again = true;
            break;
          }
        }

        if (again) {
          $timeout(function () {
            _this.updateBatchProgress();
          }, 5000);
        }
      }, function (errResp) {
        Debug.error(errResp);
      });
    };
    /*
    	* Note Functions
    	*
    	*/


    this.LoadNotes = function () {
      var req = {
        method: 'GET',
        url: Localized.apiURL + '/admin/product/note',
        params: {
          product_id: $scope.selectedProduct.product_id
        }
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.productNotes = resp.notes;
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.savingNote = false;
      });
    };

    this.saveNote = function () {
      $scope.savingNote = true;
      $scope.noteParams.product_id = $scope.selectedProduct.product_id;
      var req = {
        method: 'POST',
        url: Localized.apiURL + '/admin/product/note/',
        data: $scope.noteParams
      };
      Utils.getHttpPromise(req).then(function () {
        _this.LoadNotes();

        $scope.noteParams.note = '';
      }, function (errResp) {
        Debug.error(errResp);
      });
    };

    this.deleteNote = function (id) {
      $scope.savingNote = true;
      var req = {
        method: 'DELETE',
        url: Localized.apiURL + '/admin/product/note/' + id
      };
      Utils.getHttpPromise(req).then(function () {
        _this.LoadNotes();
      }, function (errResp) {
        Debug.error(errResp);
      });
    };

    $scope.AddDocument = function (documents) {
      documents.push({
        name: '',
        url: ''
      });
    };

    $scope.RemoveDocument = function (documents, index) {
      documents.splice(index, 1);
    };
  }
})();
// EXTERNAL MODULE: ./assets/app/dev/components/products/reviews/reviews-detail.component.ts
var reviews_detail_component = __webpack_require__(455);
;// CONCATENATED MODULE: ./assets/app/dev/components/products/reviews/reviews-index/reviews-index.html
// Module
var reviews_index_code = "<div class=\"hstack gap-2 align-items-baseline mb-3\"> <h2>Reviews</h2> </div> <vf-check-auth></vf-check-auth> <wp-notice-list></wp-notice-list> <form class=\"mb-3\" ng-submit=\"$ctrl.submit()\"> <fieldset class=\"input-group\" ng-disabled=\"$ctrl.isLoading\"> <input type=\"search\" class=\"form-control\" data-cy=\"search\" ng-model=\"$ctrl.params.q\" ng-change=\"$ctrl.changeQuery( $ctrl.params.q )\"/> <button class=\"btn btn-outline-secondary\" type=\"submit\" data-cy=\"submit\"> Search </button> </fieldset> <div class=\"form-text\"> Search by the review's content or status; or the reviewer's name or email address; or for a product ID. </div> </form> <wp-spinner type=\"2x\" ng-if=\"$ctrl.isLoading\"> </wp-spinner> <table class=\"wp-list-table widefat striped\" data-cy=\"table\" ng-if=\"$ctrl.reviews && !$ctrl.isLoading\"> <colgroup> <col class=\"col-md-1\"/> <col class=\"col-md-1\"/> <col span=\"3\"/> </colgroup> <thead> <th scope=\"col\" ng-class=\"[ $ctrl.params.sortType || 'desc', {\n                'sortable': $ctrl.params.sortBy !== 'id',\n                'sorted': $ctrl.params.sortBy === 'id',\n            }]\"> <a href=\"#\" class=\"text-decoration-none\" ng-click=\"$ctrl.changeSortBy('id', $event)\"> <span> ID </span> <span class=\"sorting-indicator\"></span> </a> </th> <th scope=\"col\" ng-class=\"[ $ctrl.params.sortType || 'desc', {\n                'sortable': $ctrl.params.sortBy !== 'rating',\n                'sorted': $ctrl.params.sortBy === 'rating',\n            }]\"> <a href=\"#\" class=\"text-decoration-none\" ng-click=\"$ctrl.changeSortBy('rating', $event)\"> <span> Rating </span> <span class=\"sorting-indicator\"></span> </a> </th> <th>Product</th> <th scope=\"col\" ng-class=\"[ $ctrl.params.sortType || 'desc', {\n                'sortable': $ctrl.params.sortBy !== 'product_id',\n                'sorted': $ctrl.params.sortBy === 'product_id',\n            }]\"> <a href=\"#\" class=\"text-decoration-none\" ng-click=\"$ctrl.changeSortBy('product_id', $event)\"> <span> Product ID </span> <span class=\"sorting-indicator\"></span> </a> </th> <th scope=\"col\" ng-class=\"[ $ctrl.params.sortType || 'desc', {\n                'sortable': $ctrl.params.sortBy !== 'status',\n                'sorted': $ctrl.params.sortBy === 'status',\n            }]\"> <a href=\"#\" class=\"text-decoration-none\" ng-click=\"$ctrl.changeSortBy('status', $event)\"> <span> Status </span> <span class=\"sorting-indicator\"></span> </a> </th> </thead> <tbody> <tr ng-repeat=\"review in $ctrl.reviews.data track by review.id\"> <td>{{ review.id }}</td> <td> <ng-pluralize count=\"review.rating\" when=\"{'one': '1 star', 'other': '{} stars'}\"> </ng-pluralize> </td> <td> <strong> <a class=\"text-decoration-none row-title\" ui-sref=\"reviews.show({ id: review.id })\"> {{ review.product.description }} </a> </strong> <div class=\"hstack gap-2 row-actions visible\"> <a class=\"text-decoration-none\" data-cy=\"edit\" ui-sref=\"reviews.show({ id: review.id })\"> Edit </a> | <a class=\"text-decoration-none text-danger\" href=\"#\" data-cy=\"confirm-delete\" ng-click=\"$ctrl.confirmDelete( $event, $index )\" ng-hide=\"$ctrl.isConfirmingDeletion[ $index ]\"> Delete </a> <span ng-if=\"$ctrl.isConfirmingDeletion[ $index ]\"> <strong class=\"text-dark\"> Delete this review? </strong> <a class=\"text-decoration-none\" href=\"#\" data-cy=\"cancel-delete\" ng-click=\"$ctrl.cancelDelete( $event, $index )\"> Cancel </a> | <a class=\"text-decoration-none text-danger\" href=\"#\" data-cy=\"remove\" ng-click=\"$ctrl.remove( $event, review.id, $index )\"> {{ $ctrl.isDeleting[ $index ] ? 'Deleting' : 'Delete' }} </a> </span> </div> <blockquote class=\"my-2\"> <strong>{{ review.title }}: </strong>{{ review.content | limitTo: 60 }} <span ng-if=\"review.content.length > 60\">&hellip;</span> &mdash; <cite><a ng-href=\"{{ 'mailto:' + review.email }}\">{{ review.display_name }}</a></cite> </blockquote> </td> <td>{{ review.product_id }}</td> <td>{{ review.status }}</td> </tr> </tbody> <caption ng-if=\"!$ctrl.reviews.data.length\"> No results{{ $ctrl.cachedQ ? ' for ' + $ctrl.cachedQ + '.' : ''}} </caption> </table> <div class=\"tablenav\" ng-if=\"$ctrl.reviews && !$ctrl.isLoading\"> <div class=\"tablenav-pages\"> <span class=\"displaying-num\"> {{ $ctrl.reviews.total }} items </span> <span class=\"pagination-links\"> <a href=\"#\" class=\"first-page button\" data-cy=\"first-page\" ng-click=\"$ctrl.changePage( $event, 1 )\" ng-if=\"$ctrl.reviews.current_page > 2\"> <span class=\"screen-reader-text\"> First page </span> <span aria-hidden=\"true\"> &laquo; </span> </a> <span class=\"tablenav-pages-navspan button disabled\" aria-hidden=\"true\" ng-if=\"$ctrl.reviews.current_page < 3\"> &laquo; </span> <a href=\"#\" class=\"prev-page button\" data-cy=\"prev-page\" ng-click=\"$ctrl.changePage( $event, $ctrl.reviews.current_page - 1 )\" ng-if=\"$ctrl.reviews.current_page > 1\"> <span class=\"screen-reader-text\"> Previous page </span> <span aria-hidden=\"true\"> &lsaquo; </span> </a> <span class=\"tablenav-pages-navspan button disabled\" aria-hidden=\"true\" ng-if=\"$ctrl.reviews.current_page === 1\"> &lsaquo; </span> <span class=\"paging-input\"> <label for=\"current-page-selector\" class=\"screen-reader-text\"> Current Page </label> <input type=\"number\" class=\"current-page\" min=\"1\" name=\"paged\" size=\"1\" data-cy=\"current-page\" max=\"{{ $ctrl.reviews.last_page }}\" ng-disabled=\"$ctrl.reviews.last_page === 1\" ng-model=\"$ctrl.params.page\"/> <span class=\"tablenav-paging-text\"> of <span class=\"total-pages\" data-cy=\"total-pages\"> {{ $ctrl.reviews.last_page }} </span> </span> </span> <a href=\"#\" class=\"next-page button\" data-cy=\"next-page\" ng-click=\"$ctrl.changePage( $event, $ctrl.reviews.current_page + 1 )\" ng-if=\"$ctrl.reviews.current_page < $ctrl.reviews.last_page\"> <span class=\"screen-reader-text\"> Next page </span> <span aria-hidden=\"true\"> &rsaquo; </span> </a> <span class=\"tablenav-pages-navspan button disabled\" aria-hidden=\"true\" ng-if=\"$ctrl.reviews.current_page === $ctrl.reviews.last_page\"> &rsaquo; </span> <a href=\"#\" class=\"last-page button\" data-cy=\"last-page\" ng-click=\"$ctrl.changePage( $event, $ctrl.reviews.last_page )\" ng-if=\"$ctrl.reviews.current_page < ( $ctrl.reviews.last_page - 1 )\"> <span class=\"screen-reader-text\"> Last page </span> <span aria-hidden=\"true\"> &raquo; </span> </a> <span class=\"tablenav-pages-navspan button disabled\" aria-hidden=\"true\" ng-if=\"$ctrl.reviews.current_page >= ( $ctrl.reviews.last_page - 1 )\"> &raquo; </span> </span> </div> </div> ";
// Exports
/* harmony default export */ const reviews_index = (reviews_index_code);
;// CONCATENATED MODULE: ./assets/app/dev/components/products/reviews/reviews-index/reviews-index.component.ts


(function () {
  'use strict';

  ReviewsController.$inject = ["$location", "$rootScope", "$state", "Reviews"];
  angular.module('vendorfuelApp').component('reviewsIndex', {
    controller: ReviewsController,
    template: reviews_index
  });
  ReviewsController.$inject = ['$location', '$rootScope', '$state', 'Reviews'];

  function ReviewsController($location, $rootScope, $state, Reviews) {
    var vm = this;
    vm.$onInit = $onInit;
    vm.cancelDelete = cancelDelete;
    vm.changePage = changePage;
    vm.changeQuery = changeQuery;
    vm.changeSortBy = changeSortBy;
    vm.confirmDelete = confirmDelete;
    vm.remove = remove;
    vm.submit = submit;
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Catalog',
        state: 'catalog'
      }, {
        name: 'Products',
        state: 'catalog-products'
      }, {
        name: 'Reviews',
        state: 'reviews.index'
      }];
      vm.isConfirmingDeletion = [];
      vm.isDeleting = [];
      vm.params = {
        page: $location.search().page || 1,
        q: $location.search().q || '',
        rpp: 15,
        sortBy: $location.search().sortBy || '',
        sortType: $location.search().sortType || ''
      };
      vm.cachedQ = vm.params.q;
      queryReviews();
    }

    function cancelDelete(e, i) {
      e.preventDefault();
      vm.isConfirmingDeletion[i] = false;
    }
    /**
     * @param {Object} e    Click event
     * @param {number} page Page number
     */


    function changePage(e, page) {
      if (e) {
        e.preventDefault();
      }

      vm.params.page = page;
      submit();
    }
    /**
     * @param {string} q Query
     */


    function changeQuery(q) {
      if (!q) {
        submit();
      }
    }
    /**
     * @param {string} sortBy Sortby term
     * @param {Object} e      Click event
     */


    function changeSortBy(sortBy, e) {
      e.preventDefault();

      if (vm.params.sortBy === sortBy) {
        vm.params.sortType = vm.params.sortType === 'desc' ? 'asc' : 'desc';
      } else {
        vm.params.sortType = 'asc';
        vm.params.sortBy = sortBy;
      }

      updateSearchParams();
      queryReviews();
    }

    function confirmDelete(e, i) {
      e.preventDefault();
      vm.isConfirmingDeletion[i] = true;
    }
    /**
     * Get the reviews
     */


    function queryReviews() {
      vm.isLoading = true;
      Reviews.query(vm.params).$promise.then(function (reviews) {
        vm.reviews = reviews;
        vm.isLoading = false;
      });
    }

    function remove(e, id, index) {
      e.preventDefault();
      vm.isDeleting[index] = true;
      Reviews["delete"]({
        id: id
      }).$promise.then(function () {
        vm.isDeleting[index] = false;
        $state.reload();
      });
    }
    /**
     * Submit the search form.
     */


    function submit() {
      vm.cachedQ = vm.params.q;
      updateSearchParams();
      queryReviews();
    }
    /**
     * Update the search params in the URL.
     */


    function updateSearchParams() {
      var _vm$params = vm.params,
          q = _vm$params.q,
          page = _vm$params.page;
      $location.search('q', q ? q : null);
      $location.search('page', page > 1 ? page : null);
    }
  }
})();
// EXTERNAL MODULE: ./assets/app/dev/components/products/reviews/reviews.controller.ts
var reviews_controller = __webpack_require__(7523);
// EXTERNAL MODULE: ./assets/app/dev/components/products/reviews/reviews.factory.ts
var reviews_factory = __webpack_require__(8134);
;// CONCATENATED MODULE: ./assets/app/dev/components/products/reviews/index.ts




;// CONCATENATED MODULE: ./assets/app/dev/components/products/index.ts



// EXTERNAL MODULE: ./assets/app/dev/components/punchout/punchout.component.ts
var punchout_component = __webpack_require__(8734);
// EXTERNAL MODULE: ./assets/app/dev/components/purchasing/purchasing.component.ts
var purchasing_component = __webpack_require__(5999);
// EXTERNAL MODULE: ./assets/app/dev/components/settings/settings.component.ts
var settings_component = __webpack_require__(5873);
// EXTERNAL MODULE: ./assets/app/dev/components/taxes/taxes-avalara.component.ts
var taxes_avalara_component = __webpack_require__(98);
// EXTERNAL MODULE: ./assets/app/dev/components/taxes/taxes-options.component.ts
var taxes_options_component = __webpack_require__(4071);
// EXTERNAL MODULE: ./assets/app/dev/components/taxes/taxes.component.ts
var taxes_component = __webpack_require__(9301);
// EXTERNAL MODULE: ./assets/app/dev/components/tutorial/tutorial.component.ts
var tutorial_component = __webpack_require__(4582);
// EXTERNAL MODULE: ./assets/app/dev/components/vf-check-auth/vf-check-auth.component.ts
var vf_check_auth_component = __webpack_require__(2588);
;// CONCATENATED MODULE: ./assets/app/dev/components/index.ts

















// EXTERNAL MODULE: ./assets/app/dev/controllers/admin-accounts.controller.ts
var admin_accounts_controller = __webpack_require__(6111);
// EXTERNAL MODULE: ./assets/app/dev/controllers/anguledit.controller.ts
var anguledit_controller = __webpack_require__(5779);
// EXTERNAL MODULE: ./assets/app/dev/controllers/billing.controller.ts
var billing_controller = __webpack_require__(8464);
// EXTERNAL MODULE: ./assets/app/dev/controllers/billing-reset-password.controller.ts
var billing_reset_password_controller = __webpack_require__(154);
;// CONCATENATED MODULE: ./assets/app/dev/controllers/catalog-banners.controller.ts


(function () {
  'use strict';

  CatalogBannersController.$inject = ["$scope", "$rootScope", "$stateParams", "Admin", "ConfirmModal", "Settings", "Debug", "Utils", "Localized"];
  angular.module('vendorfuelApp').controller('CatalogBannersController', CatalogBannersController);
  CatalogBannersController.$inject = ['$scope', '$rootScope', '$stateParams', 'Admin', 'ConfirmModal', 'Settings', 'Debug', 'Utils', 'Localized'];
  /**
   * @param {Object} $scope       Angular service
   * @param {Object} $rootScope   Angular service
   * @param {Object} $stateParams UI Router service
   * @param {Object} Admin        VendorFuel service
   * @param {Object} ConfirmModal VendorFuel service
   * @param {Object} Settings     VendorFuel service
   * @param {Object} Debug        VendorFuel service
   * @param {Object} Utils        VendorFuel service
   * @param {Object} Localized    VendorFuel service
   */

  function CatalogBannersController($scope, $rootScope, $stateParams, Admin, ConfirmModal, Settings, Debug, Utils, Localized) {
    var vm = this;
    this.tinymceOptions = tinymceOptions;
    vm.$onInit = $onInit; // Initialize controller

    vm.$onInit();
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Catalog',
        state: 'catalog'
      }, {
        name: 'Banners',
        state: 'catalog-banners'
      }];
      $scope.activeTab = parseInt($stateParams.activeTab) || 0;
      $scope.bannerAreaEndpoint = Localized.apiURL + '/admin/banner-areas/';
      $scope.bannerEndpoint = Localized.apiURL + '/admin/banner/';
      $scope.isAuthed = Admin.Authed();
      $scope.loading = false;
      $scope.loadingMore = false;
      $scope.newBanner = {};
      $scope.newBannerArea = {};
      $scope.object = Object;
      $scope.rppValues = [15, 30, 50, 100];
      $scope.per_page = $scope.rppValues[0]; // Must come after $scope.rppValues declaration.

      $scope.searchParams = {
        q: '',
        sortBy: '',
        sortType: '',
        rpp: $scope.rppValues[0]
      };
      $scope.searchTerm = '';
      $scope.selectedBanner = null;
      $scope.selectedBannerArea = null;
      $scope.sortAscending = true;
      $scope.TinyMCEOptions = {
        theme: 'modern',
        // skin: 'lightgray',
        plugins: 'advlist autolink link image lists charmap print preview fullscreen code',
        toolbar: 'numlist bullist | undo redo | styleselect | bold italic | link image alignleft aligncenter alignright | preview code | fullscreen'
      };
    } //FUNCTIONS


    $scope.LoginCallback = function () {
      $scope.loading = true; //logged in, do something. i.e. make api calls to load current tab's data
    };

    $scope.TabChanged = function (i) {
      $scope.activeTab = i;
      Settings.errors = {};
      $scope.loading = true;
      $scope.saving = false;
      $scope.saved = false;
      $scope.cancelled = false;
      var req = {
        method: 'GET',
        url: $scope.bannerAreaEndpoint
      };

      switch (i) {
        case 0:
          Utils.getHttpPromise(req).then(function (resp) {
            $scope.bannerAreas = resp.banner_areas;
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
          break;

        case 1:
          $scope.loading = false;
          break;

        case 2:
          if ($scope.selectedBannerArea) {
            $scope.newBanner.area_id = $scope.selectedBannerArea.area_id;
          }

          $scope.loading = false;
          break;

        case 3:
          req.url += $scope.selectedBannerArea.area_id;
          Utils.getHttpPromise(req).then(function (resp) {
            $scope.selectedBannerArea = resp.banner_area;
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
          break;

        case 4:
          $scope.loading = false;
          break;
      }
    };

    $scope.AddBanner = function () {
      $scope.addingBanner = true;
      var req = {
        method: 'POST',
        url: $scope.bannerEndpoint,
        data: $scope.newBanner
      };
      Utils.getHttpPromise(req).then(function (resp) {
        if (resp.errors.length <= 0) {
          $scope.activeTab = 3;
          $scope.newBanner = {};
        }
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.addingBanner = false;
      });
    };

    $scope.AddBannerArea = function () {
      $scope.loading = true;
      var req = {
        method: 'POST',
        url: $scope.bannerAreaEndpoint,
        data: $scope.newBannerArea
      };
      Utils.getHttpPromise(req).then(function (resp) {
        if (!resp.errors.length) {
          $scope.selectedBannerArea = {
            area_id: resp.area_id
          };
          $scope.activeTab = 3;
          $scope.newBannerArea = {};
        }
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loading = false;
      });
    };

    $scope.ChangeTab = function (tabIndex, index) {
      $scope.activeTab = tabIndex;
      $scope.selectedBannerArea = $scope.bannerAreas.data[index];
    };

    $scope.ChangeBannerTab = function (tabIndex, index) {
      $scope.activeTab = tabIndex;
      $scope.selectedBanner = $scope.selectedBannerArea.banners[index];
    };

    $scope.RemoveBanner = function () {
      var callback = {
        confirm: function confirm() {
          $scope.loading = true;
          var params = {
            bid: $scope.selectedBanner.banner_id
          };
          var req = {
            method: 'DELETE',
            url: $scope.bannerEndpoint,
            data: params
          };
          Utils.getHttpPromise(req).then(function (resp) {
            if (resp.errors.length <= 0) {
              $scope.selectedBanner = {};
              $scope.activeTab = 3;
            }
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
        },
        cancel: function cancel() {}
      };
      ConfirmModal.Show(callback, 'Delete Banner?', 'This will completely remove the banner from the store. This action cannot be undone.', 'Back', 'DELETE');
    };

    $scope.RemoveBannerArea = function () {
      var callback = {
        confirm: function confirm() {
          $scope.loading = true;
          var req = {
            method: 'DELETE',
            url: $scope.bannerAreaEndpoint + $scope.selectedBannerArea.area_id
          };
          Utils.getHttpPromise(req).then(function (resp) {
            if (!resp.errors.length) {
              $scope.selectedBannerArea = null;
              $scope.activeTab = 0;
            }
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
        },
        cancel: function cancel() {}
      };
      ConfirmModal.Show(callback, 'Delete Banner Area?', 'This will delete the area and all banners associated with it. This cannot be undone.', 'Back', 'DELETE');
    };

    $scope.SearchResults = function (resp) {
      //callback that is used by the search modal
      if ($scope.activeTab === 2) {
        $scope.addParams.products = [];
        resp.forEach(function (item) {
          $scope.addParams.products.push(item.value);
        });
      }

      if ($scope.activeTab === 3) {
        $scope.editedProducts = [];
        resp.forEach(function (item) {
          $scope.editedProducts.push(item.value.product_id);
        });
      }
    };

    $scope.SortIndex = function (sortBy) {
      $scope.sortAscending = $scope.searchParams.sortBy === sortBy ? !$scope.sortAscending : true;
      $scope.searchParams.sortBy = sortBy;
      $scope.searchParams.sortType = $scope.sortAscending ? 'asc' : 'desc';
      $scope.SearchBannerAreas($scope.searchParams.page);
    };

    $scope.SearchBannerAreas = function (page, query) {
      $scope.loadingMore = true;
      $scope.searchParams.q = query;
      $scope.searchTerm = $scope.searchParams.q;
      $scope.searchParams.page = page || 1;
      var req = {
        method: 'GET',
        url: $scope.bannerAreaEndpoint,
        params: $scope.searchParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.bannerAreas = resp.banner_areas;
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loadingMore = false;
      });
    };

    $scope.UpdateBannerArea = function () {
      $scope.updatingArea = true;
      var req = {
        method: 'PUT',
        url: $scope.bannerAreaEndpoint + $scope.selectedBannerArea.area_id,
        data: $scope.selectedBannerArea
      };
      Utils.getHttpPromise(req).then(function () {}, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.updatingArea = false;
      });
    };

    $scope.UpdateBannerContent = function () {
      $scope.updatingBanner = true; // var params = {};

      var params = $scope.selectedBanner;
      params.bid = $scope.selectedBanner.banner_id;
      var req = {
        method: 'PUT',
        url: $scope.bannerEndpoint + $scope.selectedBanner.banner_id,
        data: params
      };
      Utils.getHttpPromise(req).then(function () {}, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.updatingBanner = false;
      });
    };
  }
})();
;// CONCATENATED MODULE: ./assets/app/dev/controllers/catalog-categories.controller.ts


(function () {
  'use strict';

  CatalogCategoriesController.$inject = ["$scope", "$rootScope", "$stateParams", "Admin", "Settings", "Debug", "Utils", "Localized", "SearchModal"];
  angular.module('vendorfuelApp').controller('CatalogCategoriesController', CatalogCategoriesController);
  CatalogCategoriesController.$inject = ['$scope', '$rootScope', '$stateParams', 'Admin', 'Settings', 'Debug', 'Utils', 'Localized', 'SearchModal'];
  /**
   * @param {Object} $scope       Angular service
   * @param {Object} $rootScope   Angular service
   * @param {Object} $stateParams UI Router service
   * @param {Object} Admin        VendorFuel service
   * @param {Object} Settings     VendorFuel service
   * @param {Object} Debug        VendorFuel service
   * @param {Object} Utils        VendorFuel service
   * @param {Object} Localized    VendorFuel service
   * @param {Object} SearchModal  VendorFuel service
   */

  function CatalogCategoriesController($scope, $rootScope, $stateParams, Admin, Settings, Debug, Utils, Localized, SearchModal) {
    var vm = this;
    this.tinymceOptions = tinymceOptions;
    vm.$onInit = $onInit;
    vm.addCategory = addCategory;
    vm.changeEdit = changeEdit;
    vm.changeSortBy = changeSortBy;
    vm.changeView = changeView;
    vm.deleteCategory = deleteCategory;
    vm.editCategory = editCategory;
    vm.generateSlugs = generateSlugs;
    vm.openMediaFrame = openMediaFrame;
    vm.openParentCatSearchModal = openParentCatSearchModal;
    vm.openSearchModalAdd = openSearchModalAdd;
    vm.openSearchModalUpdate = openSearchModalUpdate;
    vm.searchCategories = searchCategories;
    vm.searchCategory = searchCategory;
    vm.searchSubCategory = searchSubCategory;
    vm.ShowChanges = ShowChanges;
    vm.syncCategoryPosts = syncCategoryPosts;
    vm.tabChanged = tabChanged;
    vm.updateCategory = updateCategory;
    vm.viewParent = viewParent; // Initialize controller

    vm.$onInit();
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Catalog',
        state: 'catalog'
      }, {
        name: 'Categories',
        state: 'catalog-categories'
      }];
      vm.activeTab = parseInt($stateParams.activeTab);
      vm.addParams = {};
      vm.brandImg = "".concat(localized.dir.url, "/assets/img/brand.png");
      vm.categoryEndpoint = Localized.apiURL + '/admin/category/';
      vm.catSlug = localized.settings.general.cat_slug || 'categories';
      vm.editedProducts = [];
      vm.editName = false;
      vm.filterBy = '';
      vm.isAuthed = Admin.Authed();
      vm.loading = false;
      vm.object = Object;
      vm.productEndpoint = Localized.apiURL + '/admin/products/';
      vm.rppValues = [15, 30, 50, 100];
      vm.searchTerm = '';
      vm.selectedCategory = null;
      vm.showChanges = false;
      vm.searchParams = {
        rpp: vm.rppValues[0],
        page: 1
      };
      vm.sortAscending = true;
    }
    /**
     * @param {number} i Tab index
     */


    function tabChanged(i) {
      vm.activeTab = i;
      Settings.errors = {};
      vm.loading = true;
      vm.editedProducts = [];
      vm.showChanges = false;
      var req = {
        method: 'GET',
        url: vm.categoryEndpoint
      };

      switch (i) {
        case 0:
          Utils.getHttpPromise(req).then(function (resp) {
            vm.categories = resp.categories;
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            vm.loading = false;
          });
          break;

        case 1:
          vm.loading = false;
          break;

        case 2:
          req.url += vm.selectedCategory.cat_id;
          Utils.getHttpPromise(req).then(function (resp) {
            vm.selectedCategory = resp.category;

            if (vm.selectedCategory.parent_category) {
              vm.selectedCategory.parentCategoryTitle = vm.selectedCategory.parent_category.title;
            }
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            checkCategory();
            vm.loading = false;
          });
          break;

        default:
          vm.loading = false;
          break;
      }
    }
    /**
     */


    function syncCategoryPosts() {
      var params = {};
      var data = {};
      Utils.httpGet(Localized.wpRestUrl + '/syncCategoryPosts', params, data).then(function () {});
    }
    /**
     */


    function generateSlugs() {
      var req = {
        method: 'POST',
        url: vm.categoryEndpoint + 'slug/generate'
      };
      Utils.getHttpPromise(req).then(function () {}, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        vm.loading = false;
      });
    }
    /**
     */


    function addCategory() {
      vm.loading = true;
      var params = {
        title: vm.addParams.title,
        parent_id: vm.addParams.parent_id,
        avatax_tax_code: vm.addParams.avatax_tax_code,
        unspsc: vm.addParams.unspsc,
        slug: vm.addParams.slug,
        image: vm.addParams.img_url,
        description: vm.addParams.description,
        products: []
      };
      angular.forEach(vm.addParams.products, function (value) {
        params.products.push(value.value.product_id);
      });
      params.image = vm.addParams.img_url;
      var req = {
        method: 'POST',
        url: vm.categoryEndpoint,
        data: params
      };
      Utils.getHttpPromise(req).then(function (resp) {
        if (!resp.errors.length) {
          vm.addParams = {};
          vm.selectedCategory = resp.category; // eslint-disable-next-line no-shadow

          var _params = {
            id: resp.category.cat_id
          };
          var data = {};
          Utils.httpGet(Localized.wpRestUrl + '/syncCategoryPosts', _params, data) // eslint-disable-next-line no-shadow
          .then(function () {});
          vm.activeTab = 2;
        }
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        vm.loading = false;
      });
    }
    /**
     */


    function changeView() {
      vm.viewProducts = !vm.viewProducts;
    }
    /**
     */


    function checkCategory() {
      if (vm.selectedCategory.products.data.length >= 1) {
        vm.viewProducts = true;
      } else {
        vm.viewProducts = false;
      }
    }
    /**
     */


    function changeEdit() {
      vm.editName = !vm.editName;
    }
    /**
     * @param {number} i Category index
     * @param {Object} e Click event
     */


    function editCategory(i, e) {
      if (e) {
        e.preventDefault();
      }

      var tabIndex = 2; // Currently the Edit Category tab index.

      vm.activeTab = tabIndex;
      vm.selectedCategory = vm.categories.data[i];
    }
    /**
     * @param {number} id Category ID
     */


    function deleteCategory(id) {
      var endpoint = vm.categoryEndpoint + id;
      Utils.httpDelete(endpoint).then(function () {}, function (errResp) {
        Debug.log(errResp);
      })["finally"](function () {
        vm.tabChanged(0);
        vm.selectedCategory = null;
      });
    }
    /**
     * @param {string} image Image
     */


    function openMediaFrame(image) {
      // eslint-disable-next-line no-undef
      var fileFrame = wp.media({
        title: 'Select or Upload Logo image',
        library: {
          type: 'image'
        },
        button: {
          text: 'Select'
        },
        multiple: false
      });
      fileFrame.on('select', function () {
        $scope.$apply(function () {
          $scope.attachment = fileFrame.state().get('selection').first().toJSON();
          $scope.removingImage = true;

          if (image === 'add_img') {
            vm.addParams.img_url = $scope.attachment.url;
          } else if (image === 'update_img') {
            vm.selectedCategory.img_url = $scope.attachment.url;
          }
        });
      });
      fileFrame.open();
    }
    /**
     */


    function openSearchModalAdd() {
      var callback = {};
      var data = {
        tabs: [{
          http: {
            method: 'GET',
            url: vm.productEndpoint,
            params: {
              q: ''
            }
          },
          relationships: ['products', 'category'],
          fields: ['sku', 'image', 'description', 'title'],
          fieldPrefixes: ['', '', '', 'Category: '],
          id: 'product_id',
          selectOne: false
        }],
        updatedItems: vm.addParams.products
      };
      callback = {
        confirm: productSearchResults,
        cancel: function cancel() {}
      }; //callback object (confirm, cancel), title, message, optionCancel, optionConfirm, httpConfig

      SearchModal.Show(callback, vm.addParams.title || 'New Category', data, 'Add items');
    }
    /**
     */


    function openSearchModalUpdate() {
      var callback = {};
      var data = {
        tabs: [{
          http: {
            method: 'GET',
            url: vm.productEndpoint,
            params: {
              q: '',
              excludedField: 'category_id',
              excludedId: vm.selectedCategory.cat_id,
              excludedTable: 'products'
            }
          },
          relationships: ['products', 'category'],
          fields: ['sku', 'image', 'description', 'title'],
          fieldPrefixes: ['', '', '', 'Category: '],
          id: 'product_id',
          selectOne: false
        }, {
          http: {
            method: 'GET',
            url: vm.categoryEndpoint + vm.selectedCategory.cat_id,
            params: {
              q: '',
              'searchFields[]': ['description', 'sku']
            }
          },
          relationships: ['category', 'products'],
          fields: ['sku', 'image', 'description', 'status'],
          fieldPrefixes: ['', '', '', 'Category: '],
          id: 'product_id'
        }],
        updatedItems: vm.editedProducts
      };
      callback = {
        confirm: productSearchResults,
        cancel: function cancel() {}
      }; //callback object (confirm, cancel), title, message, optionCancel, optionConfirm, httpConfig

      SearchModal.Show(callback, vm.selectedCategory.title, data, 'Add items');
    }
    /**
     */


    function openParentCatSearchModal() {
      var callback = {};
      var data = {
        tabs: [{
          http: {
            method: 'GET',
            url: vm.categoryEndpoint,
            params: {
              q: ''
            }
          },
          relationships: ['categories', 'parent_category'],
          fields: ['cat_id', 'title', '.cat_id', '.title'],
          fieldPrefixes: ['ID: ', 'Category: ', 'Parent ID: ', 'Parent: '],
          id: 'cat_id',
          selectOne: true
        }]
      };
      callback = {
        confirm: categorySearchResults,
        cancel: function cancel() {}
      }; //callback object (confirm, cancel), title, message, optionCancel, optionConfirm, httpConfig

      SearchModal.Show(callback, 'Select Parent Category', data, 'Add items');
    }
    /**
     * @param {string} sortBy Sortby term
     * @param {Object} e      Click event
     */


    function changeSortBy(sortBy, e) {
      e.preventDefault();
      vm.sortAscending = vm.searchParams.sortBy === sortBy ? !vm.sortAscending : true;
      vm.searchParams.sortBy = sortBy;
      vm.searchParams.sortType = vm.sortAscending ? 'asc' : 'desc';
      vm.searchCategories(vm.searchParams.page);
    }
    /**
     * @param {number} page  Page number
     * @param {string} query Query
     */


    function searchCategories(page, query) {
      vm.loadingMore = true;
      vm.searchParams.q = query;
      vm.searchTerm = vm.searchParams.q;
      vm.searchParams.page = page || 1;
      var req = {
        method: 'GET',
        url: vm.categoryEndpoint,
        params: vm.searchParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        vm.categories = resp.categories;
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        vm.loadingMore = false;
      });
    }
    /**
     * @param {number} rpp  Results per page
     * @param {number} page Page number
     */


    function searchCategory(rpp, page) {
      vm.productsLoading = true;
      vm.searchParams.rpp = rpp;
      vm.searchParams.page = page || 1;
      vm.searchParams['searchFields[]'] = ['description', 'sku'];
      var req = {
        method: 'GET',
        url: vm.categoryEndpoint + vm.selectedCategory.cat_id,
        params: vm.searchParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        vm.selectedCategory = resp.category;

        if (vm.selectedCategory.parent_category) {
          vm.selectedCategory.parentCategoryTitle = vm.selectedCategory.parent_category.title;
        }
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        vm.productsLoading = false;
      });
    }
    /**
     * @param {Object} resp Response
     */


    function categorySearchResults(resp) {
      if (vm.activeTab === 1) {
        vm.addParams.parent_id = resp[0].value.cat_id;
        vm.addParams.parentCategoryTitle = resp[0].value.title;
      }

      if (vm.activeTab === 2) {
        vm.selectedCategory.parent_id = resp[0].value.cat_id;
        vm.selectedCategory.parentCategoryTitle = resp[0].value.title;
      }
    }
    /**
     * Callback that is used by the search modal
     *
     * @param {Object} resp Response
     */


    function productSearchResults(resp) {
      if (vm.activeTab === 1) {
        vm.addParams.products = resp;
      }

      if (vm.activeTab === 2) {
        vm.editedProducts = resp;
      }
    }
    /**
     * @param {number} id ID
     */


    function searchSubCategory(id) {
      vm.loading = true;
      var req = {
        method: 'GET',
        url: vm.categoryEndpoint + id
      };
      Utils.getHttpPromise(req).then(function (resp) {
        vm.selectedCategory = resp.category;

        if (vm.selectedCategory.parent_category) {
          vm.selectedCategory.parentCategoryTitle = vm.selectedCategory.parent_category.title;
        }
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        checkCategory();
        vm.loading = false;
      });
    }
    /**
     */


    function ShowChanges() {
      vm.showChanges = !vm.showChanges;
    }
    /**
     */


    function updateCategory() {
      vm.loading = true;
      var params = {
        title: vm.selectedCategory.title,
        parent_id: vm.selectedCategory.parent_id,
        avatax_tax_code: vm.selectedCategory.avatax_tax_code,
        unspsc: vm.selectedCategory.unspsc,
        slug: vm.selectedCategory.slug,
        image: vm.selectedCategory.img_url,
        description: vm.selectedCategory.description,
        products: []
      };
      angular.forEach(vm.editedProducts, function (value) {
        params.products.push(value.value.product_id);
      });
      var req = {
        method: 'PUT',
        url: vm.categoryEndpoint + vm.selectedCategory.cat_id,
        data: params
      };
      Utils.getHttpPromise(req).then(function (resp) {
        if (!resp.errors.length) {
          vm.tabChanged(2); // eslint-disable-next-line no-shadow

          var _params2 = {
            id: resp.category.cat_id
          };
          var data = {};
          Utils.httpGet(Localized.wpRestUrl + '/syncCategoryPosts', _params2, data).then(function () {});
        } else {
          vm.loading = false;
        }
      }, function (errResp) {
        Debug.log(errResp);
      });
    }
    /**
     */


    function viewParent() {
      vm.loading = true;
      var req = {
        method: 'GET',
        url: vm.categoryEndpoint + vm.selectedCategory.parent_id
      };
      Utils.getHttpPromise(req).then(function (resp) {
        vm.selectedCategory = resp.category;

        if (vm.selectedCategory.parent_category) {
          vm.selectedCategory.parentCategoryTitle = vm.selectedCategory.parent_category.title;
        }
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        checkCategory();
        vm.loading = false;
      });
    }
  }
})();
;// CONCATENATED MODULE: ./assets/app/dev/controllers/catalog-collections.controller.ts


(function () {
  'use strict';

  CatalogCollectionsController.$inject = ["$scope", "$rootScope", "$state", "$stateParams", "Admin", "Settings", "Debug", "Utils", "Localized", "SearchModal", "ViewModal"];
  angular.module('vendorfuelApp').controller('CatalogCollectionsController', CatalogCollectionsController);
  CatalogCollectionsController.$inject = ['$scope', '$rootScope', '$state', '$stateParams', 'Admin', 'Settings', 'Debug', 'Utils', 'Localized', 'SearchModal', 'ViewModal'];
  /**
   * @param {Object} $scope       Angular service
   * @param {Object} $rootScope   Angular service
   * @param {Object} $state       UI Router service
   * @param {Object} $stateParams UI Router service
   * @param {Object} Admin        VendorFuel service
   * @param {Object} Settings     VendorFuel service
   * @param {Object} Debug        VendorFuel service
   * @param {Object} Utils        VendorFuel service
   * @param {Object} Localized    VendorFuel service
   * @param {Object} SearchModal  VendorFuel service
   * @param {Object} ViewModal    VendorFuel service
   */

  function CatalogCollectionsController($scope, $rootScope, $state, $stateParams, Admin, Settings, Debug, Utils, Localized, SearchModal, ViewModal) {
    var vm = this;
    this.tinymceOptions = tinymceOptions;
    vm.changeSortBy = changeSortBy;
    vm.$onInit = $onInit; // Initialize controller

    vm.$onInit();
    /**
     * Initialization
     */

    function $onInit() {
      $rootScope.breadcrumbs = [{
        name: 'Catalog',
        state: 'catalog'
      }, {
        name: 'Collections',
        state: 'catalog-collection'
      }];
      $scope.activeTab = parseInt($stateParams.activeTab);
      $scope.addParams = {
        products: [],
        categories: []
      };
      $scope.categoryEndpoint = Localized.apiURL + '/admin/category/';
      $scope.collectionEndpoint = Localized.apiURL + '/admin/product/collection/';
      $scope.editedCategories = [];
      $scope.editedProducts = [];
      $scope.editName = false;
      $scope.isAuthed = Admin.Authed();
      $scope.loading = false;
      $scope.loadingMore = false;
      $scope.productEndpoint = Localized.apiURL + '/admin/products/';
      $scope.productsLoading = false;
      $scope.object = Object;
      $scope.rppValues = [15, 30, 50, 100];
      $scope.per_page = $scope.rppValues[0]; // Must be defined after rppValues declaration.

      $scope.saved = false;
      $scope.saving = false;
      $scope.searchParams = {};
      $scope.searchTerm = '';
      $scope.searchTypes = {
        PRODUCTS: 'PRODUCTS',
        CATEGORIES: 'CATEGORIES'
      };
      $scope.searchType = $scope.searchTypes.PRODUCTS; // Must be defined after searchTypes declaration.

      $scope.selectedCollection = null; //Collection to show in the view tab

      $scope.showChanges = false;
      vm.allColSearchParams = {
        q: '',
        sortBy: '',
        sortType: '',
        rpp: $scope.rppValues[0] // Must be defined after rppValues declaration.

      };
      vm.sortAscending = true; //If the view tab is selected, redirect to the search page since selected product is null

      if ($scope.activeTab === 2) {
        $scope.activeTab = 0;
        $scope.TransitionState();
      }
    } //FUNCTIONS


    $scope.LoginCallback = function () {
      $scope.loading = true; //logged in, do something. i.e. make api calls to load current tab's data
    };

    $scope.ChangeEdit = function () {
      $scope.editName = !$scope.editName;
    };

    $scope.SearchResults = function (resp) {
      //callback that is used by the search modal
      if ($scope.activeTab === 1) {
        switch ($scope.searchType) {
          case $scope.searchTypes.PRODUCTS:
            $scope.addParams.products = resp;
            break;

          case $scope.searchTypes.CATEGORIES:
            $scope.addParams.categories = resp;
            break;
        }
      } else if ($scope.activeTab === 2) {
        switch ($scope.searchType) {
          case $scope.searchTypes.PRODUCTS:
            $scope.editedProducts = resp;
            break;

          case $scope.searchTypes.CATEGORIES:
            $scope.editedCategories = resp;
            break;
        }
      }
    };

    $scope.SearchCancelled = function () {//callback that is used by the search modal
    };

    $scope.TransitionState = function () {
      $state.go('catalog-collections', {
        activeTab: $scope.activeTab
      });
    };

    $scope.TabChanged = function (i) {
      $scope.activeTab = i;
      Settings.errors = {};
      $scope.loading = true;
      $scope.saving = false;
      $scope.saved = false;
      $scope.cancelled = false;
      var req = {
        method: 'GET',
        url: $scope.collectionEndpoint
      };

      switch (i) {
        case 0:
          //First tab selected
          Utils.getHttpPromise(req).then(function (resp) {
            $scope.collections = resp.collections;
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
          break;

        case 1:
          //Second tab selected
          $scope.loading = false;
          break;

        case 2:
          req.url += $scope.selectedCollection.id;
          Utils.getHttpPromise(req).then(function (resp) {
            $scope.selectedCollection = resp.collection;
          }, function (errResp) {
            Debug.error(errResp);
          })["finally"](function () {
            $scope.loading = false;
          });
          break;
      }
    };

    $scope.ChangeTab = function (tabIndex, collectionIndex) {
      $scope.activeTab = tabIndex;
      $scope.selectedCollection = $scope.collections.data[collectionIndex];
    };

    $scope.OpenSearchModalUpdate = function () {
      $scope.searchType = $scope.searchTypes.PRODUCTS;
      var callback = {};
      var data = {
        tabs: [{
          http: {
            method: 'GET',
            url: $scope.productEndpoint,
            params: {
              q: '',
              excludedField: 'collection_id',
              excludedId: $scope.selectedCollection.id,
              excludedTable: 'product_collection'
            }
          },
          relationships: ['products'],
          fields: ['sku', 'image', 'description', 'status'],
          fieldPrefixes: ['', '', '', 'Status: '],
          id: 'product_id',
          selectOne: false
        }, {
          http: {
            method: 'GET',
            url: $scope.collectionEndpoint + $scope.selectedCollection.id,
            params: {
              q: '',
              'searchFields[]': ['description', 'sku']
            }
          },
          relationships: ['collection', 'products'],
          fields: ['sku', 'image', 'description', 'status'],
          fieldPrefixes: ['', '', '', 'Status: '],
          id: 'product_id'
        }],
        updatedItems: $scope.editedProducts
      };
      callback = {
        confirm: $scope.SearchResults,
        cancel: $scope.SearchCancelled
      }; //callback object (confirm, cancel), title, message, optionCancel, optionConfirm, httpConfig

      SearchModal.Show(callback, $scope.selectedCollection.name, data, 'Add Products');
    };

    $scope.OpenSearchModalAdd = function () {
      $scope.searchType = $scope.searchTypes.PRODUCTS;
      var callback = {};
      var data = {
        tabs: [{
          http: {
            method: 'GET',
            url: $scope.productEndpoint,
            params: {
              q: ''
            }
          },
          relationships: ['products'],
          fields: ['sku', 'image', 'description', 'status'],
          fieldPrefixes: ['', '', '', 'Status: '],
          id: 'product_id',
          selectOne: false
        }],
        updatedItems: $scope.addParams.products
      };
      callback = {
        confirm: $scope.SearchResults,
        cancel: $scope.SearchCancelled
      }; //callback object (confirm, cancel), title, message, optionCancel, optionConfirm, httpConfig

      SearchModal.Show(callback, $scope.addParams.name || 'New Collection', data, 'Add Products');
    };

    $scope.OpenSearchModalCategoryUpdate = function () {
      $scope.searchType = $scope.searchTypes.CATEGORIES;
      var callback = {};
      var data = {
        tabs: [{
          http: {
            method: 'GET',
            url: $scope.categoryEndpoint,
            params: {
              q: '',
              excludedField: 'collection_id',
              excludedId: $scope.selectedCollection.id,
              excludedTable: 'category_collection'
            }
          },
          relationships: ['categories'],
          fields: ['title'],
          fieldPrefixes: [''],
          id: 'cat_id',
          selectOne: false
        }, {
          http: {
            method: 'GET',
            url: $scope.collectionEndpoint + $scope.selectedCollection.id,
            params: {
              q: '',
              'searchFields[]': ['description', 'title']
            }
          },
          relationships: ['collection', 'categories'],
          fields: ['title'],
          fieldPrefixes: [''],
          id: 'cat_id'
        }],
        updatedItems: $scope.editedCategories
      };
      callback = {
        confirm: $scope.SearchResults,
        cancel: $scope.SearchCancelled
      }; //callback object (confirm, cancel), title, message, optionCancel, optionConfirm, httpConfig

      SearchModal.Show(callback, $scope.selectedCollection.name, data, 'Add Categories');
    };

    $scope.OpenSearchModalCategoryAdd = function () {
      $scope.searchType = $scope.searchTypes.CATEGORIES;
      var callback = {};
      var data = {
        tabs: [{
          http: {
            method: 'GET',
            url: $scope.categoryEndpoint,
            params: {
              q: ''
            }
          },
          relationships: ['categories'],
          fields: ['description', 'title'],
          fieldPrefixes: ['', ''],
          id: 'cat_id',
          selectOne: false
        }],
        updatedItems: $scope.addParams.categories
      };
      callback = {
        confirm: $scope.SearchResults,
        cancel: $scope.SearchCancelled
      }; //callback object (confirm, cancel), title, message, optionCancel, optionConfirm, httpConfig

      SearchModal.Show(callback, $scope.addParams.name || 'New Collection', data, 'Add Categories');
    };

    $scope.OpenViewModal = function (product) {
      $scope.callback = {};
      var callback = {
        confirm: function confirm() {
          $scope.TabChanged(2);
        },
        cancel: $scope.SearchCancelled
      };
      ViewModal.Show(callback, 'Quick View: ' + product.sku, product);
    };
    /**
     * @param {string} sortBy Sortby term
     * @param {Object} e      Click event
     */


    function changeSortBy(sortBy, e) {
      e.preventDefault();
      vm.sortAscending = vm.allColSearchParams.sortBy === sortBy ? !vm.sortAscending : true;
      vm.allColSearchParams.sortBy = sortBy;
      vm.allColSearchParams.sortType = vm.sortAscending ? 'asc' : 'desc';
      $scope.SearchCollections(vm.allColSearchParams.page);
    }

    $scope.SearchCollections = function (page, query) {
      $scope.loadingMore = true;
      vm.allColSearchParams.q = query;
      $scope.searchTerm = vm.allColSearchParams.q;
      vm.allColSearchParams.page = page || 1;
      var req = {
        method: 'GET',
        url: $scope.collectionEndpoint,
        params: vm.allColSearchParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.collections = resp.collections;
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.loadingMore = false;
      });
    };

    $scope.SearchCollection = function (rpp, page) {
      $scope.productsLoading = true;
      $scope.searchParams.rpp = rpp;
      $scope.searchParams.page = page || 1;
      $scope.searchParams['searchFields[]'] = ['description', 'sku'];
      var req = {
        method: 'GET',
        url: $scope.collectionEndpoint + $scope.selectedCollection.id,
        params: $scope.searchParams
      };
      Utils.getHttpPromise(req).then(function (resp) {
        $scope.selectedCollection = resp.collection;
      }, function (errResp) {
        Debug.error(errResp);
      })["finally"](function () {
        $scope.productsLoading = false;
      });
    };

    $scope.AddCollection = function (id) {
      // If id is null, we are adding new collection
      $scope.loading = true;
      var updateParams = {
        products: [],
        categories: []
      };
      var error = false;
      var req = {};

      if (id) {
        updateParams.name = $scope.selectedCollection.name;
        updateParams.image = $scope.selectedCollection.img_url;
        updateParams.description = $scope.selectedCollection.description;
        updateParams.products = $scope.editedProducts.map(function (product) {
          return product.value.product_id;
        });
        updateParams.categories = $scope.editedCategories.map(function (category) {
          return category.value.cat_id;
        });
        req = {
          method: 'PUT',
          url: $scope.collectionEndpoint + id,
          data: updateParams
        };
      } else if ($scope.addParams.name && ($scope.addParams.products.length || $scope.addParams.categories.length)) {
        for (var i = 0; i < $scope.addParams.products.length; i++) {
          updateParams.products.push($scope.addParams.products[i].value.product_id);
        }

        for (var j = 0; j < $scope.addParams.categories.length; j++) {
          updateParams.categories.push($scope.addParams.categories[j].value.cat_id);
        }

        updateParams.name = $scope.addParams.name;
        updateParams.description = $scope.addParams.description;
        updateParams.image = $scope.addParams.img_url;
        req = {
          method: 'POST',
          url: $scope.collectionEndpoint,
          data: updateParams
        };
      } else {
        error = true;
      }

      if (!error) {
        Utils.getHttpPromise(req).then(function (resp) {
          if (!resp.errors.length) {
            if (!id) {
              $scope.selectedCollection = {
                id: resp.collection_id,
                name: req.data.name,
                description: req.data.description
              };
              $scope.addParams = {
                products: [],
                categories: []
              };
              $scope.activeTab = 2;
            } else {
              $scope.TabChanged(2);
              $scope.showChanges = false;
              $scope.editedProducts = [];
              $scope.editedCategories = [];
            }
          }
        }, function (errResp) {
          Debug.error(errResp);
        })["finally"](function () {
          $scope.loading = false;
        });
      } else {
        $scope.loading = false;
      }
    };

    $scope.DeleteCollection = function (id) {
      var callback = {
        confirm: function confirm() {
          $scope.loading = true;
          var req = {
            method: 'DELETE',
            url: $scope.collectionEndpoint + id
          };
          Utils.getHttpPromise(req).then(function () {
            $scope.activeTab = 0;
            $scope.selectedCollection = null;
          }, function (errResp) {
            Debug.error(errResp);
          });
        },
        cancel: function cancel() {}
      };
      $scope.confirm.Show(callback, 'Delete Collection?', 'This will delete your collection and any products associated with it.', 'Back', 'DELETE');
    };

    $scope.ShowChanges = function () {
      $scope.showChanges = !$scope.showChanges;
    };

    $scope.ChangeView = function () {
      $scope.viewProducts = !$scope.viewProducts;
    };

    $scope.OpenMediaFrame = function (image) {
      // eslint-disable-next-line no-undef
      var fileFrame = wp.media({
        title: 'Select or Upload Logo image',
        library: {
          type: 'image'
        },
        button: {
          text: 'Select'
        },
        multiple: false
      });
      fileFrame.on('select', function () {
        $scope.$apply(function () {
          $scope.attachment = fileFrame.state().get('selection').first().toJSON();
          $scope.removingImage = true;

          if (image === 'add_img') {
            $scope.addParams.img_url = $scope.attachment.url;
          } else if (image === 'update_img') {
            $scope.selectedCollection.img_url = $scope.attachment.url;
          }
        });
      });
      fileFrame.open();
    };
  }
})();
// EXTERNAL MODULE: ./assets/app/dev/controllers/catalog-pricesheets.controller.ts
var catalog_pricesheets_controller = __webpack_require__(261);
// EXTERNAL MODULE: ./assets/app/dev/controllers/catalog-promocodes.controller.ts
var catalog_promocodes_controller = __webpack_require__(6679);
// EXTERNAL MODULE: ./assets/app/dev/controllers/catalog-uom.controller.ts
var catalog_uom_controller = __webpack_require__(9624);
// EXTERNAL MODULE: ./assets/app/dev/controllers/contact.controller.ts
var contact_controller = __webpack_require__(696);
// EXTERNAL MODULE: ./assets/app/dev/controllers/customers-accounts.controller.ts
var customers_accounts_controller = __webpack_require__(5846);
// EXTERNAL MODULE: ./assets/app/dev/controllers/customers-groups.controller.ts
var customers_groups_controller = __webpack_require__(6951);
// EXTERNAL MODULE: ./assets/app/dev/controllers/customers-roles.controller.ts
var customers_roles_controller = __webpack_require__(9391);
// EXTERNAL MODULE: ./assets/app/dev/controllers/email.controller.ts
var email_controller = __webpack_require__(6900);
// EXTERNAL MODULE: ./assets/app/dev/controllers/login.controller.ts
var login_controller = __webpack_require__(8628);
// EXTERNAL MODULE: ./assets/app/dev/controllers/payment-processor.controller.ts
var payment_processor_controller = __webpack_require__(9493);
// EXTERNAL MODULE: ./assets/app/dev/controllers/payments.controller.ts
var payments_controller = __webpack_require__(6962);
// EXTERNAL MODULE: ./assets/app/dev/controllers/punchout-suppliers.controller.ts
var punchout_suppliers_controller = __webpack_require__(3599);
// EXTERNAL MODULE: ./assets/app/dev/controllers/purchasing-cost-sheets.controller.ts
var purchasing_cost_sheets_controller = __webpack_require__(1923);
// EXTERNAL MODULE: ./assets/app/dev/controllers/purchasing-document-profiles.controller.ts
var purchasing_document_profiles_controller = __webpack_require__(103);
// EXTERNAL MODULE: ./assets/app/dev/controllers/purchasing-vendors.controller.ts
var purchasing_vendors_controller = __webpack_require__(8588);
// EXTERNAL MODULE: ./assets/app/dev/controllers/reports.controller.ts
var reports_controller = __webpack_require__(7072);
// EXTERNAL MODULE: ./assets/app/dev/controllers/reset-password.controller.ts
var reset_password_controller = __webpack_require__(205);
// EXTERNAL MODULE: ./assets/app/dev/controllers/shipping.controller.ts
var shipping_controller = __webpack_require__(7199);
// EXTERNAL MODULE: ./assets/app/dev/controllers/shipping-flat-rates.controller.ts
var shipping_flat_rates_controller = __webpack_require__(4104);
// EXTERNAL MODULE: ./assets/app/dev/controllers/shipping-parcels.controller.ts
var shipping_parcels_controller = __webpack_require__(7930);
// EXTERNAL MODULE: ./assets/app/dev/controllers/subscribe.controller.ts
var subscribe_controller = __webpack_require__(8147);
// EXTERNAL MODULE: ./assets/app/dev/controllers/tenant-login.controller.ts
var tenant_login_controller = __webpack_require__(5069);
;// CONCATENATED MODULE: ./assets/app/dev/controllers/index.ts





























// EXTERNAL MODULE: ./assets/app/dev/directives/compile-html.directive.ts
var compile_html_directive = __webpack_require__(5211);
// EXTERNAL MODULE: ./assets/app/dev/directives/copy-to-clipboard.directive.ts
var copy_to_clipboard_directive = __webpack_require__(4562);
// EXTERNAL MODULE: ./assets/app/dev/directives/file-model.directive.ts
var file_model_directive = __webpack_require__(3264);
// EXTERNAL MODULE: ./assets/app/dev/directives/group-file.directive.ts
var group_file_directive = __webpack_require__(9457);
// EXTERNAL MODULE: ./assets/app/dev/directives/format.directive.ts
var format_directive = __webpack_require__(7942);
// EXTERNAL MODULE: ./assets/app/dev/directives/resize.directive.ts
var resize_directive = __webpack_require__(1908);
// EXTERNAL MODULE: ./assets/app/dev/directives/tel-input.directive.ts
var tel_input_directive = __webpack_require__(9402);
// EXTERNAL MODULE: ./assets/app/dev/directives/tel.filter.ts
var tel_filter = __webpack_require__(1569);
;// CONCATENATED MODULE: ./assets/app/dev/directives/index.ts








// EXTERNAL MODULE: ./assets/app/dev/factories/admin.factory.ts
var admin_factory = __webpack_require__(2233);
// EXTERNAL MODULE: ./assets/app/dev/factories/customerAccounts.factory.ts
var customerAccounts_factory = __webpack_require__(8099);
// EXTERNAL MODULE: ./assets/app/dev/factories/debug.factory.ts
var debug_factory = __webpack_require__(9607);
// EXTERNAL MODULE: ./assets/app/dev/factories/emailData.factory.ts
var emailData_factory = __webpack_require__(6314);
// EXTERNAL MODULE: ./assets/app/dev/factories/interceptor.factory.ts
var interceptor_factory = __webpack_require__(6905);
// EXTERNAL MODULE: ./assets/app/dev/factories/modal-alert.factory.ts
var modal_alert_factory = __webpack_require__(2350);
// EXTERNAL MODULE: ./assets/app/dev/factories/modal-confirm.factory.ts
var modal_confirm_factory = __webpack_require__(5492);
// EXTERNAL MODULE: ./assets/app/dev/factories/modal-edit.factory.ts
var modal_edit_factory = __webpack_require__(9828);
// EXTERNAL MODULE: ./assets/app/dev/factories/modal-search.factory.ts
var modal_search_factory = __webpack_require__(1386);
// EXTERNAL MODULE: ./assets/app/dev/factories/modal-select.factory.ts
var modal_select_factory = __webpack_require__(4682);
// EXTERNAL MODULE: ./assets/app/dev/factories/modal-two-factor.factory.ts
var modal_two_factor_factory = __webpack_require__(8027);
// EXTERNAL MODULE: ./assets/app/dev/factories/modal-view.factory.ts
var modal_view_factory = __webpack_require__(9504);
// EXTERNAL MODULE: ./assets/app/dev/factories/pricesheets.factory.ts
var pricesheets_factory = __webpack_require__(5590);
// EXTERNAL MODULE: ./assets/app/dev/factories/relationship-search.factory.ts
var relationship_search_factory = __webpack_require__(8379);
// EXTERNAL MODULE: ./assets/app/dev/factories/reports.factory.ts
var reports_factory = __webpack_require__(8374);
// EXTERNAL MODULE: ./assets/app/dev/factories/settings.factory.ts
var settings_factory = __webpack_require__(1310);
// EXTERNAL MODULE: ./assets/app/dev/factories/tenant.factory.ts
var tenant_factory = __webpack_require__(4150);
// EXTERNAL MODULE: ./assets/app/dev/factories/uom.factory.ts
var uom_factory = __webpack_require__(3922);
// EXTERNAL MODULE: ./assets/app/dev/factories/utils.factory.ts
var utils_factory = __webpack_require__(6065);
// EXTERNAL MODULE: ./assets/app/dev/factories/warningModal.factory.ts
var warningModal_factory = __webpack_require__(8726);
;// CONCATENATED MODULE: ./assets/app/dev/factories/index.ts




















// EXTERNAL MODULE: ./assets/app/dev/run.ts
var run = __webpack_require__(9061);
;// CONCATENATED MODULE: ./assets/app/dev/admin.ts






})();

/******/ })()
;